searchData={"items":[{"type":"module","doc":"Documentation for DocuSign.","title":"DocuSign","ref":"DocuSign.html"},{"type":"module","doc":"This library includes a fix for the INVALID_REQUEST_BODY errors that can occur when using\nembedded signing functionality. The fix implements a ModelCleaner module that recursively\nremoves nil values from request bodies before sending them to the DocuSign API.\n\nThis fix is applied automatically to all API calls and requires no changes to your existing code.","title":"INVALID_REQUEST_BODY Fix - DocuSign","ref":"DocuSign.html#module-invalid_request_body-fix"},{"type":"module","doc":"The DocuSign library uses Jason for all JSON encoding and decoding operations including API\nrequest bodies, model serialization, and authentication.\n\nJason is included as a dependency, so you don't need to specify it explicitly\nin your application.","title":"JSON Library - DocuSign","ref":"DocuSign.html#module-json-library"},{"type":"module","doc":"Helper functions for deserializing responses into models","title":"DocuSign.Deserializer","ref":"DocuSign.Deserializer.html"},{"type":"function","doc":"Update the provided model with a deserialization of a nested value","title":"DocuSign.Deserializer.deserialize/4","ref":"DocuSign.Deserializer.html#deserialize/4"},{"type":"function","doc":"","title":"DocuSign.Deserializer.jason_decode/1","ref":"DocuSign.Deserializer.html#jason_decode/1"},{"type":"function","doc":"","title":"DocuSign.Deserializer.jason_decode/2","ref":"DocuSign.Deserializer.html#jason_decode/2"},{"type":"module","doc":"File download utilities for DocuSign documents and attachments.\n\nThis module provides functionality for downloading files from DocuSign APIs\nwith automatic filename extraction from Content-Disposition headers,\nflexible file handling options, and support for multiple file formats.","title":"DocuSign.FileDownloader","ref":"DocuSign.FileDownloader.html"},{"type":"module","doc":"- Automatic filename extraction from Content-Disposition headers\n- Configurable temporary file management\n- Multiple download strategies (to file, to memory, streaming)\n- Support for various file formats (PDF, HTML, images, etc.)\n- Filename sanitization and collision handling\n- Content-Type detection and validation","title":"Features - DocuSign.FileDownloader","ref":"DocuSign.FileDownloader.html#module-features"},{"type":"module","doc":"# Download to a temporary file\n    {:ok, path} = DocuSign.FileDownloader.download_to_temp(conn, url)\n\n    # Download to a specific path\n    {:ok, path} = DocuSign.FileDownloader.download_to_file(conn, url, \"/path/to/file.pdf\")\n\n    # Download to memory\n    {:ok, {content, filename, content_type}} = DocuSign.FileDownloader.download_to_memory(conn, url)\n\n    # Download with options\n    {:ok, result} = DocuSign.FileDownloader.download(conn, url, \n      strategy: :file,\n      filename: \"custom_name.pdf\",\n      temp_dir: \"/custom/temp\"\n    )","title":"Usage - DocuSign.FileDownloader","ref":"DocuSign.FileDownloader.html#module-usage"},{"type":"module","doc":"You can configure the file downloader options:\n\n    config :docusign, :file_downloader,\n      max_filename_length: 255,\n      sanitize_filenames: true,\n      allowed_content_types: ~w(application/pdf text/html image/png image/jpeg),\n      track_temp_files: true","title":"Configuration - DocuSign.FileDownloader","ref":"DocuSign.FileDownloader.html#module-configuration"},{"type":"function","doc":"Cleans up tracked temporary files.\n\nThis function calls `Temp.cleanup/0` to remove all tracked temporary files.\nUseful for manual cleanup before process exit.","title":"DocuSign.FileDownloader.cleanup_temp_files/0","ref":"DocuSign.FileDownloader.html#cleanup_temp_files/0"},{"type":"function","doc":"DocuSign.FileDownloader.cleanup_temp_files()","title":"Examples - DocuSign.FileDownloader.cleanup_temp_files/0","ref":"DocuSign.FileDownloader.html#cleanup_temp_files/0-examples"},{"type":"function","doc":"Downloads a file from the given URL using the DocuSign connection.","title":"DocuSign.FileDownloader.download/3","ref":"DocuSign.FileDownloader.html#download/3"},{"type":"function","doc":"- `:strategy` - Download strategy (`:file`, `:memory`, `:temp`, `:stream`)\n- `:filename` - Custom filename (overrides Content-Disposition)\n- `:temp_options` - Options passed to `Temp` library for temporary files\n- `:max_size` - Maximum file size in bytes\n- `:validate_content_type` - Whether to validate content type\n- `:overwrite` - Whether to overwrite existing files","title":"Options - DocuSign.FileDownloader.download/3","ref":"DocuSign.FileDownloader.html#download/3-options"},{"type":"function","doc":"- `{:ok, content}` when strategy is `:memory`\n- `{:ok, {content, filename, content_type}}` when strategy is `:memory` with metadata\n- `{:ok, filepath}` when strategy is `:file` or `:temp`\n- `{:error, reason}` on failure","title":"Returns - DocuSign.FileDownloader.download/3","ref":"DocuSign.FileDownloader.html#download/3-returns"},{"type":"function","doc":"# Download envelope document to temporary file\n    {:ok, temp_path} = DocuSign.FileDownloader.download(conn, \n      \"/v2.1/accounts/123/envelopes/456/documents/1\")\n\n    # Download with custom temp options\n    {:ok, path} = DocuSign.FileDownloader.download(conn, url,\n      temp_options: [prefix: \"contract\", suffix: \".pdf\"])\n\n    # Download to memory for processing\n    {:ok, {content, filename, content_type}} = DocuSign.FileDownloader.download(conn, url,\n      strategy: :memory)","title":"Examples - DocuSign.FileDownloader.download/3","ref":"DocuSign.FileDownloader.html#download/3-examples"},{"type":"type","doc":"","title":"DocuSign.FileDownloader.download_options/0","ref":"DocuSign.FileDownloader.html#t:download_options/0"},{"type":"type","doc":"","title":"DocuSign.FileDownloader.download_result/0","ref":"DocuSign.FileDownloader.html#t:download_result/0"},{"type":"type","doc":"","title":"DocuSign.FileDownloader.download_strategy/0","ref":"DocuSign.FileDownloader.html#t:download_strategy/0"},{"type":"function","doc":"Downloads a file to a specific path.\n\nReturns `{:ok, filepath}` on success.","title":"DocuSign.FileDownloader.download_to_file/4","ref":"DocuSign.FileDownloader.html#download_to_file/4"},{"type":"function","doc":"{:ok, path} = DocuSign.FileDownloader.download_to_file(conn, url, \"/path/to/save/document.pdf\")","title":"Examples - DocuSign.FileDownloader.download_to_file/4","ref":"DocuSign.FileDownloader.html#download_to_file/4-examples"},{"type":"function","doc":"Downloads a file to memory.\n\nReturns `{:ok, {content, filename, content_type}}` on success.","title":"DocuSign.FileDownloader.download_to_memory/3","ref":"DocuSign.FileDownloader.html#download_to_memory/3"},{"type":"function","doc":"{:ok, {pdf_content, \"document.pdf\", \"application/pdf\"}} = \n      DocuSign.FileDownloader.download_to_memory(conn, url)","title":"Examples - DocuSign.FileDownloader.download_to_memory/3","ref":"DocuSign.FileDownloader.html#download_to_memory/3-examples"},{"type":"function","doc":"Downloads a file to a temporary location.\n\nReturns `{:ok, filepath}` on success, where filepath is the path to the \ntemporary file. The caller is responsible for cleaning up the temporary file.","title":"DocuSign.FileDownloader.download_to_temp/3","ref":"DocuSign.FileDownloader.html#download_to_temp/3"},{"type":"function","doc":"{:ok, temp_path} = DocuSign.FileDownloader.download_to_temp(conn, url)\n    content = File.read!(temp_path)\n    File.rm!(temp_path)  # Clean up","title":"Examples - DocuSign.FileDownloader.download_to_temp/3","ref":"DocuSign.FileDownloader.html#download_to_temp/3-examples"},{"type":"function","doc":"Generates a unique filename by appending a number if the file already exists.","title":"DocuSign.FileDownloader.ensure_unique_filename/1","ref":"DocuSign.FileDownloader.html#ensure_unique_filename/1"},{"type":"function","doc":"# If document.pdf exists, returns document_1.pdf\n    # If document_1.pdf also exists, returns document_2.pdf, etc.\n    DocuSign.FileDownloader.ensure_unique_filename(\"/path/to/document.pdf\")","title":"Examples - DocuSign.FileDownloader.ensure_unique_filename/1","ref":"DocuSign.FileDownloader.html#ensure_unique_filename/1-examples"},{"type":"function","doc":"Extracts filename from Content-Disposition header.","title":"DocuSign.FileDownloader.extract_filename_from_header/1","ref":"DocuSign.FileDownloader.html#extract_filename_from_header/1"},{"type":"function","doc":"iex> DocuSign.FileDownloader.extract_filename_from_header(\"attachment; filename=document.pdf\")\n    {:ok, \"document.pdf\"}\n\n    iex> DocuSign.FileDownloader.extract_filename_from_header(\"attachment; filename*=UTF-8''document%20name.pdf\")\n    {:ok, \"document name.pdf\"}\n\n    iex> DocuSign.FileDownloader.extract_filename_from_header(\"attachment\")\n    {:error, :no_filename}","title":"Examples - DocuSign.FileDownloader.extract_filename_from_header/1","ref":"DocuSign.FileDownloader.html#extract_filename_from_header/1-examples"},{"type":"function","doc":"Sanitizes a filename by removing invalid characters and path components.","title":"DocuSign.FileDownloader.sanitize_filename/1","ref":"DocuSign.FileDownloader.html#sanitize_filename/1"},{"type":"function","doc":"iex> DocuSign.FileDownloader.sanitize_filename(\"../../malicious.pdf\")\n    \"malicious.pdf\"\n\n    iex> DocuSign.FileDownloader.sanitize_filename(\"file<>:\"|?*.pdf\")\n    \"file.pdf\"","title":"Examples - DocuSign.FileDownloader.sanitize_filename/1","ref":"DocuSign.FileDownloader.html#sanitize_filename/1-examples"},{"type":"module","doc":"Provides functions to clean DocuSign models before sending to the API.\n\nThis module helps remove nil values from model structs to improve API compatibility.","title":"DocuSign.ModelCleaner","ref":"DocuSign.ModelCleaner.html"},{"type":"function","doc":"Clean a DocuSign API request body to remove nil values from structs.\nThis function gets applied by the RequestBuilder automatically.\n\nThe function handles the following cases:\n- Structs are converted to maps and nil values are removed\n- Maps have their nil values removed\n- Lists are processed recursively\n- Other values are passed through unchanged","title":"DocuSign.ModelCleaner.clean/1","ref":"DocuSign.ModelCleaner.html#clean/1"},{"type":"module","doc":"Helper functions for building Tesla requests","title":"DocuSign.RequestBuilder","ref":"DocuSign.RequestBuilder.html"},{"type":"function","doc":"Add optional parameters to the request.","title":"DocuSign.RequestBuilder.add_optional_params/3","ref":"DocuSign.RequestBuilder.html#add_optional_params/3"},{"type":"function","doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters","title":"Parameters - DocuSign.RequestBuilder.add_optional_params/3","ref":"DocuSign.RequestBuilder.html#add_optional_params/3-parameters"},{"type":"function","doc":"Map","title":"Returns - DocuSign.RequestBuilder.add_optional_params/3","ref":"DocuSign.RequestBuilder.html#add_optional_params/3-returns"},{"type":"function","doc":"Add non-optional parameters to the request.","title":"DocuSign.RequestBuilder.add_param/4","ref":"DocuSign.RequestBuilder.html#add_param/4"},{"type":"function","doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter","title":"Parameters - DocuSign.RequestBuilder.add_param/4","ref":"DocuSign.RequestBuilder.html#add_param/4-parameters"},{"type":"function","doc":"Map","title":"Returns - DocuSign.RequestBuilder.add_param/4","ref":"DocuSign.RequestBuilder.html#add_param/4-returns"},{"type":"function","doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.","title":"DocuSign.RequestBuilder.ensure_body/1","ref":"DocuSign.RequestBuilder.html#ensure_body/1"},{"type":"function","doc":"- `request` (Map) - Collected request options","title":"Parameters - DocuSign.RequestBuilder.ensure_body/1","ref":"DocuSign.RequestBuilder.html#ensure_body/1-parameters"},{"type":"function","doc":"Map","title":"Returns - DocuSign.RequestBuilder.ensure_body/1","ref":"DocuSign.RequestBuilder.html#ensure_body/1-returns"},{"type":"function","doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.","title":"DocuSign.RequestBuilder.evaluate_response/2","ref":"DocuSign.RequestBuilder.html#evaluate_response/2"},{"type":"function","doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.","title":"Parameters - DocuSign.RequestBuilder.evaluate_response/2","ref":"DocuSign.RequestBuilder.html#evaluate_response/2-parameters"},{"type":"function","doc":"- `{:ok, struct}`, {:ok, [struct]} or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","title":"Returns - DocuSign.RequestBuilder.evaluate_response/2","ref":"DocuSign.RequestBuilder.html#evaluate_response/2-returns"},{"type":"function","doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.","title":"DocuSign.RequestBuilder.method/2","ref":"DocuSign.RequestBuilder.html#method/2"},{"type":"function","doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method","title":"Parameters - DocuSign.RequestBuilder.method/2","ref":"DocuSign.RequestBuilder.html#method/2-parameters"},{"type":"function","doc":"Map","title":"Returns - DocuSign.RequestBuilder.method/2","ref":"DocuSign.RequestBuilder.html#method/2-returns"},{"type":"type","doc":"","title":"DocuSign.RequestBuilder.response_mapping/0","ref":"DocuSign.RequestBuilder.html#t:response_mapping/0"},{"type":"type","doc":"","title":"DocuSign.RequestBuilder.status_code/0","ref":"DocuSign.RequestBuilder.html#t:status_code/0"},{"type":"function","doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.","title":"DocuSign.RequestBuilder.url/2","ref":"DocuSign.RequestBuilder.html#url/2"},{"type":"function","doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL","title":"Parameters - DocuSign.RequestBuilder.url/2","ref":"DocuSign.RequestBuilder.html#url/2-parameters"},{"type":"function","doc":"Map","title":"Returns - DocuSign.RequestBuilder.url/2","ref":"DocuSign.RequestBuilder.html#url/2-returns"},{"type":"module","doc":"Provides SSL configuration options for DocuSign API connections.\n\nThis module handles SSL/TLS configuration for secure connections to DocuSign's API,\nsupporting custom certificates, verification options, and client authentication.","title":"DocuSign.SSLOptions","ref":"DocuSign.SSLOptions.html"},{"type":"module","doc":"SSL options can be configured at the application level:\n\n    config :docusign, :ssl_options,\n      verify: :verify_peer,\n      cacertfile: \"/path/to/ca-bundle.crt\",\n      certfile: \"/path/to/client-cert.pem\",\n      keyfile: \"/path/to/client-key.pem\",\n      depth: 3,\n      customize_hostname_check: [\n        match_fun: :public_key.pkix_verify_hostname_match_fun(:https)\n      ]","title":"Configuration - DocuSign.SSLOptions","ref":"DocuSign.SSLOptions.html#module-configuration"},{"type":"module","doc":"* `:verify` - How to verify the server certificate\n  * `:verify_peer` - Verify the server certificate (default)\n  * `:verify_none` - Don't verify the server certificate (not recommended)\n\n* `:cacertfile` - Path to CA certificate bundle file\n* `:cacerts` - List of DER-encoded CA certificates\n* `:certfile` - Path to client certificate file (for mutual TLS)\n* `:keyfile` - Path to client private key file (for mutual TLS)\n* `:password` - Password for encrypted private key\n* `:depth` - Maximum certificate chain verification depth (default: 3)\n* `:verify_fun` - Custom verification function\n* `:customize_hostname_check` - Hostname verification options\n* `:versions` - Allowed TLS versions (default: [:\"tlsv1.2\", :\"tlsv1.3\"])\n* `:ciphers` - Allowed cipher suites","title":"Options - DocuSign.SSLOptions","ref":"DocuSign.SSLOptions.html#module-options"},{"type":"module","doc":"* Always use `:verify_peer` in production\n* Keep CA certificates up to date\n* Use strong cipher suites\n* Enable hostname verification","title":"Security Considerations - DocuSign.SSLOptions","ref":"DocuSign.SSLOptions.html#module-security-considerations"},{"type":"function","doc":"Builds SSL options from application configuration and runtime options.","title":"DocuSign.SSLOptions.build/1","ref":"DocuSign.SSLOptions.html#build/1"},{"type":"function","doc":"iex> opts = DocuSign.SSLOptions.build()\n    iex> opts[:verify]\n    :verify_peer\n    iex> opts[:depth]\n    3\n\n    iex> opts = DocuSign.SSLOptions.build(verify: :verify_none)\n    iex> opts[:verify]\n    :verify_none\n\n    iex> opts = DocuSign.SSLOptions.build(depth: 5)\n    iex> opts[:depth]\n    5","title":"Examples - DocuSign.SSLOptions.build/1","ref":"DocuSign.SSLOptions.html#build/1-examples"},{"type":"module","doc":"API calls for all endpoints tagged `AccountBrands`.","title":"DocuSign.Api.AccountBrands","ref":"DocuSign.Api.AccountBrands.html"},{"type":"function","doc":"Deletes a brand.\nThis method deletes a [brand](/docs/esign-rest-api/esign101/concepts/branding/) from an account.  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_delete_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_delete_brand/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_delete_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_delete_brand/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_delete_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_delete_brand/4-returns"},{"type":"function","doc":"Exports a brand.\nThis method exports information about a brand to an XML file.  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_export_get_brand_export_file/4","ref":"DocuSign.Api.AccountBrands.html#brand_export_get_brand_export_file/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_export_get_brand_export_file/4","ref":"DocuSign.Api.AccountBrands.html#brand_export_get_brand_export_file/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_export_get_brand_export_file/4","ref":"DocuSign.Api.AccountBrands.html#brand_export_get_brand_export_file/4-returns"},{"type":"function","doc":"Gets information about a brand.\nThis method returns details about an account [brand](/docs/esign-rest-api/esign101/concepts/branding/).  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_get_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_get_brand/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `opts` (keyword): Optional parameters\n  - `:include_external_references` (String.t): When **true,** the landing pages and links associated with the brand are included in the response.\n  - `:include_logos` (String.t): When **true,** the URIs for the logos associated with the brand are included in the response.","title":"Parameters - DocuSign.Api.AccountBrands.brand_get_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_get_brand/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Brand.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_get_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_get_brand/4-returns"},{"type":"function","doc":"Deletes a brand logo.\nThis method deletes a single logo from an account brand.  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_logo_delete_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_delete_brand_logo/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `logo_type` (String.t): The type of logo. Valid values are:  - `primary`  - `secondary`  - `email`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_logo_delete_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_delete_brand_logo/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_logo_delete_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_delete_brand_logo/5-returns"},{"type":"function","doc":"Gets a brand logo.\nThis method returns a specific logo that is used in a brand.  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_logo_get_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_get_brand_logo/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `logo_type` (String.t): The type of logo. Valid values are:  - `primary`  - `secondary`  - `email`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_logo_get_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_get_brand_logo/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_logo_get_brand_logo/5","ref":"DocuSign.Api.AccountBrands.html#brand_logo_get_brand_logo/5-returns"},{"type":"function","doc":"Updates a brand logo.\nThis method updates a single brand logo.  You pass in the new version of the resource in the `Content-Disposition` header. Example:  `Content-Disposition: form-data; name=\"file\"; filename=\"logo.jpg\"`  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_logo_put_brand_logo/6","ref":"DocuSign.Api.AccountBrands.html#brand_logo_put_brand_logo/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `logo_type` (String.t): The type of logo. Valid values are:  - `primary`  - `secondary`  - `email`\n- `logo_file_bytes` (String.t): Brand logo binary Stream. Supported formats: JPG, GIF, PNG. Maximum file size: 300 KB. Recommended dimensions: 296 x 76 pixels (larger images will be resized). Changes may take up to one hour to display in all places\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_logo_put_brand_logo/6","ref":"DocuSign.Api.AccountBrands.html#brand_logo_put_brand_logo/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_logo_put_brand_logo/6","ref":"DocuSign.Api.AccountBrands.html#brand_logo_put_brand_logo/6-returns"},{"type":"function","doc":"Updates an existing brand.\nThis method updates an account brand.   **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_put_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_put_brand/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `opts` (keyword): Optional parameters\n  - `:replace_brand` (String.t): When **true,** replaces the brand instead of updating it. The only unchanged value is the brand ID. The request body must be XML. The default value is **false.**\n  - `:body` (Brand):","title":"Parameters - DocuSign.Api.AccountBrands.brand_put_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_put_brand/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Brand.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_put_brand/4","ref":"DocuSign.Api.AccountBrands.html#brand_put_brand/4-returns"},{"type":"function","doc":"Returns a branding resource file.\nThis method returns a specific branding resource file.  A brand uses a set of brand resource files to control the sending, signing, email message, and captive (embedded) signing experiences.  You can modify the default email messages and formats in these files and upload them to your brand to customize the user experience.  **Important:** When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file.   **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources/5","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `resource_content_type` (String.t): The type of brand resource file to return. Valid values are:  - `sending` - `signing` - `email` - `signing_captive`\n- `opts` (keyword): Optional parameters\n  - `:langcode` (String.t): The ISO 3166-1 alpha-2 codes for the languages that the brand supports.\n  - `:return_master` (String.t): Specifies which resource file data to return. When **true,** only the master resource file is returned. When **false,** only the elements that you modified are returned.","title":"Parameters - DocuSign.Api.AccountBrands.brand_resources_get_brand_resources/5","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_resources_get_brand_resources/5","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources/5-returns"},{"type":"function","doc":"Returns metadata about the branding resources for an account.\nThis method returns metadata about the branding resources that are associated with an account.  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources_list/4","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources_list/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_resources_get_brand_resources_list/4","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources_list/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BrandResourcesList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_resources_get_brand_resources_list/4","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources_list/4-returns"},{"type":"function","doc":"Updates a branding resource file.\nThis method updates a branding resource file.  You pass in the new version of the resource file in the `Content-Disposition` header. Example:  `Content-Disposition: form-data; name=\"file\"; filename=\"DocuSign_SigningResource_4328673.xml\"`  **Note:** Branding for either signing or sending must be enabled for the account (`canSelfBrandSend` , `canSelfBrandSign`, or both of these account settings must be **true**).  **Important:** Customizing resource files is an advanced branding configuration option which can significantly impact your account, and should be done only by someone with expertise in XML and HTML. The master resource files are subject to change without notice. If you customize your resource files, after each release, Docusign recommends you review any changes and update your custom files as needed.  When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file.","title":"DocuSign.Api.AccountBrands.brand_resources_put_brand_resources/6","ref":"DocuSign.Api.AccountBrands.html#brand_resources_put_brand_resources/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `brand_id` (String.t): The ID of the brand.\n- `resource_content_type` (String.t): The type of brand resource file that you are updating. Valid values are:  - `sending` - `signing` - `email` - `signing_captive`\n- `file_periodxml` (String.t): Brand resource XML file.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountBrands.brand_resources_put_brand_resources/6","ref":"DocuSign.Api.AccountBrands.html#brand_resources_put_brand_resources/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BrandResources.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brand_resources_put_brand_resources/6","ref":"DocuSign.Api.AccountBrands.html#brand_resources_put_brand_resources/6-returns"},{"type":"function","doc":"Deletes one or more brand profiles.\nThis method deletes one or more brand profiles from an account, based on the brand IDs that you include in the `brandsRequest`.  Either or both of the following settings must be enabled for the account to use this method:  - `canSelfBrandSign` - `canSelfBrandSend`","title":"DocuSign.Api.AccountBrands.brands_delete_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3"},{"type":"function","doc":"","title":"Related topics  - How to create a brand - DocuSign.Api.AccountBrands.brands_delete_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3-related-topics-how-to-create-a-brand"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (BrandsRequest):","title":"Parameters - DocuSign.Api.AccountBrands.brands_delete_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brands_delete_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3-returns"},{"type":"function","doc":"Gets a list of brands.\nThis method returns details about all of the [brands](/docs/esign-rest-api/esign101/concepts/branding/) associated with an account, including the default brand profiles.  Either or both of the following settings must be enabled for the account to use this method:  - `canSelfBrandSign` - `canSelfBrandSend`","title":"DocuSign.Api.AccountBrands.brands_get_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3"},{"type":"function","doc":"","title":"Related topics  - How to create a brand - How to apply a brand to an envelope - DocuSign.Api.AccountBrands.brands_get_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3-related-topics-how-to-create-a-brand-how-to-apply-a-brand-to-an-envelope"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:exclude_distributor_brand` (String.t): When **true,** excludes distributor brand information from the response set.\n  - `:include_logos` (String.t): When **true,** returns the logos associated with the brand.","title":"Parameters - DocuSign.Api.AccountBrands.brands_get_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brands_get_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3-returns"},{"type":"function","doc":"Creates one or more brand profiles for an account.\nThis method creates one or more brand profile files for an account.  To specify logos for the brand, use the [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/) method after you create the brand.   Either or both of the following settings must be enabled for the account to use this method:  - `canSelfBrandSign` - `canSelfBrandSend`","title":"DocuSign.Api.AccountBrands.brands_post_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3"},{"type":"function","doc":"","title":"Related topics  - How to create a brand - DocuSign.Api.AccountBrands.brands_post_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3-related-topics-how-to-create-a-brand"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (Brand):","title":"Parameters - DocuSign.Api.AccountBrands.brands_post_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountBrands.brands_post_brands/3","ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountConsumerDisclosures`.","title":"DocuSign.Api.AccountConsumerDisclosures","ref":"DocuSign.Api.AccountConsumerDisclosures.html"},{"type":"function","doc":"Gets the default Electronic Record and Signature Disclosure for an account.\nRetrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) associated with the account.   This is the default ERSD disclosure that Docusign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties.  To set the language of the disclosure that you want to retrieve, use the optional `langCode` query parameter.","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure/3","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:langCode` (String.t): The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`) - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.","title":"Parameters - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure/3","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountConsumerDisclosures.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure/3","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure/3-returns"},{"type":"function","doc":"Gets the Electronic Record and Signature Disclosure for an account.\nRetrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) associated with the account.   To set the language of the disclosure that you want to retrieve, use the optional `langCode` query parameter.  **Note:** The text of the default disclosure is always in English, but if you are using a custom disclosure and have created versions of it in different signer languages, you can use the `langCode` parameter to specify the signer language version that you want to retrieve.","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_lang_code/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_lang_code/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `lang_code` (String.t): The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`) - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_lang_code/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_lang_code/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountConsumerDisclosures.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_lang_code/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_lang_code/4-returns"},{"type":"function","doc":"Updates the Electronic Record and Signature Disclosure for an account.\nAccount administrators can use this method to perform the following tasks:  - Customize values in the default disclosure. - Switch to a custom disclosure that uses your own text and HTML formatting. - Change values in your existing consumer disclosure.   To specify the signer language version of the disclosure that you are updating, use the optional `langCode` query parameter.  **Note:** Only account administrators can use this method. Each time you change the disclosure content, all unsigned recipients of outstanding documents will be required to accept a new version.","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4"},{"type":"function","doc":"","title":"Updating the default disclosure  When you update the default disclosure, you can edit all properties except for the following ones:  - accountEsignId: This property is read-only. - custom: The default value is false. Editing this property causes the default disclosure to switch to a custom disclosure. - esignAgreement: This property is read-only. - esignText: You cannot edit this property when custom is set to false. The API returns a 200 OK HTTP response, but does not update the esignText. - Metadata properties: These properties are read-only.  Note: The text of the default disclosure is always in English.  ## Switching to a custom disclosure  To switch to a custom disclosure, set the custom property to true and customize the value for the eSignText property.   You can also edit all of the other properties except for the following ones:  - accountEsignId: This property is read-only. - esignAgreement: This property is read-only. - Metadata properties: These properties are read-only.  Note: When you use a custom disclosure, you can create versions of it in different signer languages and se the langCode parameter to specify the signer language version that you are updating.  Important:  When you switch from a default to a custom disclosure, note the following information:  - You will not be able to return to using the default disclosure. - Only the disclosure for the currently selected signer language is saved. Docusign will not automatically translate your custom disclosure. You must create a disclosure for each language that your signers use.  ## Updating a custom disclosure  When you update a custom disclosure, you can update all of the properties except for the following ones:  - accountEsignId: This property is read-only.  - esignAgreement: This property is read-only. - Metadata properties: These properties are read-only.  Important: Only the disclosure for the currently selected signer language is saved. Docusign will not automatically translate your custom disclosure. You must create a disclosure for each language that your signers use. - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4-updating-the-default-disclosure-when-you-update-the-default-disclosure-you-can-edit-all-properties-except-for-the-following-ones-accountesignid-this-property-is-read-only-custom-the-default-value-is-false-editing-this-property-causes-the-default-disclosure-to-switch-to-a-custom-disclosure-esignagreement-this-property-is-read-only-esigntext-you-cannot-edit-this-property-when-custom-is-set-to-false-the-api-returns-a-200-ok-http-response-but-does-not-update-the-esigntext-metadata-properties-these-properties-are-read-only-note-the-text-of-the-default-disclosure-is-always-in-english-switching-to-a-custom-disclosure-to-switch-to-a-custom-disclosure-set-the-custom-property-to-true-and-customize-the-value-for-the-esigntext-property-you-can-also-edit-all-of-the-other-properties-except-for-the-following-ones-accountesignid-this-property-is-read-only-esignagreement-this-property-is-read-only-metadata-properties-these-properties-are-read-only-note-when-you-use-a-custom-disclosure-you-can-create-versions-of-it-in-different-signer-languages-and-se-the-langcode-parameter-to-specify-the-signer-language-version-that-you-are-updating-important-when-you-switch-from-a-default-to-a-custom-disclosure-note-the-following-information-you-will-not-be-able-to-return-to-using-the-default-disclosure-only-the-disclosure-for-the-currently-selected-signer-language-is-saved-docusign-will-not-automatically-translate-your-custom-disclosure-you-must-create-a-disclosure-for-each-language-that-your-signers-use-updating-a-custom-disclosure-when-you-update-a-custom-disclosure-you-can-update-all-of-the-properties-except-for-the-following-ones-accountesignid-this-property-is-read-only-esignagreement-this-property-is-read-only-metadata-properties-these-properties-are-read-only-important-only-the-disclosure-for-the-currently-selected-signer-language-is-saved-docusign-will-not-automatically-translate-your-custom-disclosure-you-must-create-a-disclosure-for-each-language-that-your-signers-use"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `lang_code` (String.t): The code for the signer language version of the disclosure that you want to update. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`) - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.\n- `opts` (keyword): Optional parameters\n  - `:include_metadata` (String.t): (Optional) When true, the response includes metadata indicating which properties are editable.\n  - `:body` (ConsumerDisclosure):","title":"Parameters - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConsumerDisclosure.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountCustomFields`.","title":"DocuSign.Api.AccountCustomFields","ref":"DocuSign.Api.AccountCustomFields.html"},{"type":"function","doc":"Deletes an account custom field.\nThis method deletes an existing account custom field.","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_delete_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_delete_account_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `custom_field_id` (String.t): The ID of the custom field.\n- `opts` (keyword): Optional parameters\n  - `:apply_to_templates` (String.t):","title":"Parameters - DocuSign.Api.AccountCustomFields.account_custom_fields_delete_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_delete_account_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountCustomFields.account_custom_fields_delete_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_delete_account_custom_fields/4-returns"},{"type":"function","doc":"Gets a list of custom fields.\nThis method returns a list of the envelope and document custom fields associated with an account.","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_get_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_get_account_custom_fields/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountCustomFields.account_custom_fields_get_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_get_account_custom_fields/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountCustomFields.account_custom_fields_get_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_get_account_custom_fields/3-returns"},{"type":"function","doc":"Creates an account custom field.\nThis method creates a custom field and makes it available for all new envelopes associated with an account.","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_post_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_post_account_custom_fields/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:apply_to_templates` (String.t): (Optional) When **true,** the new custom field is applied to all of the templates on the account.\n  - `:body` (CustomField):","title":"Parameters - DocuSign.Api.AccountCustomFields.account_custom_fields_post_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_post_account_custom_fields/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountCustomFields.account_custom_fields_post_account_custom_fields/3","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_post_account_custom_fields/3-returns"},{"type":"function","doc":"Updates an account custom field.\nThis method updates an existing account custom field.","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_put_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_put_account_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `custom_field_id` (String.t): The ID of the custom field.\n- `opts` (keyword): Optional parameters\n  - `:apply_to_templates` (String.t):\n  - `:body` (CustomField):","title":"Parameters - DocuSign.Api.AccountCustomFields.account_custom_fields_put_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_put_account_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountCustomFields.account_custom_fields_put_account_custom_fields/4","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_put_account_custom_fields/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountPasswordRules`.","title":"DocuSign.Api.AccountPasswordRules","ref":"DocuSign.Api.AccountPasswordRules.html"},{"type":"function","doc":"Gets the password rules for an account.\nThis method retrieves the password rules for an account.","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_get_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_get_account_password_rules/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountPasswordRules.account_password_rules_get_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_get_account_password_rules/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountPasswordRules.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPasswordRules.account_password_rules_get_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_get_account_password_rules/3-returns"},{"type":"function","doc":"Updates the password rules for an account.\nThis method updates the password rules for an account.  **Note:** To update the password rules for an account, you must be an account administrator.","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_put_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_put_account_password_rules/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (AccountPasswordRules):","title":"Parameters - DocuSign.Api.AccountPasswordRules.account_password_rules_put_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_put_account_password_rules/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountPasswordRules.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPasswordRules.account_password_rules_put_account_password_rules/3","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_put_account_password_rules/3-returns"},{"type":"function","doc":"Gets membership account password rules.","title":"DocuSign.Api.AccountPasswordRules.password_rules_get_password_rules/2","ref":"DocuSign.Api.AccountPasswordRules.html#password_rules_get_password_rules/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountPasswordRules.password_rules_get_password_rules/2","ref":"DocuSign.Api.AccountPasswordRules.html#password_rules_get_password_rules/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserPasswordRules.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPasswordRules.password_rules_get_password_rules/2","ref":"DocuSign.Api.AccountPasswordRules.html#password_rules_get_password_rules/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountPermissionProfiles`.","title":"DocuSign.Api.AccountPermissionProfiles","ref":"DocuSign.Api.AccountPermissionProfiles.html"},{"type":"function","doc":"Deletes a permission profile from an account.\nThis method deletes a permission profile from an account.  To delete a permission profile, it must not have any users associated with it. When you use this method to delete a permission profile, you can reassign the users associated with it to a new permission profile at the same time by using the `move_users_to` query parameter.","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4"},{"type":"function","doc":"","title":"Related topics  - How to delete a permission profile - DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4-related-topics-how-to-delete-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `permission_profile_id` (String.t): The ID of the permission profile.  Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs.  You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.\n- `opts` (keyword): Optional parameters\n  - `:move_users_to` (String.t):","title":"Parameters - DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4-returns"},{"type":"function","doc":"Returns a permission profile for an account.\nThis method returns information about a specific permission profile that is associated with an account.","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4"},{"type":"function","doc":"","title":"Related topics  - How to set a permission profile - DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4-related-topics-how-to-set-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `permission_profile_id` (String.t): The ID of the permission profile.  Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs.  You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is `metadata`, which returns metadata indicating whether the properties associated with the account permission profile are editable.","title":"Parameters - DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PermissionProfile.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4-returns"},{"type":"function","doc":"Gets a list of permission profiles.\nThis method returns a list of permission profiles that are associated with an account.  Example:  ```json {   \"permissionProfiles\": [     {       \"permissionProfileId\": \"1665536\",       \"permissionProfileName\": \"Account Administrator\",       \"modifiedDateTime\": \"2018-03-26T03:54:40.4470000Z\",       \"modifiedByUsername\": \"\"     },     {       \"permissionProfileId\": \"1665537\",       \"permissionProfileName\": \"DocuSign Sender\",       \"modifiedDateTime\": \"2018-03-26T03:54:40.4470000Z\",       \"modifiedByUsername\": \"\"     },     {       \"permissionProfileId\": \"1665538\",       \"permissionProfileName\": \"DocuSign Viewer\",       \"modifiedDateTime\": \"2016-06-02T01:53:15.6830000Z\",       \"modifiedByUsername\": \"\"     },     {       \"permissionProfileId\": \"10325926\",       \"permissionProfileName\": \"DS Manage Company Member Accounts\",       \"modifiedDateTime\": \"2020-05-15T00:28:36.8230000Z\",       \"modifiedByUsername\": \"Nat Irving\"     }   ] } ```","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profiles/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list of additional properties to return in the response. Valid values are:  - `user_count`: The total number of users associated with the permission profile. - `closed_users`: Includes closed users in the `user_count`. - `account_management`: The account management settings. - `metadata`: Metadata indicating whether the properties associated with the account permission profile are editable.  Example: `user_count,closed_users`","title":"Parameters - DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profiles/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PermissionProfileInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profiles/3-returns"},{"type":"function","doc":"Creates a new permission profile for an account.\nThis method creates a new permission profile for an account.","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3"},{"type":"function","doc":"","title":"Related topics  - How to create a permission profile - DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3-related-topics-how-to-create-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is `metadata`, which returns metadata indicating whether the properties associated with the account permission profile are editable.\n  - `:body` (PermissionProfile):","title":"Parameters - DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PermissionProfile.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3-returns"},{"type":"function","doc":"Updates a permission profile.\nThis method updates an account permission profile.","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4"},{"type":"function","doc":"","title":"Related topics  - How to update individual permission settings - DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4-related-topics-how-to-update-individual-permission-settings"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `permission_profile_id` (String.t): The ID of the permission profile.  Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs.  You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is `metadata`, which returns metadata indicating whether the properties associated with the account permission profile are editable.\n  - `:body` (PermissionProfile):","title":"Parameters - DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PermissionProfile.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountSealProviders`.","title":"DocuSign.Api.AccountSealProviders","ref":"DocuSign.Api.AccountSealProviders.html"},{"type":"function","doc":"Returns available seals for specified account.","title":"DocuSign.Api.AccountSealProviders.account_signature_providers_get_seal_providers/3","ref":"DocuSign.Api.AccountSealProviders.html#account_signature_providers_get_seal_providers/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountSealProviders.account_signature_providers_get_seal_providers/3","ref":"DocuSign.Api.AccountSealProviders.html#account_signature_providers_get_seal_providers/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSealProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSealProviders.account_signature_providers_get_seal_providers/3","ref":"DocuSign.Api.AccountSealProviders.html#account_signature_providers_get_seal_providers/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountSignatureProviders`.","title":"DocuSign.Api.AccountSignatureProviders","ref":"DocuSign.Api.AccountSignatureProviders.html"},{"type":"function","doc":"Gets the available signature providers for an account.\nReturns a list of signature providers that the specified account can use.","title":"DocuSign.Api.AccountSignatureProviders.account_signature_providers_get_signature_providers/3","ref":"DocuSign.Api.AccountSignatureProviders.html#account_signature_providers_get_signature_providers/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountSignatureProviders.account_signature_providers_get_signature_providers/3","ref":"DocuSign.Api.AccountSignatureProviders.html#account_signature_providers_get_signature_providers/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignatureProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatureProviders.account_signature_providers_get_signature_providers/3","ref":"DocuSign.Api.AccountSignatureProviders.html#account_signature_providers_get_signature_providers/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountSignatures`.","title":"DocuSign.Api.AccountSignatures","ref":"DocuSign.Api.AccountSignatures.html"},{"type":"function","doc":"Deletes an account stamp.\nDeletes a stamp specified by `signatureId`.","title":"DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature/4-returns"},{"type":"function","doc":"Deletes the image for a stamp.\nDeletes the image for a stamp specified by `signatureId`.","title":"DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature_image/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature_image/5-returns"},{"type":"function","doc":"Returns information about the specified stamp.\nReturns information about the specified stamp.","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_get_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_get_account_signature/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature/4-returns"},{"type":"function","doc":"Returns the image for an account stamp.\nReturns the image for an account stamp.","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters\n  - `:include_chrome` (String.t): When **true,** the chrome (or frame containing the added line and identifier) is included with the signature image.","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_get_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature_image/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_get_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature_image/5-returns"},{"type":"function","doc":"Returns a list of stamps available in the account.\nReturns a list of stamps available in the account.","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signatures/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:stamp_format` (String.t): The format of the stamp to return. Valid values: - `NameDateHanko` - `NameHanko` - `PlaceholderHanko`\n  - `:stamp_name` (String.t): The name associated with the stamps to return. This value can be a Japanese surname (up to 5 characters) or a purchase order ID.\n  - `:stamp_type` (String.t): The type of the stamps to return. Valid values: - `name_stamp` - `stamp` - `signature`","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_get_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signatures/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_get_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signatures/3-returns"},{"type":"function","doc":"Adds or updates one or more account stamps.\nAdds or updates one or more account stamps.","title":"DocuSign.Api.AccountSignatures.account_signatures_post_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_post_account_signatures/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:decode_only` (String.t):\n  - `:body` (AccountSignaturesInformation):","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_post_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_post_account_signatures/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_post_account_signatures/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_post_account_signatures/3-returns"},{"type":"function","doc":"Updates an account stamp.\nAdds or updates one or more account stamps. This request may include images in multi-part format.","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (AccountSignaturesInformation):","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature/3","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature/3-returns"},{"type":"function","doc":"Updates an account stamp by ID.\nUpdates an account stamp specified by the `signatureId` query parameter.","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_by_id/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_by_id/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters\n  - `:close_existing_signature` (String.t): When **true,** closes the current signature.\n  - `:body` (AccountSignatureDefinition):","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_by_id/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_by_id/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_by_id/4","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_by_id/4-returns"},{"type":"function","doc":"Sets a signature image, initials, or stamp.\nSets a signature image, initials, or stamp.","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `opts` (keyword): Optional parameters\n  - `:transparent_png` (String.t):","title":"Parameters - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_image/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_image/5","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_image/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountTabSettings`.","title":"DocuSign.Api.AccountTabSettings","ref":"DocuSign.Api.AccountTabSettings.html"},{"type":"function","doc":"Returns tab settings list for specified account\nThis method returns information about the tab types and tab functionality that is currently enabled for an account.","title":"DocuSign.Api.AccountTabSettings.tab_settings_get_tab_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_get_tab_settings/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountTabSettings.tab_settings_get_tab_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_get_tab_settings/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabAccountSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountTabSettings.tab_settings_get_tab_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_get_tab_settings/3-returns"},{"type":"function","doc":"Modifies tab settings for specified account\nThis method modifies the tab types and tab functionality that is enabled for an account.","title":"DocuSign.Api.AccountTabSettings.tab_settings_put_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_put_settings/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (TabAccountSettings): Account-wide tab settings.","title":"Parameters - DocuSign.Api.AccountTabSettings.tab_settings_put_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_put_settings/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabAccountSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountTabSettings.tab_settings_put_settings/3","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_put_settings/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `AccountWatermarks`.","title":"DocuSign.Api.AccountWatermarks","ref":"DocuSign.Api.AccountWatermarks.html"},{"type":"function","doc":"Get watermark information.\nEnables you to preview a watermark specified by the request.","title":"DocuSign.Api.AccountWatermarks.watermark_get_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_get_watermark/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.AccountWatermarks.watermark_get_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_get_watermark/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Watermark.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountWatermarks.watermark_get_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_get_watermark/3-returns"},{"type":"function","doc":"Get watermark preview.\nUpdate the watermark for the account.  **Note:** Many of the request fields must be set to specific values. If you use an invalid value for one of these fields, the endpoint may return 200 OK but set the field to a default value. See the request body for more information.","title":"DocuSign.Api.AccountWatermarks.watermark_preview_put_watermark_preview/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_preview_put_watermark_preview/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (Watermark): When **true,** the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark.","title":"Parameters - DocuSign.Api.AccountWatermarks.watermark_preview_put_watermark_preview/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_preview_put_watermark_preview/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Watermark.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountWatermarks.watermark_preview_put_watermark_preview/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_preview_put_watermark_preview/3-returns"},{"type":"function","doc":"Update watermark information.\nReturns information about the watermark for the account.","title":"DocuSign.Api.AccountWatermarks.watermark_put_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_put_watermark/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (Watermark): When **true,** the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark.","title":"Parameters - DocuSign.Api.AccountWatermarks.watermark_put_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_put_watermark/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Watermark.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.AccountWatermarks.watermark_put_watermark/3","ref":"DocuSign.Api.AccountWatermarks.html#watermark_put_watermark/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Accounts`.","title":"DocuSign.Api.Accounts","ref":"DocuSign.Api.Accounts.html"},{"type":"function","doc":"Deletes the specified account.\nThis closes the specified account. You must be an account admin to close your account. Once closed, an account must be reopened by Docusign.","title":"DocuSign.Api.Accounts.accounts_delete_account/3","ref":"DocuSign.Api.Accounts.html#accounts_delete_account/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:redact_user_data` (String.t):","title":"Parameters - DocuSign.Api.Accounts.accounts_delete_account/3","ref":"DocuSign.Api.Accounts.html#accounts_delete_account/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.accounts_delete_account/3","ref":"DocuSign.Api.Accounts.html#accounts_delete_account/3-returns"},{"type":"function","doc":"Retrieves the account information for the specified account.\nRetrieves the account information for the specified account.","title":"DocuSign.Api.Accounts.accounts_get_account/3","ref":"DocuSign.Api.Accounts.html#accounts_get_account/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:include_account_settings` (String.t): When **true,** includes account settings in the response. The default value is **false.**","title":"Parameters - DocuSign.Api.Accounts.accounts_get_account/3","ref":"DocuSign.Api.Accounts.html#accounts_get_account/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.accounts_get_account/3","ref":"DocuSign.Api.Accounts.html#accounts_get_account/3-returns"},{"type":"function","doc":"Retrieves the account provisioning information for the account.\nRetrieves the account provisioning information for the account.","title":"DocuSign.Api.Accounts.accounts_get_provisioning/2","ref":"DocuSign.Api.Accounts.html#accounts_get_provisioning/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.accounts_get_provisioning/2","ref":"DocuSign.Api.Accounts.html#accounts_get_provisioning/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ProvisioningInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.accounts_get_provisioning/2","ref":"DocuSign.Api.Accounts.html#accounts_get_provisioning/2-returns"},{"type":"function","doc":"Creates new accounts.\nCreates new Docusign accounts. You can use this method to create a single account or up to 100 accounts at a time.  **Note:**  This method is restricted to partner integrations. You must work with Docusign Professional Services or Docusign Business Development, who will provide you with the Distributor Code and Distributor Password that you need to include in the request body.   When creating a single account, the body of the request is a [`newAccountRequest`][newAccountRequest] object.  Example:  ``` {   \"newAccountRequest\": [     {       \"accountName\":\"Test Account\",       \"distributorCode\":\"MY_DIST_CODE\",       \"distributorPassword\":\"MY_DIST_PWD\",       \"initialUser\":{         \"email\":\"user@emaildomain.com\",         \"firstName\":\"John\",         \"middleName\": \"Harry\",         \"lastName\":\"Doe\",         \"suffixName\": \"\",         \"userName\": \"John Doe\",         \"jobTitle\": \"Engineer\",         \"company\": \"Test Company\"       },       \"addressInformation\":{         \"address1\": \"1234 Main Street\",         \"address2\": \"Suite 100\",         \"city\": \"Seattle\",         \"state\": \"WA\",         \"postalCode\": \"98101\",         \"country\": \"US\",         \"phone\": \"1234567890\",         \"fax\": \"1234567891\"       },       \"planInformation\":{         \"planId\":\"37085696-xxxx-xxxx-xxxx-7ea067752959\"       },       \"referralInformation\":{         \"includedSeats\": \"1\",         \"referralCode\": \"code\",         \"referrerName\": \"name\"       }     }   ] }  ``` If the request succeeds, it returns a 201 (Created) HTTP response code. The response returns the new account ID, password, and the default user information for each newly created account.   When creating multiple accounts, the body of the request is a `newAccountRequests` object, which contains one or more [`newAccountDefinition`][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way.  The body for a multi-account creation request looks like this in JSON:  ``` {   \"newAccountRequests\": [     {       \"accountName\": \"accountone\",       . . .     },     {       \"accountName\": \"accounttwo\",       . . .     }   ] } ```  A multi-account request looks like this in XML:  ```                   . . .                   . . .             ```  A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the `errorDetails` property in the response contains specific information about the failure.    [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue [newAccountRequest]: #/definitions/newAccountRequest","title":"DocuSign.Api.Accounts.accounts_post_accounts/2","ref":"DocuSign.Api.Accounts.html#accounts_post_accounts/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (NewAccountDefinition):","title":"Parameters - DocuSign.Api.Accounts.accounts_post_accounts/2","ref":"DocuSign.Api.Accounts.html#accounts_post_accounts/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NewAccountSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.accounts_post_accounts/2","ref":"DocuSign.Api.Accounts.html#accounts_post_accounts/2-returns"},{"type":"function","doc":"Gets list of recurring and usage charges for the account.\nRetrieves the list of recurring and usage charges for the account. This can be used to determine the charge structure and usage of charge plan items.   Privileges required: account administrator","title":"DocuSign.Api.Accounts.billing_charges_get_account_billing_charges/3","ref":"DocuSign.Api.Accounts.html#billing_charges_get_account_billing_charges/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:include_charges` (String.t): Specifies which billing charges to return. Valid values are:  * envelopes * seats","title":"Parameters - DocuSign.Api.Accounts.billing_charges_get_account_billing_charges/3","ref":"DocuSign.Api.Accounts.html#billing_charges_get_account_billing_charges/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingChargeResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.billing_charges_get_account_billing_charges/3","ref":"DocuSign.Api.Accounts.html#billing_charges_get_account_billing_charges/3-returns"},{"type":"function","doc":"Deletes the signature for one or more captive recipient records.\nThis method deletes the signature for one or more captive recipient records. It is primarily used for testing. This functionality provides a way to reset the signature associated with a client user ID so that a new signature can be created the next time the client user ID is used.","title":"DocuSign.Api.Accounts.captive_recipients_delete_captive_recipients_part/4","ref":"DocuSign.Api.Accounts.html#captive_recipients_delete_captive_recipients_part/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_part` (String.t): Signature is the only supported value.\n- `opts` (keyword): Optional parameters\n  - `:body` (CaptiveRecipientInformation):","title":"Parameters - DocuSign.Api.Accounts.captive_recipients_delete_captive_recipients_part/4","ref":"DocuSign.Api.Accounts.html#captive_recipients_delete_captive_recipients_part/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CaptiveRecipientInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.captive_recipients_delete_captive_recipients_part/4","ref":"DocuSign.Api.Accounts.html#captive_recipients_delete_captive_recipients_part/4-returns"},{"type":"function","doc":"Gets the envelope purge configuration for an account.\nAn envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period (`retentionDays`). This method retrieves the current envelope purge configuration for your account.  **Note:** To use this method, you must be an account administrator.","title":"DocuSign.Api.Accounts.envelope_purge_configuration_get_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_get_envelope_purge_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.envelope_purge_configuration_get_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_get_envelope_purge_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopePurgeConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.envelope_purge_configuration_get_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_get_envelope_purge_configuration/3-returns"},{"type":"function","doc":"Sets the envelope purge configuration for an account.\nAn envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period (`retentionDays`). This method sets the envelope purge configuration for your account.  **Note:** To use this method, you must be an account administrator.  For more information, see [Purge Envelopes](https://support.docusign.com/s/document-item?bundleId=oeq1643226594604&topicId=edo1578456348066.html).","title":"DocuSign.Api.Accounts.envelope_purge_configuration_put_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_put_envelope_purge_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopePurgeConfiguration):","title":"Parameters - DocuSign.Api.Accounts.envelope_purge_configuration_put_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_put_envelope_purge_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopePurgeConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.envelope_purge_configuration_put_envelope_purge_configuration/3","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_put_envelope_purge_configuration/3-returns"},{"type":"function","doc":"Gets envelope notification defaults.\nThis method returns the default settings for the email notifications that signers and senders receive about envelopes.","title":"DocuSign.Api.Accounts.notification_defaults_get_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_get_notification_defaults/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.notification_defaults_get_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_get_notification_defaults/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotificationDefaults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.notification_defaults_get_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_get_notification_defaults/3-returns"},{"type":"function","doc":"Updates envelope notification default settings.\nThis method changes the default settings for the email notifications that signers and senders receive about envelopes.","title":"DocuSign.Api.Accounts.notification_defaults_put_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_put_notification_defaults/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (NotificationDefaults):","title":"Parameters - DocuSign.Api.Accounts.notification_defaults_put_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_put_notification_defaults/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotificationDefaults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.notification_defaults_put_notification_defaults/3","ref":"DocuSign.Api.Accounts.html#notification_defaults_put_notification_defaults/3-returns"},{"type":"function","doc":"Gets the recipient names associated with an email address.\nRetrieves a list of all of the names associated with the email address that you pass in. This list can include variants of a single recipient's name that are used for signing, as well as the names of multiple different recipients.","title":"DocuSign.Api.Accounts.recipient_names_get_recipient_names/3","ref":"DocuSign.Api.Accounts.html#recipient_names_get_recipient_names/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:email` (String.t): (Required) The email address for which you want to retrieve recipient names.","title":"Parameters - DocuSign.Api.Accounts.recipient_names_get_recipient_names/3","ref":"DocuSign.Api.Accounts.html#recipient_names_get_recipient_names/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.RecipientNamesResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.recipient_names_get_recipient_names/3","ref":"DocuSign.Api.Accounts.html#recipient_names_get_recipient_names/3-returns"},{"type":"function","doc":"Gets account settings information.\nRetrieves the account settings information for the specified account.","title":"DocuSign.Api.Accounts.settings_get_settings/3","ref":"DocuSign.Api.Accounts.html#settings_get_settings/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.settings_get_settings/3","ref":"DocuSign.Api.Accounts.html#settings_get_settings/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.settings_get_settings/3","ref":"DocuSign.Api.Accounts.html#settings_get_settings/3-returns"},{"type":"function","doc":"Updates the account settings for an account.\nUpdates the account settings for the specified account.  Although the request body for this method is a complete `accountSettingsInformation` object, you only need to provide the properties that you are updating.","title":"DocuSign.Api.Accounts.settings_put_settings/3","ref":"DocuSign.Api.Accounts.html#settings_put_settings/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (AccountSettingsInformation):","title":"Parameters - DocuSign.Api.Accounts.settings_put_settings/3","ref":"DocuSign.Api.Accounts.html#settings_put_settings/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.settings_put_settings/3","ref":"DocuSign.Api.Accounts.html#settings_put_settings/3-returns"},{"type":"function","doc":"Reserved: Gets the shared item status for one or more users.\nRetrieves shared item status for one or more users and types of items.  Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves, and the returned information is limited to retrieving the status of the members of the account that are sharing their folders to the user. This is equivalent to setting the `shared` parameter to `shared_from`.  **Note:** This endpoint returns the shared status for the legacy Shared Envelopes feature. To use the new Shared Access feature, use the [Authorizations resource](/docs/esign-rest-api/reference/accounts/authorizations/).","title":"DocuSign.Api.Accounts.shared_access_get_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3"},{"type":"function","doc":"","title":"Related topics  - How to share access to a Docusign envelope inbox - DocuSign.Api.Accounts.shared_access_get_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3-related-topics-how-to-share-access-to-a-docusign-envelope-inbox"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Default: `1000`\n  - `:envelopes_not_shared_user_status` (String.t): This query parameter works in conjunction with `user_ids`. When you specify one of the following user statuses, the query limits the results to only users that match the specified status: - `ActivationRequired`: Membership Activation required - `ActivationSent`: Membership activation sent to user - `Active`: User Membership is active - `Closed`: User Membership is closed - `Disabled`: User Membership is disabled\n  - `:folder_ids` (String.t): A comma-separated list of folder IDs for which to return shared item information. If `item_type` is set to `folders`, at least one folder ID is required.\n  - `:item_type` (String.t): Specifies the type of shared item being requested. Valid values:  - `envelopes`: Get information about envelope sharing between users. - `templates`: Get information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.\n  - `:search_text` (String.t): Filter user names based on the specified string. The wild-card '*' (asterisk) can be used in the string.\n  - `:shared` (String.t): A comma-separated list of sharing filters that specifies which users appear in the response.   - `not_shared`: The response lists users who do not share items of `item_type` with the current user.  - `shared_to`: The response lists users in `user_list` who are sharing items to current user.  - `shared_from`: The response lists users in `user_list` who are sharing items from the current user.  - `shared_to_and_from`: The response lists users in `user_list` who are sharing items to and from the current user.  If the current user does not have administrative privileges, only the `shared_to` option is valid.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:user_ids` (String.t): A comma-separated list of user IDs for whom the shared item information is being requested.","title":"Parameters - DocuSign.Api.Accounts.shared_access_get_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSharedAccess.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.shared_access_get_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3-returns"},{"type":"function","doc":"Reserved: Sets the shared access information for users.\nThis sets the shared access status for one or more users or templates.  When setting user shared access, only users with account administration privileges can set shared access status for envelopes.  When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates.  Changes to the shared items status are not additive. The change always replaces the current status.  To change template shared access, add the query parameter `item_type` = `templates` to the request. When this is set, the user and envelopes properties are not required.  **Note:** This functionality is a newer version of the [Update Group Share](/docs/esign-rest-api/reference/templates/templates/updategroupshare/) functionality.","title":"DocuSign.Api.Accounts.shared_access_put_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3"},{"type":"function","doc":"","title":"Related topics  - How to share access to a Docusign envelope inbox - DocuSign.Api.Accounts.shared_access_put_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3-related-topics-how-to-share-access-to-a-docusign-envelope-inbox"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:item_type` (String.t): Specifies the type of shared item being set: - `envelopes`: Set envelope sharing between users. - `templates`: Set information about template sharing among users and groups. - `folders`: Get information about folder sharing among users and groups.\n  - `:preserve_existing_shared_access` (String.t): When **true,** preserve the existing shared access settings.\n  - `:user_ids` (String.t): A comma-separated list of IDs for users whose shared item access is being set.\n  - `:body` (AccountSharedAccess):","title":"Parameters - DocuSign.Api.Accounts.shared_access_put_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountSharedAccess.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.shared_access_put_shared_access/3","ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3-returns"},{"type":"function","doc":"Gets the supported languages for envelope recipients.\nRetrieves a list of supported languages that you can set for an individual recipient when creating an envelope, as well as their simple type enumeration values. These are the languages that you can set for the standard email format and signing view for each recipient.  For example, in the recipient's email notification, this setting affects elements such as the standard introductory text describing the request to sign. It also determines the language used for buttons and tabs in both the email notification and the signing experience.  **Note:** Setting a language for a recipient affects only the Docusign standard text. Any custom text that you enter for the `emailBody` and `emailSubject` of the notification is not translated, and appears exactly as you enter it.  For more information, see [Set Recipient Language and Specify Custom Email Messages](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=wxf1578456494201.html).","title":"DocuSign.Api.Accounts.supported_languages_get_supported_languages/3","ref":"DocuSign.Api.Accounts.html#supported_languages_get_supported_languages/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.supported_languages_get_supported_languages/3","ref":"DocuSign.Api.Accounts.html#supported_languages_get_supported_languages/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SupportedLanguages.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.supported_languages_get_supported_languages/3","ref":"DocuSign.Api.Accounts.html#supported_languages_get_supported_languages/3-returns"},{"type":"function","doc":"Gets a list of unsupported file types.\nRetrieves a list of file types (mime-types and file-extensions) that are not supported for upload through the Docusign system.","title":"DocuSign.Api.Accounts.unsupported_file_types_get_unsupported_file_types/3","ref":"DocuSign.Api.Accounts.html#unsupported_file_types_get_unsupported_file_types/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Accounts.unsupported_file_types_get_unsupported_file_types/3","ref":"DocuSign.Api.Accounts.html#unsupported_file_types_get_unsupported_file_types/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FileTypeList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Accounts.unsupported_file_types_get_unsupported_file_types/3","ref":"DocuSign.Api.Accounts.html#unsupported_file_types_get_unsupported_file_types/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Authorizations`.","title":"DocuSign.Api.Authorizations","ref":"DocuSign.Api.Authorizations.html"},{"type":"function","doc":"Returns the authorizations for which the specified user is the agent user.\nReturns the user authorizations for which the user specified by `userId` is the agent user.  If the calling user is an account administrator, the full results will be returned. Otherwise, only authorizations for which the calling user is the principal user will be returned.","title":"DocuSign.Api.Authorizations.user_agent_authorizations_get_agent_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_agent_authorizations_get_agent_user_authorizations/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The user who is acting as the agent.\n- `opts` (keyword): Optional parameters\n  - `:active_only` (String.t): When **true,** only active users are returned. The default value is **false.**\n  - `:count` (String.t): The maximum number of results to return.\n  - `:email_substring` (String.t): Filters returned user records by full email address or a substring of email address.\n  - `:include_closed_users` (String.t): When **true,** returns active and scheduled authorizations of closed users. The default value is **true.** This value is only applied when `active_only` is **false.**\n  - `:permissions` (String.t):\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.\n  - `:user_name_substring` (String.t): Filters results based on a full or partial user name.  **Note:** When you enter a partial user name, you do not use a wildcard character.","title":"Parameters - DocuSign.Api.Authorizations.user_agent_authorizations_get_agent_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_agent_authorizations_get_agent_user_authorizations/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorizations.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_agent_authorizations_get_agent_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_agent_authorizations_get_agent_user_authorizations/4-returns"},{"type":"function","doc":"Creates a user authorization.\nCreates an authorization allowing one user to send and/or manage envelopes on behalf of another user.  The _agent_ user acts on behalf of the _principal_ user. The principal user is specified by the `userId` path parameter. The agent user is specified in the request body. Each principal user can only share signing permission with one agent user.  Specify in the request the level of access to share with the agent user. If you share signing access, the agent user will receive an email notification.  To call this endpoint: * You must be an account administrator or you must be the principal user. * The agent user and principal user must belong to the same account. * At least one of the following account settings must be enabled: `AllowDelegatedSigning`, `AllowManagingEnvelopesOnBehalfOfOthers`, `AllowEditingEnvelopesOnBehalfOfOthers`, `AllowSendingEnvelopesOnBehalfOfOthers`. These settings correspond to the level of access you can set for the authorization.","title":"DocuSign.Api.Authorizations.user_authorization_create_user_authorization/4","ref":"DocuSign.Api.Authorizations.html#user_authorization_create_user_authorization/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserAuthorizationCreateRequest):","title":"Parameters - DocuSign.Api.Authorizations.user_authorization_create_user_authorization/4","ref":"DocuSign.Api.Authorizations.html#user_authorization_create_user_authorization/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorization.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorization_create_user_authorization/4","ref":"DocuSign.Api.Authorizations.html#user_authorization_create_user_authorization/4-returns"},{"type":"function","doc":"Deletes the user authorization.\nDeletes the user authorization specified by the `authorizationId`.  To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.","title":"DocuSign.Api.Authorizations.user_authorization_delete_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_delete_user_authorization/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `authorization_id` (String.t): The ID of the user authorization.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Authorizations.user_authorization_delete_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_delete_user_authorization/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorization_delete_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_delete_user_authorization/5-returns"},{"type":"function","doc":"Returns the user authorization for a given authorization ID.\nReturns the details for the user authorization specified by the `authorizationId`.  To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.","title":"DocuSign.Api.Authorizations.user_authorization_get_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_get_user_authorization/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `authorization_id` (String.t): The ID of the user authorization.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Authorizations.user_authorization_get_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_get_user_authorization/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorization.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorization_get_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_get_user_authorization/5-returns"},{"type":"function","doc":"Updates the start or end date for a user authorization.\nUpdates the start and/or end date for a given user authorization. Specify the user authorization and principal user with the path parameters.  To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.","title":"DocuSign.Api.Authorizations.user_authorization_update_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_update_user_authorization/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `authorization_id` (String.t): The ID of the user authorization.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserAuthorizationUpdateRequest):","title":"Parameters - DocuSign.Api.Authorizations.user_authorization_update_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_update_user_authorization/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorization.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorization_update_user_authorization/5","ref":"DocuSign.Api.Authorizations.html#user_authorization_update_user_authorization/5-returns"},{"type":"function","doc":"Delete multiple user authorizations.\nDelete one or more user authorizations for a given principal user. The principal user is specified by the `userId` path parameter.  To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorizations.","title":"DocuSign.Api.Authorizations.user_authorizations_delete_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_delete_user_authorizations/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserAuthorizationsDeleteRequest):","title":"Parameters - DocuSign.Api.Authorizations.user_authorizations_delete_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_delete_user_authorizations/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorizationsDeleteResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorizations_delete_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_delete_user_authorizations/4-returns"},{"type":"function","doc":"Returns the authorizations for which the specified user is the principal user.\nReturns the user authorizations for which the user specified by `userId` is the principal user.  To call this endpoint, you must be an account administrator or you must be the specified principal user.","title":"DocuSign.Api.Authorizations.user_authorizations_get_principal_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_get_principal_user_authorizations/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters\n  - `:active_only` (String.t): When **true,** return only active authorizations. The default value is **true.**\n  - `:count` (String.t): The maximum number of results to return.\n  - `:email_substring` (String.t): Filters returned user records by full email address or a substring of email address.\n  - `:include_closed_users` (String.t): When **true,** returns active and scheduled authorizations of closed users. The default value is **true.** This value is only applied when `active_only` is **false.**\n  - `:permissions` (String.t): Filters results by authorization permission. Valid values: * `Send` * `Manage` * `Sign`\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.\n  - `:user_name_substring` (String.t): Filters results based on a full or partial user name.  **Note:** When you enter a partial user name, you do not use a wildcard character.","title":"Parameters - DocuSign.Api.Authorizations.user_authorizations_get_principal_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_get_principal_user_authorizations/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorizations.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorizations_get_principal_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_get_principal_user_authorizations/4-returns"},{"type":"function","doc":"Create or update multiple user authorizations.\nCreate or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the `agentUser` and `permission` fields, with the optional `startDate` and `endDate` fields. To update an existing authorization, specify the `authorizationId` field and the `startDate` and/or `endDate` fields.  For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this:  ``` {   \"authorizations\": [     {       \"agentUser\": {         \"userId\": \"1470ff66-xxxx-xxxx-xxxx-8c46f140da37\",         \"accountId\": \"230546a7-xxxx-xxxx-xxxx-af205d5494ad\"       },       \"permission\": \"manage\"     },     {       \"authorizationId\": \"b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3\",       \"endDate\": \"2023-05-09T21:36:27.0000000+00:00\"     }   ] } ```  The principal user is specified by the `userId` path parameter. To call this endpoint, you must be an account administrator or the principal user.  **Note:** To create an authorization with signing permission, the `AllowDelegationSigning` setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.","title":"DocuSign.Api.Authorizations.user_authorizations_post_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_post_user_authorizations/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the principal user.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserAuthorizationsRequest):","title":"Parameters - DocuSign.Api.Authorizations.user_authorizations_post_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_post_user_authorizations/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserAuthorizationsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Authorizations.user_authorizations_post_user_authorizations/4","ref":"DocuSign.Api.Authorizations.html#user_authorizations_post_user_authorizations/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `BCCEmailArchive`.","title":"DocuSign.Api.BCCEmailArchive","ref":"DocuSign.Api.BCCEmailArchive.html"},{"type":"function","doc":"Deletes a BCC email archive configuration.\nThis method deletes a BCC email archive configuration from an account.  When you use this method, the status of the BCC email archive configuration switches to `closed` and the BCC email address is no longer used to archive Docusign-generated email messages.","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_delete_bcc_email_archive/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_delete_bcc_email_archive/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bcc_email_archive_id` (String.t): The ID of the BCC email archive configuration.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_delete_bcc_email_archive/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_delete_bcc_email_archive/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_delete_bcc_email_archive/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_delete_bcc_email_archive/4-returns"},{"type":"function","doc":"Gets a BCC email archive configuration and its history.\nThis method returns a specific BCC email archive configuration for an account, as well as the history of changes to the email address.","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_history_list/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_history_list/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bcc_email_archive_id` (String.t): The ID of the BCC email archive configuration.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of items to skip.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_history_list/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_history_list/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BccEmailArchiveHistoryList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_history_list/4","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_history_list/4-returns"},{"type":"function","doc":"Gets the BCC email archive configurations for an account.\nThis method retrieves all of the BCC email archive configurations associated with an account.","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_list/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_list/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_list/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_list/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BccEmailArchiveList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_list/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_list/3-returns"},{"type":"function","doc":"Creates a BCC email archive configuration.\nThis method creates a BCC email archive configuration for an account (adds a BCC email address to the account for archiving the emails that Docusign generates).  The only property that you must set in the request body is the BCC email address that you want to use.  **Note:** An account can have up to five active and pending email archive addresses combined, but you must use this method to add them to the account one at a time. Each email address is considered a separate BCC email archive configuration.","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_post_bcc_email_archive/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_post_bcc_email_archive/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (BccEmailArchive): Boolean that specifies whether BCC for Email Archive is enabled for the account. BCC for Email Archive allows you to set up an archive email address so that a BCC copy of an envelope is sent only to that address.","title":"Parameters - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_post_bcc_email_archive/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_post_bcc_email_archive/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BccEmailArchive.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BCCEmailArchive.b_cc_email_archive_post_bcc_email_archive/3","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_post_bcc_email_archive/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `BillingPlans`.","title":"DocuSign.Api.BillingPlans","ref":"DocuSign.Api.BillingPlans.html"},{"type":"function","doc":"Get Account Billing Plan\nRetrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card.  By default the successor plan and credit card information is included in the response. You can exclude this information from the response by adding the appropriate optional query string and setting it to **false.**  Response  The response returns the billing plan information, including the currency code, for the plan. The `billingPlan` and `succesorPlans` property values are the same as those shown in the [Billing: getBillingPlan](/docs/esign-rest-api/reference/billing/billingplans/get/) reference. the `billingAddress` and `creditCardInformation` property values are the same as those shown in the [Billing: updatePlan](/docs/esign-rest-api/reference/billing/billingplans/update/) reference.  **Note:** When credit card number information displays, a mask is applied to the response so that only the last 4 digits of the card number are visible.","title":"DocuSign.Api.BillingPlans.billing_plan_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_billing_plan/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:include_credit_card_information` (String.t): When **true,** payment information including credit card information will show in the return.\n  - `:include_downgrade_information` (String.t):\n  - `:include_metadata` (String.t): When **true,** the `canUpgrade` and `renewalStatus` properties are included the response and an array of `supportedCountries` is added to the `billingAddress` information.\n  - `:include_successor_plans` (String.t): When **true,** excludes successor information from the response.\n  - `:include_tax_exempt_id` (String.t):","title":"Parameters - DocuSign.Api.BillingPlans.billing_plan_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_billing_plan/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountBillingPlanResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plan_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_billing_plan/3-returns"},{"type":"function","doc":"Get credit card information\nThis method returns information about a credit card associated with an account.","title":"DocuSign.Api.BillingPlans.billing_plan_get_credit_card_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_credit_card_info/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BillingPlans.billing_plan_get_credit_card_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_credit_card_info/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CreditCardInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plan_get_credit_card_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_credit_card_info/3-returns"},{"type":"function","doc":"Returns downgrade plan information for the specified account.","title":"DocuSign.Api.BillingPlans.billing_plan_get_downgrade_request_billing_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_downgrade_request_billing_info/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BillingPlans.billing_plan_get_downgrade_request_billing_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_downgrade_request_billing_info/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DowngradRequestBillingInfoResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plan_get_downgrade_request_billing_info/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_downgrade_request_billing_info/3-returns"},{"type":"function","doc":"Updates an account billing plan.\nUpdates the billing plan information, billing address, and credit card information for the specified account.","title":"DocuSign.Api.BillingPlans.billing_plan_put_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_billing_plan/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:preview_billing_plan` (String.t): When **true,** updates the account using a preview billing plan.\n  - `:body` (BillingPlanInformation):","title":"Parameters - DocuSign.Api.BillingPlans.billing_plan_put_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_billing_plan/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPlanUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plan_put_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_billing_plan/3-returns"},{"type":"function","doc":"Queues downgrade billing plan request for an account.","title":"DocuSign.Api.BillingPlans.billing_plan_put_downgrade_account_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_downgrade_account_billing_plan/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (DowngradeBillingPlanInformation):","title":"Parameters - DocuSign.Api.BillingPlans.billing_plan_put_downgrade_account_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_downgrade_account_billing_plan/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DowngradePlanUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plan_put_downgrade_account_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_downgrade_account_billing_plan/3-returns"},{"type":"function","doc":"Gets billing plan details.\nRetrieves the billing plan details for the specified billing plan ID.","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plan/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `billing_plan_id` (String.t): The ID of the billing plan being accessed.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BillingPlans.billing_plans_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plan/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPlanResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plans_get_billing_plan/3","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plan/3-returns"},{"type":"function","doc":"Gets a list of available billing plans.\nRetrieves a list of the billing plans associated with a distributor.","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plans/2","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plans/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BillingPlans.billing_plans_get_billing_plans/2","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plans/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPlansResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.billing_plans_get_billing_plans/2","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plans/2-returns"},{"type":"function","doc":"Reserved: Purchase additional envelopes.\nReserved: At this time, this endpoint is limited to Docusign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.","title":"DocuSign.Api.BillingPlans.purchased_envelopes_put_purchased_envelopes/3","ref":"DocuSign.Api.BillingPlans.html#purchased_envelopes_put_purchased_envelopes/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (PurchasedEnvelopesInformation):","title":"Parameters - DocuSign.Api.BillingPlans.purchased_envelopes_put_purchased_envelopes/3","ref":"DocuSign.Api.BillingPlans.html#purchased_envelopes_put_purchased_envelopes/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BillingPlans.purchased_envelopes_put_purchased_envelopes/3","ref":"DocuSign.Api.BillingPlans.html#purchased_envelopes_put_purchased_envelopes/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `BulkSend`.","title":"DocuSign.Api.BulkSend","ref":"DocuSign.Api.BulkSend.html"},{"type":"function","doc":"Gets the status of a specific bulk send batch.\nGets the general status of a specific bulk send batch such as:  - number of successes - number pending - number of errors  The `bulkErrors` property of the response object contains more information about the errors.","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batch_status/4"},{"type":"function","doc":"","title":"Related topics  - How to bulk send envelopes - DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batch_status/4-related-topics-how-to-bulk-send-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_batch_id` (String.t): The batch ID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batch_status/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendBatchStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batch_status/4-returns"},{"type":"function","doc":"Returns a list of bulk send batch summaries.\nReturns a summary of bulk send batches.  Use the `batch_ids` query parameter to narrow the list of batches.  You must specify exactly one of the following query parameters to get back a list of batch summaries:  | Parameter         | Description                                                                      | | :---------------- | :------------------------------------------------------------------------------- | | `from_date`       | A valid UTC DateTime:  `2016-01-01`                                              | | `batch_ids`    | A comma-separated list of batch IDs to query. |  If neither query parameter is provided, a high-level, account-wide, overall bulk send status report is returned.","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batches/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batches/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:batch_ids` (String.t): A comma-separated list of batch IDs to query.\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `100`  Default: `100`\n  - `:from_date` (String.t): The start date for a date range in UTC DateTime format.\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): The kind of results to collect. Must be one of:  - all - failed - sent - queued\n  - `:to_date` (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.  **Note:** If this property is null, the value defaults to the current date.\n  - `:user_id` (String.t):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batches/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batches/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendBatchSummaries.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batches/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batches/3-returns"},{"type":"function","doc":"Applies a bulk action to all envelopes from a specified bulk send.\nUse this endpoint to resend, correct, or void all envelopes from a specified bulk send.","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_action/5","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_action/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_action` (String.t): The action to apply. Valid values: * `resend` * `correct` * `void`\n- `bulk_send_batch_id` (String.t): The batch ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendBatchActionRequest):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_action/5","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_action/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendBatchStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_action/5","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_action/5-returns"},{"type":"function","doc":"Updates the name of a bulk send batch.\nUpdates the name of a bulk send batch.","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_status/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_batch_id` (String.t): The batch ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendBatchRequest):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_status/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendBatchStatus.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_status/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_status/4-returns"},{"type":"function","doc":"Deletes a bulk send list.\nThis method deletes a bulk send list.","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_delete_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_delete_bulk_send_list/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_list_id` (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_crud_delete_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_delete_bulk_send_list/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendingListSummaries.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_crud_delete_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_delete_bulk_send_list/4-returns"},{"type":"function","doc":"Gets a specific bulk send list.\nThis method returns all of the details associated with a specific bulk send list that belongs to the current user.","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_list/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_list_id` (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_list/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendingList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_list/4-returns"},{"type":"function","doc":"Gets bulk send lists.\nThis method returns a list of bulk send lists belonging to the current user, as well as basic information about each list.","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_lists/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_lists/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_lists/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_lists/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendingListSummaries.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_lists/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_lists/3-returns"},{"type":"function","doc":"Creates a bulk send list.\nThis method creates a bulk send list that you can use to send an envelope to up to 1,000 recipients at once.","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_post_bulk_send_list/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_post_bulk_send_list/3"},{"type":"function","doc":"","title":"Related topics  - How to bulk send envelopes  ### Errors  | Error code                                              | Description                                                                                                                                                                                                                                                                              | | :------------------------------------------------------ | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | BULK_SEND_MAX_COPIES_EXCEEDED                           | A bulk sending list cannot specify more than XXX copies in the mailing list. Call the settings API endpoint to find the maximum number of copies in a batch allowed for your account. In almost all cases, the default limit is 1000.                                                    | | BULK_SEND_RECIPIENT_IDS_MUST_BE_UNIQUE                  | No two recipientIds can be same within a bulkCopy. Same restriction as a regular envelope applies. Specify unique recipient IDs for each recipient within a bulkCopy (model for envelope in mailing list).                                                                               | | BULK_SEND_RECIPIENT_ID_REQUIRED                         | If no RoleName is present, recipientID is required in mailing list's bulkCopy. Add a roleName (that coalesces with template/envelope) or a recipientID.                                                                                                                                  | | BULK_SEND_RECIPIENT_NAME_REQUIRED                       | Recipient {0} has no name. Specify a name for the recipient.                                                                                                                                                                                                                             | | BULK_SEND_EMAIL_ADDRESS_REQUIRED_FOR_EMAIL_RECIPIENT    | Recipient {0} is an email recipient with no email address. Specify an email for the email recipient.                                                                                                                                                                                     | | BULK_SEND_FAX_NUMBER_REQUIRED_FOR_FAX_RECIPIENT         | Recipient {0} is a fax recipient with no fax number. Specify a fax number for the fax recipient.                                                                                                                                                                                         | | BULK_SEND_FAX_NUMBER_NOT_VALID                          | Recipient {0} specifies fax number {1}, which is not valid. Specify a valid fax number for the fax recipient.                                                                                                                                                                            | | BULK_SEND_EMAIL_ADDRESS_NOT_VALID                       | Recipient {0} specifies email address {1}, which is not a valid email address.  Specify a valid email address for the recipient.                                                                                                                                                         | | BULK_SEND_PHONE_NUMBER_REQURED_FOR_SMS_AUTH             | Recipient {0} specifies SMS auth, but no number was provided. Specify a phone number for the SMS auth recipient.                                                                                                                                                                         | | BULK_SEND_PHONE_NUMBER_INVALID_FOR_SMS_AUTH             | Recipient {0} specifies phone number {1} for SMS auth, which is not valid. Specify a valid phone number for the SMS auth recipient.                                                                                                                                                      | | BULK_SEND_ROLE_NAMES_MUST_BE_UNIQUE                     | Recipient role names cannot be duplicated; role {duplicateRecipientRole} appears multiple times. Use unique roleNames for recipients.                                                                                                                                                    | | BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_ON_SAME_RECIPIENT | Recipients cannot have both ID and Role; {0} has both. Specify a roleName or recipientId, but not both for the same recipient.                                                                                                                                                           | | BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_IN_SAME_LIST      | Cannot use both recipient role and ID in the same list. Specify a roleName or recipientId, but not both in the same list.                                                                                                                                                                | | BULK_SEND_INVALID_ID_CHECK_CONFIGURATION                | Recipient {0} specified SMS authentication, but no SMS auth settings were provided. Provide an SMS auth setting (proper ID configuration) if SMS auth is specified.                                                                                                                      | | BULK_SEND_INVALID_SBS_INPUT_CONFIGURATION               | Recipient {0} has more than one signature provider specified. Or signingProviderName is not specified. Or Signature provider : {0} is either unknown or not an available pen for this account. One or more SBS configuration is missing or invalid. The error details provide specifics. | | BULK_SEND_TAB_LABELS_MUST_BE_UNIQUE                     | Tab label {0} is duplicated. Needs to be unique. Use a unique tab label.                                                                                                                                                                                                                 | | BULK_SEND_TAB_LABEL_REQUIRED                            | Tab label is required. Specify a tab label.                                                                                                                                                                                                                                              | | BULK_SEND_TAB_VALUE_REQUIRED                            | Tab Label value is required. Specify a value for the tab label.                                                                                                                                                                                                                          | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_MUST_BE_UNIQUE     | Custom fields must have distinct names. The field {0} appears more than once in a copy. Use unique names for custom fields.                                                                                                                                                              | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_REQUIRED           | All custom fields must have names. Specify a name for the custom field.                                                                                                                                                                                                                  | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_VALUE_REQUIRED          | Custom field {0} has no value. A custom field can have an empty value, but it cannot have a null value. Specify a value for the custom field.                                                                                                                                            | - DocuSign.Api.BulkSend.bulk_send_v2_crud_post_bulk_send_list/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_post_bulk_send_list/3-related-topics-how-to-bulk-send-envelopes-errors-error-code-description-bulk_send_max_copies_exceeded-a-bulk-sending-list-cannot-specify-more-than-xxx-copies-in-the-mailing-list-call-the-settings-api-endpoint-to-find-the-maximum-number-of-copies-in-a-batch-allowed-for-your-account-in-almost-all-cases-the-default-limit-is-1000-bulk_send_recipient_ids_must_be_unique-no-two-recipientids-can-be-same-within-a-bulkcopy-same-restriction-as-a-regular-envelope-applies-specify-unique-recipient-ids-for-each-recipient-within-a-bulkcopy-model-for-envelope-in-mailing-list-bulk_send_recipient_id_required-if-no-rolename-is-present-recipientid-is-required-in-mailing-list-s-bulkcopy-add-a-rolename-that-coalesces-with-template-envelope-or-a-recipientid-bulk_send_recipient_name_required-recipient-0-has-no-name-specify-a-name-for-the-recipient-bulk_send_email_address_required_for_email_recipient-recipient-0-is-an-email-recipient-with-no-email-address-specify-an-email-for-the-email-recipient-bulk_send_fax_number_required_for_fax_recipient-recipient-0-is-a-fax-recipient-with-no-fax-number-specify-a-fax-number-for-the-fax-recipient-bulk_send_fax_number_not_valid-recipient-0-specifies-fax-number-1-which-is-not-valid-specify-a-valid-fax-number-for-the-fax-recipient-bulk_send_email_address_not_valid-recipient-0-specifies-email-address-1-which-is-not-a-valid-email-address-specify-a-valid-email-address-for-the-recipient-bulk_send_phone_number_requred_for_sms_auth-recipient-0-specifies-sms-auth-but-no-number-was-provided-specify-a-phone-number-for-the-sms-auth-recipient-bulk_send_phone_number_invalid_for_sms_auth-recipient-0-specifies-phone-number-1-for-sms-auth-which-is-not-valid-specify-a-valid-phone-number-for-the-sms-auth-recipient-bulk_send_role_names_must_be_unique-recipient-role-names-cannot-be-duplicated-role-duplicaterecipientrole-appears-multiple-times-use-unique-rolenames-for-recipients-bulk_send_cannot_use_both_role_and_id_on_same_recipient-recipients-cannot-have-both-id-and-role-0-has-both-specify-a-rolename-or-recipientid-but-not-both-for-the-same-recipient-bulk_send_cannot_use_both_role_and_id_in_same_list-cannot-use-both-recipient-role-and-id-in-the-same-list-specify-a-rolename-or-recipientid-but-not-both-in-the-same-list-bulk_send_invalid_id_check_configuration-recipient-0-specified-sms-authentication-but-no-sms-auth-settings-were-provided-provide-an-sms-auth-setting-proper-id-configuration-if-sms-auth-is-specified-bulk_send_invalid_sbs_input_configuration-recipient-0-has-more-than-one-signature-provider-specified-or-signingprovidername-is-not-specified-or-signature-provider-0-is-either-unknown-or-not-an-available-pen-for-this-account-one-or-more-sbs-configuration-is-missing-or-invalid-the-error-details-provide-specifics-bulk_send_tab_labels_must_be_unique-tab-label-0-is-duplicated-needs-to-be-unique-use-a-unique-tab-label-bulk_send_tab_label_required-tab-label-is-required-specify-a-tab-label-bulk_send_tab_value_required-tab-label-value-is-required-specify-a-value-for-the-tab-label-bulk_send_envelope_custom_field_name_must_be_unique-custom-fields-must-have-distinct-names-the-field-0-appears-more-than-once-in-a-copy-use-unique-names-for-custom-fields-bulk_send_envelope_custom_field_name_required-all-custom-fields-must-have-names-specify-a-name-for-the-custom-field-bulk_send_envelope_custom_field_value_required-custom-field-0-has-no-value-a-custom-field-can-have-an-empty-value-but-it-cannot-have-a-null-value-specify-a-value-for-the-custom-field"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The ID of the account.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendingList):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_crud_post_bulk_send_list/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_post_bulk_send_list/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendingList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_crud_post_bulk_send_list/3","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_post_bulk_send_list/3-returns"},{"type":"function","doc":"Updates a bulk send list.\nThis method replaces the definition of an existing bulk send list.","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_put_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_put_bulk_send_list/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_list_id` (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendingList):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_crud_put_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_put_bulk_send_list/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendingList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_crud_put_bulk_send_list/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_put_bulk_send_list/4-returns"},{"type":"function","doc":"Gets envelopes from a specific bulk send batch.\nThis method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.","title":"DocuSign.Api.BulkSend.bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_batch_id` (String.t): The batch ID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `1000`\n  - `:include` (String.t): When `recipients`, only envelopes with recipient nodes will be included in the response.\n  - `:order` (String.t): The order in which to sort the results. Valid values are:  - Descending order: `desc` (default) - Ascending order: `asc`\n  - `:order_by` (String.t): The envelope attribute used to sort the results. Valid values are:  - `created` (default) - `completed` - `last_modified` - `sent` - `status` - `subject` - `status_changed`\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): Comma-separated list of envelope statuses.  Note that `any` should not be included with other statuses. In other words, `any` is a valid parameter value, but `any,sent` is not.  Use the value `deliveryfailure` to get all envelopes with `AuthFailed` and `AutoResponded` status. This value is specific to bulk sending.","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4-returns"},{"type":"function","doc":"Creates a bulk send request.\nThis method initiates the bulk send process. It generates a bulk send request based on an [existing bulk send list][create_list] and an envelope or template.  Consider using the [BulkSend::createBulkSendTestRequest][create_test] method to test your bulk send list for compatibility with the envelope or template that you want to send first. To learn about the complete bulk send flow, see the [Bulk Send overview][BulkSendOverview].  If the envelopes were successfully queued for asynchronous processing, the response contains a `batchId` that you can use to get the status of the batch. If a failure occurs, the API returns an error message.  **Note:** Partial success or failure generally does not occur. Only the entire batch is queued for asynchronous processing.","title":"DocuSign.Api.BulkSend.bulk_send_v2_send_post_bulk_send_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_send_post_bulk_send_request/4"},{"type":"function","doc":"","title":"Related topics  - How to bulk send envelopes   ### Errors  This method returns the following errors:  | Error code                                                 | Description                                                                                                                                                                                                                                                                                            | | :--------------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | BULK_SEND_ENVELOPE_NOT_IN_SENDABLE_STATE                   | Envelope {0} is not in a sendable state. The envelope is not complete. Make sure it has a sendable status, such as created.                                                                                                                                                                          | | BULK_SEND_ENVELOPE_LIST_CONTAINS_NO_COPIES                 | Cannot send an envelope with a bulk sending list which contains no copies.  The list you're trying to bulk send is empty. Make sure the bulk sending list you're using contains recipients.                                                                                                            | | BULK_SEND_ENVELOPE_LIST_CONTAINS_TOO_MANY_COPIES           | Bulk sending list contains more than {0} copies. The list you're trying to bulk send will cause your account to exceed the 1,000-copy limit imposed for all accounts. Try sending two or more separate lists.                                                                                          | | BULK_SEND_ENVELOPE_CANNOT_BE_NULL                          | Cannot send a bulk list without an envelope. Specify the envelope ID or template ID for the envelope you want to bulk send.                                                                                                                                                                            | | BULK_SEND_BLOB_STORE_ERROR                                 | Could not save copy of bulk sending list. An error writing to the database occurred. Try again. If the error persists, contact Docusign Support.                                                                                                                                                       | | BULK_SEND_ACCOUNT_HAS_TOO_MANY_QUEUED_ENVELOPES            | Cannot send this bulk sending list because doing so would exceed the maximum of {maxCopies} in-flight envelopes. This account currently has {unprocessedEnvelopes} envelopes waiting to be processed. Please try again later.\" .Try again later, or contact Docusign Support to request a higher tier. | | BULK_SEND_ENVELOPE_NOT_FOUND                               | Envelope {envelopeOrTemplateId} does not exist or you do not have permission to access it. The envelopeId or templateId specified could not be found. Specify a valid value.                                                                                                                           | | BULK_SEND_LIST_NOT_FOUND                                   | Bulk Sending list {listId} does not exist or you do not have permission to access it. The mailingListId specified could not be found. Specify a valid value.                                                                                                                                           | | BULK_SEND_ENVELOPE_HAS_NO_RECIPIENTS                       | Bulk sending copy contains recipients, but the specified envelope does not. The recipients on the envelope and the bulk send list do not match. Make sure the envelope and list are compatible for sending.                                                                                            | | BULK_SEND_RECIPIENT_ID_DOES_NOT_EXIST_IN_ENVELOPE          | Recipient {0} does not exist in the envelope. Add the missing recipient to the envelope.                                                                                                                                                                                                               | | BULK_SEND_RECIPIENT_ID_DOES_NOT_MATCH                      | Recipient ID {envelopeMember.ID} does not match. Make sure the recipient information in the list and the envelope match up.                                                                                                                                                                            | | BULK_SEND_ENVELOPE_HAS_BULK_RECIPIENT                      | Recipient {0} is a bulk recipient.  This is not supported. No legacy 'bulk recipient' allowed. In v2.1 of the eSignature API, you must use a bulk send list instead of a bulk recipient. See the API documentation for details.                                                                        | | BULK_SEND_RECIPIENT_ROLE_DOES_NOT_MATCH                    | Recipient Role {envelopeMember.RoleName} does not match. Make sure the recipient information in the list and the envelope is compatible.                                                                                                                                                               | | BULK_SEND_DUPLICATE_RECIPIENT_DETECTED                     | Duplicate recipients ({0}) not allowed, unless recipients have unique routing order specified on envelope.                                                                                                                                                                                             | | BULK_SEND_ENVELOPE_HAS_NO_TABS                             | Bulk sending copy contains tabs, but the specified envelope does not. List and envelope tabs cannot be coalesced. Make sure they are compatible for sending.                                                                                                                                           | | BULK_SEND_TAB_LABEL_DOES_NOT_EXIST_IN_ENVELOPE             | Tab with label {0} does not exist in envelope. Add the tab label to the envelope, remove the label from the list, or make sure you're specifying the correct list and envelope.                                                                                                                        | | BULK_SEND_TAB_DOES_NOT_MATCH                               | Tab {0} does not match {0} in envelope. A tab exists on the list that does not match or is missing on the envelope. Make sure the tabs on the list and the envelope match.                                                                                                                             | | BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_CUSTOM_FIELDS           | Bulk sending copy contains custom fields, but the specified envelope does not. There are custom fields on the list that the envelope does not have. Make sure that any custom fields on the list and the envelope match.                                                                               | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_DOES_NOT_EXIST_IN_ENVELOPE | Custom field {0} does not exist in the envelope. Either add the custom field on the list to the envelope, remove the custom field from the list, or make sure you're specifying the correct list and envelope.                                                                                         | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_DOES_NOT_MATCH        | Custom field names must match. {0} and {1} do not match. The custom field names on the list and the envelope do not match. Use identical names for both.                                                                                                                                               |  [create_list]:      /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendlist/ [create_test]:      /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendtestrequest/ [BulkSendOverview]: /docs/esign-rest-api/reference/bulkenvelopes/bulksend/ - DocuSign.Api.BulkSend.bulk_send_v2_send_post_bulk_send_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_send_post_bulk_send_request/4-related-topics-how-to-bulk-send-envelopes-errors-this-method-returns-the-following-errors-error-code-description-bulk_send_envelope_not_in_sendable_state-envelope-0-is-not-in-a-sendable-state-the-envelope-is-not-complete-make-sure-it-has-a-sendable-status-such-as-created-bulk_send_envelope_list_contains_no_copies-cannot-send-an-envelope-with-a-bulk-sending-list-which-contains-no-copies-the-list-you-re-trying-to-bulk-send-is-empty-make-sure-the-bulk-sending-list-you-re-using-contains-recipients-bulk_send_envelope_list_contains_too_many_copies-bulk-sending-list-contains-more-than-0-copies-the-list-you-re-trying-to-bulk-send-will-cause-your-account-to-exceed-the-1-000-copy-limit-imposed-for-all-accounts-try-sending-two-or-more-separate-lists-bulk_send_envelope_cannot_be_null-cannot-send-a-bulk-list-without-an-envelope-specify-the-envelope-id-or-template-id-for-the-envelope-you-want-to-bulk-send-bulk_send_blob_store_error-could-not-save-copy-of-bulk-sending-list-an-error-writing-to-the-database-occurred-try-again-if-the-error-persists-contact-docusign-support-bulk_send_account_has_too_many_queued_envelopes-cannot-send-this-bulk-sending-list-because-doing-so-would-exceed-the-maximum-of-maxcopies-in-flight-envelopes-this-account-currently-has-unprocessedenvelopes-envelopes-waiting-to-be-processed-please-try-again-later-try-again-later-or-contact-docusign-support-to-request-a-higher-tier-bulk_send_envelope_not_found-envelope-envelopeortemplateid-does-not-exist-or-you-do-not-have-permission-to-access-it-the-envelopeid-or-templateid-specified-could-not-be-found-specify-a-valid-value-bulk_send_list_not_found-bulk-sending-list-listid-does-not-exist-or-you-do-not-have-permission-to-access-it-the-mailinglistid-specified-could-not-be-found-specify-a-valid-value-bulk_send_envelope_has_no_recipients-bulk-sending-copy-contains-recipients-but-the-specified-envelope-does-not-the-recipients-on-the-envelope-and-the-bulk-send-list-do-not-match-make-sure-the-envelope-and-list-are-compatible-for-sending-bulk_send_recipient_id_does_not_exist_in_envelope-recipient-0-does-not-exist-in-the-envelope-add-the-missing-recipient-to-the-envelope-bulk_send_recipient_id_does_not_match-recipient-id-envelopemember-id-does-not-match-make-sure-the-recipient-information-in-the-list-and-the-envelope-match-up-bulk_send_envelope_has_bulk_recipient-recipient-0-is-a-bulk-recipient-this-is-not-supported-no-legacy-bulk-recipient-allowed-in-v2-1-of-the-esignature-api-you-must-use-a-bulk-send-list-instead-of-a-bulk-recipient-see-the-api-documentation-for-details-bulk_send_recipient_role_does_not_match-recipient-role-envelopemember-rolename-does-not-match-make-sure-the-recipient-information-in-the-list-and-the-envelope-is-compatible-bulk_send_duplicate_recipient_detected-duplicate-recipients-0-not-allowed-unless-recipients-have-unique-routing-order-specified-on-envelope-bulk_send_envelope_has_no_tabs-bulk-sending-copy-contains-tabs-but-the-specified-envelope-does-not-list-and-envelope-tabs-cannot-be-coalesced-make-sure-they-are-compatible-for-sending-bulk_send_tab_label_does_not_exist_in_envelope-tab-with-label-0-does-not-exist-in-envelope-add-the-tab-label-to-the-envelope-remove-the-label-from-the-list-or-make-sure-you-re-specifying-the-correct-list-and-envelope-bulk_send_tab_does_not_match-tab-0-does-not-match-0-in-envelope-a-tab-exists-on-the-list-that-does-not-match-or-is-missing-on-the-envelope-make-sure-the-tabs-on-the-list-and-the-envelope-match-bulk_send_envelope_has_no_envelope_custom_fields-bulk-sending-copy-contains-custom-fields-but-the-specified-envelope-does-not-there-are-custom-fields-on-the-list-that-the-envelope-does-not-have-make-sure-that-any-custom-fields-on-the-list-and-the-envelope-match-bulk_send_envelope_custom_field_does_not_exist_in_envelope-custom-field-0-does-not-exist-in-the-envelope-either-add-the-custom-field-on-the-list-to-the-envelope-remove-the-custom-field-from-the-list-or-make-sure-you-re-specifying-the-correct-list-and-envelope-bulk_send_envelope_custom_field_name_does_not_match-custom-field-names-must-match-0-and-1-do-not-match-the-custom-field-names-on-the-list-and-the-envelope-do-not-match-use-identical-names-for-both-create_list-docs-esign-rest-api-reference-bulkenvelopes-bulksend-createbulksendlist-create_test-docs-esign-rest-api-reference-bulkenvelopes-bulksend-createbulksendtestrequest-bulksendoverview-docs-esign-rest-api-reference-bulkenvelopes-bulksend"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_list_id` (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendRequest):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_send_post_bulk_send_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_send_post_bulk_send_request/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_send_post_bulk_send_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_send_post_bulk_send_request/4-returns"},{"type":"function","doc":"Creates a bulk send test.\nThis method tests a bulk send list for compatibility with the envelope or template that you want to send. For example, a template that has three roles is not compatible with a bulk send list that has only two recipients. For this reason, you might want to test compatibility first.  A successful test result returns `true` for the `canBeSent` property. An unsuccessful test returns a JSON response that contains information about the errors that occurred.  If the test is successful, you can then send the envelope or template by using the [BulkSend::createBulkSendRequest][BulkSendRequest] method.","title":"DocuSign.Api.BulkSend.bulk_send_v2_test_post_bulk_send_test_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_test_post_bulk_send_test_request/4"},{"type":"function","doc":"","title":"Envelope Compatibility Checks  This section describes the envelope compatibility checks that the system performs.  Top-Level Issues  - Envelopes must be in a sendable state. - The bulk send list must contain at least one copy (instance of an envelope), and no more than the maximum number of copies allowed for the account. - The envelope must not be null and must be visible to the current user. - The account cannot have more queued envelopes than the maximum number configured for the account. - The bulk send list must exist.  Recipients  - The envelope must have recipients. - If you are using an envelope, all of the recipients defined in the bulk send list must have corresponding recipient IDs in the envelope definition. If you are using a template, you must either match the recipient IDs or role IDs. - The envelope cannot contain a bulk recipient (an artifact of the legacy version of Docusign's bulk send   functionality).  Recipient Tabs  - Every recipient ID, tab label pair in the bulk send list must correspond to a tab in the envelope.  Custom Fields  - Each envelope-level custom field in the bulk send list must correspond to the name of a customField in the   envelope definition. You do not have to match the recipient-level custom fields.  [BulkSendRequest]:  /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendrequest/ - DocuSign.Api.BulkSend.bulk_send_v2_test_post_bulk_send_test_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_test_post_bulk_send_test_request/4-envelope-compatibility-checks-this-section-describes-the-envelope-compatibility-checks-that-the-system-performs-top-level-issues-envelopes-must-be-in-a-sendable-state-the-bulk-send-list-must-contain-at-least-one-copy-instance-of-an-envelope-and-no-more-than-the-maximum-number-of-copies-allowed-for-the-account-the-envelope-must-not-be-null-and-must-be-visible-to-the-current-user-the-account-cannot-have-more-queued-envelopes-than-the-maximum-number-configured-for-the-account-the-bulk-send-list-must-exist-recipients-the-envelope-must-have-recipients-if-you-are-using-an-envelope-all-of-the-recipients-defined-in-the-bulk-send-list-must-have-corresponding-recipient-ids-in-the-envelope-definition-if-you-are-using-a-template-you-must-either-match-the-recipient-ids-or-role-ids-the-envelope-cannot-contain-a-bulk-recipient-an-artifact-of-the-legacy-version-of-docusign-s-bulk-send-functionality-recipient-tabs-every-recipient-id-tab-label-pair-in-the-bulk-send-list-must-correspond-to-a-tab-in-the-envelope-custom-fields-each-envelope-level-custom-field-in-the-bulk-send-list-must-correspond-to-the-name-of-a-customfield-in-the-envelope-definition-you-do-not-have-to-match-the-recipient-level-custom-fields-bulksendrequest-docs-esign-rest-api-reference-bulkenvelopes-bulksend-createbulksendrequest"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `bulk_send_list_id` (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list.\n- `opts` (keyword): Optional parameters\n  - `:body` (BulkSendRequest):","title":"Parameters - DocuSign.Api.BulkSend.bulk_send_v2_test_post_bulk_send_test_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_test_post_bulk_send_test_request/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BulkSendTestResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.BulkSend.bulk_send_v2_test_post_bulk_send_test_request/4","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_test_post_bulk_send_test_request/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `ChunkedUploads`.","title":"DocuSign.Api.ChunkedUploads","ref":"DocuSign.Api.ChunkedUploads.html"},{"type":"function","doc":"Deletes a chunked upload.\nDeletes a chunked upload that has been committed but not yet consumed.  This method cannot be used to delete the following types of chunked uploads, which the system deletes automatically:   - Chunked uploads that have been consumed by use in another API call. - Expired chunked uploads.  **Note:** If you are aware of a chunked upload that can be discarded, the best practice is to explicitly delete it. If you wait for the system to automatically delete it after it expires, the chunked upload will continue to count against your quota.","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_delete_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_delete_chunked_upload/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `chunked_upload_id` (String.t): The ID of the chunked upload.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ChunkedUploads.chunked_uploads_delete_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_delete_chunked_upload/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ChunkedUploadResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ChunkedUploads.chunked_uploads_delete_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_delete_chunked_upload/4-returns"},{"type":"function","doc":"Retrieves metadata about a chunked upload.\nReturns the details (but not the content) about a chunked upload.  **Note:** You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions.","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_get_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_get_chunked_upload/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `chunked_upload_id` (String.t): The ID of the chunked upload.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): (Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is `checksum`, which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload.","title":"Parameters - DocuSign.Api.ChunkedUploads.chunked_uploads_get_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_get_chunked_upload/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ChunkedUploadResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ChunkedUploads.chunked_uploads_get_chunked_upload/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_get_chunked_upload/4-returns"},{"type":"function","doc":"Initiate a new chunked upload.\nThis method initiates a new chunked upload with the first part of the content.","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_post_chunked_uploads/3","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_post_chunked_uploads/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ChunkedUploadRequest):","title":"Parameters - DocuSign.Api.ChunkedUploads.chunked_uploads_post_chunked_uploads/3","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_post_chunked_uploads/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ChunkedUploadResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ChunkedUploads.chunked_uploads_post_chunked_uploads/3","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_post_chunked_uploads/3-returns"},{"type":"function","doc":"Add a chunk to an existing chunked upload.\nAdds a chunk or part to an existing chunked upload. After you use the Create method to initiate a new chunked upload and upload the first part,  use this method to upload subsequent parts.  For simplicity, Docusign recommends that you upload the parts in their sequential order ( 1,2, 3, 4, etc.). The Create method adds the first part and assigns it the `sequence` value `0`. As a result, Docusign recommends that you start with a `sequence` value of `1` when you use this method, and continue uploading parts contiguously until you have uploaded the entirety of the original content to Docusign.  Example:   ``` PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/1 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/2 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/3 ```  **Note:** You cannot replace a part that Docusign has already received, or add parts to a chunked upload that is already successfully committed.","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_upload_part/5","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_upload_part/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `chunked_upload_id` (String.t): The ID of the chunked upload.\n- `chunked_upload_part_seq` (String.t): The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is `0`.  **Note:** You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it.\n- `opts` (keyword): Optional parameters\n  - `:body` (ChunkedUploadRequest):","title":"Parameters - DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_upload_part/5","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_upload_part/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ChunkedUploadResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_upload_part/5","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_upload_part/5-returns"},{"type":"function","doc":"Commit a chunked upload.\nThis method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls.  If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method.  **Note:** After you commit a chunked upload, it no longer accepts additional parts.","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_uploads/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_uploads/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): (Required) The external account number (int) or account ID GUID.\n- `chunked_upload_id` (String.t): (Required) The ID of the chunked upload to commit.\n- `opts` (keyword): Optional parameters\n  - `:action` (String.t): (Required) You must use this query parameter with the value `commit`, which affirms the request to validate and prepare the chunked upload for use with other API calls.","title":"Parameters - DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_uploads/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_uploads/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ChunkedUploadResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_uploads/4","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_uploads/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `CloudStorage`.","title":"DocuSign.Api.CloudStorage","ref":"DocuSign.Api.CloudStorage.html"},{"type":"function","doc":"Gets a list of items from a cloud storage provider.\nRetrieves a list of the user's items from the specified cloud storage provider.   To limit the scope of the items returned, provide a comma-separated list of folder IDs in the request.","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder/6","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `service_id` (String.t): The ID of the service to access.   Valid values are the service name (\"Box\") or the numerical serviceId (\"4136\").\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:cloud_storage_folder_path` (String.t): The file path to a cloud storage folder.\n  - `:cloud_storage_folderid_plain` (String.t): A plain-text folder ID that you can use as an alternative to the existing folder id. This property is mainly used for rooms. Enter multiple folder IDs as a comma-separated list.\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Default: `25`\n  - `:order` (String.t): The order in which to sort the results.  Valid values are:    * `asc`: Ascending order. * `desc`: Descending order.\n  - `:order_by` (String.t): The file attribute to use to sort the results.  Valid values are:   * `modified` * `name`\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:sky_drive_skip_token` (String.t):\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder/6","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ExternalFolder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder/6","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder/6-returns"},{"type":"function","doc":"Retrieves a list of all the items in a specified folder from the specified cloud storage provider.\nRetrieves a list of all the items in a specified folder from the specified cloud storage provider.","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder_all/5","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder_all/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `service_id` (String.t): The ID of the service to access.   Valid values are the service name (\"Box\") or the numerical serviceId (\"4136\").\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:cloud_storage_folder_path` (String.t): A comma separated list of folder IDs included in the request.\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Default: `25`\n  - `:order` (String.t): The order in which to sort the results.  Valid values are:    * `asc`: Ascending order. * `desc`: Descending order.\n  - `:order_by` (String.t): The file attribute to use to sort the results.  Valid values are:   * `modified` * `name`\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder_all/5","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder_all/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ExternalFolder.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder_all/5","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder_all/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `CloudStorageProviders`.","title":"DocuSign.Api.CloudStorageProviders","ref":"DocuSign.Api.CloudStorageProviders.html"},{"type":"function","doc":"Deletes the user authentication information for the specified cloud storage provider.\nDeletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider.","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `service_id` (String.t): The ID of the service to access.   Valid values are the service name (\"Box\") or the numerical serviceId (\"4136\").\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CloudStorageProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage/5-returns"},{"type":"function","doc":"Deletes the user authentication information for one or more cloud storage providers.\nDeletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication.","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage_providers/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (CloudStorageProviders):","title":"Parameters - DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage_providers/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CloudStorageProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage_providers/4-returns"},{"type":"function","doc":"Gets the specified Cloud Storage Provider configuration for the User.\nRetrieves the list of cloud storage providers enabled for the account and the configuration information for the user.","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `service_id` (String.t): The ID of the service to access.   Valid values are the service name (\"Box\") or the numerical serviceId (\"4136\").\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:redirectUrl` (String.t):  The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.  The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.","title":"Parameters - DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CloudStorageProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage/5","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage/5-returns"},{"type":"function","doc":"Get the Cloud Storage Provider configuration for the specified user.\nRetrieves the list of cloud storage providers enabled for the account and the configuration information for the user.","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage_providers/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:redirectUrl` (String.t):  The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.  The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.","title":"Parameters - DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage_providers/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CloudStorageProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage_providers/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage_providers/4-returns"},{"type":"function","doc":"Configures the redirect URL information  for one or more cloud storage providers for the specified user.\nConfigures the redirect URL information  for one or more cloud storage providers for the specified user. The redirect URL is added to the authentication URL to complete the return route.","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_post_cloud_storage/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_post_cloud_storage/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (CloudStorageProviders):","title":"Parameters - DocuSign.Api.CloudStorageProviders.cloud_storage_post_cloud_storage/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_post_cloud_storage/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CloudStorageProviders.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CloudStorageProviders.cloud_storage_post_cloud_storage/4","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_post_cloud_storage/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Comments`.","title":"DocuSign.Api.Comments","ref":"DocuSign.Api.Comments.html"},{"type":"function","doc":"Gets a PDF transcript of all of the comments in an envelope.\nRetrieves a PDF file containing all of the comments that senders and recipients have added to the documents in an envelope.  The response body of this method is the PDF file as a byte stream.   **Note:** Comments are disabled by default. To use the comments feature, an account administrator must enable comments on the account (in the `accountSettingsInformation` object, set the `enableSigningExtensionComments` property to **true**).","title":"DocuSign.Api.Comments.comments_get_comments_transcript/4","ref":"DocuSign.Api.Comments.html#comments_get_comments_transcript/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:encoding` (String.t): (Optional) The encoding to use for the file.","title":"Parameters - DocuSign.Api.Comments.comments_get_comments_transcript/4","ref":"DocuSign.Api.Comments.html#comments_get_comments_transcript/4-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Comments.comments_get_comments_transcript/4","ref":"DocuSign.Api.Comments.html#comments_get_comments_transcript/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `ConnectConfigurations`.","title":"DocuSign.Api.ConnectConfigurations","ref":"DocuSign.Api.ConnectConfigurations.html"},{"type":"function","doc":"Deletes the specified Connect configuration.\nDeletes the specified Docusign Connect configuration.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_delete_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_delete_connect_config/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `connect_id` (String.t): The ID of the custom Connect configuration being accessed.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_delete_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_delete_connect_config/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_delete_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_delete_connect_config/4-returns"},{"type":"function","doc":"Returns all users from the configured Connect service.\nReturns all users from the configured Connect service.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_all_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_all_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `connect_id` (String.t): The ID of the custom Connect configuration being accessed.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:domain_users_only` (String.t):\n  - `:email_substring` (String.t): Filters returned user records by full email address or a substring of email address.\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.\n  - `:status` (String.t): The status of the item.\n  - `:user_name_substring` (String.t): Filters results based on a full or partial user name.  **Note:** When you enter a partial user name, you do not use a wildcard character.","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_get_connect_all_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_all_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.IntegratedConnectUserInfoList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_get_connect_all_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_all_users/4-returns"},{"type":"function","doc":"Gets the details about a Connect configuration.\nRetrieves the information for the specified Docusign Connect configuration.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_config/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `connect_id` (String.t): The ID of the custom Connect configuration being accessed.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_get_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_config/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectConfigResults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_get_connect_config/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_config/4-returns"},{"type":"function","doc":"Get Connect configuration information.\nRetrieves all the Docusign Custom Connect definitions for the specified account.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_configs/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_configs/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_get_connect_configs/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_configs/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectConfigResults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_get_connect_configs/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_configs/3-returns"},{"type":"function","doc":"Returns users from the configured Connect service.\nReturns users from the configured Connect service.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `connect_id` (String.t): The ID of the custom Connect configuration being accessed.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:email_substring` (String.t): Filters returned user records by full email address or a substring of email address.\n  - `:list_included_users` (String.t):\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): Filters the results by user status. You can specify a comma-separated list of the following statuses:  * ActivationRequired  * ActivationSent  * Active * Closed  * Disabled\n  - `:user_name_substring` (String.t): Filters results based on a full or partial user name.  **Note:** When you enter a partial user name, you do not use a wildcard character.","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_get_connect_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.IntegratedUserInfoList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_get_connect_users/4","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_users/4-returns"},{"type":"function","doc":"Delete the Connect OAuth configuration.\nDeletes the Connect OAuth configuration for the specified account.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_delete_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_delete_connect_o_auth_config/3"},{"type":"function","doc":"","title":"Related topics: - OAuth for Docusign Connect - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_delete_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_delete_connect_o_auth_config/3-related-topics-oauth-for-docusign-connect"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_delete_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_delete_connect_o_auth_config/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_delete_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_delete_connect_o_auth_config/3-returns"},{"type":"function","doc":"Retrieves the Connect OAuth information for the account.\nGets the Connect OAuth configuration for the specified account.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_get_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_get_connect_o_auth_config/3"},{"type":"function","doc":"","title":"Related topics: - OAuth for Docusign Connect - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_get_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_get_connect_o_auth_config/3-related-topics-oauth-for-docusign-connect"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_get_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_get_connect_o_auth_config/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectOAuthConfig.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_get_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_get_connect_o_auth_config/3-returns"},{"type":"function","doc":"Set up Connect OAuth for the specified account.\nSets up Connect OAuth for the specified account using an authorization server of your choice. To use this endpoint, get the client ID and client secret from your authorization server.  When you call this endpoint, Docusign requests an access token from your authorization server. Docusign will use that token in the Authorization HTTP header of your account's Connect messages. Finally, your listener will be responsible for validating the token by calling the authorization server.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_post_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_post_connect_o_auth_config/3"},{"type":"function","doc":"","title":"Related topics: - OAuth for Docusign Connect - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_post_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_post_connect_o_auth_config/3-related-topics-oauth-for-docusign-connect"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectOAuthConfig):","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_post_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_post_connect_o_auth_config/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectOAuthConfig.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_post_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_post_connect_o_auth_config/3-returns"},{"type":"function","doc":"Updates the existing Connect OAuth configuration for the account.","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_put_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_put_connect_o_auth_config/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectOAuthConfig):","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_put_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_put_connect_o_auth_config/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectOAuthConfig.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_o_auth_config_put_connect_o_auth_config/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_put_connect_o_auth_config/3-returns"},{"type":"function","doc":"Creates a Connect configuration.\nCreates a custom Connect configuration for the specified account.    To use this method, you must be an account administrator and Connect must be enabled on your account.     Connect is a webhook service that provides updates when certain events occur in your eSignature workflows. You can use this endpoint to create: * Account-level Connect configurations to listen for events related to any envelopes sent by one or more account users * Recipient Connect configurations that are triggered when one or more of your account users receive an envelope  To set an account-level configuration, set `configurationType` to **custom.** To set a Recipient Connect configuration, set `configurationType` to **customrecipient.**  If you want to listen for events on only one envelope, use the [eventNotification](/docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition_eventnotification) object instead.","title":"DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3"},{"type":"function","doc":"","title":"Data models  There are four possible data models for your Connect configuration. Consider:  Do you want the data in JSON or XML?  Do you want events sent individually (SIM) or in aggregate?  Docusign recommends using the JSON SIM event model.  <ds-column>  <ds-step open=\"false\" hideIcon=\"true\"> <h3>JSON SIM (Recommended)</h3> <div>  Set deliveryMode to SIM and eventData.version to restv2.1. Use the events property to set the event statuses that will trigger your configuration.  The following sample request shows how to create an envelope-level configuration using JSON SIM: { \"configurationType\": \"custom\", \"urlToPublishTo\": \"YOUR-WEBHOOK-URL\", \"allUsers\": \"true\", \"name\": \"jsonSimTest\", \"deliveryMode\": \"SIM\", \"allowEnvelopePublish\": \"true\", \"enableLog\": \"true\", \"eventData\": { \"version\": \"restv2.1\" }, \"events\": [ \"envelope-sent\", \"envelope-delivered\", \"envelope-completed\" ] }  The following sample request shows how to create a Recipient Connect configuration using JSON SIM: { \"configurationType\": \"customrecipient\", \"urlToPublishTo\": \"YOUR-WEBHOOK-URL\", \"allUsers\": \"true\", \"name\": \"jsonSimTest\", \"deliveryMode\": \"SIM\", \"allowEnvelopePublish\": \"true\", \"enableLog\": \"true\", \"eventData\": { \"version\": \"restv2.1\" }, \"events\": [ \"recipient-sent\", \"recipient-completed\" ] }  </div></ds-step>  <ds-step open=\"false\" hideIcon=\"true\"> <h3>JSON Aggregate</h3> <div>  Set deliveryMode to aggregate and eventData.version to restv2.1. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration.  </div></ds-step>  <ds-step open=\"false\" hideIcon=\"true\"> <h3>XML Aggregate</h3> <div>  Set deliveryMode to aggregate. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration.  </div></ds-step>  <ds-step open=\"false\" hideIcon=\"true\"> <h3>XML SIM (Legacy apps only)</h3> <div>  Note: This model is deprecated.  Set deliveryMode to SIM. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration.  </div></ds-step> </ds-column>  ## Troubleshooting  If your configuration is not working, check the following.   Connect must be enabled for your account to use this function.  If you are using envelopeEvents or recipientEvents, make sure that the event values are sentence case, not lowercase.  Make sure you have either set allUsers to true or set userIds to a non-empty array of IDs.  By default, this endpoint creates a disabled configuration. To enable the configuration immediately, set the body parameter allowEnvelopePublish to true. You can also enable the configuration in the UI.  To check if events are being emitted, set enableLog to true to view event logs in the Connect console.  ## Related topics   For more information about Connect, see the Docusign Connect guide. * Use the MyAPICalls sample app to see an example of this endpoint using the JSON SIM model. - DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3-data-models-there-are-four-possible-data-models-for-your-connect-configuration-consider-do-you-want-the-data-in-json-or-xml-do-you-want-events-sent-individually-sim-or-in-aggregate-docusign-recommends-using-the-json-sim-event-model-ds-column-ds-step-open-false-hideicon-true-h3-json-sim-recommended-h3-div-set-deliverymode-to-sim-and-eventdata-version-to-restv2-1-use-the-events-property-to-set-the-event-statuses-that-will-trigger-your-configuration-the-following-sample-request-shows-how-to-create-an-envelope-level-configuration-using-json-sim-configurationtype-custom-urltopublishto-your-webhook-url-allusers-true-name-jsonsimtest-deliverymode-sim-allowenvelopepublish-true-enablelog-true-eventdata-version-restv2-1-events-envelope-sent-envelope-delivered-envelope-completed-the-following-sample-request-shows-how-to-create-a-recipient-connect-configuration-using-json-sim-configurationtype-customrecipient-urltopublishto-your-webhook-url-allusers-true-name-jsonsimtest-deliverymode-sim-allowenvelopepublish-true-enablelog-true-eventdata-version-restv2-1-events-recipient-sent-recipient-completed-div-ds-step-ds-step-open-false-hideicon-true-h3-json-aggregate-h3-div-set-deliverymode-to-aggregate-and-eventdata-version-to-restv2-1-use-the-envelopeevents-or-recipientevents-property-to-set-the-event-statuses-that-will-trigger-your-configuration-div-ds-step-ds-step-open-false-hideicon-true-h3-xml-aggregate-h3-div-set-deliverymode-to-aggregate-use-the-envelopeevents-or-recipientevents-property-to-set-the-event-statuses-that-will-trigger-your-configuration-div-ds-step-ds-step-open-false-hideicon-true-h3-xml-sim-legacy-apps-only-h3-div-note-this-model-is-deprecated-set-deliverymode-to-sim-use-the-envelopeevents-or-recipientevents-property-to-set-the-event-statuses-that-will-trigger-your-configuration-div-ds-step-ds-column-troubleshooting-if-your-configuration-is-not-working-check-the-following-connect-must-be-enabled-for-your-account-to-use-this-function-if-you-are-using-envelopeevents-or-recipientevents-make-sure-that-the-event-values-are-sentence-case-not-lowercase-make-sure-you-have-either-set-allusers-to-true-or-set-userids-to-a-non-empty-array-of-ids-by-default-this-endpoint-creates-a-disabled-configuration-to-enable-the-configuration-immediately-set-the-body-parameter-allowenvelopepublish-to-true-you-can-also-enable-the-configuration-in-the-ui-to-check-if-events-are-being-emitted-set-enablelog-to-true-to-view-event-logs-in-the-connect-console-related-topics-for-more-information-about-connect-see-the-docusign-connect-guide-use-the-myapicalls-sample-app-to-see-an-example-of-this-endpoint-using-the-json-sim-model"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectCustomConfiguration):","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectCustomConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3-returns"},{"type":"function","doc":"Updates a specified Connect configuration.\nUpdates the specified Docusign Connect configuration in your account. To enable the configuration, set the `allowEnvelopePublish` property to **true.**  After any updates, test your configuration to make sure it works as expected.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectConfigurations.connect_put_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_put_connect_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectCustomConfiguration):","title":"Parameters - DocuSign.Api.ConnectConfigurations.connect_put_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_put_connect_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectCustomConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectConfigurations.connect_put_connect_configuration/3","ref":"DocuSign.Api.ConnectConfigurations.html#connect_put_connect_configuration/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `ConnectEvents`.","title":"DocuSign.Api.ConnectEvents","ref":"DocuSign.Api.ConnectEvents.html"},{"type":"function","doc":"Deletes a Connect failure log entry.\nDeletes a Connect failure log entry.  To delete all the Connect failure log entries, specify `all` for the `failureId` path parameter.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectEvents.connect_failures_delete_connect_failure_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_delete_connect_failure_log/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `failure_id` (String.t): The ID of the Connect post failure. Use `all` to delete all failures for the account.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectEvents.connect_failures_delete_connect_failure_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_delete_connect_failure_log/4-parameters"},{"type":"function","doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_failures_delete_connect_failure_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_delete_connect_failure_log/4-returns"},{"type":"function","doc":"Gets the Connect failure log information.\nRetrieves the Connect failure log information.    To use this method, you must be an account administrator and Connect must be enabled on your account.    Use this method to determine which envelopes failed to post. You can then use [ConnectEvents: retryForEnvelopes][retry] to create a republish request.  [retry]: /docs/esign-rest-api/reference/connect/connectevents/retryforenvelopes/","title":"DocuSign.Api.ConnectEvents.connect_failures_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_get_connect_logs/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:from_date` (String.t): The start date for a date range in UTC DateTime format.  **Note:** If this property is null, no date filtering is applied.\n  - `:to_date` (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.  **Note:** If this property is null, the value defaults to the current date.","title":"Parameters - DocuSign.Api.ConnectEvents.connect_failures_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_get_connect_logs/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectLogs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_failures_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_get_connect_logs/3-returns"},{"type":"function","doc":"Deletes a specified Connect log entry.\nDeletes a specified entry from the Connect Log.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_log/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `log_id` (String.t): The ID of the Connect log entry. Use `all` to delete all entries for the account.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectEvents.connect_log_delete_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_log/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_log_delete_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_log/4-returns"},{"type":"function","doc":"Deletes a list of Connect log entries.\nDeletes a list of Connect log entries for your account.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_logs/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectEvents.connect_log_delete_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_logs/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_log_delete_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_logs/3-returns"},{"type":"function","doc":"Gets a Connect log entry.\nRetrieves the specified Connect log entry for your account.    To use this method, you must be an account administrator and Connect must be enabled on your account.    The `enableLog` setting in the Connect configuration must be set to **true** to enable logging. If logging is not enabled, then no log entries are recorded.","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_log/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `log_id` (String.t): The ID of the Connect log entry.\n- `opts` (keyword): Optional parameters\n  - `:additional_info` (String.t): When **true,** the response includes the `connectDebugLog` information.","title":"Parameters - DocuSign.Api.ConnectEvents.connect_log_get_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_log/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectLog.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_log_get_connect_log/4","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_log/4-returns"},{"type":"function","doc":"Gets the Connect log.\nRetrieves a list of the 100 most recent Connect log entries for your account.    To use this method, you must be an account administrator and Connect must be enabled on your account.    The `enableLog` setting in the Connect configuration must be set to **true** to enable logging. Log entries are deleted after 15 days.","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_logs/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:from_date` (String.t): The start date for a date range in UTC DateTime format.  **Note:** If this property is null, no date filtering is applied.\n  - `:to_date` (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.  **Note:** If this property is null, the value defaults to the current date.","title":"Parameters - DocuSign.Api.ConnectEvents.connect_log_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_logs/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectLogs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_log_get_connect_logs/3","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_logs/3-returns"},{"type":"function","doc":"Republishes Connect information for multiple envelopes.\nRepublishes Connect information for the  specified set of envelopes.    To use this method, you must be an account administrator and Connect must be enabled on your account.     The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to [Connect::listEventLogs](/docs/esign-rest-api/reference/connect/connectevents/list/) retrieve the failure log.","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry/3","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectFailureFilter):","title":"Parameters - DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry/3","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectFailureResults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry/3","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry/3-returns"},{"type":"function","doc":"Republishes Connect information for the specified envelope.\nRepublishes Connect information for the specified envelope.    To use this method, you must be an account administrator and Connect must be enabled on your account.","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry_by_envelope/4","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry_by_envelope/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry_by_envelope/4","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry_by_envelope/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConnectFailureResults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry_by_envelope/4","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry_by_envelope/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Contacts`.","title":"DocuSign.Api.Contacts","ref":"DocuSign.Api.Contacts.html"},{"type":"function","doc":"Deletes a contact.\nThis method deletes a contact associated with an account.","title":"DocuSign.Api.Contacts.contacts_delete_contact_with_id/4","ref":"DocuSign.Api.Contacts.html#contacts_delete_contact_with_id/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `contact_id` (String.t): The ID of a contact person in the account's address book.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Contacts.contacts_delete_contact_with_id/4","ref":"DocuSign.Api.Contacts.html#contacts_delete_contact_with_id/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ContactUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Contacts.contacts_delete_contact_with_id/4","ref":"DocuSign.Api.Contacts.html#contacts_delete_contact_with_id/4-returns"},{"type":"function","doc":"Deletes multiple contacts from an account.\nThis method deletes multiple contacts associated with an account.","title":"DocuSign.Api.Contacts.contacts_delete_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_delete_contacts/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ContactModRequest):","title":"Parameters - DocuSign.Api.Contacts.contacts_delete_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_delete_contacts/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ContactUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Contacts.contacts_delete_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_delete_contacts/3-returns"},{"type":"function","doc":"Gets one or more contacts.\nThis method returns one or more contacts associated with a Docusign account. You can also retrieve contacts from connected [cloud storage][CloudStorage] providers by using the `cloud_provider` query parameter. By default, contacts are retrieved from the Docusign account's default address book.  To return a specific contact, use the `contactId` query parameter. To return all contacts associated with an account, omit this parameter.  [CloudStorage]: /docs/esign-rest-api/reference/cloudstorage/","title":"DocuSign.Api.Contacts.contacts_get_contact_by_id/4","ref":"DocuSign.Api.Contacts.html#contacts_get_contact_by_id/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `contact_id` (String.t): The ID of a contact person in the account's address book.  **Note:** To return all contacts, omit this parameter. It is not required.\n- `opts` (keyword): Optional parameters\n  - `:cloud_provider` (String.t): (Optional) The cloud provider from which to retrieve the contacts. Valid values are:  - `rooms` - `docusignCore` (default)","title":"Parameters - DocuSign.Api.Contacts.contacts_get_contact_by_id/4","ref":"DocuSign.Api.Contacts.html#contacts_get_contact_by_id/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ContactGetResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Contacts.contacts_get_contact_by_id/4","ref":"DocuSign.Api.Contacts.html#contacts_get_contact_by_id/4-returns"},{"type":"function","doc":"Add contacts to a contacts list.\nThis method adds multiple contacts into a contacts list.","title":"DocuSign.Api.Contacts.contacts_post_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_post_contacts/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ContactModRequest):","title":"Parameters - DocuSign.Api.Contacts.contacts_post_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_post_contacts/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ContactUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Contacts.contacts_post_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_post_contacts/3-returns"},{"type":"function","doc":"Updates one or more contacts.\nThis method updates one or more contacts associated with an account.","title":"DocuSign.Api.Contacts.contacts_put_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_put_contacts/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ContactModRequest):","title":"Parameters - DocuSign.Api.Contacts.contacts_put_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_put_contacts/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ContactUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Contacts.contacts_put_contacts/3","ref":"DocuSign.Api.Contacts.html#contacts_put_contacts/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `CustomTabs`.","title":"DocuSign.Api.CustomTabs","ref":"DocuSign.Api.CustomTabs.html"},{"type":"function","doc":"Deletes custom tab information.\nDeletes the custom from the specified account.","title":"DocuSign.Api.CustomTabs.tab_delete_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_delete_custom_tab/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `custom_tab_id` (String.t): The Docusign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.CustomTabs.tab_delete_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_delete_custom_tab/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CustomTabs.tab_delete_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_delete_custom_tab/4-returns"},{"type":"function","doc":"Gets custom tab information.\nRetrieves information about the requested custom tab on the specified account.","title":"DocuSign.Api.CustomTabs.tab_get_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_get_custom_tab/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `custom_tab_id` (String.t): The Docusign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.CustomTabs.tab_get_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_get_custom_tab/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabMetadata.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CustomTabs.tab_get_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_get_custom_tab/4-returns"},{"type":"function","doc":"Updates custom tab information.\nUpdates the information in a custom tab for the specified account.","title":"DocuSign.Api.CustomTabs.tab_put_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_put_custom_tab/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `custom_tab_id` (String.t): The Docusign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.\n- `opts` (keyword): Optional parameters\n  - `:body` (TabMetadata):","title":"Parameters - DocuSign.Api.CustomTabs.tab_put_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_put_custom_tab/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabMetadata.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CustomTabs.tab_put_custom_tab/4","ref":"DocuSign.Api.CustomTabs.html#tab_put_custom_tab/4-returns"},{"type":"function","doc":"Gets a list of all account tabs.\nRetrieves a list of all tabs associated with the account.","title":"DocuSign.Api.CustomTabs.tabs_get_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_get_tab_definitions/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:custom_tab_only` (String.t): When **true,** only custom tabs are returned in the response.","title":"Parameters - DocuSign.Api.CustomTabs.tabs_get_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_get_tab_definitions/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabMetadataList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CustomTabs.tabs_get_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_get_tab_definitions/3-returns"},{"type":"function","doc":"Creates a custom tab.\nCreates a tab with pre-defined properties, such as a text tab with a certain font type and validation pattern. Users can access the custom tabs when sending documents through the Docusign web application.  Custom tabs can be created for approve, checkbox, company, date, date signed, decline, email, email address, envelope ID, first name, formula, full name, initial here, last name, list, note, number, radio, sign here, signer attachment, SSN, text, title, and zip tabs.","title":"DocuSign.Api.CustomTabs.tabs_post_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_post_tab_definitions/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (TabMetadata):","title":"Parameters - DocuSign.Api.CustomTabs.tabs_post_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_post_tab_definitions/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TabMetadata.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.CustomTabs.tabs_post_tab_definitions/3","ref":"DocuSign.Api.CustomTabs.html#tabs_post_tab_definitions/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `DocumentGeneration`.","title":"DocuSign.Api.DocumentGeneration","ref":"DocuSign.Api.DocumentGeneration.html"},{"type":"function","doc":"Returns sender fields for an envelope.\nGiven an `envelopeId`, this method returns the sender fields found in that envelope's documents. After you retrieve the sender fields, use the [DocumentGeneration::updateEnvelopeDocGenFormFields](/docs/esign-rest-api/reference/envelopes/documentgeneration/updateenvelopedocgenformfields/) method to populate the fields.  If the specified envelope does not contain a document with sender fields, the method will return success (`200`) and an empty object (`{}`) in the response.","title":"DocuSign.Api.DocumentGeneration.doc_gen_form_fields_get_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_get_envelope_doc_gen_form_fields/4"},{"type":"function","doc":"","title":"Next steps  - Learn about document generation in the eSignature concepts guide. - Learn how to send an envelope with document generation in your preferred coding language. - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_get_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_get_envelope_doc_gen_form_fields/4-next-steps-learn-about-document-generation-in-the-esignature-concepts-guide-learn-how-to-send-an-envelope-with-document-generation-in-your-preferred-coding-language"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_get_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_get_envelope_doc_gen_form_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocGenFormFieldResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_get_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_get_envelope_doc_gen_form_fields/4-returns"},{"type":"function","doc":"Updates sender fields for an envelope.\nThis method dynamically generates an envelope's documents by populating its sender fields. The envelope must be in a draft state.  Use the [DocumentGeneration::getEnvelopeDocGenFormFields](/docs/esign-rest-api/reference/envelopes/documentgeneration/getenvelopedocgenformfields/) response to retrieve the list of sender fields for your envelope. Use that list to build the request for this method. For each field, specify the field name and the value to populate.  For example, your request body might look like this:  ```json {   \"docGenFormFields\": [     {       \"documentId\": \"bf3202e1-xxxx-xxxx-xxxx-af4f41366879\",       \"docGenFormFieldList\": [         {           \"name\": \"Candidate_Name\",           \"value\": \"Peggy Olson\"         },         {           \"name\": \"Job_Title\",           \"value\": \"Technical Writer\"         },         {           \"name\": \"Manager_Name\",           \"value\": \"Donald Draper\"         },         {           \"name\": \"Start_Date\",           \"value\": \"1960-02-28\"         },         {           \"name\": \"Salary\",           \"value\": \"3380\"         }       ]     }   ] } ```","title":"DocuSign.Api.DocumentGeneration.doc_gen_form_fields_put_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_put_envelope_doc_gen_form_fields/4"},{"type":"function","doc":"","title":"Important notes   If update_docgen_formfields_only is false (the default), the documentId changes after the update.  This endpoint does not validate number, date, or select data field values. The request can succeed even if a number or date field value is not a valid number or date, or if a select field value is not one of the allowed values.  ### Related topics  - Learn about document generation in the eSignature concepts guide. - See this method in use in your preferred coding language. - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_put_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_put_envelope_doc_gen_form_fields/4-important-notes-if-update_docgen_formfields_only-is-false-the-default-the-documentid-changes-after-the-update-this-endpoint-does-not-validate-number-date-or-select-data-field-values-the-request-can-succeed-even-if-a-number-or-date-field-value-is-not-a-valid-number-or-date-or-if-a-select-field-value-is-not-one-of-the-allowed-values-related-topics-learn-about-document-generation-in-the-esignature-concepts-guide-see-this-method-in-use-in-your-preferred-coding-language"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:update_docgen_formfields_only` (String.t): When **false** or omitted, the documents are updated.  When **true,** only the form fields are updated. The documents are unchanged.\n  - `:body` (DocGenFormFieldRequest):","title":"Parameters - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_put_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_put_envelope_doc_gen_form_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocGenFormFieldResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.DocumentGeneration.doc_gen_form_fields_put_envelope_doc_gen_form_fields/4","ref":"DocuSign.Api.DocumentGeneration.html#doc_gen_form_fields_put_envelope_doc_gen_form_fields/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `DocumentResponsiveHtmlPreview`.","title":"DocuSign.Api.DocumentResponsiveHtmlPreview","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html"},{"type":"function","doc":"Creates a preview of the responsive version of a document.\nCreates a preview of the [responsive](/docs/esign-rest-api/esign101/concepts/responsive/) HTML version of a specific document. This method enables you to preview a PDF document conversion to responsive HTML across device types prior to sending.  The request body is a `documentHtmlDefinition` object, which holds the responsive signing parameters that define how to generate the HTML version of the signing document.","title":"DocuSign.Api.DocumentResponsiveHtmlPreview.responsive_html_post_document_responsive_html_preview/5","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html#responsive_html_post_document_responsive_html_preview/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentHtmlDefinition):","title":"Parameters - DocuSign.Api.DocumentResponsiveHtmlPreview.responsive_html_post_document_responsive_html_preview/5","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html#responsive_html_post_document_responsive_html_preview/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitions.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.DocumentResponsiveHtmlPreview.responsive_html_post_document_responsive_html_preview/5","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html#responsive_html_post_document_responsive_html_preview/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `ENoteConfigurations`.","title":"DocuSign.Api.ENoteConfigurations","ref":"DocuSign.Api.ENoteConfigurations.html"},{"type":"function","doc":"Deletes configuration information for the eNote eOriginal integration.","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_delete_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_delete_e_note_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ENoteConfigurations.e_note_configuration_delete_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_delete_e_note_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ENoteConfigurations.e_note_configuration_delete_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_delete_e_note_configuration/3-returns"},{"type":"function","doc":"Returns the configuration information for the eNote eOriginal integration.","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_get_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_get_e_note_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.ENoteConfigurations.e_note_configuration_get_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_get_e_note_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ENoteConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ENoteConfigurations.e_note_configuration_get_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_get_e_note_configuration/3-returns"},{"type":"function","doc":"Updates configuration information for the eNote eOriginal integration.","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_put_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_put_e_note_configuration/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ENoteConfiguration):","title":"Parameters - DocuSign.Api.ENoteConfigurations.e_note_configuration_put_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_put_e_note_configuration/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ENoteConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ENoteConfigurations.e_note_configuration_put_e_note_configuration/3","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_put_e_note_configuration/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeAttachments`.","title":"DocuSign.Api.EnvelopeAttachments","ref":"DocuSign.Api.EnvelopeAttachments.html"},{"type":"function","doc":"Deletes one or more envelope attachments from a draft envelope.\nDeletes one or more envelope attachments from a draft envelope.  <!-- std notice DEVDOCS-114911 -->    It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.  To learn about the different types of attachments, see [Attachments](/docs/esign-rest-api/esign101/concepts/documents/attachments/) in the concept guide.    <!-- end notice DEVDOCS-114911 -->","title":"DocuSign.Api.EnvelopeAttachments.attachments_delete_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_delete_attachments/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeAttachmentsRequest):","title":"Parameters - DocuSign.Api.EnvelopeAttachments.attachments_delete_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_delete_attachments/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeAttachmentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeAttachments.attachments_delete_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_delete_attachments/4-returns"},{"type":"function","doc":"Retrieves an envelope attachment from an envelope.\nRetrieves an envelope attachment from an envelope.  <!-- std notice DEVDOCS-114911 -->    It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.  To learn about the different types of attachments, see [Attachments](/docs/esign-rest-api/esign101/concepts/documents/attachments/) in the concept guide.    <!-- end notice DEVDOCS-114911 -->","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachment/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `attachment_id` (String.t): The unique identifier for the attachment.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeAttachments.attachments_get_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachment/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeAttachments.attachments_get_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachment/5-returns"},{"type":"function","doc":"Returns a list of envelope attachments associated with a specified envelope.\nReturns a list of envelope attachments associated with a specified envelope.  <!-- std notice DEVDOCS-114911 -->    It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.  To get a list of user-visible attachments, use [EnvelopeDocuments: get](/docs/esign-rest-api/reference/envelopes/envelopedocuments/get/).  To learn about the different types of attachments, see [Attachments](/docs/esign-rest-api/esign101/concepts/documents/attachments/) in the concept guide.    <!-- end notice DEVDOCS-114911 -->","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachments/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeAttachments.attachments_get_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachments/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeAttachmentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeAttachments.attachments_get_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachments/4-returns"},{"type":"function","doc":"Updates an envelope attachment in a draft or in-process envelope.\nUpdates an envelope attachment to a draft or in-process envelope.  <!-- std notice DEVDOCS-114911 -->    It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.  To learn about the different types of attachments, see [Attachments](/docs/esign-rest-api/esign101/concepts/documents/attachments/) in the concept guide.    <!-- end notice DEVDOCS-114911 -->","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachment/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `attachment_id` (String.t): The unique identifier for the attachment.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (Attachment):","title":"Parameters - DocuSign.Api.EnvelopeAttachments.attachments_put_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachment/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeAttachmentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeAttachments.attachments_put_attachment/5","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachment/5-returns"},{"type":"function","doc":"Adds one or more envelope attachments to a draft or in-process envelope.\nAdds one or more envelope attachments to a draft or in-process envelope. Each envelope can have a maximum of 12 attachments.  Envelope attachments are files that an application can include in an envelope. They are not converted to PDF. Envelope attachments are available only through the API. There is no user interface in the Docusign web application for them.  For a list of supported file formats, see [Supported File Formats](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=xln1578456261162.html).  <!-- std notice DEVDOCS-114911 -->    It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.  To learn about the different types of attachments, see [Attachments](/docs/esign-rest-api/esign101/concepts/documents/attachments/) in the concept guide.    <!-- end notice DEVDOCS-114911 -->","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachments/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeAttachmentsRequest):","title":"Parameters - DocuSign.Api.EnvelopeAttachments.attachments_put_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachments/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeAttachmentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeAttachments.attachments_put_attachments/4","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachments/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeConsumerDisclosures`.","title":"DocuSign.Api.EnvelopeConsumerDisclosures","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html"},{"type":"function","doc":"Gets the default Electronic Record and Signature Disclosure for an envelope.\nRetrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope that you specify.   This is the default ERSD disclosure that Docusign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties.  To set the language of the disclosure that you want to retrieve, use the optional `langCode` query parameter.","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:langCode` (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`)  - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.","title":"Parameters - DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConsumerDisclosure.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5-returns"},{"type":"function","doc":"Gets the Electronic Record and Signature Disclosure for a specific envelope recipient.\nRetrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope recipient that you specify. This disclosure might differ from the account-level disclosure, based on the signing brand applied to the envelope and the recipient's language settings.  To set the language of the disclosure that you want to retrieve, specify the `langCode` as either a path or query parameter.","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `lang_code` (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve, as a path parameter. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`)  - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:langCode` (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve, as a query parameter. The following languages are supported:  - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`)  - Vietnamese (`vi`)  Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.","title":"Parameters - DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ConsumerDisclosure.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeCustomFields`.","title":"DocuSign.Api.EnvelopeCustomFields","ref":"DocuSign.Api.EnvelopeCustomFields.html"},{"type":"function","doc":"Deletes envelope custom fields for draft and in-process envelopes.\nDeletes envelope custom fields for draft and in-process envelopes.","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_delete_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_delete_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeCustomFields):","title":"Parameters - DocuSign.Api.EnvelopeCustomFields.custom_fields_delete_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_delete_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeCustomFields.custom_fields_delete_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_delete_custom_fields/4-returns"},{"type":"function","doc":"Gets the custom field information for the specified envelope.\nRetrieves the custom field information for the specified envelope. You can use these fields in the envelopes for your account to record information about the envelope, help search for envelopes, and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the Docusign member console. The envelope custom fields are not seen by the envelope recipients.  There are two types of envelope custom fields, text, and list. A text custom field lets the sender enter the value for the field. With a list custom field, the sender selects the value of the field from a pre-made list.","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4"},{"type":"function","doc":"","title":"Related topics  - How to get envelope custom tab values - DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4-related-topics-how-to-get-envelope-custom-tab-values"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomFieldsEnvelope.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4-returns"},{"type":"function","doc":"Creates envelope custom fields for an envelope.\nUpdates the envelope custom fields for draft and in-process envelopes.","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4"},{"type":"function","doc":"","title":"Related topics  - How to bulk send envelopes - DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4-related-topics-how-to-bulk-send-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeCustomFields):","title":"Parameters - DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4-returns"},{"type":"function","doc":"Updates envelope custom fields in an envelope.\nUpdates the envelope custom fields in draft and in-process envelopes.  Each custom field used in an envelope must have a unique name.","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_put_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_put_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeCustomFields):","title":"Parameters - DocuSign.Api.EnvelopeCustomFields.custom_fields_put_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_put_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeCustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeCustomFields.custom_fields_put_custom_fields/4","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_put_custom_fields/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeDocumentFields`.","title":"DocuSign.Api.EnvelopeDocumentFields","ref":"DocuSign.Api.EnvelopeDocumentFields.html"},{"type":"function","doc":"Deletes custom document fields from an existing envelope document.\nDeletes custom document fields from an existing envelope document.","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_delete_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_delete_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDocumentFields):","title":"Parameters - DocuSign.Api.EnvelopeDocumentFields.document_fields_delete_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_delete_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentFields.document_fields_delete_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_delete_document_fields/5-returns"},{"type":"function","doc":"Gets the custom document fields from an  existing envelope document.\nRetrieves the custom document field information from an existing envelope document.","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_get_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_get_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeDocumentFields.document_fields_get_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_get_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentFields.document_fields_get_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_get_document_fields/5-returns"},{"type":"function","doc":"Creates custom document fields in an existing envelope document.\nCreates custom document fields in an existing envelope document.","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_post_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_post_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDocumentFields):","title":"Parameters - DocuSign.Api.EnvelopeDocumentFields.document_fields_post_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_post_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentFields.document_fields_post_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_post_document_fields/5-returns"},{"type":"function","doc":"Updates existing custom document fields in an existing envelope document.\nUpdates existing custom document fields in an existing envelope document.","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_put_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_put_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDocumentFields):","title":"Parameters - DocuSign.Api.EnvelopeDocumentFields.document_fields_put_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_put_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentFields.document_fields_put_document_fields/5","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_put_document_fields/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeDocumentHtmlDefinitions`.","title":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html"},{"type":"function","doc":"Retrieves the HTML definition used to generate a dynamically sized responsive document.\nRetrieves the HTML definition used to generate a dynamically sized responsive document.  If the document was not created as a signable HTML document, this endpoint will return a 200-OK response and an empty JSON body.   **Note:** The `documentId` query parameter is a GUID value, not an integer document ID. If an invalid document ID is provided, this endpoint will return a 200-OK response and an empty JSON body.","title":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.responsive_html_get_envelope_document_html_definitions/5","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html#responsive_html_get_envelope_document_html_definitions/5"},{"type":"function","doc":"","title":"Related topics  - Responsive signing - DocuSign.Api.EnvelopeDocumentHtmlDefinitions.responsive_html_get_envelope_document_html_definitions/5","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html#responsive_html_get_envelope_document_html_definitions/5-related-topics-responsive-signing"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The GUID of the document.  Example: c671747c-xxxx-xxxx-xxxx-4a4a48e23744\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeDocumentHtmlDefinitions.responsive_html_get_envelope_document_html_definitions/5","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html#responsive_html_get_envelope_document_html_definitions/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentHtmlDefinitions.responsive_html_get_envelope_document_html_definitions/5","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html#responsive_html_get_envelope_document_html_definitions/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeDocumentTabs`.","title":"DocuSign.Api.EnvelopeDocumentTabs","ref":"DocuSign.Api.EnvelopeDocumentTabs.html"},{"type":"function","doc":"Deletes tabs from a document in an envelope.\nDeletes tabs from the document specified by `documentId` in the envelope specified by `envelopeId`.","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_delete_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_delete_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients.","title":"Parameters - DocuSign.Api.EnvelopeDocumentTabs.tabs_delete_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_delete_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentTabs.tabs_delete_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_delete_document_tabs/5-returns"},{"type":"function","doc":"Returns the tabs on a document.\nReturns the tabs on the document specified by `documentId` in the envelope specified by `envelopeId`.","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:include_metadata` (String.t): When **true,** the response includes metadata indicating which properties are editable.\n  - `:page_numbers` (String.t): Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page GUIDs.  Example: `page_numbers=2,6`  Note: You can only enter individual page numbers, and not a page range.","title":"Parameters - DocuSign.Api.EnvelopeDocumentTabs.tabs_get_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentTabs.tabs_get_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_document_tabs/5-returns"},{"type":"function","doc":"Returns tabs on the specified page.\nReturns the tabs from the page specified by `pageNumber` of the document specified by `documentId` in the envelope specified by `envelopeId`.","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_page_tabs/6","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_page_tabs/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `page_number` (String.t): The page number being accessed.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeDocumentTabs.tabs_get_page_tabs/6","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_page_tabs/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentTabs.tabs_get_page_tabs/6","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_page_tabs/6-returns"},{"type":"function","doc":"Adds tabs to a document in an envelope.\nAdds tabs to the document specified by `documentId` in the envelope specified by `envelopeId`.    This method operates only on   smartSection   and   polyLineOverlay   tabs.","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_post_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_post_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients.","title":"Parameters - DocuSign.Api.EnvelopeDocumentTabs.tabs_post_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_post_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentTabs.tabs_post_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_post_document_tabs/5-returns"},{"type":"function","doc":"Updates the tabs for document.\nUpdates tabs in the document specified by `documentId` in the envelope specified by `envelopeId`.    This method operates only on   smartSection   and   polyLineOverlay   tabs.","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_put_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_put_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients.","title":"Parameters - DocuSign.Api.EnvelopeDocumentTabs.tabs_put_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_put_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentTabs.tabs_put_document_tabs/5","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_put_document_tabs/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeDocumentVisibility`.","title":"DocuSign.Api.EnvelopeDocumentVisibility","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html"},{"type":"function","doc":"Returns document visibility for a recipient\nThis method returns information about document visibility for a recipient.","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_get_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_get_recipient_document_visibility/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeDocumentVisibility.recipients_get_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_get_recipient_document_visibility/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentVisibility.recipients_get_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_get_recipient_document_visibility/5-returns"},{"type":"function","doc":"Updates document visibility for a recipient\nThis method updates document visibility for a recipient.  **Note:** A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipient_document_visibility/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentVisibilityList):","title":"Parameters - DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipient_document_visibility/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipient_document_visibility/5","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipient_document_visibility/5-returns"},{"type":"function","doc":"Updates document visibility for recipients\nThis method updates document visibility for one or more recipients based on the `recipientId` and `visible` values that you include in the request body.  **Note:** A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipients_document_visibility/4","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipients_document_visibility/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentVisibilityList):","title":"Parameters - DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipients_document_visibility/4","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipients_document_visibility/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipients_document_visibility/4","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipients_document_visibility/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeDocuments`.","title":"DocuSign.Api.EnvelopeDocuments","ref":"DocuSign.Api.EnvelopeDocuments.html"},{"type":"function","doc":"Deletes documents from a draft envelope.\nDeletes one or more documents from an existing envelope that has not yet been completed.  To delete a document, use only the relevant parts of the [`envelopeDefinition`](#envelopeDefinition). For example, this request body specifies that you want to delete the document whose `documentId` is \"1\".   ```text {   \"documents\": [     {       \"documentId\": \"1\"     }   ] } ```  The envelope status must be one of:  - `created` - `sent` - `delivered`","title":"DocuSign.Api.EnvelopeDocuments.documents_delete_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_delete_documents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.EnvelopeDocuments.documents_delete_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_delete_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocuments.documents_delete_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_delete_documents/4-returns"},{"type":"function","doc":"Retrieves a single document or all documents from an envelope.\nRetrieves a single document or all documents from an envelope.  To retrieve a single document, provide the ID of the document in the `documentId` path parameter. Alternatively, by setting the `documentId` parameter to special keyword values, you can retrieve all the documents (as a combined PDF, portfolio PDF, or ZIP archive) or just the certificate of completion. See the `documentId` description for how to retrieve each format.   The response body of this method is a file. If you request multiple documents, the result is a ZIP archive that contains all of the documents.  In all other cases, the response is a PDF file or PDF portfolio.   You can get the file name and document ID from the response's `Content-Disposition` header:  ``` Content-Disposition: file; filename=\"NDA.pdf\"; documentid=\"1 ```  By default, the response is the PDF file as a byte stream. For example a request/response in `curl` looks like this:  ``` $ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \\        --header 'Authorization: Bearer eyJ...bqg'   HTTP/1.1 200 OK Content-Length: 167539 Content-Type: application/pdf . . . Content-Disposition: file; filename=\"Lorem_Ipsum.pdf\"; documentid=\"1\" Date: Tue, 23 Aug 2022 01:13:15 GMT  %PDF-1.4 %˚¸˝˛ 6 0 obj < >stream . . . ```  By using the `Content-Transfer-Encoding` header in the request, you can obtain the PDF file encoded in base64. The same `curl` request with the base64 header would look like this:  ``` $ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \\        --header 'Authorization: Bearer eyJ...bqg' \\        --header 'Content-Transfer-Encoding: base64'   HTTP/1.1 200 OK Content-Length: 223384 Content-Type: application/pdf . . . Content-Disposition: file; filename=\"Lorem_Ipsum.pdf\"; documentid=\"1\" Content-Transfer-Encoding: base64 Date: Tue, 23 Aug 2022 01:12:30 GMT  JVBERi0xLjQKJfv8/f4KNiAwIG9iago8PC9MZW. . .== ```   (In an actual `curl` request you would use the `--output` switch to save the byte stream into a file.)","title":"DocuSign.Api.EnvelopeDocuments.documents_get_document/5","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5"},{"type":"function","doc":"","title":"Related topics  - How to download envelope documents - DocuSign.Api.EnvelopeDocuments.documents_get_document/5","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5-related-topics-how-to-download-envelope-documents"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The ID of the document to retrieve. Alternatively, you can use one of the following special keywords:  - `combined`: Retrieves all of the documents as a single PDF file.   When the query parameter `certificate` is **true,** the certificate of completion is included in the PDF file.   When the query parameter `certificate` is **false,** the certificate of completion is not included in the PDF file. - `archive`: Retrieves a ZIP archive that contains all of the PDF documents and the certificate of completion. - `certificate`: Retrieves only the certificate of completion as a PDF file. - `portfolio`: Retrieves the envelope documents as a [PDF portfolio](https://helpx.adobe.com/acrobat/using/overview-pdf-portfolios.html).\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:certificate` (String.t): Used only when the `documentId` parameter is the special keyword `combined`.  When **true,** the certificate of completion is included in the combined PDF file. When **false,** (the default) the certificate of completion is not included in the combined PDF file.\n  - `:documents_by_userid` (String.t): When **true,** allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.\n  - `:encoding` (String.t): Reserved for Docusign.\n  - `:encrypt` (String.t): When **true,** the PDF bytes returned in the response are encrypted for all the key managers configured on your Docusign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the Docusign Security Appliance Installation Guide that your organization received from Docusign.\n  - `:language` (String.t): Specifies the language for the Certificate of Completion in the response. The supported languages are: Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Dutch (nl), English US (en), French (fr), German (de), Italian (it), Japanese (ja), Korean (ko), Portuguese (pt), Portuguese (Brazil) (pt_BR), Russian (ru), Spanish (es).\n  - `:recipient_id` (String.t): Allows the sender to retrieve the documents as one of the recipients that they control. The `documents_by_userid` parameter must be set to **false** for this functionality to work.\n  - `:shared_user_id` (String.t): The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the Docusign Admin console).\n  - `:show_changes` (String.t): When **true,** any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red. The account must have the **Highlight Data Changes** feature enabled.\n  - `:watermark` (String.t): When **true,** the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark.","title":"Parameters - DocuSign.Api.EnvelopeDocuments.documents_get_document/5","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocuments.documents_get_document/5","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5-returns"},{"type":"function","doc":"Gets a list of documents in an envelope.\nRetrieves a list of documents associated with the specified envelope.","title":"DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4"},{"type":"function","doc":"","title":"Related topics  - How to list envelope documents - DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4-related-topics-how-to-list-envelope-documents"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:documents_by_userid` (String.t): When **true,** allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.\n  - `:include_docgen_formfields` (String.t): Reserved for Docusign.\n  - `:include_metadata` (String.t): When **true,** the response includes metadata that indicates which properties the sender can edit.\n  - `:include_tabs` (String.t): Reserved for Docusign.\n  - `:recipient_id` (String.t): Allows the sender to retrieve the documents as one of the recipients that they control. The `documents_by_userid` parameter must be set to **false** for this to work.\n  - `:shared_user_id` (String.t): The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the Docusign Admin console).","title":"Parameters - DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4-returns"},{"type":"function","doc":"Adds or replaces a document in an existing envelope.\nAdds or replaces a document in an existing draft or in-process envelope. An in-process envelope is one that has been sent but not yet completed or voided.   **Note:** When adding or modifying documents for an in-process envelope, Docusign recommends [locking the envelope](/docs/esign-rest-api/reference/envelopes/envelopelocks/create/) prior to making any changes.  To add a new document, set the `documentId` path parameter to a new document ID.  To replace a document, set the `documentId` path parameter to the document ID of the existing document. The tabs of the original document will be applied to the new document. For example, a request in cURL looks like this:  ``` $ curl --location --request PUT 'https://demo.docusign.net/restapi/v2.1/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1' \\     --header 'Authorization: Bearer eyJ...bqg' \\     --header 'Content-Disposition: filename=\"newDocument\"' \\     --header 'Content-Type: application/pdf' \\     --data-binary '@/location/of/document.pdf' ```     If HTML document files contain  &lt;img&gt;  elements with the  src  attribute set to a path or URL, those images will not be displayed. Images in HTML files must be encoded in Base64 format, like this:   &lt;img src=\"data:image/gif;base64,R0lGODlh...IQAAOw==\" alt=\"Base64 encoded image\" width=\"150\" height=\"150\"/&gt;","title":"DocuSign.Api.EnvelopeDocuments.documents_put_document/6","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_document/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `document_file_bytes` (String.t): Updated document content.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeDocuments.documents_put_document/6","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_document/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocument.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocuments.documents_put_document/6","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_document/6-returns"},{"type":"function","doc":"Adds one or more documents to an existing envelope.\nAdds one or more documents to an existing envelope. The tabs of the original document will be applied to the new document.   **Note:** When adding or modifying documents for an in-process envelope, Docusign recommends [locking the envelope](/docs/esign-rest-api/reference/envelopes/envelopelocks/create/) prior to making any changes.  If the file name of a document contains Unicode characters, you need to include a `Content-Disposition` header. Example:   **Header:** `Content-Disposition`   **Value:** `file; filename=\\\"name\\\";fileExtension=ext;documentId=1`  **Note:** This method works on documents only. To add recipient or document tabs, use methods from the [EnvelopeRecipientTabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/) resource.    If HTML document files contain  &lt;img&gt;  elements with the  src  attribute set to a path or URL, those images will not be displayed. Images in HTML files must be encoded in Base64 format, like this:   &lt;img src=\"data:image/gif;base64,R0lGODlh...IQAAOw==\" alt=\"Base64 encoded image\" width=\"150\" height=\"150\"/&gt;","title":"DocuSign.Api.EnvelopeDocuments.documents_put_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_documents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.EnvelopeDocuments.documents_put_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeDocuments.documents_put_documents/4","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_documents/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeEmailSettings`.","title":"DocuSign.Api.EnvelopeEmailSettings","ref":"DocuSign.Api.EnvelopeEmailSettings.html"},{"type":"function","doc":"Deletes the email setting overrides for an envelope.\nDeletes all existing email override settings for the envelope. If you want to delete an individual email override setting, use the PUT and set the value to an empty string. Note that deleting email settings will only affect email communications that occur after the deletion and the normal account email settings are used for future email communications.","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_delete_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_delete_email_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeEmailSettings.email_settings_delete_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_delete_email_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EmailSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeEmailSettings.email_settings_delete_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_delete_email_settings/4-returns"},{"type":"function","doc":"Gets the email setting overrides for an envelope.\nRetrieves the email override settings for the specified envelope.","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_get_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_get_email_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeEmailSettings.email_settings_get_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_get_email_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EmailSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeEmailSettings.email_settings_get_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_get_email_settings/4-returns"},{"type":"function","doc":"Adds email setting overrides to an envelope.\nAdds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made.  The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes. To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copy or Certified Delivery recipient type.  **Note:** Docusign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options.","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_post_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_post_email_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EmailSettings): A complex type that contains email settings.","title":"Parameters - DocuSign.Api.EnvelopeEmailSettings.email_settings_post_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_post_email_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EmailSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeEmailSettings.email_settings_post_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_post_email_settings/4-returns"},{"type":"function","doc":"Updates the email setting overrides for an envelope.\nUpdates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made.  This can also be used to delete an individual email override setting by using an empty string for the value to be deleted.","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_put_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_put_email_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EmailSettings): A complex type that contains email settings.","title":"Parameters - DocuSign.Api.EnvelopeEmailSettings.email_settings_put_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_put_email_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EmailSettings.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeEmailSettings.email_settings_put_email_settings/4","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_put_email_settings/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeFormData`.","title":"DocuSign.Api.EnvelopeFormData","ref":"DocuSign.Api.EnvelopeFormData.html"},{"type":"function","doc":"Returns envelope tab data for an existing envelope.\nThis method downloads the envelope and tab data (also called form data) from any in-process, completed, or canceled envelope that you sent or that is shared with you. Recipients who are also full administrators on an account can view form data for any envelopes that another user on the account has sent to them.  **Note:** To use this feature, the Sending Setting \"Allow sender to download form data\" must be enabled for the account.","title":"DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4"},{"type":"function","doc":"","title":"Related topics  - How to get envelope tab values - DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4-related-topics-how-to-get-envelope-tab-values"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeFormData.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeHtmlDefinitions`.","title":"DocuSign.Api.EnvelopeHtmlDefinitions","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html"},{"type":"function","doc":"Gets the Original HTML Definition used to generate the Responsive HTML for the envelope.","title":"DocuSign.Api.EnvelopeHtmlDefinitions.responsive_html_get_envelope_html_definitions/4","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html#responsive_html_get_envelope_html_definitions/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeHtmlDefinitions.responsive_html_get_envelope_html_definitions/4","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html#responsive_html_get_envelope_html_definitions/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeHtmlDefinitions.responsive_html_get_envelope_html_definitions/4","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html#responsive_html_get_envelope_html_definitions/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeLocks`.","title":"DocuSign.Api.EnvelopeLocks","ref":"DocuSign.Api.EnvelopeLocks.html"},{"type":"function","doc":"Deletes an envelope lock.\nDeletes the lock from the specified envelope. The user deleting the lock must be the same user who locked the envelope.  You must include the `X-DocuSign-Edit` header as described in [EnvelopeLocks: create](/docs/esign-rest-api/reference/envelopes/envelopelocks/create/).  This method takes an optional query parameter that lets you specify whether changes made while the envelope was locked are kept or discarded.   | Query Parameter | Description                                                                                                                                                                         | | :-------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `save_changes`  | When **true** (the default), any changes made while the lock was active are saved. When **false,** any changes made while the envelope was locked are discarded. |","title":"DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4"},{"type":"function","doc":"","title":"Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeLocks.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4-returns"},{"type":"function","doc":"Gets envelope lock information.\nRetrieves general information about an envelope lock.  The user requesting the information must be the same user who locked the envelope.  You can use this method to recover the lock information, including the `lockToken`, for a locked envelope. The `X-DocuSign-Edit` header is included in the response.  See [EnvelopeLocks: create](/docs/esign-rest-api/reference/envelopes/envelopelocks/create/) for a description of the `X-DocuSign-Edit` header.","title":"DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4"},{"type":"function","doc":"","title":"Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeLocks.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4-returns"},{"type":"function","doc":"Locks an envelope.\nThis method locks the specified envelope and sets the time until the lock expires to prevent other users or recipients from changing the envelope.  The response to this request includes a `lockToken` parameter that you must use in the `X-DocuSign-Edit` header for every PUT method (typically a method that updates an envelope) while the envelope is locked.   If you do not provide the `lockToken` when accessing a locked envelope, you will get the following error:  ``` {    \"errorCode\": \"EDIT_LOCK_NOT_LOCK_OWNER\",    \"message\": \"The user is not the owner of the lock. The template is locked by another user or in another application\" } ```","title":"DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4"},{"type":"function","doc":"","title":"The X-DocuSign-Edit header  The X-DocuSign-Edit header looks like this and can be specified in either JSON or XML.  JSON { \"LockToken\": \"token-from-response\", \"LockDurationInSeconds\": \"600\" }  XML <DocuSignEdit> <LockToken>token-from-response</LockToken> <LockDurationInSeconds>600</LockDurationInSeconds> </DocuSignEdit>  In the actual HTTP header, you would remove the linebreaks:  X-DocuSign-Edit: {\"LockToken\": \"token-from-response\", \"LockDurationInSeconds\": \"600\" } or X-DocuSign-Edit:<DocuSignEdit><LockToken>token-from-response</LockToken><LockDurationInSeconds>600</LockDurationInSeconds></DocuSignEdit>   ### Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4-the-x-docusign-edit-header-the-x-docusign-edit-header-looks-like-this-and-can-be-specified-in-either-json-or-xml-json-locktoken-token-from-response-lockdurationinseconds-600-xml-docusignedit-locktoken-token-from-response-locktoken-lockdurationinseconds-600-lockdurationinseconds-docusignedit-in-the-actual-http-header-you-would-remove-the-linebreaks-x-docusign-edit-locktoken-token-from-response-lockdurationinseconds-600-or-x-docusign-edit-docusignedit-locktoken-token-from-response-locktoken-lockdurationinseconds-600-lockdurationinseconds-docusignedit-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (LockRequest):","title":"Parameters - DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeLocks.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4-returns"},{"type":"function","doc":"Updates an envelope lock.\nUpdates the lock information for a locked envelope.  You must include the `X-DocuSign-Edit` header as described in [EnvelopeLocks: create](/docs/esign-rest-api/reference/envelopes/envelopelocks/create/).   Use this method to change the duration of the lock (`lockDurationInSeconds`) or the `lockedByApp` string.  The request body is a full `lockRequest` object, but you only need to specify the properties that you are updating. For example:  ``` {   \"lockDurationInSeconds\": \"3600\",   \"lockedByApp\": \"My Application\" } ```","title":"DocuSign.Api.EnvelopeLocks.lock_put_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_put_envelope_lock/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (LockRequest):","title":"Parameters - DocuSign.Api.EnvelopeLocks.lock_put_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_put_envelope_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeLocks.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeLocks.lock_put_envelope_lock/4","ref":"DocuSign.Api.EnvelopeLocks.html#lock_put_envelope_lock/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopePublish`.","title":"DocuSign.Api.EnvelopePublish","ref":"DocuSign.Api.EnvelopePublish.html"},{"type":"function","doc":"Submits a batch of historical envelopes for republish to a webhook.\nThis endpoint submits a batch of existing envelopes to a webhook of your choice. Set the webhook address with the `urlToPublishTo` request body parameter.  This endpoint does not call an existing Connect configuration or create a new Connect listener to monitor new activity. It simply uses an ad hoc configuration to submit existing envelopes. You must include all the configuration data in the request body.  The envelope data will always be transmitted in JSON format. XML, Salesforce, and eOriginal configuration types are not supported.  Your request should match the following format:  ``` {     \"envelopes\": [\"4280f274-xxxx-xxxx-xxxx-b218b7eeda08\", \"8373a938-xxxx-xxxx-xxxx-e992a2abae01\"],     \"config\": {         \"configurationType\":\"custom\",         \"name\": \"Test\",         \"urlToPublishTo\":\"YOUR-WEBHOOK-URL\",         \"allowEnvelopePublish\": \"true\",         \"enableLog\": \"true\",         \"requiresAcknowledgement\": \"true\",         \"IncludeHMAC\": \"true\",         \"SignMessageWithX509Cert\": \"true\",         \"deliveryMode\": \"SIM\",         \"eventData\": {             \"version\": \"restv2.1\",             \"format\": \"json\",             \"includedata\": [\"tabs\",\"payment_tabs\",\"custom_fields\",\"powerform\",\"recipients\",\"folders\",\"extensions\",\"attachments\", \"prefill_tabs\", \"documents\"]         }     } } ```  If the request succeeds, it returns a 201 (Created) HTTP response code and the response body property `processingStatus` will be set to `processing`. You can then view the status of each historical republish request in the [Bulk Actions Log](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=nvf1648497452396.html).","title":"DocuSign.Api.EnvelopePublish.historical_envelope_publish_post_historical_envelope_publish_transaction/3","ref":"DocuSign.Api.EnvelopePublish.html#historical_envelope_publish_post_historical_envelope_publish_transaction/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConnectHistoricalEnvelopeRepublish):","title":"Parameters - DocuSign.Api.EnvelopePublish.historical_envelope_publish_post_historical_envelope_publish_transaction/3","ref":"DocuSign.Api.EnvelopePublish.html#historical_envelope_publish_post_historical_envelope_publish_transaction/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopePublishTransaction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopePublish.historical_envelope_publish_post_historical_envelope_publish_transaction/3","ref":"DocuSign.Api.EnvelopePublish.html#historical_envelope_publish_post_historical_envelope_publish_transaction/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeRecipientTabs`.","title":"DocuSign.Api.EnvelopeRecipientTabs","ref":"DocuSign.Api.EnvelopeRecipientTabs.html"},{"type":"function","doc":"Deletes the tabs associated with a recipient.  **Note:** It is an error to delete a tab that has the `templateLocked` property set to true. This property corresponds to the **Restrict changes** option in the web app.\nDeletes one or more tabs associated with a recipient in a draft envelope.","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_delete_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_delete_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeRecipientTabs):","title":"Parameters - DocuSign.Api.EnvelopeRecipientTabs.recipients_delete_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_delete_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipientTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipientTabs.recipients_delete_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_delete_recipient_tabs/5-returns"},{"type":"function","doc":"Gets the tabs information for a signer or sign-in-person recipient in an envelope.\nRetrieves information about the tabs associated with a recipient. You can make a single API call to get all the tab values and information from a given, completed envelope in addition to draft ones.  Tab values can be retrieved by using the [EnvelopeRecipients:list method](/docs/esign-rest-api/reference/envelopes/enveloperecipients/list/) with query parameter `include_tabs` set to **true.**","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_get_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_get_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:include_anchor_tab_locations` (String.t): When **true,** all tabs with anchor tab properties are included in the response. The default value is **false.**\n  - `:include_metadata` (String.t): When **true,** the response includes metadata indicating which properties are editable.","title":"Parameters - DocuSign.Api.EnvelopeRecipientTabs.recipients_get_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_get_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipientTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipientTabs.recipients_get_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_get_recipient_tabs/5-returns"},{"type":"function","doc":"Adds tabs for a recipient.\nAdds one or more tabs for a recipient.","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_post_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_post_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeRecipientTabs):","title":"Parameters - DocuSign.Api.EnvelopeRecipientTabs.recipients_post_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_post_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipientTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipientTabs.recipients_post_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_post_recipient_tabs/5-returns"},{"type":"function","doc":"Updates the tabs for a recipient.\nUpdates one or more tabs for a recipient in a draft envelope. A draft envelope is one that is not yet complete.  **Note:** It is an error to update a tab that has the `templateLocked` property set to true. This property corresponds to the **Restrict changes** option in the web app.","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_put_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeRecipientTabs):","title":"Parameters - DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_put_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipientTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs/5","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_put_recipient_tabs/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeRecipients`.","title":"DocuSign.Api.EnvelopeRecipients","ref":"DocuSign.Api.EnvelopeRecipients.html"},{"type":"function","doc":"Deletes a recipient from an envelope.\nDeletes a recipient from a `draft` or `sent` envelope.  If the envelope is \"In Process\" (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted.","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipient/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipient/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_delete_recipient/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipient/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_delete_recipient/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipient/5-returns"},{"type":"function","doc":"Deletes recipients from an envelope.\nDeletes one or more recipients from a draft or sent envelope. List the recipients that you want to delete in the body of the request. This method uses the `recipientId` as the key for deleting recipients.  If the envelope is `In Process`, meaning that it has been sent and has not been completed or voided, recipients that have completed their actions cannot be deleted.","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeRecipients):","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_delete_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_delete_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipients/4-returns"},{"type":"function","doc":"Gets the status of recipients for an envelope.\nRetrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. This method can also be used to retrieve the tab values.  The `currentRoutingOrder` property of the response contains the `routingOrder` value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions.","title":"DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4"},{"type":"function","doc":"","title":"Related topics  - How to list envelope recipients - How to retrieve ID Evidence events - How to retrieve ID Evidence media - DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4-related-topics-how-to-list-envelope-recipients-how-to-retrieve-id-evidence-events-how-to-retrieve-id-evidence-media"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:include_anchor_tab_locations` (String.t):  When **true** and `include_tabs` value is set to **true,** all tabs with anchor tab properties are included in the response.\n  - `:include_extended` (String.t):  When **true,** the extended properties are included in the response.\n  - `:include_metadata` (String.t): Boolean value that specifies whether to include metadata associated with the recipients (for envelopes only, not templates).\n  - `:include_tabs` (String.t): When **true,** the tab information associated with the recipient is included in the response.","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4-returns"},{"type":"function","doc":"Creates a resource token for a sender to request ID Evidence data.\nCreates a resource token for a sender. This token allows a sender to return identification data for a recipient using the [ID Evidence API](/docs/idevidence-api/).","title":"DocuSign.Api.EnvelopeRecipients.recipients_post_recipient_proof_file_resource_token/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipient_proof_file_resource_token/5"},{"type":"function","doc":"","title":"Related topics  - How to retrieve ID Evidence events - How to retrieve ID Evidence media - DocuSign.Api.EnvelopeRecipients.recipients_post_recipient_proof_file_resource_token/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipient_proof_file_resource_token/5-related-topics-how-to-retrieve-id-evidence-events-how-to-retrieve-id-evidence-media"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The account ID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): The `recipientIdGuid`.\n- `opts` (keyword): Optional parameters\n  - `:token_scopes` (String.t):","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_post_recipient_proof_file_resource_token/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipient_proof_file_resource_token/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.IdEvidenceResourceToken.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_post_recipient_proof_file_resource_token/5","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipient_proof_file_resource_token/5-returns"},{"type":"function","doc":"Adds one or more recipients to an envelope.\nAdds one or more recipients to an envelope.  For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient's routing order is before or the same as the envelope's next recipient, an email is only sent if the optional `resend_envelope` query string is set to **true.**   **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab.  ```json {   \"signers\": [     {       \"email\": \"astanton@example.com\",       \"name\": \"Anne Stanton\",       \"recipientId\": \"1\",       \"tabs\": {           // These tabs will NOT be added         \"signHereTabs\": [ // with this method. See note above.           {             \"anchorString\": \"below\",             \"tooltip\": \"please sign here\"           },           . . .         ]       }     }   ] } ```  [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/","title":"DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4"},{"type":"function","doc":"","title":"Related topics  - How to bulk send envelopes - How to request a signature by email - How to request a signature through your app - DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4-related-topics-how-to-bulk-send-envelopes-how-to-request-a-signature-by-email-how-to-request-a-signature-through-your-app"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:resend_envelope` (String.t): When **true,** forces the envelope to be resent if it would not be resent otherwise.  Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent.  Setting this query parameter to **false** has no effect and is the same as omitting it altogether.\n  - `:body` (EnvelopeRecipients):","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeRecipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4-returns"},{"type":"function","doc":"Updates recipients in a draft envelope or corrects recipient information for an in-process envelope.\nUpdates the recipients of a draft envelope or corrects recipient information for an in-process envelope.  If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the [EnvelopeRecipients: Create][EnvelopeRecipients-create] method).  You can also use this method to resend an envelope to a recipient by using the `resend_envelope` option.  **Updating Sent Envelopes**  After an envelope has been sent, you can edit only the following properties:  - `accessCode` - `agentCanEditName` - `agentCanEditEmail` - `customFields` - `deliveryMethod` - `documentVisibility` - `email` (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.) - `emailNotification` - `idCheckConfigurationName` - `identityVerification` - `name` - `note` - `phoneAuthentication` - `recipientType` (For this to work, you must also change the recipient object to match the recipient type.) - `requireIdLookup` - `routingOrder` - `signingGroupId` (You can change this ID to switch to a different signing group and its corresponding set of recipients.) - `smsAuthentication` - `suppressEmails` - `userName`  If the recipient has signed, but the envelope is still active, the method will return success, but the `recipientUpdateResults` property in the response will include an error that the recipient could not be updated:  ``` {   \"recipientUpdateResults\": [     {       \"recipientId\": \"999\",       \"errorDetails\": {         \"errorCode\": \"RECIPIENT_UPDATE_FAILED\",         \"message\": \"The recipient could not be updated.  Recipient not in state that allows correction.\"       }     }   ] } ```  If the envelope is completed, and you try to change a recipient's address, the method will fail with this error:  ``` {   \"errorCode\": \"ENVELOPE_INVALID_STATUS\",   \"message\": \"Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct.\" } ```  **Note:** This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient (`astanton@example.com`) but **NOT** the Sign Here recipient tab.  ```json {   \"signers\": [     {       \"email\": \"astanton@example.com\",       \"name\": \"Anne Stanton\",       \"recipientId\": \"1\", // THIS WILL NOT WORK       \"tabs\": {         \"signHereTabs\": [           {             \"anchorString\": \"below\",             \"tooltip\": \"please sign here3\"           },           . . .         ]       }     }   ] } ```   [EnvelopeRecipients-create]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/create/ [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/","title":"DocuSign.Api.EnvelopeRecipients.recipients_put_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_put_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:combine_same_order_recipients` (String.t): When **true,** recipients are combined or merged with matching recipients. Recipient matching occurs as part of [template matching](https://support.docusign.com/s/document-item?bundleId=jux1643235969954&topicId=fxo1578456612662.html), and is based on Recipient Role and Routing Order.\n  - `:offline_signing` (String.t): Indicates if offline signing is enabled for the recipient when a network connection is unavailable.\n  - `:resend_envelope` (String.t): When **true,** forces the envelope to be resent if it would not be resent otherwise.  Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent.  Setting this query parameter to **false** has no effect and is the same as omitting it altogether.\n  - `:body` (EnvelopeRecipients):","title":"Parameters - DocuSign.Api.EnvelopeRecipients.recipients_put_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_put_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.RecipientsUpdateSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.recipients_put_recipients/4","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_put_recipients/4-returns"},{"type":"function","doc":"Creates an envelope recipient preview.\nReturns a URL to preview the recipients' view of a draft envelope or template. You can embed this view in your application to enable the sender to preview the recipients' experience.  You must specify a `returnUrl` value in the request body.  For more information, see [Preview and Send](https://support.docusign.com/s/document-item?bundleId=ulp1643236876813&topicId=oeg1578456408976.html).","title":"DocuSign.Api.EnvelopeRecipients.views_post_envelope_recipient_preview/4","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_envelope_recipient_preview/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (RecipientPreviewRequest):","title":"Parameters - DocuSign.Api.EnvelopeRecipients.views_post_envelope_recipient_preview/4","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_envelope_recipient_preview/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ViewUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.views_post_envelope_recipient_preview/4","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_envelope_recipient_preview/4-returns"},{"type":"function","doc":"Create the link to the page for manually reviewing IDs.\nThis method returns the URL of the page that allows a sender to [manually review](https://support.docusign.com/s/document-item?bundleId=ced1643229641057&topicId=lyp1578456530647.html) the ID of a recipient.","title":"DocuSign.Api.EnvelopeRecipients.views_post_recipient_manual_review_view/5","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_recipient_manual_review_view/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): A value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field in the [AppsI and Keys](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=pmp1583277397015.html) page.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A GUID value that Docusign assigns to identify each recipient in an envelope. This value is globally unique for all recipients, not just those in your account.  The specified recipient must belong to a workflow that allows the [manual review](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=eya1583277454804.html) of IDs. In addition, the status of the automatic verification for this recipient must return `Failed` and the value of the `vendorFailureStatusCode` field must be `MANUAL_REVIEW_STARTED` as shown in the following extract of a response to the [GET ENVELOPE](/docs/esign-rest-api/reference/envelopes/envelopes/get/) method:    ``` \"recipientAuthenticationStatus\": {        \"identityVerificationResult\": {               \"status\": \"Failed\",              \"eventTimestamp\": \"2020-09-04T16:59:42.8045667Z\",              \"vendorFailureStatusCode\": \"MANUAL_REVIEW_STARTED\"         }   } ```\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeRecipients.views_post_recipient_manual_review_view/5","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_recipient_manual_review_view/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ViewUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeRecipients.views_post_recipient_manual_review_view/5","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_recipient_manual_review_view/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeTemplates`.","title":"DocuSign.Api.EnvelopeTemplates","ref":"DocuSign.Api.EnvelopeTemplates.html"},{"type":"function","doc":"Deletes a template from a document in an existing envelope.\nDeletes the specified template from a document in an existing envelope.","title":"DocuSign.Api.EnvelopeTemplates.templates_delete_document_templates/6","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_delete_document_templates/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeTemplates.templates_delete_document_templates/6","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_delete_document_templates/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTemplates.templates_delete_document_templates/6","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_delete_document_templates/6-returns"},{"type":"function","doc":"Gets the templates associated with a document in an existing envelope.\nRetrieves the templates associated with a document in the specified envelope.","title":"DocuSign.Api.EnvelopeTemplates.templates_get_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_document_templates/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list that limits the results. Valid values are:  * `applied` * `matched`","title":"Parameters - DocuSign.Api.EnvelopeTemplates.templates_get_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_document_templates/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTemplates.templates_get_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_document_templates/5-returns"},{"type":"function","doc":"Gets templates used in an envelope.\nThis returns a list of the server-side templates, their name and ID, used in an envelope.","title":"DocuSign.Api.EnvelopeTemplates.templates_get_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_envelope_templates/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): Filters the results by template type. Valid values: * `applied`: Returns the templates applied to an envelope. * `matching`: Returns the [matching templates](https://support.docusign.com/s/document-item?language=en_US&bundleId=jux1643235969954&topicId=far1578456612069.html&_LANG=enus) for an envelope.  The default value is `applied`.","title":"Parameters - DocuSign.Api.EnvelopeTemplates.templates_get_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_envelope_templates/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTemplates.templates_get_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_envelope_templates/4-returns"},{"type":"function","doc":"Adds templates to a document in an  envelope.\nAdds templates to a document in the specified envelope.","title":"DocuSign.Api.EnvelopeTemplates.templates_post_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_document_templates/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:preserve_template_recipient` (String.t): If omitted or set to false (the default), envelope recipients _will be removed_ if the template being applied includes only  tabs positioned via anchor text for the recipient, and none of the documents include the anchor text.   When **true,** the recipients _will be preserved_ after the template is applied.\n  - `:body` (DocumentTemplateList):","title":"Parameters - DocuSign.Api.EnvelopeTemplates.templates_post_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_document_templates/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentTemplateList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTemplates.templates_post_document_templates/5","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_document_templates/5-returns"},{"type":"function","doc":"Adds templates to an envelope.\nAdds templates to the specified envelope.","title":"DocuSign.Api.EnvelopeTemplates.templates_post_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_envelope_templates/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:preserve_template_recipient` (String.t): If omitted or set to false (the default), envelope recipients _will be removed_ if the template being applied includes only  tabs positioned via anchor text for the recipient, and none of the documents include the anchor text.   When **true,** the recipients _will be preserved_ after the template is applied.\n  - `:body` (DocumentTemplateList):","title":"Parameters - DocuSign.Api.EnvelopeTemplates.templates_post_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_envelope_templates/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentTemplateList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTemplates.templates_post_envelope_templates/4","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_envelope_templates/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeTransferRules`.","title":"DocuSign.Api.EnvelopeTransferRules","ref":"DocuSign.Api.EnvelopeTransferRules.html"},{"type":"function","doc":"Deletes an envelope transfer rule.\nThis method deletes an envelope transfer rule.  **Note:** Only Administrators can delete envelope transfer rules. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_delete_envelope_transfer_rules/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_delete_envelope_transfer_rules/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_transfer_rule_id` (String.t): The ID of the envelope transfer rule. The system generates this ID when the rule is first created.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_delete_envelope_transfer_rules/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_delete_envelope_transfer_rules/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_delete_envelope_transfer_rules/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_delete_envelope_transfer_rules/4-returns"},{"type":"function","doc":"Gets envelope transfer rules.\nThis method retrieves a list of envelope transfer rules associated with an account.  **Note:** Only Administrators can create and use envelope transfer rules. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_get_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_get_envelope_transfer_rules/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_get_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_get_envelope_transfer_rules/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_get_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_get_envelope_transfer_rules/3-returns"},{"type":"function","doc":"Creates an envelope transfer rule.\nThis method creates an envelope transfer rule.  When you create an envelope transfer rule, you specify the following properties:   - `eventType` - `fromGroups` - `toUser` - `toFolder` - `carbonCopyOriginalOwner` - `enabled`  **Note:** Only Administrators can create envelope transfer rules. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_post_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_post_envelope_transfer_rules/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeTransferRuleRequest):","title":"Parameters - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_post_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_post_envelope_transfer_rules/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_post_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_post_envelope_transfer_rules/3-returns"},{"type":"function","doc":"Changes the status of an envelope transfer rule.\nThis method changes the status of an envelope transfer rule. You use this method to change whether or not the rule is enabled.  You must include the `envelopeTransferRuleId` both as a query parameter, and in the request body.  **Note:** You cannot change any other information about the envelope transfer rule. Only Administrators can update an envelope transfer rule. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rule/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rule/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_transfer_rule_id` (String.t): The ID of the envelope transfer rule. The system generates this ID when the rule is first created.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeTransferRule):","title":"Parameters - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rule/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rule/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTransferRule.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rule/4","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rule/4-returns"},{"type":"function","doc":"Changes the status of multiple envelope transfer rules.\nThis method changes the status for one or more envelope transfer rules based on the `envelopeTransferRuleId`s in the request body. You use this method to change whether or not the rules are enabled.  **Note:** You cannot change any other information about the envelope transfer rule. Only Administrators can update envelope transfer rules. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rules/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeTransferRuleInformation):","title":"Parameters - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rules/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rules/3","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rules/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeViews`.","title":"DocuSign.Api.EnvelopeViews","ref":"DocuSign.Api.EnvelopeViews.html"},{"type":"function","doc":"Revokes the correction view URL to the Envelope UI.\nThis API method is obsolete. Your application should not call it. It acts as a null operation.","title":"DocuSign.Api.EnvelopeViews.views_delete_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_delete_envelope_correct_view/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (CorrectViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_delete_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_delete_envelope_correct_view/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_delete_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_delete_envelope_correct_view/4-returns"},{"type":"function","doc":"Returns a URL to the Docusign eSignature web application.\nReturns a URL that enables you to embed the Docusign UI in your applications. To view a specific envelope, set the `envelopeId` property in the request body.","title":"DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3"},{"type":"function","doc":"","title":"Information security notice  This method provides full access to the sending account.  ### Related topics  - How to embed the Docusign UI in your app - DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3-information-security-notice-this-method-provides-full-access-to-the-sending-account-related-topics-how-to-embed-the-docusign-ui-in-your-app"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (ConsoleViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeViews.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3-returns"},{"type":"function","doc":"Returns a URL to the envelope correction UI. Use after an envelope has been sent.\nReturns a URL that enables you to embed the envelope sender view of the Docusign UI. You can customize the appearance of the view via the settings request attribute. You can embed the view in an iframe.   **API request update**  The request object for this API method was updated in June 2024. The new API request format is described below. Existing applications must update to the new version; it solves a security issue with the old version. The deprecation schedule has been announced in the [Docusign Core Release Notes](https://support.docusign.com/s/document-item?language=en_US&bundleId=adp1720620778794_24-2-02-00-demo&topicId=wcz1616195757589.html&_LANG=enus). While backwards compatibility will be provided for a while for existing applications, all applications must be updated to be secure. See below for migration information.   **Best practices**  The returned URL expires after 10 minutes. Therefore, request the URL immediately before you redirect your user to it.  Due to screen space issues, do not use an iframe for embedded operations on mobile devices. For mobile applications, use a [WebView](https://developer.android.com/reference/android/webkit/WebView) (Android) or [WKWebView](https://developer.apple.com/documentation/webkit/wkwebview) (iOS).","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4"},{"type":"function","doc":"","title":"Customizing the user experience  By default, the view includes two pages: the Prepare and Tagger pages. The settings object is used to control the user experience. For example, to limit the user to the Tagger page, and not allow the user to change the recipient information:   \"startingScreen\": \"Tagger\"  \"showBackButton\": \"false\"  \"showEditRecipients\": \"false\"   Use the Embedded Views Test Too to try the different UX controls. Some UI settings attributes are not yet implemented.  ### The envelope must be in the correct state for the Embedded View  To use the Correct View, the envelope must be in the sent or delivered state. Otherwise, a 400 error will be returned with an error message in the response body: { \"errorCode\": \"ENVELOPE_INVALID_STATUS\", \"message\": \"Invalid envelope status. Correct view cannot be created for an envelope in a Created state.\" }  ### Modifying the envelope after redirection If you set \"sendButtonAction\": \"redirect\" or \"backButtonAction\": \"redirect\", and your app will modify the envelope before or after the view completes, you must lock the envelope before the API call and provide the lock as the lockToken attribute in the API request object.  Delete the lock token after the browser has been redirected to your application.  ### Closing the view's iframe  If you choose to embed the view in your application via an iframe, Docusign recommends this software pattern to close the iframe after the view has completed:   (One time) create a standalone âreturnâ page that you will use as the returnUrl target for the view. The view will redirect the iframe to this URL when it has completed. Here's an example return page. In this page, use JavaScript and the postMessage method to send a message to your application with the results of the view.  In your application, use window.addEventListener(\"message\", function_name) to register a listener for incoming messages.  To show the view, use this API method, then set the iframe to load the URL from the API response.  In your application, receive the completion message, validate it, and then close the iframe.  ### Information security  This view only has write access to the specific envelope referenced in the API call. It also has read access to templates and other secondary information that a user can access to modify the envelope. The read access corresponds to the access rights of the user associated with the access token used for the API call.  >Recommendations: > Use the access token of a service user who can access the templates appropriate for your use case.   > Do not use the access token of a user with administrator privileges.  ## Migrating to the current version of the request object  This section only applies to existing applications that use the older version of the request object.  Migrating from the old API request object to the new version will take under a day of developer time.  Step 1. Does your application set the returnUrl attribute?  Yes: continue with step 2.  No: In this case, your users first update the envelope, and then the Docusign eSignature home screen is shown. To accomplish this UI pattern with the new API request format:  Set the returnUrl to a new endpoint for your application. You can use query parameters or session data to manage state. Remember to authenticate the incoming requests.   When the new endpoint is called, use the EnvelopeViews:createConsole API call to obtain and then display the Docusign eSignature home page to your application's user.  Step 2. Does your application modify the default UI of the view?  No: continue with step 3.  Yes: With the new API request object, UI controls for the view are now set when you make the API call via the settings attribute.    Note the UI settings your application is currently modifying by adding and updating query parameters on the URL returned by the API method.   Using the reference documentation below, create a settings object that accomplishes your UI goals. You can use the Embedded Views Test tool to check your UI settings. Note that the settings object includes multiple objects and subobjects for various UI settings.   Delete the code in your application that modifies and adds query parameters to the URL returned by the API. With the new API format, your application will not make any changes to the returned URL. Exception: If you set the view's locale specifically, that is still accomplished by appending the locale query parameter.  Step 3. Is the envelope always in the right state before you call the Embedded View?  If your software may try to create the Embedded View when the envelope is not in the right state (see above), then you must add additional checks and logic to prevent this.  Step 4. Check that these API attributes are set:  \"view\" = \"envelope\"  The returnUrl is set  Step 5. All done! Test your application. - DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4-customizing-the-user-experience-by-default-the-view-includes-two-pages-the-prepare-and-tagger-pages-the-settings-object-is-used-to-control-the-user-experience-for-example-to-limit-the-user-to-the-tagger-page-and-not-allow-the-user-to-change-the-recipient-information-startingscreen-tagger-showbackbutton-false-showeditrecipients-false-use-the-embedded-views-test-too-to-try-the-different-ux-controls-some-ui-settings-attributes-are-not-yet-implemented-the-envelope-must-be-in-the-correct-state-for-the-embedded-view-to-use-the-correct-view-the-envelope-must-be-in-the-sent-or-delivered-state-otherwise-a-400-error-will-be-returned-with-an-error-message-in-the-response-body-errorcode-envelope_invalid_status-message-invalid-envelope-status-correct-view-cannot-be-created-for-an-envelope-in-a-created-state-modifying-the-envelope-after-redirection-if-you-set-sendbuttonaction-redirect-or-backbuttonaction-redirect-and-your-app-will-modify-the-envelope-before-or-after-the-view-completes-you-must-lock-the-envelope-before-the-api-call-and-provide-the-lock-as-the-locktoken-attribute-in-the-api-request-object-delete-the-lock-token-after-the-browser-has-been-redirected-to-your-application-closing-the-view-s-iframe-if-you-choose-to-embed-the-view-in-your-application-via-an-iframe-docusign-recommends-this-software-pattern-to-close-the-iframe-after-the-view-has-completed-one-time-create-a-standalone-â-returnâ-page-that-you-will-use-as-the-returnurl-target-for-the-view-the-view-will-redirect-the-iframe-to-this-url-when-it-has-completed-here-s-an-example-return-page-in-this-page-use-javascript-and-the-postmessage-method-to-send-a-message-to-your-application-with-the-results-of-the-view-in-your-application-use-window-addeventlistener-message-function_name-to-register-a-listener-for-incoming-messages-to-show-the-view-use-this-api-method-then-set-the-iframe-to-load-the-url-from-the-api-response-in-your-application-receive-the-completion-message-validate-it-and-then-close-the-iframe-information-security-this-view-only-has-write-access-to-the-specific-envelope-referenced-in-the-api-call-it-also-has-read-access-to-templates-and-other-secondary-information-that-a-user-can-access-to-modify-the-envelope-the-read-access-corresponds-to-the-access-rights-of-the-user-associated-with-the-access-token-used-for-the-api-call-recommendations-use-the-access-token-of-a-service-user-who-can-access-the-templates-appropriate-for-your-use-case-do-not-use-the-access-token-of-a-user-with-administrator-privileges-migrating-to-the-current-version-of-the-request-object-this-section-only-applies-to-existing-applications-that-use-the-older-version-of-the-request-object-migrating-from-the-old-api-request-object-to-the-new-version-will-take-under-a-day-of-developer-time-step-1-does-your-application-set-the-returnurl-attribute-yes-continue-with-step-2-no-in-this-case-your-users-first-update-the-envelope-and-then-the-docusign-esignature-home-screen-is-shown-to-accomplish-this-ui-pattern-with-the-new-api-request-format-set-the-returnurl-to-a-new-endpoint-for-your-application-you-can-use-query-parameters-or-session-data-to-manage-state-remember-to-authenticate-the-incoming-requests-when-the-new-endpoint-is-called-use-the-envelopeviews-createconsole-api-call-to-obtain-and-then-display-the-docusign-esignature-home-page-to-your-application-s-user-step-2-does-your-application-modify-the-default-ui-of-the-view-no-continue-with-step-3-yes-with-the-new-api-request-object-ui-controls-for-the-view-are-now-set-when-you-make-the-api-call-via-the-settings-attribute-note-the-ui-settings-your-application-is-currently-modifying-by-adding-and-updating-query-parameters-on-the-url-returned-by-the-api-method-using-the-reference-documentation-below-create-a-settings-object-that-accomplishes-your-ui-goals-you-can-use-the-embedded-views-test-tool-to-check-your-ui-settings-note-that-the-settings-object-includes-multiple-objects-and-subobjects-for-various-ui-settings-delete-the-code-in-your-application-that-modifies-and-adds-query-parameters-to-the-url-returned-by-the-api-with-the-new-api-format-your-application-will-not-make-any-changes-to-the-returned-url-exception-if-you-set-the-view-s-locale-specifically-that-is-still-accomplished-by-appending-the-locale-query-parameter-step-3-is-the-envelope-always-in-the-right-state-before-you-call-the-embedded-view-if-your-software-may-try-to-create-the-embedded-view-when-the-envelope-is-not-in-the-right-state-see-above-then-you-must-add-additional-checks-and-logic-to-prevent-this-step-4-check-that-these-api-attributes-are-set-view-envelope-the-returnurl-is-set-step-5-all-done-test-your-application"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeViews.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4-returns"},{"type":"function","doc":"Returns a URL to the edit view UI. Use before an envelope has been sent.\nThis API method has been replaced by the [EnvelopeViews:createSender](/docs/esign-rest-api/reference/envelopes/envelopeviews/createsender/) API method. The two API methods work exactly the same,  **Migration required**  To solve an application security issue, you must migrate to the new API request format. See the [EnvelopeViews:createSender](/docs/esign-rest-api/reference/envelopes/envelopeviews/createsender/) API method for more information. Backwards compatibility will be provided for a limited time.","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_edit_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_edit_view/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_envelope_edit_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_edit_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeViews.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_envelope_edit_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_edit_view/4-returns"},{"type":"function","doc":"Returns a URL to the shared recipient view UI for an envelope.\nReturns a URL that enables you to embed the Docusign UI recipient view of a [shared envelope](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=uzg1583277438725.html) in your applications. This is the view that a user sees of an envelope that a recipient on the same account has shared with them.  Due to screen space issues, do not use an ` ` for embedded operations on mobile devices. For iOS devices, Docusign recommends using a WebView.","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4"},{"type":"function","doc":"","title":"Related topics  - Embedded signing and sending - How to send an envelope via your app - How to embed the Docusign UI in your app - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4-related-topics-embedded-signing-and-sending-how-to-send-an-envelope-via-your-app-how-to-embed-the-docusign-ui-in-your-app"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (RecipientViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ViewUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4-returns"},{"type":"function","doc":"Returns a URL to the recipient view UI. For signer recipients, returns the embedded signing view. Can also be used for other recipient types.\nReturns a URL that enables you to [embed the recipient view](/docs/esign-rest-api/esign101/concepts/embedding/) of the DocuSign UI in your applications. If the recipient is a signer, then the view will provide the signing ceremony.  This method is only used with envelopes in the `sent` status.    Due to screen space issues, do not use an  &lt;iframe&gt;  for embedded operations on mobile devices. For iOS devices, Docusign recommends using a WebView.","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4"},{"type":"function","doc":"","title":"The returned URL  The URL returned in this method's response is intended to be used immediately to redirect the signer to the recipient view. You can open the recipient view in the current browser or in a new tab. After the signer is redirected to the recipient view, they must interact with the Docusign system periodically or their session will time out.  <ds-inlinemessage kind=\"warning\" markdown=\"1\"> The returned URL can be used only once and expires after 5 minutes. Do not store or email the returned URL. </ds-inlinemessage>  If you want to invite someone to an embedded signing session via email, the email invitation's URL must be to your application. When invoked, your app should request a recipientView URL from Docusign and then redirect the signer to that URL.  ### How to specify the default language  You can append the locale query parameter to the URL returned by this method to specify a language.  The language for the recipient view follows this order or precedence:  - The language specified by the sender for the recipient. - The locale parameter appended to the URL. - The account language if the signer has a Docusign account. - The language used in a previous signing if the signer is return signer. - The browser language.  For example, to set the default language to Canadian French, you would add this query parameter to the returned URL:  ...&locale=fr_CA   ## Authentication  Your application is responsible for authenticating the identity of the recipient or signer when you use this method. Use the following parameters to record how the recipient was authenticated.  - assertionId - authenticationInstant - authenticationMethod - clientUserId - securityDomain  At a minimum, authenticationMethod and clientUserId are required. The information that you provide is included in the envelope's certificate of completion.  ## Sending to a remote signer  You can request a signing session for a remote recipient who has a Docusign account.  Authenticate the request using the recipient's credentials, and do not specify a  clientUserId. This differs from the typical behavior where the request is authenticated using the sender's credentials, and the recipient has a clientUserId defined.    ## Redirecting back to returnUrl After the signer completes or ends the signing ceremony, Docusign redirects the user's browser back to your app via the returnUrl that you supplied in the request.  The signer may be redirected through various Docusign subdomains, depending on the region of the account sending the envelope. Please consult Allowlists for Docusign eSignature service in Security for Docusign eSignature when setting up your allowlists   ### The event status parameter  Docusign appends an event query parameter to the returnUrl with the outcome of the signing ceremony. Your app can use this event parameter to determine the next step for the envelope. Do not fetch the envelope status by using Envelopes: get or a similar method because doing so will probably hit request and polling limits.   | event query parameter | Meaning                                                                                  | | :------------------- | :--------------------------------------------------------------------------------------- | | signing_complete     | The recipient has signed the document.                                                   | | cancel               | The recipient decided to finish later.                                                   | | decline              | The recipient declined to sign the document.                                             | | exception            | An exception has occurred on the server during the signing session.                      | | fax_pending          | Recipient has a fax pending.                                                             | | session_timeout      | The recipient did not sign the document in time. The timeout is set to 20 minutes.       | | ttl_expired          | The token was not used within the timeout period or the token has already been accessed. | | viewing_complete     | The recipient did not need to sign but has completed the viewing ceremony.               |    <ds-inlinemessage kind=\"information\" markdown=\"1\"> Because a user can cancel redirection, close their browser after signing, or spoof the landing URL, you should not rely on the <code>returnUrl</code> alone as the single source of truth for envelope status for your integration. </ds-inlinemessage>  ### Maintaining State After the recipient completes the recipient view (or signing ceremony), they are redirected to your application. Your application can recover state information about the transaction by storing information in a cookie, or by including query parameters in the returnUrl field. For example. https://myapp.example.com/docusign_return?myState=12345 When the user is redirected to your app, the event query parameter will be appended. In this example, prevent spoofing by not using a guessable value as the state value.   ### Related topics  - How to request a signature through your app - How to request a signature using a composite template - How to send an envelope via your app - How to set envelope tab values - How to set tab values in a template - How to request a signature using focused view - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4-the-returned-url-the-url-returned-in-this-method-s-response-is-intended-to-be-used-immediately-to-redirect-the-signer-to-the-recipient-view-you-can-open-the-recipient-view-in-the-current-browser-or-in-a-new-tab-after-the-signer-is-redirected-to-the-recipient-view-they-must-interact-with-the-docusign-system-periodically-or-their-session-will-time-out-ds-inlinemessage-kind-warning-markdown-1-the-returned-url-can-be-used-only-once-and-expires-after-5-minutes-do-not-store-or-email-the-returned-url-ds-inlinemessage-if-you-want-to-invite-someone-to-an-embedded-signing-session-via-email-the-email-invitation-s-url-must-be-to-your-application-when-invoked-your-app-should-request-a-recipientview-url-from-docusign-and-then-redirect-the-signer-to-that-url-how-to-specify-the-default-language-you-can-append-the-locale-query-parameter-to-the-url-returned-by-this-method-to-specify-a-language-the-language-for-the-recipient-view-follows-this-order-or-precedence-the-language-specified-by-the-sender-for-the-recipient-the-locale-parameter-appended-to-the-url-the-account-language-if-the-signer-has-a-docusign-account-the-language-used-in-a-previous-signing-if-the-signer-is-return-signer-the-browser-language-for-example-to-set-the-default-language-to-canadian-french-you-would-add-this-query-parameter-to-the-returned-url-locale-fr_ca-authentication-your-application-is-responsible-for-authenticating-the-identity-of-the-recipient-or-signer-when-you-use-this-method-use-the-following-parameters-to-record-how-the-recipient-was-authenticated-assertionid-authenticationinstant-authenticationmethod-clientuserid-securitydomain-at-a-minimum-authenticationmethod-and-clientuserid-are-required-the-information-that-you-provide-is-included-in-the-envelope-s-certificate-of-completion-sending-to-a-remote-signer-you-can-request-a-signing-session-for-a-remote-recipient-who-has-a-docusign-account-authenticate-the-request-using-the-recipient-s-credentials-and-do-not-specify-a-clientuserid-this-differs-from-the-typical-behavior-where-the-request-is-authenticated-using-the-sender-s-credentials-and-the-recipient-has-a-clientuserid-defined-redirecting-back-to-returnurl-after-the-signer-completes-or-ends-the-signing-ceremony-docusign-redirects-the-user-s-browser-back-to-your-app-via-the-returnurl-that-you-supplied-in-the-request-the-signer-may-be-redirected-through-various-docusign-subdomains-depending-on-the-region-of-the-account-sending-the-envelope-please-consult-allowlists-for-docusign-esignature-service-in-security-for-docusign-esignature-when-setting-up-your-allowlists-the-event-status-parameter-docusign-appends-an-event-query-parameter-to-the-returnurl-with-the-outcome-of-the-signing-ceremony-your-app-can-use-this-event-parameter-to-determine-the-next-step-for-the-envelope-do-not-fetch-the-envelope-status-by-using-envelopes-get-or-a-similar-method-because-doing-so-will-probably-hit-request-and-polling-limits-event-query-parameter-meaning-signing_complete-the-recipient-has-signed-the-document-cancel-the-recipient-decided-to-finish-later-decline-the-recipient-declined-to-sign-the-document-exception-an-exception-has-occurred-on-the-server-during-the-signing-session-fax_pending-recipient-has-a-fax-pending-session_timeout-the-recipient-did-not-sign-the-document-in-time-the-timeout-is-set-to-20-minutes-ttl_expired-the-token-was-not-used-within-the-timeout-period-or-the-token-has-already-been-accessed-viewing_complete-the-recipient-did-not-need-to-sign-but-has-completed-the-viewing-ceremony-ds-inlinemessage-kind-information-markdown-1-because-a-user-can-cancel-redirection-close-their-browser-after-signing-or-spoof-the-landing-url-you-should-not-rely-on-the-code-returnurl-code-alone-as-the-single-source-of-truth-for-envelope-status-for-your-integration-ds-inlinemessage-maintaining-state-after-the-recipient-completes-the-recipient-view-or-signing-ceremony-they-are-redirected-to-your-application-your-application-can-recover-state-information-about-the-transaction-by-storing-information-in-a-cookie-or-by-including-query-parameters-in-the-returnurl-field-for-example-https-myapp-example-com-docusign_return-mystate-12345-when-the-user-is-redirected-to-your-app-the-event-query-parameter-will-be-appended-in-this-example-prevent-spoofing-by-not-using-a-guessable-value-as-the-state-value-related-topics-how-to-request-a-signature-through-your-app-how-to-request-a-signature-using-a-composite-template-how-to-send-an-envelope-via-your-app-how-to-set-envelope-tab-values-how-to-set-tab-values-in-a-template-how-to-request-a-signature-using-focused-view"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The ID of the draft envelope or template to preview.\n- `opts` (keyword): Optional parameters\n  - `:body` (RecipientViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeViews.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4-returns"},{"type":"function","doc":"Returns a URL to the sender view UI. Used before an envelope has been sent.\nReturns a URL that enables you to embed the envelope sender view of the Docusign UI. You can customize the appearance of the view via the settings request attribute. You can embed the view in an iframe.   **API request update**  The request object for this API method was updated in June 2024. The new API request format is described below. Existing applications must update to the new version; it solves a security issue with the old version. The deprecation schedule has been announced in the [Docusign Core Release Notes](https://support.docusign.com/s/document-item?language=en_US&bundleId=adp1720620778794_24-2-02-00-demo&topicId=wcz1616195757589.html&_LANG=enus). While backwards compatibility will be provided for a while for existing applications, all applications must be updated to be secure. See below for migration information.   **Best practices**  The returned URL expires after 10 minutes. Therefore, request the URL immediately before you redirect your user to it.  Due to screen space issues, do not use an iframe for embedded operations on mobile devices. For mobile applications, use a [WebView](https://developer.android.com/reference/android/webkit/WebView) (Android) or [WKWebView](https://developer.apple.com/documentation/webkit/wkwebview) (iOS).","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4"},{"type":"function","doc":"","title":"Customizing the user experience  By default, the view includes two pages: the Prepare and Tagger pages. The settings object is used to control the user experience. For example, to limit the user to the Tagger page, and not allow the user to change the recipient information:   \"startingScreen\": \"Tagger\"  \"showBackButton\": \"false\"  \"showEditRecipients\": \"false\"   Use the Embedded Views Test Too to try the different UX controls. Some UI settings attributes are not yet implemented.  ### The envelope must be in the correct state for the Embedded View  To use the Sender View, the envelope must be in the created state. Otherwise, a 400 error will be returned with an error message in the response body: { \"errorCode\": \"ENVELOPE_INVALID_STATUS\", \"message\": \"Invalid envelope status. Sender view cannot be created for an envelope that is not in a draft state.\" }  ### Closing the view's iframe  If you choose to embed the view in your application via an iframe, Docusign recommends this software pattern to close the iframe after the view has completed:   (One time) create a standalone “return” page that you will use as the returnUrl target for the view. The view will redirect the iframe to this URL when it has completed. Here's an example return page. In this page, use JavaScript and the postMessage method to send a message to your application with the results of the view.  In your application, use window.addEventListener(\"message\", function_name) to register a listener for incoming messages.  To show the view, use this API method, then set the iframe to load the URL from the API response.  In your application, receive the completion message, validate it, and then close the iframe.  ### Information security  This view only has write access to the specific envelope referenced in the API call. It also has read access to templates and other secondary information that a user can access to modify the envelope. The read access corresponds to the access rights of the user associated with the access token used for the API call.  >Recommendations: > Use the access token of a service user who can access the templates appropriate for your use case.   > Do not use the access token of a user with administrator privileges.  ## Migrating to the current version of the request object  This section only applies to existing applications that use the older version of the request object.  Migrating from the old API request object to the new version will take under a day of developer time.  Step 1. Does your application set the returnUrl attribute?  Yes: continue with step 2.  No: In this case, your users first update the envelope, and then the Docusign eSignature home screen is shown. To accomplish this UI pattern with the new API request format:  Set the returnUrl to a new endpoint for your application. You can use query parameters or session data to manage state. Remember to authenticate the incoming requests.   When the new endpoint is called, use the EnvelopeViews:createConsole API call to obtain and then display the Docusign eSignature home page to your application's user.  Step 2. Does your application modify the default UI of the view?  No: continue with step 3.  Yes: With the new API request object, UI controls for the view are now set when you make the API call via the settings attribute.    Note the UI settings your application is currently modifying by adding and updating query parameters on the URL returned by the API method.   Using the reference documentation below, create a settings object that accomplishes your UI goals. You can use the Embedded Views Test tool to check your UI settings. Note that the settings object includes multiple objects and subobjects for various UI settings.   Delete the code in your application that modifies and adds query parameters to the URL returned by the API. With the new API format, your application will not make any changes to the returned URL. Exception: If you set the view's locale specifically, that is still accomplished by appending the locale query parameter.  Step 3. Is the envelope always in the right state before you call the Embedded View?  If your software may try to create the Embedded View when the envelope is not in the right state (see above), then you must add additional checks and logic to prevent this.  Step 4. Check that these API attributes are set:  \"view\" = \"envelope\"  The returnUrl is set  Step 5. All done! Test your application. - DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4-customizing-the-user-experience-by-default-the-view-includes-two-pages-the-prepare-and-tagger-pages-the-settings-object-is-used-to-control-the-user-experience-for-example-to-limit-the-user-to-the-tagger-page-and-not-allow-the-user-to-change-the-recipient-information-startingscreen-tagger-showbackbutton-false-showeditrecipients-false-use-the-embedded-views-test-too-to-try-the-different-ux-controls-some-ui-settings-attributes-are-not-yet-implemented-the-envelope-must-be-in-the-correct-state-for-the-embedded-view-to-use-the-sender-view-the-envelope-must-be-in-the-created-state-otherwise-a-400-error-will-be-returned-with-an-error-message-in-the-response-body-errorcode-envelope_invalid_status-message-invalid-envelope-status-sender-view-cannot-be-created-for-an-envelope-that-is-not-in-a-draft-state-closing-the-view-s-iframe-if-you-choose-to-embed-the-view-in-your-application-via-an-iframe-docusign-recommends-this-software-pattern-to-close-the-iframe-after-the-view-has-completed-one-time-create-a-standalone-return-page-that-you-will-use-as-the-returnurl-target-for-the-view-the-view-will-redirect-the-iframe-to-this-url-when-it-has-completed-here-s-an-example-return-page-in-this-page-use-javascript-and-the-postmessage-method-to-send-a-message-to-your-application-with-the-results-of-the-view-in-your-application-use-window-addeventlistener-message-function_name-to-register-a-listener-for-incoming-messages-to-show-the-view-use-this-api-method-then-set-the-iframe-to-load-the-url-from-the-api-response-in-your-application-receive-the-completion-message-validate-it-and-then-close-the-iframe-information-security-this-view-only-has-write-access-to-the-specific-envelope-referenced-in-the-api-call-it-also-has-read-access-to-templates-and-other-secondary-information-that-a-user-can-access-to-modify-the-envelope-the-read-access-corresponds-to-the-access-rights-of-the-user-associated-with-the-access-token-used-for-the-api-call-recommendations-use-the-access-token-of-a-service-user-who-can-access-the-templates-appropriate-for-your-use-case-do-not-use-the-access-token-of-a-user-with-administrator-privileges-migrating-to-the-current-version-of-the-request-object-this-section-only-applies-to-existing-applications-that-use-the-older-version-of-the-request-object-migrating-from-the-old-api-request-object-to-the-new-version-will-take-under-a-day-of-developer-time-step-1-does-your-application-set-the-returnurl-attribute-yes-continue-with-step-2-no-in-this-case-your-users-first-update-the-envelope-and-then-the-docusign-esignature-home-screen-is-shown-to-accomplish-this-ui-pattern-with-the-new-api-request-format-set-the-returnurl-to-a-new-endpoint-for-your-application-you-can-use-query-parameters-or-session-data-to-manage-state-remember-to-authenticate-the-incoming-requests-when-the-new-endpoint-is-called-use-the-envelopeviews-createconsole-api-call-to-obtain-and-then-display-the-docusign-esignature-home-page-to-your-application-s-user-step-2-does-your-application-modify-the-default-ui-of-the-view-no-continue-with-step-3-yes-with-the-new-api-request-object-ui-controls-for-the-view-are-now-set-when-you-make-the-api-call-via-the-settings-attribute-note-the-ui-settings-your-application-is-currently-modifying-by-adding-and-updating-query-parameters-on-the-url-returned-by-the-api-method-using-the-reference-documentation-below-create-a-settings-object-that-accomplishes-your-ui-goals-you-can-use-the-embedded-views-test-tool-to-check-your-ui-settings-note-that-the-settings-object-includes-multiple-objects-and-subobjects-for-various-ui-settings-delete-the-code-in-your-application-that-modifies-and-adds-query-parameters-to-the-url-returned-by-the-api-with-the-new-api-format-your-application-will-not-make-any-changes-to-the-returned-url-exception-if-you-set-the-view-s-locale-specifically-that-is-still-accomplished-by-appending-the-locale-query-parameter-step-3-is-the-envelope-always-in-the-right-state-before-you-call-the-embedded-view-if-your-software-may-try-to-create-the-embedded-view-when-the-envelope-is-not-in-the-right-state-see-above-then-you-must-add-additional-checks-and-logic-to-prevent-this-step-4-check-that-these-api-attributes-are-set-view-envelope-the-returnurl-is-set-step-5-all-done-test-your-application"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeViewRequest):","title":"Parameters - DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeViews.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `EnvelopeWorkflowDefinition`.","title":"DocuSign.Api.EnvelopeWorkflowDefinition","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html"},{"type":"function","doc":"Delete the workflow definition for an envelope.\nDeletes the specified envelope's workflow definition if it has one.  **Note:** If the envelope was scheduled to be sent, this endpoint will cancel the scheduled send and the envelope status will be reset to  `created`. To resend the envelope, call the update the status to `sent` with the [Envelopes::Update](/docs/esign-rest-api/reference/envelopes/envelopes/update/) method.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_delete_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_delete_envelope_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_delete_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_delete_envelope_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_delete_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_delete_envelope_workflow_definition/4-returns"},{"type":"function","doc":"Returns the workflow definition for an envelope.\nReturns the workflow definition for the envelope specified by `envelopeId`. If the envelope does not have a workflow object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_get_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_get_envelope_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_get_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_get_envelope_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workflow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_get_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_get_envelope_workflow_definition/4-returns"},{"type":"function","doc":"Updates the workflow definition for an envelope.\nUpdates the specified envelope's workflow.  You can use this endpoint to add scheduled sending to a draft envelope. You can also update the scheduled sending for a sent envelope if the scheduled sending countdown is in progress. In that case, the envelope will be reset to a draft state.  You can also add delayed routing to a draft envelope or a sent envelope that has not started workflow processing.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_put_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_put_envelope_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (Workflow):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_put_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_put_envelope_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workflow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_put_envelope_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_put_envelope_workflow_definition/4-returns"},{"type":"function","doc":"Deletes the delayed routing rules for the specified envelope workflow step.\nDelete the delayed routing object for an envelope's workflow step. You cannot call this endpoint once the delay is in progress. As a workaround, you can update the delay or send time to one minute in the future using the [updateEnvelopeDelayedRoutingDefinition](/docs/esign-rest-api/reference/envelopes/envelopeworkflowdefinition/updateEnvelopeDelayedRoutingDefinition/) endpoint.   **Note:** After deleting the delayed routing object, the workflow step still contains the `pause_before` action. Once the workflow step is reached, you will need to [unpause the envelope](/docs/esign-rest-api/how-to/unpause-workflow/). If you want to delete the step entirely, use [deleteEnvelopeWorkflowStepDefinition](/docs/esign-rest-api/reference/envelopes/envelopeworkflowdefinition/deleteenvelopeworkflowstepdefinition/) instead.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5-returns"},{"type":"function","doc":"Returns the delayed routing rules for an envelope's workflow step definition.\nGiven an envelope and a workflow step, returns the delayed routing rules for that workflow step.  **Note:** If the workflow step does not have a delayed routing object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DelayedRouting.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5-returns"},{"type":"function","doc":"Updates the delayed routing rules for an envelope's workflow step definition.\nUpdates the delayed routing rules for an envelope's workflow step definition.  You can use this endpoint to add delayed routing to a draft envelope or a sent envelope (as long as the previous workflow step has not yet been completed). You can also update the delayed routing rule for an envelope, as long as the delay is not yet complete. If you update the delayed routing rule while the delay is already in progress, the countdown will reset.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters\n  - `:body` (DelayedRouting): A complex element that specifies the delayed routing settings for the workflow step.","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DelayedRouting.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5-returns"},{"type":"function","doc":"Deletes the scheduled sending rules for the envelope's workflow.\nDeletes the scheduled sending rules for an envelope's workflow. You cannot call this endpoint once the scheduled sending countdown has begun.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Returns the scheduled sending rules for an envelope's workflow definition.\nGiven a template and a workflow step, returns the scheduled sending rules for that workflow step.  **Note:** If the workflow step does not have a scheduled sending object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ScheduledSending.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Updates the scheduled sending rules for an envelope's workflow.\nUpdates the scheduled sending rules for an envelope's workflow. The envelope must have an existing workflow object.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (ScheduledSending): An object that describes the settings for scheduled sending.","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ScheduledSending.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Deletes a workflow step from an envelope's workflow definition.\nDeletes the workflow step specified by `workflowStepId` from an envelope specified by `envelopeId`.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_delete_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_delete_envelope_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_delete_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_delete_envelope_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_delete_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_delete_envelope_workflow_step_definition/5-returns"},{"type":"function","doc":"Returns a specified workflow step for a specified template.\nReturns a workflow step specified by `workflowStepId` for an envelope specified by `envelopeId`.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_get_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_get_envelope_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_get_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_get_envelope_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_get_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_get_envelope_workflow_step_definition/5-returns"},{"type":"function","doc":"Adds a new step to an envelope's workflow.\nAdds a new step to an envelope's workflow.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_post_envelope_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_post_envelope_workflow_step_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (WorkflowStep):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_post_envelope_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_post_envelope_workflow_step_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_post_envelope_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_post_envelope_workflow_step_definition/4-returns"},{"type":"function","doc":"Updates the specified workflow step for an envelope.\nUpdates the workflow step specified by `workflowStepId` for an envelope.  You can use this endpoint to add or update delayed routing for a draft envelope. You can add or update delayed routing for a sent envelope as long as the previous workflow step has not been completed.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_put_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_put_envelope_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters\n  - `:body` (WorkflowStep):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_put_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_put_envelope_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_put_envelope_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_put_envelope_workflow_step_definition/5-returns"},{"type":"function","doc":"Delete the workflow definition for a template.\nDeletes the specified template's workflow definition if it has one.  **Note:** If the specified template does not have a workflow definition, this endpoint returns a 200 response.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_delete_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_delete_template_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_delete_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_delete_template_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_delete_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_delete_template_workflow_definition/4-returns"},{"type":"function","doc":"Returns the workflow definition for a template.\nReturns the workflow definition for the template specified by `templateId`. If the template does not have a workflow object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_get_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_get_template_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_get_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_get_template_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workflow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_get_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_get_template_workflow_definition/4-returns"},{"type":"function","doc":"Updates the workflow definition for a template.\nUpdates the specified template's workflow definition.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_put_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_put_template_workflow_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (Workflow):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_put_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_put_template_workflow_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workflow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_put_template_workflow_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_put_template_workflow_definition/4-returns"},{"type":"function","doc":"Deletes the delayed routing rules for the specified template workflow step.\nDeletes the delayed routing rules for the specified template workflow step.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_delete_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_delete_template_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_delete_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_delete_template_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_delete_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_delete_template_delayed_routing_definition/5-returns"},{"type":"function","doc":"Returns the delayed routing rules for a template's workflow step definition.\nGiven a template and a workflow step, returns the delayed routing rules for that workflow step.  **Note:** If the workflow step does not have a delayed routing object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_get_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_get_template_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_get_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_get_template_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DelayedRouting.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_get_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_get_template_delayed_routing_definition/5-returns"},{"type":"function","doc":"Updates the delayed routing rules for a template's workflow step.\nUpdates the scheduled sending rules for a template's workflow.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_put_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_put_template_delayed_routing_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters\n  - `:body` (DelayedRouting): A complex element that specifies the delayed routing settings for the workflow step.","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_put_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_put_template_delayed_routing_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DelayedRouting.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_put_template_delayed_routing_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_put_template_delayed_routing_definition/5-returns"},{"type":"function","doc":"Deletes the scheduled sending rules for the template's workflow.\nDeletes the scheduled sending rules for the template's workflow.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Returns the scheduled sending rules for a template's workflow definition.\nGiven a template specified by `templateId`, returns the scheduled sending rules for that template's workflow object.  **Note:** If the template's workflow does not have a scheduled sending object, this method returns a 404.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ScheduledSending.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Updates the scheduled sending rules for a template's workflow definition.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (ScheduledSending): An object that describes the settings for scheduled sending.","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ScheduledSending.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4-returns"},{"type":"function","doc":"Deletes a workflow step from an template's workflow definition.\nDeletes a workflow step from an template's workflow definition.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_delete_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_delete_template_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_delete_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_delete_template_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_delete_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_delete_template_workflow_step_definition/5-returns"},{"type":"function","doc":"Returns a specified workflow step for a specified envelope.\nReturns a workflow step specified by `workflowStepId` for a template specified by `templateId`.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_get_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_get_template_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_get_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_get_template_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_get_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_get_template_workflow_step_definition/5-returns"},{"type":"function","doc":"Adds a new step to a template's workflow.\nAdds a new step to a template's workflow.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_post_template_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_post_template_workflow_step_definition/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (WorkflowStep):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_post_template_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_post_template_workflow_step_definition/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_post_template_workflow_step_definition/4","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_post_template_workflow_step_definition/4-returns"},{"type":"function","doc":"Updates a specified workflow step for a template.\nUpdates a specified workflow step for a template.","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_put_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_put_template_workflow_step_definition/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `workflow_step_id` (String.t): The ID of the workflow step.\n- `opts` (keyword): Optional parameters\n  - `:body` (WorkflowStep):","title":"Parameters - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_put_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_put_template_workflow_step_definition/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkflowStep.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_put_template_workflow_step_definition/5","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_put_template_workflow_step_definition/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Envelopes`.","title":"DocuSign.Api.Envelopes","ref":"DocuSign.Api.Envelopes.html"},{"type":"function","doc":"Gets the envelope audit events for an envelope.\nGets the envelope audit events for the specified envelope.","title":"DocuSign.Api.Envelopes.audit_events_get_audit_events/4","ref":"DocuSign.Api.Envelopes.html#audit_events_get_audit_events/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.audit_events_get_audit_events/4","ref":"DocuSign.Api.Envelopes.html#audit_events_get_audit_events/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeAuditEventResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.audit_events_get_audit_events/4","ref":"DocuSign.Api.Envelopes.html#audit_events_get_audit_events/4-returns"},{"type":"function","doc":"Gets the status of a single envelope.\nRetrieves the overall status for the specified envelope. To get the status of a list of envelopes, use [Envelope: listStatusChanges ](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/).","title":"DocuSign.Api.Envelopes.envelopes_get_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4"},{"type":"function","doc":"","title":"Related topics  - How to get envelope information - DocuSign.Api.Envelopes.envelopes_get_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4-related-topics-how-to-get-envelope-information"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:advanced_update` (String.t): When **true,** envelope information can be added or modified.\n  - `:include` (String.t): Specifies additional information about the envelope to return. Enter a comma-separated list, such as `tabs,recipients`. Valid values are:  - `custom_fields`: The custom fields associated with the envelope. - `documents`: The documents associated with the envelope. - `attachments`: The attachments associated with the envelope. - `extensions`: The email settings associated with the envelope. - `folders`: The folder where the envelope exists. - `recipients`: The recipients associated with the envelope. - `powerform`: The PowerForms associated with the envelope. - `prefill_tabs`: The pre-filled tabs associated with the envelope. - `tabs`: The tabs associated with the envelope. - `payment_tabs`: The payment tabs associated with the envelope. - `workflow`: The workflow definition associated with the envelope.\n  - `:include_anchor_tab_locations` (String.t): When **true,** all tabs with anchor tab properties are included in the response. The default value is **false.**","title":"Parameters - DocuSign.Api.Envelopes.envelopes_get_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Envelope.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.envelopes_get_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4-returns"},{"type":"function","doc":"Search for specific sets of envelopes by using search filters.\nThis method lets you [search for envelopes](/docs/esign-rest-api/esign101/concepts/envelopes/search/) in your accounts. A large set of filters let you narrow the scope of your search by date, by envelope ID, or by status codes. Your request must include one or more of the following parameters:  * `from_date` * `envelope_ids` * `transaction_ids`","title":"DocuSign.Api.Envelopes.envelopes_get_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3"},{"type":"function","doc":"","title":"Restrictions  The number of envelopes returned is limited to 1,000 per call. To retrieve the next or previous set of envelopes, use the nextUri and previousUri parameters returned in the original call's response.  If no from_date query parameter is specified, envelopes from more than two years ago will not be returned. To fetch older envelopes, set the specific date range using the from_date and to_date parameters.  To avoid unnecessary database queries, the Docusign signature platform first checks requests to ensure that the filter set supplied does not result in a zero-size response before querying the database.  ### Envelope statuses  This table shows the valid current envelope statuses (status parameter) for the different status qualifiers (from_to_status parameter) in the request. If the status and status qualifiers in the API request do not contain any of the values shown in the Valid Current Statuses column, then an empty list is returned.  Client applications should check that the statuses (status parameter) they are requesting make sense for a given from_to_status parameter value.  | Status Qualifier<br>(from_to_status) | Effective Status Qualifier | Valid Current Statuses                                                      | | :------------------------------------- | :------------------------- | :-------------------------------------------------------------------------- | | any (changed)                          | StatusChanged              | any, created, sent, delivered, signed, completed, declined, voided, deleted | | created                                | Created                    | any, created, sent, delivered, signed, completed, declined, voided, deleted | | sent                                   | Sent                       | any, sent, delivered, signed, completed, declined, voided, deleted          | | delivered                              | StatusChanged              | any, delivered, signed, completed, declined, voided, deleted                | | signed                                 | StatusChanged              | any, signed, completed, declined, voided, deleted                           | | completed                              | Completed                  | any, completed, declined, voided, deleted                                   | | declined                               | StatusChanged              | any, declined, voided, deleted                                              | | timedout<br>always return zero results | StatusChanged              | any, voided, deleted                                                        | | voided                                 | Voided                     | any, voided, deleted                                                        | | deleted                                | StatusChanged              | any, deleted                                                                |  ### Extraneous results  In some cases, a request for a specific envelope status will include envelopes with additional statuses. For example, in a request with a from_date of 2017-01-01, a to_date of 2017-01-07 and the status qualifier (from_to_status) set to delivered, the response set might contain envelopes that were created during that time period, but not delivered during the time period. As a workaround, check the envelope status values in the result set as needed.   ### Related topics  - Searching for envelopes - How to list envelope status changes - DocuSign.Api.Envelopes.envelopes_get_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3-restrictions-the-number-of-envelopes-returned-is-limited-to-1-000-per-call-to-retrieve-the-next-or-previous-set-of-envelopes-use-the-nexturi-and-previousuri-parameters-returned-in-the-original-call-s-response-if-no-from_date-query-parameter-is-specified-envelopes-from-more-than-two-years-ago-will-not-be-returned-to-fetch-older-envelopes-set-the-specific-date-range-using-the-from_date-and-to_date-parameters-to-avoid-unnecessary-database-queries-the-docusign-signature-platform-first-checks-requests-to-ensure-that-the-filter-set-supplied-does-not-result-in-a-zero-size-response-before-querying-the-database-envelope-statuses-this-table-shows-the-valid-current-envelope-statuses-status-parameter-for-the-different-status-qualifiers-from_to_status-parameter-in-the-request-if-the-status-and-status-qualifiers-in-the-api-request-do-not-contain-any-of-the-values-shown-in-the-valid-current-statuses-column-then-an-empty-list-is-returned-client-applications-should-check-that-the-statuses-status-parameter-they-are-requesting-make-sense-for-a-given-from_to_status-parameter-value-status-qualifier-br-from_to_status-effective-status-qualifier-valid-current-statuses-any-changed-statuschanged-any-created-sent-delivered-signed-completed-declined-voided-deleted-created-created-any-created-sent-delivered-signed-completed-declined-voided-deleted-sent-sent-any-sent-delivered-signed-completed-declined-voided-deleted-delivered-statuschanged-any-delivered-signed-completed-declined-voided-deleted-signed-statuschanged-any-signed-completed-declined-voided-deleted-completed-completed-any-completed-declined-voided-deleted-declined-statuschanged-any-declined-voided-deleted-timedout-br-always-return-zero-results-statuschanged-any-voided-deleted-voided-voided-any-voided-deleted-deleted-statuschanged-any-deleted-extraneous-results-in-some-cases-a-request-for-a-specific-envelope-status-will-include-envelopes-with-additional-statuses-for-example-in-a-request-with-a-from_date-of-2017-01-01-a-to_date-of-2017-01-07-and-the-status-qualifier-from_to_status-set-to-delivered-the-response-set-might-contain-envelopes-that-were-created-during-that-time-period-but-not-delivered-during-the-time-period-as-a-workaround-check-the-envelope-status-values-in-the-result-set-as-needed-related-topics-searching-for-envelopes-how-to-list-envelope-status-changes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:ac_status` (String.t): Specifies the authoritative copy status for the envelopes. Valid values:  * `Unknown` * `Original` * `Transferred` * `AuthoritativeCopy` * `AuthoritativeCopyExportPending` * `AuthoritativeCopyExported` * `DepositPending` * `Deposited` * `DepositedEO` * `DepositFailed`\n  - `:block` (String.t): Reserved for Docusign.\n  - `:cdse_mode` (String.t): Reserved for Docusign.\n  - `:continuation_token` (String.t): Reserved for Docusign.\n  - `:count` (String.t): The maximum number of results to return.  The maximum value is 1000. To get the next or previous set of envelopes, use `nextUri` or `previousUri` from the response.\n  - `:custom_field` (String.t): Optional. Specifies an envelope custom field name and value searched for in the envelopes. Format: `custom_envelope_field_name=desired_value`  Example: If you have an envelope custom field named \"Region\" and you want to search for all envelopes where the value is \"West\" you would use set this parameter to `Region=West`.\n  - `:email` (String.t): Limit results to envelopes sent by the account user with this email address.  `user_name` must be given as well, and both `email` and `user_name` must refer to an existing account user.\n  - `:envelope_ids` (String.t): Comma separated list of `envelopeId` values.\n  - `:exclude` (String.t): Excludes information from the response. Enter as a comma-separated list (e.g., `folders,powerforms`).   Valid values:  - `recipients` - `powerforms` - `folders`\n  - `:folder_ids` (String.t): Returns the envelopes from specific folders. Enter as a comma-separated list of either valid folder GUIDs or the following values:   - `awaiting_my_signature` - `completed` - `draft` - `drafts` - `expiring_soon` - `inbox` - `out_for_signature` - `recyclebin` - `sentitems` - `waiting_for_others`\n  - `:folder_types` (String.t): Returns the envelopes from folders of a specific type. Enter as a comma-separated list of the following values:  - `normal` - `inbox` - `sentitems` - `draft` - `templates`\n  - `:from_date` (String.t): Specifies the date and time to start looking for status changes. This parameter is required unless `envelopeIds` or `transactionIds` are set.  Although you can use any date format supported by the .NET system library's [`DateTime.Parse()`][msoft] function, Docusign recommends using [ISO 8601][] format dates with an explicit time zone offset. If you do not provide a time zone offset, the method uses the server's time zone.  For example, the following dates and times refer to the same instant:  * `2017-05-02T01:44Z` * `2017-05-01T21:44-04:00` * `2017-05-01T18:44-07:00`  If this property is not included, envelopes from the last two years will be returned.  [msoft]: https://docs.microsoft.com/en-us/dotnet/api/system.datetime.parse?redirectedfrom=MSDN&view=net-5.0#overloads [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601\n  - `:from_to_status` (String.t): This is the status type checked for in the `from_date`/`to_date` period. For example, if `Created` is specified, then envelopes created during the period are found. If `Changed` is specified, then envelopes that changed status during the period are returned. The default value is `Changed`.  Valid values: * `Changed` * `Voided` * `Created` * `Deleted` * `Sent` * `Delivered` * `Signed` * `Completed` * `Declined` * `TimedOut` * `Processing`\n  - `:include` (String.t): Specifies additional information to return  about the envelopes. Use a comma-separated list, such as `folders, recipients` to specify information. Valid values are:  - `custom_fields`: The custom fields associated with the envelope. - `documents`: The documents associated with the envelope. - `attachments`: The attachments associated with the envelope. - `extensions`: Information about the email settings associated with the envelope. - `folders`: The folders where the envelope exists. - `recipients`: The recipients associated with the envelope. - `payment_tabs`: The payment tabs associated with the envelope.\n  - `:include_purge_information` (String.t): When **true,** information about envelopes that have been deleted is included in the response.\n  - `:intersecting_folder_ids` (String.t): A comma-separated list of folders from which you want to get envelopes. Valid values:   - `normal` - `inbox` - `sentitems` - `draft` - `templates`\n  - `:last_queried_date` (String.t): Returns envelopes that were modified prior to the specified date and time.   Example: `2020-05-09T21:56:12.2500000Z`\n  - `:order` (String.t): Returns envelopes in either ascending (`asc`) or descending (`desc`) order.\n  - `:order_by` (String.t): Sorts results according to a specific property. Valid values:  - `last_modified` - `action_required` - `created` - `completed` - `envelope_name` - `expire` - `sent` - `signer_list` - `status` - `subject` - `user_name` - `status_changed` - `last_modified`\n  - `:powerformids` (String.t): A comma-separated list of `PowerFormId` values.\n  - `:query_budget` (String.t): The time in seconds that the query should run before returning data.\n  - `:requester_date_format` (String.t):\n  - `:search_mode` (String.t):\n  - `:search_text` (String.t): Free text search criteria that you can use to filter the list of envelopes that is returned.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): A comma-separated list of current envelope statuses to be included in the response. Valid values:  * `completed` * `created` * `declined` * `deleted` * `delivered` * `processing` * `sent` * `signed` * `timedout` * `voided`  The `any` value is equivalent to any status.\n  - `:to_date` (String.t): Specifies the date and time to stop looking for status changes. The default is the current date and time.  Although you can use any date format supported by the .NET system library's [`DateTime.Parse()`][msoft] function, Docusign recommends using [ISO 8601][] format dates with an explicit time zone offset If you do not provide a time zone offset, the method uses the server's time zone.  For example, the following dates and times refer to the same instant:  * `2017-05-02T01:44Z` * `2017-05-01T21:44-04:00` * `2017-05-01T18:44-07:00`   [msoft]: https://docs.microsoft.com/en-us/dotnet/api/system.datetime.parse?redirectedfrom=MSDN&view=net-5.0#overloads [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601\n  - `:transaction_ids` (String.t): A comma-separated list of envelope transaction IDs.  Getting envelope status by transaction IDs is useful for offline signing situations to determine if an envelope was created or not. It can be used for the cases where a network connection was lost before the envelope status could be returned.  **Note:** Transaction IDs are only valid in the Docusign system for seven days.\n  - `:user_filter` (String.t): Returns envelopes where the current user is the recipient, the sender, or the recipient only. (For example, `user_filter=sender`.) Valid values are:  - `sender` - `recipient` - `recipient_only`\n  - `:user_id` (String.t): The ID of the user who created the envelopes to be retrieved. Note that an account can have multiple users, and any user with account access can retrieve envelopes by user_id from the account.\n  - `:user_name` (String.t): Limit results to envelopes sent by the account user with this user name.  `email` must be given as well, and both `email` and `user_name` must refer to an existing account user.","title":"Parameters - DocuSign.Api.Envelopes.envelopes_get_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.envelopes_get_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3-returns"},{"type":"function","doc":"Creates an envelope.\nCreates and sends an envelope or creates a draft envelope. Envelopes are fundamental resources in the Docusign platform.   With this method you can:  * Create and send an envelope   with [documents][], [recipients][], and [tabs][]. * [Create and send an envelope from a template](/docs/esign-rest-api/esign101/concepts/templates/). * [Create and send an envelope from   a combination of documents and templates](/docs/esign-rest-api/esign101/concepts/templates/composite/). * Create a draft envelope.   When you use this method to create and send an envelope in a single request, the following parameters in the request body (an [`envelopeDefinition`][envelopeDefinition] object) are required:  | Parameter      | Description | | :--------      | :---------- | | `status`       | Set to `sent` to send the envelope to recipients. Set to `created` (or don't set at all) to save the envelope as a draft. | | `emailSubject` | The subject of the email used to send the envelope. | | `documents`    | The [documents][] to be signed. | | `recipients`   | The email addresses of the envelope [recipients][]. |   When you create an envelope by using a [composite template](/docs/esign-rest-api/esign101/concepts/templates/composite/), you should specify the envelope custom fields in the inline template. Any custom fields that you specify at the root level are ignored.  If the envelope has a workflow definition and the `workflowStatus` is `paused`, the envelope will not be sent immediately, even if the envelope's `status` is `sent`.","title":"DocuSign.Api.Envelopes.envelopes_post_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3"},{"type":"function","doc":"","title":"Related topics  [Envelope][envelopes] and [template][templates] objects along with [documents][documents], [recipients][recipients], and [tabs][tabs] are the five object models at the core of the eSignature API. The eSignature concepts guide describes how the five object models work together.  The following how-to articles contain practical examples that show you how to to configure this method's [envelopeDefinition][envelopeDefinition] request body to perform common tasks.  Requesting a signature  - How to request a signature by email - How to request a signature through your app - How to request a signature by email using a template - How to request a signature using a composite template - How to request a signature by SMS or WhatsApp delivery - How to send a request for payment - How to send an envelope to an In Person Signer - How to request a signature by email using CORS - How to request a signature through your CORS-enabled browser app - How to request a signature through your app (embedded signing) with a CFR Part 11 account  Working with envelopes and templates  - How to get envelope information - How to list envelope recipients - How to list envelope status changes - How to create a template - How to send an envelope via your app - How to bulk send envelopes  Working with advanced recipient routing  - How to pause a signature workflow - How to unpause a signature workflow - How to use conditional recipients - How to schedule an envelope - How to send an envelope with delayed routing  Working with documents  - How to list envelope documents - How to download envelope documents - How to attach documents via binary transfer - How to create a signable HTML document - How to convert a PDF file into a signable HTML document - How to set document visibility for envelope recipients - How to request a signature by email with document generation  Working with tabs  - How to get envelope tab values - How to get envelope custom tab values - How to set envelope tab values - How to set tab values in a template  Working with brands  - How to create a brand - How to apply a brand to an envelope - How to apply a brand and template to an envelope  Working with permissions  - How to create a permission profile - How to update individual permission settings - How to set a permission profile - How to delete a permission profile  Implementing multi-factor recipient (signer) authentication  - How to require ID verification (IDV) for a recipient - How to require knowledge-based authentication (KBA) for a recipient - How to require phone authentication for a recipient - How to require access code authentication for a recipient  <!-- this should mirror /docs/esign-rest-api/how-to/ -->    [addingdocs]:           /docs/esign-rest-api/esign101/concepts/envelopes/ [attachments]:          /docs/esign-rest-api/esign101/concepts/documents/attachments/ [authcopies]:           /docs/esign-rest-api/esign101/concepts/documents/authoritative-copies/ [conoverview]:          /docs/esign-rest-api/esign101/concepts/overview/ [deleting]:             /docs/esign-rest-api/esign101/concepts/envelopes/ [documents]:            /docs/esign-rest-api/esign101/concepts/documents/ [envelopeDefinition]:   /docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition [envelopes]:            /docs/esign-rest-api/esign101/concepts/envelopes/ [locking]:              /docs/esign-rest-api/esign101/concepts/envelopes/lock/ [payments]:             /docs/esign-rest-api/esign101/concepts/tabs/payment/ [purging]:              /docs/esign-rest-api/esign101/concepts/documents/purging/ [recipients]:           /docs/esign-rest-api/esign101/concepts/recipients/ [recipstatus]:          /docs/esign-rest-api/esign101/concepts/recipients/#recipient-status [reciptypes]:           /docs/esign-rest-api/esign101/concepts/recipients/#recipient-types [supdocs]:              /docs/esign-rest-api/esign101/concepts/documents/supplemental/ [tabanchor]:            /docs/esign-rest-api/esign101/concepts/tabs/auto-place/ [tabcustom]:            /docs/esign-rest-api/esign101/concepts/tabs/custom-tabs/ [tabs]:                 /docs/esign-rest-api/esign101/concepts/tabs/ [tabtypes]:             /docs/esign-rest-api/esign101/concepts/tabs/ [templates]:            /docs/esign-rest-api/esign101/concepts/templates/ [tracking]:             /docs/esign-rest-api/esign101/concepts/envelopes/ - DocuSign.Api.Envelopes.envelopes_post_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3-related-topics-envelope-envelopes-and-template-templates-objects-along-with-documents-documents-recipients-recipients-and-tabs-tabs-are-the-five-object-models-at-the-core-of-the-esignature-api-the-esignature-concepts-guide-describes-how-the-five-object-models-work-together-the-following-how-to-articles-contain-practical-examples-that-show-you-how-to-to-configure-this-method-s-envelopedefinition-envelopedefinition-request-body-to-perform-common-tasks-requesting-a-signature-how-to-request-a-signature-by-email-how-to-request-a-signature-through-your-app-how-to-request-a-signature-by-email-using-a-template-how-to-request-a-signature-using-a-composite-template-how-to-request-a-signature-by-sms-or-whatsapp-delivery-how-to-send-a-request-for-payment-how-to-send-an-envelope-to-an-in-person-signer-how-to-request-a-signature-by-email-using-cors-how-to-request-a-signature-through-your-cors-enabled-browser-app-how-to-request-a-signature-through-your-app-embedded-signing-with-a-cfr-part-11-account-working-with-envelopes-and-templates-how-to-get-envelope-information-how-to-list-envelope-recipients-how-to-list-envelope-status-changes-how-to-create-a-template-how-to-send-an-envelope-via-your-app-how-to-bulk-send-envelopes-working-with-advanced-recipient-routing-how-to-pause-a-signature-workflow-how-to-unpause-a-signature-workflow-how-to-use-conditional-recipients-how-to-schedule-an-envelope-how-to-send-an-envelope-with-delayed-routing-working-with-documents-how-to-list-envelope-documents-how-to-download-envelope-documents-how-to-attach-documents-via-binary-transfer-how-to-create-a-signable-html-document-how-to-convert-a-pdf-file-into-a-signable-html-document-how-to-set-document-visibility-for-envelope-recipients-how-to-request-a-signature-by-email-with-document-generation-working-with-tabs-how-to-get-envelope-tab-values-how-to-get-envelope-custom-tab-values-how-to-set-envelope-tab-values-how-to-set-tab-values-in-a-template-working-with-brands-how-to-create-a-brand-how-to-apply-a-brand-to-an-envelope-how-to-apply-a-brand-and-template-to-an-envelope-working-with-permissions-how-to-create-a-permission-profile-how-to-update-individual-permission-settings-how-to-set-a-permission-profile-how-to-delete-a-permission-profile-implementing-multi-factor-recipient-signer-authentication-how-to-require-id-verification-idv-for-a-recipient-how-to-require-knowledge-based-authentication-kba-for-a-recipient-how-to-require-phone-authentication-for-a-recipient-how-to-require-access-code-authentication-for-a-recipient-this-should-mirror-docs-esign-rest-api-how-to-addingdocs-docs-esign-rest-api-esign101-concepts-envelopes-attachments-docs-esign-rest-api-esign101-concepts-documents-attachments-authcopies-docs-esign-rest-api-esign101-concepts-documents-authoritative-copies-conoverview-docs-esign-rest-api-esign101-concepts-overview-deleting-docs-esign-rest-api-esign101-concepts-envelopes-documents-docs-esign-rest-api-esign101-concepts-documents-envelopedefinition-docs-esign-rest-api-reference-envelopes-envelopes-create-schema__envelopedefinition-envelopes-docs-esign-rest-api-esign101-concepts-envelopes-locking-docs-esign-rest-api-esign101-concepts-envelopes-lock-payments-docs-esign-rest-api-esign101-concepts-tabs-payment-purging-docs-esign-rest-api-esign101-concepts-documents-purging-recipients-docs-esign-rest-api-esign101-concepts-recipients-recipstatus-docs-esign-rest-api-esign101-concepts-recipients-recipient-status-reciptypes-docs-esign-rest-api-esign101-concepts-recipients-recipient-types-supdocs-docs-esign-rest-api-esign101-concepts-documents-supplemental-tabanchor-docs-esign-rest-api-esign101-concepts-tabs-auto-place-tabcustom-docs-esign-rest-api-esign101-concepts-tabs-custom-tabs-tabs-docs-esign-rest-api-esign101-concepts-tabs-tabtypes-docs-esign-rest-api-esign101-concepts-tabs-templates-docs-esign-rest-api-esign101-concepts-templates-tracking-docs-esign-rest-api-esign101-concepts-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:cdse_mode` (String.t): Reserved for Docusign.\n  - `:change_routing_order` (String.t): When true, users can define the routing order of recipients while sending documents for signature.\n  - `:completed_documents_only` (String.t): Reserved for Docusign.\n  - `:merge_roles_on_draft` (String.t): When **true,** template roles will be merged, and empty recipients will be removed. This parameter applies when you create a draft envelope with multiple templates. (To create a draft envelope, the `status` field is set to `created`.)  **Note:** Docusign recommends that this parameter should be set to **true** whenever you create a draft envelope with multiple templates.\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.Envelopes.envelopes_post_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.envelopes_post_envelopes/3","ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3-returns"},{"type":"function","doc":"Send, void, or modify a draft envelope. Purge documents from a completed envelope.\nThis method enables you to make changes to an envelope. You can use it to:  * [Send a draft envelope](#sending-a-draft-envelope) * [Void an in-process envelope](#voiding-an-in-process-envelope) * [Modify a draft envelope](#modifying-envelope-email-information) * [Purge documents and envelope metadata from the Docusign platform](#purging-documents-from-docusign)  Although the request body for this method is a complete envelope definition, you only need to provide the properties that you're updating.","title":"DocuSign.Api.Envelopes.envelopes_put_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4"},{"type":"function","doc":"","title":"Sending a draft envelope  To send a draft envelope, include the following code in the request body:  json { \"status\": \"sent\" }  You can attach a workflow before sending the envelope:  json { \"status\": \"sent\", \"workflow\": { \"workflowSteps\": [ { \"action\": \"pause_before\", \"description\": \"pause_before routing order 2\", \"itemId\": 2, \"triggerOnItem\": \"routing_order\" } ] } }  ## Working with workflows  To unpause a workflow, the request body should include this:  json { \"workflow\": { \"workflowStatus\": \"in_progress\" } }  ## Voiding an in-process envelope  To void an in-process envelope, include the following code in the request body:  json { \"status\": \"voided\", \"voidedReason\": \"The reason for voiding the envelope\" }  ## Modifying envelope email information  To change the email subject and message of a draft envelope, include the following code in the request body:  json { \"emailSubject\": \"new email subject\", \"emailBlurb\": \"new email message\" }  ## Purging documents from Docusign  To place only the documents in the purge queue, leaving any corresponding attachments and tabs in the Docusign platform, set the purgeState property to documents_queued.  json { \"envelopeId\": \"222e6847-xxxx-xxxx-xxxx-72a3c9c16fca\", \"purgeState\": \"documents_queued\" }  To place documents, attachments, and tabs in the purge queue, set the purgeState property to documents_and_metadata_queued.  json { \"envelopeId\": \"222e6847-xxxx-xxxx-xxxx-72a3c9c16fca\", \"purgeState\": \"documents_and_metadata_queued\" }  To place documents, attachments, and tabs in the purge queue and to redact personal information, set the purgeState property to documents_and_metadata_and_redact_queued.  json { \"envelopeId\": \"222e6847-xxxx-xxxx-xxxx-72a3c9c16fca\", \"purgeState\": \"documents_and_metadata_and_redact_queued\" }  You can purge documents only from completed envelopes that are not marked as the authoritative copy. The user requesting the purge must have permission to purge documents and must be the sender or be acting on behalf of the sender.  When the purge request is initiated the items to be purged are placed in the purge queue for deletion in 14 days. The sender and all recipients with Docusign accounts associated with the envelope get an email notification the documents will be deleted in 14 days. The notification contains a link to the documents. A second email notification is sent 7 days later. At the end of the 14-day period the documents are deleted from the system. Recipients without Docusign accounts do not receive email notifications.  If your account has a Document Retention policy, envelope documents are automatically placed in the purge queue, and notification emails are sent at the end of the retention period. Setting a Document Retention policy is the same as setting a schedule for purging documents.  ## Removing documents from the purge queue  To remove documents from the purge queue, include the following code in the request body:  json { \"envelopeId\": \"222e6847-xxxx-xxxx-xxxx-72a3c9c16fca\", \"purgeState\": \"documents_dequeued\" }  ### Related topics  - Void an envelope (Common API Tasks) - Purging documents (eSignature Concepts) - Purging documents in an envelope (blog post) - How to unpause a signature workflow - DocuSign.Api.Envelopes.envelopes_put_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4-sending-a-draft-envelope-to-send-a-draft-envelope-include-the-following-code-in-the-request-body-json-status-sent-you-can-attach-a-workflow-before-sending-the-envelope-json-status-sent-workflow-workflowsteps-action-pause_before-description-pause_before-routing-order-2-itemid-2-triggeronitem-routing_order-working-with-workflows-to-unpause-a-workflow-the-request-body-should-include-this-json-workflow-workflowstatus-in_progress-voiding-an-in-process-envelope-to-void-an-in-process-envelope-include-the-following-code-in-the-request-body-json-status-voided-voidedreason-the-reason-for-voiding-the-envelope-modifying-envelope-email-information-to-change-the-email-subject-and-message-of-a-draft-envelope-include-the-following-code-in-the-request-body-json-emailsubject-new-email-subject-emailblurb-new-email-message-purging-documents-from-docusign-to-place-only-the-documents-in-the-purge-queue-leaving-any-corresponding-attachments-and-tabs-in-the-docusign-platform-set-the-purgestate-property-to-documents_queued-json-envelopeid-222e6847-xxxx-xxxx-xxxx-72a3c9c16fca-purgestate-documents_queued-to-place-documents-attachments-and-tabs-in-the-purge-queue-set-the-purgestate-property-to-documents_and_metadata_queued-json-envelopeid-222e6847-xxxx-xxxx-xxxx-72a3c9c16fca-purgestate-documents_and_metadata_queued-to-place-documents-attachments-and-tabs-in-the-purge-queue-and-to-redact-personal-information-set-the-purgestate-property-to-documents_and_metadata_and_redact_queued-json-envelopeid-222e6847-xxxx-xxxx-xxxx-72a3c9c16fca-purgestate-documents_and_metadata_and_redact_queued-you-can-purge-documents-only-from-completed-envelopes-that-are-not-marked-as-the-authoritative-copy-the-user-requesting-the-purge-must-have-permission-to-purge-documents-and-must-be-the-sender-or-be-acting-on-behalf-of-the-sender-when-the-purge-request-is-initiated-the-items-to-be-purged-are-placed-in-the-purge-queue-for-deletion-in-14-days-the-sender-and-all-recipients-with-docusign-accounts-associated-with-the-envelope-get-an-email-notification-the-documents-will-be-deleted-in-14-days-the-notification-contains-a-link-to-the-documents-a-second-email-notification-is-sent-7-days-later-at-the-end-of-the-14-day-period-the-documents-are-deleted-from-the-system-recipients-without-docusign-accounts-do-not-receive-email-notifications-if-your-account-has-a-document-retention-policy-envelope-documents-are-automatically-placed-in-the-purge-queue-and-notification-emails-are-sent-at-the-end-of-the-retention-period-setting-a-document-retention-policy-is-the-same-as-setting-a-schedule-for-purging-documents-removing-documents-from-the-purge-queue-to-remove-documents-from-the-purge-queue-include-the-following-code-in-the-request-body-json-envelopeid-222e6847-xxxx-xxxx-xxxx-72a3c9c16fca-purgestate-documents_dequeued-related-topics-void-an-envelope-common-api-tasks-purging-documents-esignature-concepts-purging-documents-in-an-envelope-blog-post-how-to-unpause-a-signature-workflow"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:advanced_update` (String.t): When **true,** allows the caller to update recipients, tabs, custom fields, notification, email settings and other envelope attributes.\n  - `:recycle_on_void` (String.t):\n  - `:resend_envelope` (String.t): When **true,** sends the specified envelope again.\n  - `:body` (Envelope): A container used to send documents to recipients. The envelope carries information about the sender and timestamps to indicate the progress of the delivery procedure. It can contain collections of Documents, Tabs and Recipients.","title":"Parameters - DocuSign.Api.Envelopes.envelopes_put_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeUpdateSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.envelopes_put_envelope/4","ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4-returns"},{"type":"function","doc":"Gets envelope statuses for a set of envelopes.\nRetrieves envelope statuses for a set of envelopes. `Envelopes: listStatus` has both a `GET` and a `PUT` implementation: * `PUT /restapi/v2.1/accounts/{accountId}/envelopes/status` is passed a set of envelope IDs in the request body. This version of the method returns a smaller subset of envelope information. * `GET /restapi/v2.1/accounts/{accountId}/envelopes/status` is passed a list of envelope IDs in a query string.    To search for envelopes using a broad range of filters, use  Envelopes: listStatusChanges  instead of this method.    You must specify exactly one of the following query parameters:  | Parameter         | Description                                                                      | | :---------------- | :------------------------------------------------------------------------------- | | `from_date`       | a valid UTC DateTime:  `2016-01-01`                                              | | `envelope_ids`    |   For the  GET  implementation of this method, include the envelope IDs in a comma-separated list.   For the  PUT  version of this method, you should use the  request_body  value for this parameter and include the list of envelope IDs in the request body.      | | `transaction_ids` | A comma-separated list of transaction IDs or the special value  request_body  |  When you use the special value `request_body`, the request body looks like this:  ``` {   \"envelopeIds\": [     \"44c5ad6c-xxxx-xxxx-xxxx-ebda5e2dfe15\",     \"8e26040d-xxxx-xxxx-xxxx-1e29b924d237\",     \"c8b40a2d-xxxx-xxxx-xxxx-4fe56fe10f95\"   ] } ```    Omitting the request body altogether causes the endpoint to return an error. The request body must be at least  {} .","title":"DocuSign.Api.Envelopes.envelopes_put_status/3","ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3"},{"type":"function","doc":"","title":"Related topics  - Searching for envelopes - How to list envelope status changes - DocuSign.Api.Envelopes.envelopes_put_status/3","ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3-related-topics-searching-for-envelopes-how-to-list-envelope-status-changes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:ac_status` (String.t): Specifies the Authoritative Copy Status for the envelopes. Valid values:   - `Unknown` - `Original` - `Transferred` - `AuthoritativeCopy` - `AuthoritativeCopyExportPending` - `AuthoritativeCopyExported` - `DepositPending` - `Deposited` - `DepositedEO` - `DepositFailed`\n  - `:block` (String.t): When **true,** removes any results that match one of the provided `transaction_ids`.\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:email` (String.t): The email address of the sender.\n  - `:envelope_ids` (String.t): The envelope IDs to include in the results.  The value of this property can be: * For the `GET` implementation of this method, use a comma-separated list of envelope IDs. * For the `PUT` implementation of this method, use the `request_body` value, and include the envelope IDs in the request body.\n  - `:from_date` (String.t): The date/time setting that specifies when the request begins checking for status changes for envelopes in the account. This is required unless parameters `envelope_ids` and/or `transaction_Ids` are provided.  **Note:** This parameter must be set to a valid  `DateTime`, or  `envelope_ids` and/or `transaction_ids` must be specified.\n  - `:from_to_status` (String.t): The envelope status that you are checking for. Possible values are:   - `Changed` (default) - `Completed` - `Created` - `Declined` - `Deleted` - `Delivered` - `Processing` - `Sent` - `Signed` - `TimedOut` - `Voided`  For example, if you specify `Changed`, this method returns a list of envelopes that changed status during the `from_date` to `to_date` time period.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): A comma-separated list of envelope status to search for. Possible values are:  - `completed` - `created` - `declined` - `deleted` - `delivered` - `processing` - `sent` - `signed` - `template` - `voided`\n  - `:to_date` (String.t): Optional date/time setting that specifies the last date/time  or envelope status changes in the result set.   The default value is the time that you call the method.\n  - `:transaction_ids` (String.t): The transaction IDs to include in the results. Note that transaction IDs are valid for seven days.  The value of this property can be: - A list of comma-separated transaction IDs - The special value `request_body`. In this case, this method uses the transaction IDs in the request body.\n  - `:user_name` (String.t): Limits results to envelopes sent by the account user with this user name.  `email` must be given as well, and both `email` and `user_name` must refer to an existing account user.\n  - `:body` (EnvelopeIdsRequest):","title":"Parameters - DocuSign.Api.Envelopes.envelopes_put_status/3","ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.envelopes_put_status/3","ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3-returns"},{"type":"function","doc":"Gets envelope notification information.\nRetrieves the envelope notification, reminders and expirations, information for an existing envelope.","title":"DocuSign.Api.Envelopes.notification_get_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_get_envelopes_envelope_id_notification/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.notification_get_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_get_envelopes_envelope_id_notification/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.notification_get_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_get_envelopes_envelope_id_notification/4-returns"},{"type":"function","doc":"Sets envelope notifications for an existing envelope.\nThis method sets the notifications (reminders and expirations) for an existing envelope. The request body sends a structure containing reminders and expirations settings. It also specifies whether to use the settings specified in the request, or the account default notification settings for the envelope.  Note that this request only specifies when notifications are sent; it does not initiate sending of email messages.","title":"DocuSign.Api.Envelopes.notification_put_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_put_envelopes_envelope_id_notification/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeNotificationRequest):","title":"Parameters - DocuSign.Api.Envelopes.notification_put_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_put_envelopes_envelope_id_notification/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.notification_put_envelopes_envelope_id_notification/4","ref":"DocuSign.Api.Envelopes.html#notification_put_envelopes_envelope_id_notification/4-returns"},{"type":"function","doc":"Deletes a page from a document in an envelope.\nDeletes a page from a document in an envelope based on the page number.","title":"DocuSign.Api.Envelopes.pages_delete_page/6","ref":"DocuSign.Api.Envelopes.html#pages_delete_page/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `page_number` (String.t): The page number being accessed.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.pages_delete_page/6","ref":"DocuSign.Api.Envelopes.html#pages_delete_page/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.pages_delete_page/6","ref":"DocuSign.Api.Envelopes.html#pages_delete_page/6-returns"},{"type":"function","doc":"Gets a page image from an envelope for display.\nReturns an image of a page in a document for display.","title":"DocuSign.Api.Envelopes.pages_get_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_get_page_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `page_number` (String.t): The page number being accessed.\n- `opts` (keyword): Optional parameters\n  - `:dpi` (String.t): Sets the dots per inch (DPI) for the returned image.\n  - `:max_height` (String.t): Sets the maximum height for the page image in pixels. The DPI is recalculated based on this setting.\n  - `:max_width` (String.t): Sets the maximum width for the page image in pixels. The DPI is recalculated based on this setting.\n  - `:show_changes` (String.t): When **true,** changes display in the user interface.","title":"Parameters - DocuSign.Api.Envelopes.pages_get_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_get_page_image/6-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.pages_get_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_get_page_image/6-returns"},{"type":"function","doc":"Returns document page images based on input.\nReturns images of the pages in a document for display based on the parameters that you specify.","title":"DocuSign.Api.Envelopes.pages_get_page_images/5","ref":"DocuSign.Api.Envelopes.html#pages_get_page_images/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:dpi` (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.\n  - `:max_height` (String.t): Sets the maximum height of the returned images in pixels.\n  - `:max_width` (String.t): Sets the maximum width of the returned images in pixels.\n  - `:nocache` (String.t): When **true,** using cache is disabled and image information is retrieved from a database. **True** is the default value.\n  - `:show_changes` (String.t): When **true,** changes display in the user interface.\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.","title":"Parameters - DocuSign.Api.Envelopes.pages_get_page_images/5","ref":"DocuSign.Api.Envelopes.html#pages_get_page_images/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PageImages.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.pages_get_page_images/5","ref":"DocuSign.Api.Envelopes.html#pages_get_page_images/5-returns"},{"type":"function","doc":"Rotates page image from an envelope for display.\nRotates page image from an envelope for display. The page image can be rotated to the left or right.","title":"DocuSign.Api.Envelopes.pages_put_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_put_page_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `page_number` (String.t): The page number being accessed.\n- `opts` (keyword): Optional parameters\n  - `:body` (PageRequest):","title":"Parameters - DocuSign.Api.Envelopes.pages_put_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_put_page_image/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.pages_put_page_image/6","ref":"DocuSign.Api.Envelopes.html#pages_put_page_image/6-returns"},{"type":"function","doc":"Gets the initials image for a user.\nRetrieves the initials image for the specified recipient.","title":"DocuSign.Api.Envelopes.recipients_get_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_initials_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:include_chrome` (String.t): Obsolete. The chrome is included in the image if it's present in the envelope.","title":"Parameters - DocuSign.Api.Envelopes.recipients_get_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_initials_image/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.recipients_get_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_initials_image/5-returns"},{"type":"function","doc":"Gets signature information for a signer or sign-in-person recipient.\nRetrieves signature information for a signer or sign-in-person recipient.","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.recipients_get_recipient_signature/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.recipients_get_recipient_signature/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature/5-returns"},{"type":"function","doc":"Retrieve signature image information for a signer/sign-in-person recipient.\nRetrieves the specified recipient signature image.","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters\n  - `:include_chrome` (String.t): Obsolete. The chrome is included in the image if it's present in the envelope.","title":"Parameters - DocuSign.Api.Envelopes.recipients_get_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature_image/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.recipients_get_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature_image/5-returns"},{"type":"function","doc":"Sets the initials image for an accountless signer.\nUpdates the initials image for a signer that does not have a Docusign account. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K.  For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the `CanSendEnvelope` property set to **true** and the `ExpressSendOnly` property in `SendingUser` structure must be set to **false.**","title":"DocuSign.Api.Envelopes.recipients_put_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_initials_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.recipients_put_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_initials_image/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.recipients_put_recipient_initials_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_initials_image/5-returns"},{"type":"function","doc":"Sets the signature image for an accountless signer.\nUpdates the signature image for an accountless signer. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K.  For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the `CanSendEnvelope` property set to **true** and the `ExpressSendOnly` property in `SendingUser` structure must be set to **false.**","title":"DocuSign.Api.Envelopes.recipients_put_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_signature_image/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Envelopes.recipients_put_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_signature_image/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Envelopes.recipients_put_recipient_signature_image/5","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_signature_image/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `FavoriteTemplates`.","title":"DocuSign.Api.FavoriteTemplates","ref":"DocuSign.Api.FavoriteTemplates.html"},{"type":"function","doc":"Retrieves the list of favorite templates for the account.\nRetrieves the list of favorite templates for the account.","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_get_favorite_templates/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_get_favorite_templates/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.FavoriteTemplates.favorite_templates_get_favorite_templates/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_get_favorite_templates/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FavoriteTemplatesInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.FavoriteTemplates.favorite_templates_get_favorite_templates/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_get_favorite_templates/3-returns"},{"type":"function","doc":"Set one or more templates as account favorites.\nSet one or more templates as account favorites.  Your request should include each template as a separate `favoriteTemplatesContentItem` JSON object, like this: ``` {     \"favoriteTemplates\": [         {             \"templateId\": \"6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1\"         },         {             \"templateId\": \"8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f\"         }     ] } ```","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_put_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_put_favorite_template/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (FavoriteTemplatesInfo):","title":"Parameters - DocuSign.Api.FavoriteTemplates.favorite_templates_put_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_put_favorite_template/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FavoriteTemplatesInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.FavoriteTemplates.favorite_templates_put_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_put_favorite_template/3-returns"},{"type":"function","doc":"Remove one or more templates from the account favorites.\nRemove one or more templates from the account favorites.   Your request should include each template to remove as a separate `favoriteTemplatesContentItem` JSON object, like this: ``` {     \"favoriteTemplates\": [         {             \"templateId\": \"6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1\"         },         {             \"templateId\": \"8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f\"         }     ] } ```  The response includes the IDs of the templates that were successfully removed from your favorites. To get the account's remaining favorite templates, use the [getFavoriteTemplates](/docs/esign-rest-api/reference/accounts/favoritetemplates/getfavoritetemplates/) endpoint.","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_un_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_un_favorite_template/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (FavoriteTemplatesInfo):","title":"Parameters - DocuSign.Api.FavoriteTemplates.favorite_templates_un_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_un_favorite_template/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FavoriteTemplatesInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.FavoriteTemplates.favorite_templates_un_favorite_template/3","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_un_favorite_template/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Folders`.","title":"DocuSign.Api.Folders","ref":"DocuSign.Api.Folders.html"},{"type":"function","doc":"Gets information about items in a specified folder.\nGets information about items in the specified folder.   To include a list of the items in the folder, set the `include_items` query parameter to **true.**","title":"DocuSign.Api.Folders.folders_get_folder_items/4","ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4"},{"type":"function","doc":"","title":"Related topics  - Searching for envelopes - Sharing templates - DocuSign.Api.Folders.folders_get_folder_items/4","ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4-related-topics-searching-for-envelopes-sharing-templates"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `opts` (keyword): Optional parameters\n  - `:from_date` (String.t): Reserved for Docusign.\n  - `:include_items` (String.t): Indicates whether folder items are included in the response. If this parameter is omitted, the default is false.\n  - `:owner_email` (String.t): Reserved for Docusign.\n  - `:owner_name` (String.t): Reserved for Docusign.\n  - `:search_text` (String.t): Reserved for Docusign.\n  - `:start_position` (String.t): Reserved for Docusign.\n  - `:status` (String.t): Reserved for Docusign.\n  - `:to_date` (String.t): Reserved for Docusign.","title":"Parameters - DocuSign.Api.Folders.folders_get_folder_items/4","ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FolderItemsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Folders.folders_get_folder_items/4","ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4-returns"},{"type":"function","doc":"Returns a list of the account's folders.\nReturns a list of the account's folders.  Use the `include` query parameter to specify the kinds of folders to return.  By default, only the first level of subfolders is shown. Set the `sub_folder_depth` query parameter to `-1` to return the entire folder hierarchy.         Default returns only top-level folders. Click to show.     `GET 'https://demo.docusign.net/restapi/v2.1/accounts/624e3e00-xxxx-xxxx-xxxx-43918c520dab/folders'`   ```json {   \"resultSetSize\": \"5\",   \"startPosition\": \"0\",   \"endPosition\": \"4\",   \"totalSetSize\": \"5\",   \"folders\": [     {       \"name\": \"Draft\",       \"type\": \"draft\",       \"itemCount\": \"1\",       \"subFolderCount\": \"0\",       \"hasSubFolders\": \"false\"     },     {       \"name\": \"Inbox\",       \"type\": \"inbox\",       \"itemCount\": \"0\",       \"subFolderCount\": \"1\",       \"hasSubFolders\": \"true\",       \"folders\": [         {           \"name\": \"Project Fair\",           \"type\": \"normal\",           \"hasSubFolders\": \"false\",           \"parentFolderId\": \"3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840\",           \"parentFolderUri\": \"/folders/3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840\"         }       ]     },     {       \"name\": \"Deleted Items\",       \"type\": \"recyclebin\",       \"itemCount\": \"0\",       \"subFolderCount\": \"0\",       \"hasSubFolders\": \"false\"     },     {       \"name\": \"Sent Items\",       \"type\": \"sentitems\",       \"itemCount\": \"3\",       \"subFolderCount\": \"0\",       \"hasSubFolders\": \"false\"     }   ] }  ```          Setting `sub_folder_depth` to `-1` returns the entire folder hierarchy. Click to show.      `GET 'https://demo.docusign.net/restapi/v2.1/accounts/624e3e00-xxxx-xxxx-xxxx-43918c520dab/folders?sub_folder_depth=-1'`  One envelope has been moved from the `Inbox` folder to the `Project Fair/Phase 1` folder, and the endpoint is invoked with `sub_folder_depth=-1`.   ```json {   \"resultSetSize\": \"5\",   \"startPosition\": \"0\",   \"endPosition\": \"4\",   \"totalSetSize\": \"4\",   \"folders\": [     {       \"name\": \"Draft\",       \"type\": \"draft\",       \"itemCount\": \"1\",       \"hasSubFolders\": \"false\"     },     {       \"name\": \"Inbox\",       \"type\": \"inbox\",       \"itemCount\": \"0\",       \"hasSubFolders\": \"true\",       \"folders\": [         {           \"name\": \"Project Fair\",           \"type\": \"normal\",           \"itemCount\": \"0\",           \"hasSubFolders\": \"true\",           \"parentFolderId\": \"3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840\",           \"parentFolderUri\": \"/folders/3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840\",           \"folders\": [             {               \"name\": \"NDAs\",               \"type\": \"normal\",               \"itemCount\": \"0\",               \"hasSubFolders\": \"false\",               \"parentFolderId\": \"12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d\",               \"parentFolderUri\": \"/folders/12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d\"             },             {               \"name\": \"Phase 1\",               \"type\": \"normal\",               \"itemCount\": \"1\",               \"hasSubFolders\": \"false\",               \"parentFolderId\": \"12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d\",               \"parentFolderUri\": \"/folders/12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d\"             }           ]         }       ]     },     {       \"name\": \"Deleted Items\",       \"type\": \"recyclebin\",       \"itemCount\": \"0\",       \"hasSubFolders\": \"false\"     },     {       \"name\": \"Sent Items\",       \"type\": \"sentitems\",       \"itemCount\": \"1\",       \"hasSubFolders\": \"false\"     }   ] } ```","title":"DocuSign.Api.Folders.folders_get_folders/3","ref":"DocuSign.Api.Folders.html#folders_get_folders/3"},{"type":"function","doc":"","title":"Related topics  - Searching for envelopes - Sharing templates - DocuSign.Api.Folders.folders_get_folders/3","ref":"DocuSign.Api.Folders.html#folders_get_folders/3-related-topics-searching-for-envelopes-sharing-templates"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:include` (String.t): A comma-separated list of folder types to include in the response. Valid values are:  - `envelope_folders`: Returns a list of envelope folders. (Default) - `template_folders`: Returns a list of template folders.  - `shared_template_folders`: Returns a list of shared template folders.\n  - `:include_items` (String.t): Indicates whether folder items are included in the response. If this parameter is omitted, the default is false.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  The default value is `0`.\n  - `:sub_folder_depth` (String.t): If missing or any value other than `-1`, the returned list contains only the top-level folders. A value of `-1` returns the complete folder hierarchy.\n  - `:template` (String.t): This parameter is deprecated as of version 2.1. Use `include` instead.\n  - `:user_filter` (String.t): Narrows down the resulting folder list by the following values:  - `all`: Returns all templates owned or shared with the user. (default) - `owned_by_me`: Returns only  templates the user owns. - `shared_with_me`: Returns only templates that are shared with the user.","title":"Parameters - DocuSign.Api.Folders.folders_get_folders/3","ref":"DocuSign.Api.Folders.html#folders_get_folders/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FoldersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Folders.folders_get_folders/3","ref":"DocuSign.Api.Folders.html#folders_get_folders/3-returns"},{"type":"function","doc":"Moves a set of envelopes from their current folder to another folder.\nMoves a set of envelopes from their current folder to another folder.  The `folderId` path parameter is the destination folder. The request body has an array of envelope IDs and the ID of the source folder.    Do not use the  folders  property in the request body.     If `folderId` is the special value **`recyclebin`** the envelopes are moved to the Deleted folder. Moving an in-process envelope (envelope status of `sent` or `delivered`) to the **`recyclebin`** voids the envelope.","title":"DocuSign.Api.Folders.folders_put_folder_by_id/4","ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4"},{"type":"function","doc":"","title":"Related topics  - Searching for envelopes - Sharing templates - DocuSign.Api.Folders.folders_put_folder_by_id/4","ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4-related-topics-searching-for-envelopes-sharing-templates"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `opts` (keyword): Optional parameters\n  - `:body` (FoldersRequest):","title":"Parameters - DocuSign.Api.Folders.folders_put_folder_by_id/4","ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FoldersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Folders.folders_put_folder_by_id/4","ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4-returns"},{"type":"function","doc":"Deprecated. Use Envelopes: listStatusChanges.\n   This method is deprecated in API v2.1   Use  [Envelopes: listStatusChanges](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/) instead.     Retrieves a list of items that match the criteria specified in the query.  If the user ID of the user making the call is the same as the user ID for any returned recipient, then the `userId` property is added to the returned information for those recipients.","title":"DocuSign.Api.Folders.search_folders_get_search_folder_contents/4","ref":"DocuSign.Api.Folders.html#search_folders_get_search_folder_contents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `search_folder_id` (String.t): Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.\n- `opts` (keyword): Optional parameters\n  - `:all` (String.t): Specifies that all envelopes that match the criteria are returned.\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `100`\n  - `:from_date` (String.t): Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.\n  - `:include_recipients` (String.t): When **true,** the recipient information is returned in the response.\n  - `:order` (String.t): Specifies the order in which the list is returned. Valid values are: `asc` for ascending order, and `desc` for descending order.\n  - `:order_by` (String.t): Specifies the property used to sort the list. Valid values are: `action_required`, `created`, `completed`, `sent`, `signer_list`, `status`, or `subject`.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:to_date` (String.t): Specifies the end of the date range to return.","title":"Parameters - DocuSign.Api.Folders.search_folders_get_search_folder_contents/4","ref":"DocuSign.Api.Folders.html#search_folders_get_search_folder_contents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.FolderItemResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Folders.search_folders_get_search_folder_contents/4","ref":"DocuSign.Api.Folders.html#search_folders_get_search_folder_contents/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `GroupBrands`.","title":"DocuSign.Api.GroupBrands","ref":"DocuSign.Api.GroupBrands.html"},{"type":"function","doc":"Deletes brand information from a group.\nThis method deletes one or more brands from a group.","title":"DocuSign.Api.GroupBrands.brands_delete_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_delete_group_brands/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group.\n- `opts` (keyword): Optional parameters\n  - `:body` (BrandsRequest):","title":"Parameters - DocuSign.Api.GroupBrands.brands_delete_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_delete_group_brands/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupBrands.brands_delete_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_delete_group_brands/4-returns"},{"type":"function","doc":"Gets the brand information for a group.\nThis method returns information about the brands associated with a group.","title":"DocuSign.Api.GroupBrands.brands_get_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_get_group_brands/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.GroupBrands.brands_get_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_get_group_brands/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupBrands.brands_get_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_get_group_brands/4-returns"},{"type":"function","doc":"Adds an existing brand to a group.\nThis method adds one or more existing brands to a group based on the `groupId`.","title":"DocuSign.Api.GroupBrands.brands_put_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_put_group_brands/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group being accessed.\n- `opts` (keyword): Optional parameters\n  - `:body` (BrandsRequest):","title":"Parameters - DocuSign.Api.GroupBrands.brands_put_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_put_group_brands/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupBrands.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupBrands.brands_put_group_brands/4","ref":"DocuSign.Api.GroupBrands.html#brands_put_group_brands/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `GroupUsers`.","title":"DocuSign.Api.GroupUsers","ref":"DocuSign.Api.GroupUsers.html"},{"type":"function","doc":"Deletes one or more users from a group\nDeletes one or more users from a group. This request takes a `userInfoList` that contains the users that you want to delete.","title":"DocuSign.Api.GroupUsers.groups_delete_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_delete_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group being accessed.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserInfoList):","title":"Parameters - DocuSign.Api.GroupUsers.groups_delete_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_delete_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UsersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupUsers.groups_delete_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_delete_group_users/4-returns"},{"type":"function","doc":"Gets a list of users in a group.\nRetrieves a list of users in a group.","title":"DocuSign.Api.GroupUsers.groups_get_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_get_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group being accessed.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `100`  Default: `50`\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.GroupUsers.groups_get_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_get_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UsersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupUsers.groups_get_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_get_group_users/4-returns"},{"type":"function","doc":"Adds one or more users to an existing group.\nAdds one or more existing Docusign users to an existing group.","title":"DocuSign.Api.GroupUsers.groups_put_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_put_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `group_id` (String.t): The ID of the group being accessed.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserInfoList):","title":"Parameters - DocuSign.Api.GroupUsers.groups_put_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_put_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UsersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.GroupUsers.groups_put_group_users/4","ref":"DocuSign.Api.GroupUsers.html#groups_put_group_users/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Groups`.","title":"DocuSign.Api.Groups","ref":"DocuSign.Api.Groups.html"},{"type":"function","doc":"Deletes an existing user group.\nDeletes an existing user group.  When you delete a group, you include only the `groupId` in the request body.  Example:  ``` {   \"groups\": [     {       \"groupId\": \"12345\"     } } ```","title":"DocuSign.Api.Groups.groups_delete_groups/3","ref":"DocuSign.Api.Groups.html#groups_delete_groups/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (GroupInformation):","title":"Parameters - DocuSign.Api.Groups.groups_delete_groups/3","ref":"DocuSign.Api.Groups.html#groups_delete_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Groups.groups_delete_groups/3","ref":"DocuSign.Api.Groups.html#groups_delete_groups/3-returns"},{"type":"function","doc":"Gets information about groups associated with the account.\nGets information about groups associated with the account.     To get the users in a group:  1. Use this endpoint to get the group ID. 2. Use [listGroupUsers](/docs/esign-rest-api/reference/usergroups/groupusers/list/)    to get the list of users.","title":"DocuSign.Api.Groups.groups_get_groups/3","ref":"DocuSign.Api.Groups.html#groups_get_groups/3"},{"type":"function","doc":"","title":"Related topics  - How to set a permission profile - DocuSign.Api.Groups.groups_get_groups/3","ref":"DocuSign.Api.Groups.html#groups_get_groups/3-related-topics-how-to-set-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `100`\n  - `:group_type` (String.t): The type of group to return. Valid values:  * `AdminGroup` * `CustomGroup` * `EveryoneGroup`\n  - `:include_usercount` (String.t): When **true,** every group returned in the response includes a `userCount` property that contains the total number of users in the group. The default is **true.**\n  - `:search_text` (String.t): Filters the results of a GET request based on the text that you specify.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.Groups.groups_get_groups/3","ref":"DocuSign.Api.Groups.html#groups_get_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Groups.groups_get_groups/3","ref":"DocuSign.Api.Groups.html#groups_get_groups/3-returns"},{"type":"function","doc":"Creates one or more groups for the account.\nCreates one or more groups for the account.  Groups help you manage users. For example, you can use groups to limit user access to templates.  You can associate a group with a [permission profile](/docs/esign-rest-api/esign101/concepts/permissions/), which sets the user permissions for users in that group without having to set the `userSettings` property for each user. You are not required to set permission profiles for a group, but it makes it easier to manage user permissions for a large number of users.     This endpoint uses only the  groupName  and  permissionProfileId  properties in the request body. All other properties are ignored.     Example request: ```json {   \"groups\": [     { \"groupName\": \"montagues\" },     { \"groupName\": \"capulets\" },     { \"groupName\": \"nobles\",        \"permissionProfileId\": 1597 }   ] } ```  Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. It is an error if the `permissionProfileId` does not exist.","title":"DocuSign.Api.Groups.groups_post_groups/3","ref":"DocuSign.Api.Groups.html#groups_post_groups/3"},{"type":"function","doc":"","title":"Related topics  - How-To Set Up a Permission Profile - DocuSign.Api.Groups.groups_post_groups/3","ref":"DocuSign.Api.Groups.html#groups_post_groups/3-related-topics-how-to-set-up-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (GroupInformation):","title":"Parameters - DocuSign.Api.Groups.groups_post_groups/3","ref":"DocuSign.Api.Groups.html#groups_post_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Groups.groups_post_groups/3","ref":"DocuSign.Api.Groups.html#groups_post_groups/3-returns"},{"type":"function","doc":"Updates the group information for a group.\nUpdates the group name and modifies, or sets, the permission profile for the group.","title":"DocuSign.Api.Groups.groups_put_groups/3","ref":"DocuSign.Api.Groups.html#groups_put_groups/3"},{"type":"function","doc":"","title":"Related topics  - How-To Set Up a Permission Profile - DocuSign.Api.Groups.groups_put_groups/3","ref":"DocuSign.Api.Groups.html#groups_put_groups/3-related-topics-how-to-set-up-a-permission-profile"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (GroupInformation):","title":"Parameters - DocuSign.Api.Groups.groups_put_groups/3","ref":"DocuSign.Api.Groups.html#groups_put_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Groups.groups_put_groups/3","ref":"DocuSign.Api.Groups.html#groups_put_groups/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `IdentityVerifications`.","title":"DocuSign.Api.IdentityVerifications","ref":"DocuSign.Api.IdentityVerifications.html"},{"type":"function","doc":"Retrieves the Identity Verification workflows available to an account.\nThis method returns a list of Identity Verification workflows that are available to an account.  **Note:** To use this method, you must either be an account administrator or a sender.","title":"DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3"},{"type":"function","doc":"","title":"Related topics  - How to require ID Verification (IDV) for a recipient - DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3-related-topics-how-to-require-id-verification-idv-for-a-recipient"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:identity_verification_workflow_status` (String.t): Filters the workflows returned according to status. Valid values:  - `active`: Only active workflows are returned. This is the default. - `deactivated`: Only deactivated workflows are returned. - `all`: All workflows are returned.","title":"Parameters - DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.AccountIdentityVerificationResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Invoices`.","title":"DocuSign.Api.Invoices","ref":"DocuSign.Api.Invoices.html"},{"type":"function","doc":"Retrieves a billing invoice.\nRetrieves the specified invoice.  **Note:** If the `pdfAvailable` property in the response is set to *true*, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the `Accept` property in the header to `Accept: application/pdf`.  Privileges required: account administrator  The response returns a list of charges and information about the charges. Quantities are usually shown as 'unlimited' or an integer. Amounts are shown in the currency set for the account.  **Response** The following table provides a description of the different `chargeName` property values. The information will grow as more chargeable items are added to the system.  | chargeName | Description | | --- | --- | | id_check | ID Check Charge | | in_person_signing | In Person Signing charge | | envelopes Included | Sent Envelopes for the account | | age_verify | Age verification check | | ofac | OFAC Check | | id_confirm | ID confirmation check | | student_authentication | STAN PIN authentication check | | wet_sign_fax | Pages for returning signed documents by fax | | attachment_fax | Pages for returning attachments by fax | | phone_authentication | Phone authentication charge | | powerforms | PowerForm envelopes sent | | signer_payments | Payment processing charge | | outbound_fax | Send by fax charge | | bulk_recipient_envelopes | Bulk Recipient Envelopes sent | | sms_authentications | SMS authentication charge | | saml_authentications | SAML authentication charge | | express_signer_certificate | Docusign Express Certificate charge | | personal_signer_certificate | Personal Signer Certificate charge | | safe_certificate | SAFE BioPharma Signer Certificate charge | | seats | Included active seats charge | | open_trust_certificate | OpenTrust Signer Certificate charge |","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoice/4","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoice/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `invoice_id` (String.t): The ID of the invoice.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Invoices.billing_invoices_get_billing_invoice/4","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoice/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingInvoice.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Invoices.billing_invoices_get_billing_invoice/4","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoice/4-returns"},{"type":"function","doc":"Get a List of Billing Invoices\nRetrieves a list of invoices for the account. If the from date or to date queries are not specified, the response returns invoices for the last 365 days.  Privileges required: account administrator","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:from_date` (String.t): Specifies the date/time of the earliest invoice in the account to retrieve.\n  - `:to_date` (String.t): Specifies the date/time of the latest invoice in the account to retrieve.","title":"Parameters - DocuSign.Api.Invoices.billing_invoices_get_billing_invoices/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingInvoicesResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Invoices.billing_invoices_get_billing_invoices/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices/3-returns"},{"type":"function","doc":"Get a list of past due invoices.\nReturns a list past due invoices for the account and notes if payment can be made through the REST API.   Privileges Required: account administrator","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices_past_due/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices_past_due/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Invoices.billing_invoices_get_billing_invoices_past_due/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices_past_due/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingInvoicesSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Invoices.billing_invoices_get_billing_invoices_past_due/3","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices_past_due/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Notary`.","title":"DocuSign.Api.Notary","ref":"DocuSign.Api.Notary.html"},{"type":"function","doc":"Gets settings for a  notary user.\nGets settings for a notary user. The current user must be a notary.","title":"DocuSign.Api.Notary.notary_get_notary/2","ref":"DocuSign.Api.Notary.html#notary_get_notary/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:include_jurisdictions` (String.t): When **true,** the response will include a `jurisdiction` property that contains an array of all supported jurisdictions for the current user.","title":"Parameters - DocuSign.Api.Notary.notary_get_notary/2","ref":"DocuSign.Api.Notary.html#notary_get_notary/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Notary.notary_get_notary/2","ref":"DocuSign.Api.Notary.html#notary_get_notary/2-returns"},{"type":"function","doc":"Registers the current user as a notary.\nRegisters the current user as a notary.","title":"DocuSign.Api.Notary.notary_post_notary/2","ref":"DocuSign.Api.Notary.html#notary_post_notary/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (Notary):","title":"Parameters - DocuSign.Api.Notary.notary_post_notary/2","ref":"DocuSign.Api.Notary.html#notary_post_notary/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Notary.notary_post_notary/2","ref":"DocuSign.Api.Notary.html#notary_post_notary/2-returns"},{"type":"function","doc":"Updates notary information for the current user.\nUpdates notary information for the current user.","title":"DocuSign.Api.Notary.notary_put_notary/2","ref":"DocuSign.Api.Notary.html#notary_put_notary/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (Notary):","title":"Parameters - DocuSign.Api.Notary.notary_put_notary/2","ref":"DocuSign.Api.Notary.html#notary_put_notary/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Notary.notary_put_notary/2","ref":"DocuSign.Api.Notary.html#notary_put_notary/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `NotaryJournals`.","title":"DocuSign.Api.NotaryJournals","ref":"DocuSign.Api.NotaryJournals.html"},{"type":"function","doc":"Gets notary jurisdictions for a user.","title":"DocuSign.Api.NotaryJournals.notary_journals_get_notary_journals/2","ref":"DocuSign.Api.NotaryJournals.html#notary_journals_get_notary_journals/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.","title":"Parameters - DocuSign.Api.NotaryJournals.notary_journals_get_notary_journals/2","ref":"DocuSign.Api.NotaryJournals.html#notary_journals_get_notary_journals/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryJournalList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJournals.notary_journals_get_notary_journals/2","ref":"DocuSign.Api.NotaryJournals.html#notary_journals_get_notary_journals/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `NotaryJurisdiction`.","title":"DocuSign.Api.NotaryJurisdiction","ref":"DocuSign.Api.NotaryJurisdiction.html"},{"type":"function","doc":"Deletes the specified jurisdiction.\nDeletes the specified jurisdiction.","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_delete_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_delete_notary_jurisdiction/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `jurisdiction_id` (String.t): The ID of the jurisdiction. The following jurisdictions are supported:  -  `5 - California` -  `6 - Colorado` -  `9 - Florida` -  `10 - Georgia` -  `12 - Idaho` -  `13 - Illinois` -  `14 - Indiana` -  `15 - Iowa` -  `17 - Kentucky` -  `23 - Minnesota` -  `25 - Missouri` -  `30 - New Jersey` -  `32 - New York` -  `33 - North Carolina` -  `35 - Ohio` -  `37 - Oregon` -  `38 - Pennsylvania` -  `40 - South Carolina` -  `43 - Texas` -  `44 - Utah` -  `47 - Washington` -  `48 - West Virginia` -  `49 - Wisconsin` -  `62 - Florida Commissioner of Deeds`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_delete_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_delete_notary_jurisdiction/3-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_delete_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_delete_notary_jurisdiction/3-returns"},{"type":"function","doc":"Gets a jurisdiction object for the current user. The user must be a notary.\nGets a jurisdiction object for the current user.  The following restrictions apply:  - The current user must be a notary. - The `jurisdictionId` must be a jurisdiction that the notary is registered for.","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdiction/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `jurisdiction_id` (String.t): The ID of the jurisdiction. The following jurisdictions are supported:  -  `5 - California` -  `6 - Colorado` -  `9 - Florida` -  `10 - Georgia` -  `12 - Idaho` -  `13 - Illinois` -  `14 - Indiana` -  `15 - Iowa` -  `17 - Kentucky` -  `23 - Minnesota` -  `25 - Missouri` -  `30 - New Jersey` -  `32 - New York` -  `33 - North Carolina` -  `35 - Ohio` -  `37 - Oregon` -  `38 - Pennsylvania` -  `40 - South Carolina` -  `43 - Texas` -  `44 - Utah` -  `47 - Washington` -  `48 - West Virginia` -  `49 - Wisconsin` -  `62 - Florida Commissioner of Deeds`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdiction/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryJurisdiction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdiction/3-returns"},{"type":"function","doc":"Returns a list of jurisdictions that the notary is registered in.\nReturns a list of jurisdictions that the notary is registered in. The current user must be a notary.","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdictions/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdictions/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryJurisdictionList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdictions/2-returns"},{"type":"function","doc":"Creates a jurisdiction object.\nCreates a jurisdiction object.","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_post_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_post_notary_jurisdictions/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (NotaryJurisdiction):","title":"Parameters - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_post_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_post_notary_jurisdictions/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryJurisdiction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_post_notary_jurisdictions/2","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_post_notary_jurisdictions/2-returns"},{"type":"function","doc":"Updates the jurisdiction information about a notary.\nUpdates the jurisdiction information about a notary.  The following restrictions apply:  - The current user must be a notary. - The `jurisdictionId` path parameter must be a jurisdiction that the notary is registered for. - The `jurisdictionId` path parameter must match the request body's `jurisdiction.jurisdictionId`.  The request body must have a full `jurisdiction` object for the jurisdiction property. The best way to do this is to use `getNotaryJurisdiction` to obtain the current values and update the properties you want to change.  For example, assume `getNotaryJurisdiction` returns this:  ``` {     \"jurisdiction\": {         \"jurisdictionId\": \"15\",         \"name\": \"Iowa\",         \"county\": \"\",         \"enabled\": \"true\",         \"countyInSeal\": \"false\",         \"commissionIdInSeal\": \"true\",         \"stateNameInSeal\": \"true\",         \"notaryPublicInSeal\": \"true\",         \"allowSystemCreatedSeal\": \"true\",         \"allowUserUploadedSeal\": \"false\"     },     \"commissionId\": \"123456\",     \"commissionExpiration\": \"2020-08-31T07:00:00.0000000Z\",     \"registeredName\": \"Bob Notary\",     \"county\": \"Adams\",     \"sealType\": \"system_created\" } ```  If you want to change the name of the notary from \"Bob Notary\" to \"Robert Notary\", your request body would be:  ``` {     \"jurisdiction\": {         \"jurisdictionId\": \"15\",         \"name\": \"Iowa\",         \"county\": \"\",         \"enabled\": \"true\",         \"countyInSeal\": \"false\",         \"commissionIdInSeal\": \"true\",         \"stateNameInSeal\": \"true\",         \"notaryPublicInSeal\": \"true\",         \"allowSystemCreatedSeal\": \"true\",         \"allowUserUploadedSeal\": \"false\"     },     \"commissionId\": \"123456\",     \"commissionExpiration\": \"2020-08-31T07:00:00.0000000Z\",     \"registeredName\": \"Robert Notary\",     \"county\": \"Adams\",     \"sealType\": \"system_created\" } ```","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_put_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_put_notary_jurisdiction/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `jurisdiction_id` (String.t): The ID of the jurisdiction. The following jurisdictions are supported:  -  `5 - California` -  `6 - Colorado` -  `9 - Florida` -  `10 - Georgia` -  `12 - Idaho` -  `13 - Illinois` -  `14 - Indiana` -  `15 - Iowa` -  `17 - Kentucky` -  `23 - Minnesota` -  `25 - Missouri` -  `30 - New Jersey` -  `32 - New York` -  `33 - North Carolina` -  `35 - Ohio` -  `37 - Oregon` -  `38 - Pennsylvania` -  `40 - South Carolina` -  `43 - Texas` -  `44 - Utah` -  `47 - Washington` -  `48 - West Virginia` -  `49 - Wisconsin` -  `62 - Florida Commissioner of Deeds`\n- `opts` (keyword): Optional parameters\n  - `:body` (NotaryJurisdiction):","title":"Parameters - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_put_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_put_notary_jurisdiction/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NotaryJurisdiction.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_put_notary_jurisdiction/3","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_put_notary_jurisdiction/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `PaymentGatewayAccounts`.","title":"DocuSign.Api.PaymentGatewayAccounts","ref":"DocuSign.Api.PaymentGatewayAccounts.html"},{"type":"function","doc":"List payment gateway accounts\nThis method returns a list of payment gateway accounts and basic information about them.","title":"DocuSign.Api.PaymentGatewayAccounts.payment_gateway_accounts_get_all_payment_gateway_accounts/3","ref":"DocuSign.Api.PaymentGatewayAccounts.html#payment_gateway_accounts_get_all_payment_gateway_accounts/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.PaymentGatewayAccounts.payment_gateway_accounts_get_all_payment_gateway_accounts/3","ref":"DocuSign.Api.PaymentGatewayAccounts.html#payment_gateway_accounts_get_all_payment_gateway_accounts/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PaymentGatewayAccountsInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PaymentGatewayAccounts.payment_gateway_accounts_get_all_payment_gateway_accounts/3","ref":"DocuSign.Api.PaymentGatewayAccounts.html#payment_gateway_accounts_get_all_payment_gateway_accounts/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Payments`.","title":"DocuSign.Api.Payments","ref":"DocuSign.Api.Payments.html"},{"type":"function","doc":"Gets billing payment information for a specific payment.\nRetrieves the information for a specified payment.   Privileges required: account administrator","title":"DocuSign.Api.Payments.billing_payments_get_payment/4","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `payment_id` (String.t): The ID of the payment.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Payments.billing_payments_get_payment/4","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPaymentItem.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Payments.billing_payments_get_payment/4","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment/4-returns"},{"type":"function","doc":"Gets payment information for one or more payments.\nRetrieves a list containing information about one or more payments. If the from date or to date queries are not used, the response returns payment information for the last 365 days.   Privileges required: account administrator","title":"DocuSign.Api.Payments.billing_payments_get_payment_list/3","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment_list/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:from_date` (String.t): Specifies the date/time of the earliest payment in the account to retrieve.\n  - `:to_date` (String.t): Specifies the date/time of the latest payment in the account to retrieve.","title":"Parameters - DocuSign.Api.Payments.billing_payments_get_payment_list/3","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment_list/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPaymentsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Payments.billing_payments_get_payment_list/3","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment_list/3-returns"},{"type":"function","doc":"Posts a payment to a past due invoice.\nPosts a payment to a past due invoice.  This method can only be used if the `paymentAllowed` value for a past due invoice is true. This can be determined calling [Billing::listInvoicesPastDue](/docs/esign-rest-api/reference/billing/invoices/listpastdue/).  The response returns information for a single payment if a payment ID was used in the endpoint, or a list of payments. If the from date or to date queries or payment ID are not used, the response returns payment information for the last 365 days.  If the request was for a single payment ID, the `nextUri` and `previousUri` properties are not returned.  Privileges required: account administrator","title":"DocuSign.Api.Payments.billing_payments_post_payment/3","ref":"DocuSign.Api.Payments.html#billing_payments_post_payment/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (BillingPaymentRequest):","title":"Parameters - DocuSign.Api.Payments.billing_payments_post_payment/3","ref":"DocuSign.Api.Payments.html#billing_payments_post_payment/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.BillingPaymentResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Payments.billing_payments_post_payment/3","ref":"DocuSign.Api.Payments.html#billing_payments_post_payment/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `PowerFormData`.","title":"DocuSign.Api.PowerFormData","ref":"DocuSign.Api.PowerFormData.html"},{"type":"function","doc":"Returns the data that users entered in a PowerForm.\nThis method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm.  You specify the format in which you want to retrieve the data in the `Accept` header. This header accepts the following values: - `application/json`: JSON format - `application/xml`: XML format - `text/csv`: Comma-separated value (CSV) format  You can further specify the type of CSV format in the `data_layout` query parameter.  **Note:** Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.","title":"DocuSign.Api.PowerFormData.power_forms_get_power_form_form_data/4","ref":"DocuSign.Api.PowerFormData.html#power_forms_get_power_form_form_data/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `power_form_id` (String.t): The ID of the PowerForm.\n- `opts` (keyword): Optional parameters\n  - `:data_layout` (String.t): The layout in which to return the PowerForm data.   For each of the following layouts, set the `Accept` header to the corresponding value.  Valid values are:  - `Native` (Set `Accept` header to `application/json`) - `Csv_Classic` (Set `Accept` header to `application/csv`) - `Csv_One_Envelope_Per_Line` (Set `Accept` header to `text/csv`) - `Xml_Classic` (Set `Accept` header to `application/xml`)\n  - `:from_date` (String.t): The start date for a date range in UTC DateTime format.  **Note:** If this property is null, no date filtering is applied.\n  - `:to_date` (String.t): The end date of a date range in UTC DateTime format. The default value is `UtcNow`.","title":"Parameters - DocuSign.Api.PowerFormData.power_forms_get_power_form_form_data/4","ref":"DocuSign.Api.PowerFormData.html#power_forms_get_power_form_form_data/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerFormsFormDataResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerFormData.power_forms_get_power_form_form_data/4","ref":"DocuSign.Api.PowerFormData.html#power_forms_get_power_form_form_data/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `PowerForms`.","title":"DocuSign.Api.PowerForms","ref":"DocuSign.Api.PowerForms.html"},{"type":"function","doc":"Deletes a PowerForm.\nThis method deletes a PowerForm.","title":"DocuSign.Api.PowerForms.power_forms_delete_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_form/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `power_form_id` (String.t): The ID of the PowerForm.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.PowerForms.power_forms_delete_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_form/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_delete_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_form/4-returns"},{"type":"function","doc":"Deletes one or more PowerForms.\nThis method deletes one or more PowerForms. The request body takes an array of PowerForm objects that are deleted based on the `powerFormId`.","title":"DocuSign.Api.PowerForms.power_forms_delete_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_forms_list/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (PowerFormsRequest):","title":"Parameters - DocuSign.Api.PowerForms.power_forms_delete_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_forms_list/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerFormsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_delete_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_forms_list/3-returns"},{"type":"function","doc":"Returns a single PowerForm.\nThis method returns detailed information about a specific PowerForm.","title":"DocuSign.Api.PowerForms.power_forms_get_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_form/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `power_form_id` (String.t): The ID of the PowerForm.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.PowerForms.power_forms_get_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_form/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerForm.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_get_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_form/4-returns"},{"type":"function","doc":"Returns a list of PowerForms.\nThis method returns a list of PowerForms that are available to the user.","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_list/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:from_date` (String.t): The start date for a date range.  **Note:** If no value is provided, no date filtering is applied.\n  - `:order` (String.t): The order in which to sort the results.  Valid values are:    * `asc`: Ascending order. * `desc`: Descending order.\n  - `:order_by` (String.t): The file attribute to use to sort the results.  Valid values are:  - `sender` - `auth` - `used` - `remaining` - `lastused` - `status` - `type` - `templatename` - `created`\n  - `:search_fields` (String.t): A comma-separated list of additional properties to include in a search.  - `sender`: Include sender name and email in the search. - `recipients`: Include recipient names and emails in the search. - `envelope`: Include envelope information in the search.\n  - `:search_text` (String.t): Use this parameter to search for specific text.\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.\n  - `:to_date` (String.t): The end date for a date range.  **Note:** If no value is provided, this property defaults to the current date.","title":"Parameters - DocuSign.Api.PowerForms.power_forms_get_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_list/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerFormsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_get_power_forms_list/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_list/3-returns"},{"type":"function","doc":"Gets PowerForm senders.\nThis method returns a list of users who have sent PowerForms.","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_senders/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_senders/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.","title":"Parameters - DocuSign.Api.PowerForms.power_forms_get_power_forms_senders/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_senders/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerFormSendersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_get_power_forms_senders/3","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_senders/3-returns"},{"type":"function","doc":"Creates a new PowerForm\nThis method creates a new PowerForm.  You create a PowerForm from an existing Docusign [template](/docs/esign-rest-api/reference/templates/templates/create/), based on the `templateId` in the request body.   PowerForms that you create from a template are referred to as *web PowerForms*.  **Note:** The Docusign Admin console also supports creating a PowerForm by uploading a PDF file that has active form fields (referred to as a *PDF PowerForm*). However, PDF PowerForms are deprecated and are not supported in the API.  **Note:** A PowerForm can have only one sender. (Because PowerForms are not necessarily sent by email, this user is also referred to as the PowerForm *initiator*.) If you need to associate multiple senders with a PowerForm, create multiple copies of the PowerForm by using the same template (one copy for each sender). By default, the sender is the PowerForm Administrator who creates the PowerForm.","title":"DocuSign.Api.PowerForms.power_forms_post_power_form/3","ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3"},{"type":"function","doc":"","title":"Signing modes  You can use one of the following signing modes for a PowerForm:  email  This mode verifies the recipient's identity by using email authentication before the recipient can sign a document. The recipient enters their email address on the landing page and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code to the recipient. If the recipient does not provide a valid email address, they do not receive the email message containing the access code and are not able to open and sign the document.  Alternatively, you can make the process easier for signers by using email authentication only and omitting the access code. To do this, you append the activateonly flag to the PowerForm URL and set it to true by passing in the value 1.  When the flag is active, the first recipient receives an email with a link that initiates the signing session without having to enter access code.  Example: activateonly=1  direct  This mode does not require any verification. After a recipient enters their email address on the landing page and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process.  Because the direct signing mode does not verify the recipient's identity by using email authentication, we strongly recommend that you use this mode only when the PowerForm is accessible behind a secure portal where the recipient's identity is already authenticated, or where another form of authentication is specified for the recipient in the Docusign template (for example, an access code, phone authentication, or ID check).  Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode.  ### Redirect URLs  You can control the URL to which signers are redirected after signing your PowerForm. However, the URL is specified elsewhere, outside of the PowerForm creation process. For details, see How do I specify a URL to redirect to when a PowerForm is completed?.  ### More information  For more information about creating PowerForms, see Create a PowerForm. - DocuSign.Api.PowerForms.power_forms_post_power_form/3","ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3-signing-modes-you-can-use-one-of-the-following-signing-modes-for-a-powerform-email-this-mode-verifies-the-recipient-s-identity-by-using-email-authentication-before-the-recipient-can-sign-a-document-the-recipient-enters-their-email-address-on-the-landing-page-and-then-clicks-begin-signing-to-begin-the-signing-process-the-system-then-sends-an-email-message-with-a-validation-code-to-the-recipient-if-the-recipient-does-not-provide-a-valid-email-address-they-do-not-receive-the-email-message-containing-the-access-code-and-are-not-able-to-open-and-sign-the-document-alternatively-you-can-make-the-process-easier-for-signers-by-using-email-authentication-only-and-omitting-the-access-code-to-do-this-you-append-the-activateonly-flag-to-the-powerform-url-and-set-it-to-true-by-passing-in-the-value-1-when-the-flag-is-active-the-first-recipient-receives-an-email-with-a-link-that-initiates-the-signing-session-without-having-to-enter-access-code-example-activateonly-1-direct-this-mode-does-not-require-any-verification-after-a-recipient-enters-their-email-address-on-the-landing-page-and-clicks-begin-signing-a-new-browser-tab-opens-and-the-recipient-can-immediately-begin-the-signing-process-because-the-direct-signing-mode-does-not-verify-the-recipient-s-identity-by-using-email-authentication-we-strongly-recommend-that-you-use-this-mode-only-when-the-powerform-is-accessible-behind-a-secure-portal-where-the-recipient-s-identity-is-already-authenticated-or-where-another-form-of-authentication-is-specified-for-the-recipient-in-the-docusign-template-for-example-an-access-code-phone-authentication-or-id-check-note-in-the-account-settings-enablepowerformdirect-must-be-true-to-use-direct-as-the-signingmode-redirect-urls-you-can-control-the-url-to-which-signers-are-redirected-after-signing-your-powerform-however-the-url-is-specified-elsewhere-outside-of-the-powerform-creation-process-for-details-see-how-do-i-specify-a-url-to-redirect-to-when-a-powerform-is-completed-more-information-for-more-information-about-creating-powerforms-see-create-a-powerform"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (PowerForm): Information about any PowerForms that are included in the envelope.","title":"Parameters - DocuSign.Api.PowerForms.power_forms_post_power_form/3","ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerForm.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_post_power_form/3","ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3-returns"},{"type":"function","doc":"Updates an existing PowerForm.\nThis method updates an existing PowerForm.","title":"DocuSign.Api.PowerForms.power_forms_put_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_put_power_form/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `power_form_id` (String.t): The ID of the PowerForm.\n- `opts` (keyword): Optional parameters\n  - `:body` (PowerForm): Information about any PowerForms that are included in the envelope.","title":"Parameters - DocuSign.Api.PowerForms.power_forms_put_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_put_power_form/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PowerForm.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.PowerForms.power_forms_put_power_form/4","ref":"DocuSign.Api.PowerForms.html#power_forms_put_power_form/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `RequestLogs`.","title":"DocuSign.Api.RequestLogs","ref":"DocuSign.Api.RequestLogs.html"},{"type":"function","doc":"Deletes the request log files.\nDeletes the request log files.","title":"DocuSign.Api.RequestLogs.a_pi_request_log_delete_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_delete_request_logs/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.RequestLogs.a_pi_request_log_delete_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_delete_request_logs/2-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.RequestLogs.a_pi_request_log_delete_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_delete_request_logs/2-returns"},{"type":"function","doc":"Gets a request logging log file.\nRetrieves information for a single log entry.  **Request** The `requestLogId` property can be retrieved by getting the list of log entries. The Content-Transfer-Encoding header can be set to base64 to retrieve the API request/response as base 64 string. Otherwise the bytes of the request/response are returned.  **Response** If the Content-Transfer-Encoding header was set to base64, the log is returned as a base64 string.","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log/3","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `request_log_id` (String.t): The ID of the log entry.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log/3","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log/3-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log/3","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log/3-returns"},{"type":"function","doc":"Gets the API request logging settings.\nRetrieves the current API request logging setting for the user and remaining log entries.  **Response** The response includes the current API request logging setting for the user, along with the maximum log entries and remaining log entries.","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log_settings/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log_settings/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DiagnosticsSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log_settings/2-returns"},{"type":"function","doc":"Gets the API request logging log files.\nRetrieves a list of log entries as a JSON or XML object or as a zip file containing the entries.  If the Accept header is set to `application/zip`, the response is a zip file containing individual text files, each representing an API request.  If the Accept header is set to `application/json` or `application/xml`, the response returns list of log entries in either JSON or XML. An example JSON response body is shown below.","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_logs/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:encoding` (String.t): Reserved for Docusign.","title":"Parameters - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_logs/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ApiRequestLogsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.RequestLogs.a_pi_request_log_get_request_logs/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_logs/2-returns"},{"type":"function","doc":"Enables or disables API request logging for troubleshooting.\nEnables or disables API request logging for troubleshooting.  When enabled (`apiRequestLogging` is **true**), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached.  You can call [Diagnostics: getRequestLog](/docs/esign-rest-api/reference/diagnostics/requestlogs/get/) or [Diagnostics: listRequestLogs](/docs/esign-rest-api/reference/diagnostics/requestlogs/list/) to download the log files (individually or as a zip file). Call [Diagnostics: deleteRequestLogs](/docs/esign-rest-api/reference/diagnostics/requestlogs/delete/) to clear the log by deleting current entries.  Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log.  API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged.","title":"DocuSign.Api.RequestLogs.a_pi_request_log_put_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_put_request_log_settings/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (DiagnosticsSettingsInformation):","title":"Parameters - DocuSign.Api.RequestLogs.a_pi_request_log_put_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_put_request_log_settings/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DiagnosticsSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.RequestLogs.a_pi_request_log_put_request_log_settings/2","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_put_request_log_settings/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Resources`.","title":"DocuSign.Api.Resources","ref":"DocuSign.Api.Resources.html"},{"type":"function","doc":"Lists resources for REST version specified\nRetrieves the base resources available for the eSignature REST API.  You do not need an integrator key to view the REST API versions and resources.","title":"DocuSign.Api.Resources.service_information_get_resource_information/2","ref":"DocuSign.Api.Resources.html#service_information_get_resource_information/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Resources.service_information_get_resource_information/2","ref":"DocuSign.Api.Resources.html#service_information_get_resource_information/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ResourceInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Resources.service_information_get_resource_information/2","ref":"DocuSign.Api.Resources.html#service_information_get_resource_information/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `ResponsiveHtmlPreview`.","title":"DocuSign.Api.ResponsiveHtmlPreview","ref":"DocuSign.Api.ResponsiveHtmlPreview.html"},{"type":"function","doc":"Creates a preview of the responsive versions of all of the documents in an envelope.\nCreates a preview of the [responsive](/docs/esign-rest-api/esign101/concepts/responsive/), HTML versions of all of the documents in an envelope. This method enables you to preview the PDF document conversions to responsive HTML across device types prior to sending.  The request body is a `documentHtmlDefinition` object, which holds the responsive signing parameters that define how to generate the HTML version of the documents.","title":"DocuSign.Api.ResponsiveHtmlPreview.responsive_html_post_responsive_html_preview/4","ref":"DocuSign.Api.ResponsiveHtmlPreview.html#responsive_html_post_responsive_html_preview/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentHtmlDefinition):","title":"Parameters - DocuSign.Api.ResponsiveHtmlPreview.responsive_html_post_responsive_html_preview/4","ref":"DocuSign.Api.ResponsiveHtmlPreview.html#responsive_html_post_responsive_html_preview/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitions.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.ResponsiveHtmlPreview.responsive_html_post_responsive_html_preview/4","ref":"DocuSign.Api.ResponsiveHtmlPreview.html#responsive_html_post_responsive_html_preview/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Services`.","title":"DocuSign.Api.Services","ref":"DocuSign.Api.Services.html"},{"type":"function","doc":"Retrieves the available REST API versions.\nRetrieves the available REST API versions.  Docusign Production system: https://www.docusign.net/restapi/service_information Docusign Demo system: https://demo.docusign.net/restapi/service_information  You do not need an integration key to view the REST API versions and resources.","title":"DocuSign.Api.Services.service_information_get_service_information/2","ref":"DocuSign.Api.Services.html#service_information_get_service_information/2"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Services.service_information_get_service_information/2","ref":"DocuSign.Api.Services.html#service_information_get_service_information/2-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ServiceInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Services.service_information_get_service_information/2","ref":"DocuSign.Api.Services.html#service_information_get_service_information/2-returns"},{"type":"module","doc":"API calls for all endpoints tagged `SigningGroupUsers`.","title":"DocuSign.Api.SigningGroupUsers","ref":"DocuSign.Api.SigningGroupUsers.html"},{"type":"function","doc":"Deletes  one or more members from a signing group.\nDeletes  one or more members from the specified signing group.","title":"DocuSign.Api.SigningGroupUsers.signing_groups_delete_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_delete_signing_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signing_group_id` (String.t): The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).  **Note:** When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroupUsers): A complex type that contains information about users in the signing group.","title":"Parameters - DocuSign.Api.SigningGroupUsers.signing_groups_delete_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_delete_signing_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupUsers.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroupUsers.signing_groups_delete_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_delete_signing_group_users/4-returns"},{"type":"function","doc":"Gets a list of members in a Signing Group.\nRetrieves the list of members in the specified Signing Group.","title":"DocuSign.Api.SigningGroupUsers.signing_groups_get_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_get_signing_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signing_group_id` (String.t): The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).  **Note:** When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.SigningGroupUsers.signing_groups_get_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_get_signing_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupUsers.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroupUsers.signing_groups_get_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_get_signing_group_users/4-returns"},{"type":"function","doc":"Adds members to a signing group.\nAdds one or more new members to a signing group. A signing group can have a maximum of 50 members.","title":"DocuSign.Api.SigningGroupUsers.signing_groups_put_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_put_signing_group_users/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signing_group_id` (String.t): The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).  **Note:** When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroupUsers): A complex type that contains information about users in the signing group.","title":"Parameters - DocuSign.Api.SigningGroupUsers.signing_groups_put_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_put_signing_group_users/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupUsers.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroupUsers.signing_groups_put_signing_group_users/4","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_put_signing_group_users/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `SigningGroups`.","title":"DocuSign.Api.SigningGroups","ref":"DocuSign.Api.SigningGroups.html"},{"type":"function","doc":"Deletes one or more signing groups.\nDeletes one or more signing groups in the specified account.","title":"DocuSign.Api.SigningGroups.signing_groups_delete_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_delete_signing_groups/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroupInformation):","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_delete_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_delete_signing_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_delete_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_delete_signing_groups/3-returns"},{"type":"function","doc":"Gets information about a signing group.\nRetrieves information, including group member information, for the specified signing group.","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_group/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signing_group_id` (String.t): The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_get_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_group/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroup.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_get_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_group/4-returns"},{"type":"function","doc":"Gets a list of the Signing Groups in an account.\nRetrieves a list of all signing groups in the specified account.","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_groups/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:group_type` (String.t): Filters by the type of signing group. Valid values: * `sharedSigningGroup` * `privateSigningGroup` * `systemSigningGroup`\n  - `:include_users` (String.t): When **true,** the response includes the signing group members.","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_get_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_get_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_groups/3-returns"},{"type":"function","doc":"Creates a signing group.\nCreates one or more signing groups.   Multiple signing groups can be created in one call. Only users with account administrator privileges can create signing groups.   An account can have a maximum of 50 signing groups. Each signing group can have a maximum of 50 group members.   Signing groups can be used by any account user.","title":"DocuSign.Api.SigningGroups.signing_groups_post_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_post_signing_groups/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroupInformation):","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_post_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_post_signing_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_post_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_post_signing_groups/3-returns"},{"type":"function","doc":"Updates a signing group.\nUpdates signing group name and member information. You can also add new members to the signing group. A signing group can have a maximum of 50 members.","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_group/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signing_group_id` (String.t): The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroup):","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_put_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_group/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroup.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_put_signing_group/4","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_group/4-returns"},{"type":"function","doc":"Updates signing group names.\nUpdates the name of one or more existing signing groups.","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_groups/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (SigningGroupInformation):","title":"Parameters - DocuSign.Api.SigningGroups.signing_groups_put_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_groups/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.SigningGroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.SigningGroups.signing_groups_put_signing_groups/3","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_groups/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TabsBlob`.","title":"DocuSign.Api.TabsBlob","ref":"DocuSign.Api.TabsBlob.html"},{"type":"function","doc":"Reserved for Docusign.\nThis endpoint has been deprecated.","title":"DocuSign.Api.TabsBlob.tabs_blob_get_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_get_tabs_blob/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TabsBlob.tabs_blob_get_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_get_tabs_blob/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TabsBlob.tabs_blob_get_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_get_tabs_blob/4-returns"},{"type":"function","doc":"Reserved for Docusign.\nThis endpoint has been deprecated.","title":"DocuSign.Api.TabsBlob.tabs_blob_put_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_put_tabs_blob/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `envelope_id` (String.t): The envelope's GUID.   Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TabsBlob.tabs_blob_put_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_put_tabs_blob/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TabsBlob.tabs_blob_put_tabs_blob/4","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_put_tabs_blob/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateCustomFields`.","title":"DocuSign.Api.TemplateCustomFields","ref":"DocuSign.Api.TemplateCustomFields.html"},{"type":"function","doc":"Deletes envelope custom fields in a template.\nDeletes envelope custom fields in a template.","title":"DocuSign.Api.TemplateCustomFields.custom_fields_delete_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_delete_template_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateCustomFields):","title":"Parameters - DocuSign.Api.TemplateCustomFields.custom_fields_delete_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_delete_template_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateCustomFields.custom_fields_delete_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_delete_template_custom_fields/4-returns"},{"type":"function","doc":"Gets the custom document fields from a template.\nRetrieves the custom document field information from an existing template.","title":"DocuSign.Api.TemplateCustomFields.custom_fields_get_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_get_template_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateCustomFields.custom_fields_get_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_get_template_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateCustomFields.custom_fields_get_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_get_template_custom_fields/4-returns"},{"type":"function","doc":"Creates custom document fields in an existing template document.\nCreates custom document fields in an existing template document.","title":"DocuSign.Api.TemplateCustomFields.custom_fields_post_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_post_template_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateCustomFields):","title":"Parameters - DocuSign.Api.TemplateCustomFields.custom_fields_post_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_post_template_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateCustomFields.custom_fields_post_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_post_template_custom_fields/4-returns"},{"type":"function","doc":"Updates envelope custom fields in a template.\nUpdates the custom fields in a template.  Each custom field used in a template must have a unique name.","title":"DocuSign.Api.TemplateCustomFields.custom_fields_put_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_put_template_custom_fields/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateCustomFields):","title":"Parameters - DocuSign.Api.TemplateCustomFields.custom_fields_put_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_put_template_custom_fields/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomFields.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateCustomFields.custom_fields_put_template_custom_fields/4","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_put_template_custom_fields/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocumentFields`.","title":"DocuSign.Api.TemplateDocumentFields","ref":"DocuSign.Api.TemplateDocumentFields.html"},{"type":"function","doc":"Deletes custom document fields from an existing template document.\nDeletes custom document fields from an existing template document.","title":"DocuSign.Api.TemplateDocumentFields.document_fields_delete_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_delete_template_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentFieldsInformation):","title":"Parameters - DocuSign.Api.TemplateDocumentFields.document_fields_delete_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_delete_template_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentFieldsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentFields.document_fields_delete_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_delete_template_document_fields/5-returns"},{"type":"function","doc":"Gets the custom document fields for a an existing template document.\nThis method retrieves the custom document fields for an existing template document.","title":"DocuSign.Api.TemplateDocumentFields.document_fields_get_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_get_template_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateDocumentFields.document_fields_get_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_get_template_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentFieldsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentFields.document_fields_get_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_get_template_document_fields/5-returns"},{"type":"function","doc":"Creates custom document fields in an existing template document.\nCreates custom document fields in an existing template document.","title":"DocuSign.Api.TemplateDocumentFields.document_fields_post_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_post_template_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentFieldsInformation):","title":"Parameters - DocuSign.Api.TemplateDocumentFields.document_fields_post_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_post_template_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentFieldsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentFields.document_fields_post_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_post_template_document_fields/5-returns"},{"type":"function","doc":"Updates existing custom document fields in an existing template document.\nUpdates existing custom document fields in an existing template document.","title":"DocuSign.Api.TemplateDocumentFields.document_fields_put_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_put_template_document_fields/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentFieldsInformation):","title":"Parameters - DocuSign.Api.TemplateDocumentFields.document_fields_put_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_put_template_document_fields/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentFieldsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentFields.document_fields_put_template_document_fields/5","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_put_template_document_fields/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocumentHtmlDefinitions`.","title":"DocuSign.Api.TemplateDocumentHtmlDefinitions","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html"},{"type":"function","doc":"Gets the Original HTML Definition used to generate the Responsive HTML for a given document in a template.","title":"DocuSign.Api.TemplateDocumentHtmlDefinitions.responsive_html_get_template_document_html_definitions/5","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html#responsive_html_get_template_document_html_definitions/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateDocumentHtmlDefinitions.responsive_html_get_template_document_html_definitions/5","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html#responsive_html_get_template_document_html_definitions/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentHtmlDefinitions.responsive_html_get_template_document_html_definitions/5","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html#responsive_html_get_template_document_html_definitions/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocumentResponsiveHtmlPreview`.","title":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html"},{"type":"function","doc":"Creates a preview of the responsive version of a template document.\nCreates a preview of the [responsive](/docs/esign-rest-api/esign101/concepts/responsive/), HTML version of a specific template document. This method enables you to preview a PDF document conversion to responsive HTML across device types prior to sending.  The request body is a `documentHtmlDefinition` object, which holds the responsive signing parameters that define how to generate the HTML version of the signing document.","title":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.responsive_html_post_template_document_responsive_html_preview/5","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html#responsive_html_post_template_document_responsive_html_preview/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentHtmlDefinition):","title":"Parameters - DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.responsive_html_post_template_document_responsive_html_preview/5","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html#responsive_html_post_template_document_responsive_html_preview/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitions.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.responsive_html_post_template_document_responsive_html_preview/5","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html#responsive_html_post_template_document_responsive_html_preview/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocumentTabs`.","title":"DocuSign.Api.TemplateDocumentTabs","ref":"DocuSign.Api.TemplateDocumentTabs.html"},{"type":"function","doc":"Deletes tabs from a template.\nDeletes tabs from the document specified by `documentId` in the template specified by `templateId`.","title":"DocuSign.Api.TemplateDocumentTabs.tabs_delete_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_delete_template_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateDocumentTabs.tabs_delete_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_delete_template_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentTabs.tabs_delete_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_delete_template_document_tabs/5-returns"},{"type":"function","doc":"Returns tabs on a template.\nReturns the tabs on the document specified by `documentId` in the template specified by `templateId`.","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:page_numbers` (String.t): Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page Guids.  Example: `page_numbers=2,6`","title":"Parameters - DocuSign.Api.TemplateDocumentTabs.tabs_get_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentTabs.tabs_get_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_document_tabs/5-returns"},{"type":"function","doc":"Returns tabs on the specified page.\nReturns the tabs from the page specified by `pageNumber` of the document specified by `documentId` in the template specified by `templateId`.","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_page_tabs/6","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_page_tabs/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `page_number` (String.t): The page number being accessed.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateDocumentTabs.tabs_get_template_page_tabs/6","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_page_tabs/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentTabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentTabs.tabs_get_template_page_tabs/6","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_page_tabs/6-returns"},{"type":"function","doc":"Adds tabs to a document in a template.\nAdds tabs to the document specified by `documentId` in the template specified by `templateId`.  In the request body, you only need to specify the tabs that your are adding. For example, to add a text [prefill tab](/docs/esign-rest-api/reference/templates/templatedocumenttabs/create/#definition__templatetabs_prefilltabs), your request body might look like this:  ``` {   \"prefillTabs\": {     \"textTabs\": [       {         \"value\": \"a prefill text tab\",         \"pageNumber\": \"1\",         \"documentId\": \"1\",         \"xPosition\": 316,         \"yPosition\": 97       }     ]   } } ```","title":"DocuSign.Api.TemplateDocumentTabs.tabs_post_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_post_template_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateDocumentTabs.tabs_post_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_post_template_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentTabs.tabs_post_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_post_template_document_tabs/5-returns"},{"type":"function","doc":"Updates the tabs for a template.\nUpdates tabs in the document specified by `documentId` in the template specified by `templateId`.","title":"DocuSign.Api.TemplateDocumentTabs.tabs_put_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_put_template_document_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateDocumentTabs.tabs_put_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_put_template_document_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentTabs.tabs_put_template_document_tabs/5","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_put_template_document_tabs/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocumentVisibility`.","title":"DocuSign.Api.TemplateDocumentVisibility","ref":"DocuSign.Api.TemplateDocumentVisibility.html"},{"type":"function","doc":"Returns document visibility for a template recipient\nThis method returns information about document visibility for a template recipient.","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_get_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_get_template_recipient_document_visibility/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateDocumentVisibility.recipients_get_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_get_template_recipient_document_visibility/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentVisibility.recipients_get_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_get_template_recipient_document_visibility/5-returns"},{"type":"function","doc":"Updates document visibility for a template recipient\nThis method updates the document visibility for a template recipient.  **Note:** A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipient_document_visibility/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateDocumentVisibilityList):","title":"Parameters - DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipient_document_visibility/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipient_document_visibility/5","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipient_document_visibility/5-returns"},{"type":"function","doc":"Updates document visibility for template recipients\nThis method updates document visibility for one or more template recipients based on the `recipientId` and `visible` values that you include in the request body.   **Note:** A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipients_document_visibility/4","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipients_document_visibility/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateDocumentVisibilityList):","title":"Parameters - DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipients_document_visibility/4","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipients_document_visibility/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentVisibilityList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipients_document_visibility/4","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipients_document_visibility/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateDocuments`.","title":"DocuSign.Api.TemplateDocuments","ref":"DocuSign.Api.TemplateDocuments.html"},{"type":"function","doc":"Deletes documents from a template.\nThis method deletes one or more documents from an existing template.  To delete a document, use only the relevant parts of the [`envelopeDefinition`](#envelopeDefinition). For example, this request body specifies that you want to delete the document whose `documentId` is \"1\".   ```text {   \"documents\": [     {       \"documentId\": \"1\"     }   ] } ```","title":"DocuSign.Api.TemplateDocuments.documents_delete_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_delete_template_documents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.TemplateDocuments.documents_delete_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_delete_template_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocuments.documents_delete_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_delete_template_documents/4-returns"},{"type":"function","doc":"Gets PDF documents from a template.\nThis method retrieves one or more PDF documents from the template that you specify.  You can specify the ID of the document to retrieve, or pass in the value `combined` to retrieve all documents in the template as a single PDF file.","title":"DocuSign.Api.TemplateDocuments.documents_get_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_document/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:encrypt` (String.t): When **true,** the PDF bytes returned in the response are encrypted for all the key managers configured on your Docusign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the Docusign Security Appliance Installation Guide that your organization received from Docusign.\n  - `:file_type` (String.t):\n  - `:show_changes` (String.t): When **true,** any document fields that a recipient changed are highlighted in yellow in the returned PDF document, and optional signatures or initials are outlined in red.","title":"Parameters - DocuSign.Api.TemplateDocuments.documents_get_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_document/5-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocuments.documents_get_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_document/5-returns"},{"type":"function","doc":"Gets a list of documents associated with a template.\nRetrieves a list of documents associated with the specified template.","title":"DocuSign.Api.TemplateDocuments.documents_get_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_documents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:include_tabs` (String.t): Reserved for Docusign.","title":"Parameters - DocuSign.Api.TemplateDocuments.documents_get_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocuments.documents_get_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_documents/4-returns"},{"type":"function","doc":"Updates a template document.\nThis methods updates an existing template document.","title":"DocuSign.Api.TemplateDocuments.documents_put_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_document/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:is_envelope_definition` (String.t):\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.TemplateDocuments.documents_put_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_document/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeDocument.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocuments.documents_put_template_document/5","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_document/5-returns"},{"type":"function","doc":"Adds documents to a template document.\nAdds one or more documents to an existing template document.","title":"DocuSign.Api.TemplateDocuments.documents_put_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_documents/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeDefinition):","title":"Parameters - DocuSign.Api.TemplateDocuments.documents_put_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_documents/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateDocumentsResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateDocuments.documents_put_template_documents/4","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_documents/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateHtmlDefinitions`.","title":"DocuSign.Api.TemplateHtmlDefinitions","ref":"DocuSign.Api.TemplateHtmlDefinitions.html"},{"type":"function","doc":"Gets the Original HTML Definition used to generate the Responsive HTML for the template.","title":"DocuSign.Api.TemplateHtmlDefinitions.responsive_html_get_template_html_definitions/4","ref":"DocuSign.Api.TemplateHtmlDefinitions.html#responsive_html_get_template_html_definitions/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateHtmlDefinitions.responsive_html_get_template_html_definitions/4","ref":"DocuSign.Api.TemplateHtmlDefinitions.html#responsive_html_get_template_html_definitions/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateHtmlDefinitions.responsive_html_get_template_html_definitions/4","ref":"DocuSign.Api.TemplateHtmlDefinitions.html#responsive_html_get_template_html_definitions/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateLocks`.","title":"DocuSign.Api.TemplateLocks","ref":"DocuSign.Api.TemplateLocks.html"},{"type":"function","doc":"Deletes a template lock.\nDeletes the lock from the specified template. The user deleting the lock must be the same user who locked the template.  You must include the `X-DocuSign-Edit` header as described in [TemplateLocks: create](/docs/esign-rest-api/reference/templates/templatelocks/create/).  This method takes an optional query parameter that lets you specify whether changes made while the template was locked are kept or discarded.   | Query Parameter | Description                                                                                                                                                                         | | :-------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `save_changes`  | When **true** (the default), any changes made while the lock was active are saved. When **false,** any changes made while the template was locked are discarded. |","title":"DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4"},{"type":"function","doc":"","title":"Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (LockRequest):","title":"Parameters - DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.LockInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4-returns"},{"type":"function","doc":"Gets template lock information.\nRetrieves general information about a template lock.  The user requesting the information must be the same user who locked the template.  You can use this method to recover the lock information, including the `lockToken`, for a locked template. The `X-DocuSign-Edit` header is included in the response.  See [TemplateLocks: create](/docs/esign-rest-api/reference/templates/templatelocks/create/) for a description of the `X-DocuSign-Edit` header.","title":"DocuSign.Api.TemplateLocks.lock_get_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4"},{"type":"function","doc":"","title":"Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.TemplateLocks.lock_get_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.TemplateLocks.lock_get_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.LockInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateLocks.lock_get_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4-returns"},{"type":"function","doc":"Locks a template.\nThis method locks the specified template and sets the time until the lock expires to prevent other users or recipients from changing the template.  The response to this request includes a `lockToken` parameter that you must use in the `X-DocuSign-Edit` header for every PUT method (typically a method that updates a template) while the template is locked.   If you do not provide the `lockToken` when accessing a locked template, you will get the following error:  ``` {    \"errorCode\": \"EDIT_LOCK_NOT_LOCK_OWNER\",    \"message\": \"The user is not the owner of the lock. The template is locked by another user or in another application\" } ```","title":"DocuSign.Api.TemplateLocks.lock_post_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4"},{"type":"function","doc":"","title":"The X-DocuSign-Edit header  The X-DocuSign-Edit header looks like this and can be specified in either JSON or XML.  JSON { \"LockToken\": \"token-from-response\", \"LockDurationInSeconds\": \"600\" }  XML <DocuSignEdit> <LockToken>token-from-response</LockToken> <LockDurationInSeconds>600</LockDurationInSeconds> </DocuSignEdit>  In the actual HTTP header, you would remove the linebreaks:  X-DocuSign-Edit: {\"LockToken\": \"token-from-response\", \"LockDurationInSeconds\": \"600\" } or X-DocuSign-Edit:<DocuSignEdit><LockToken>token-from-response</LockToken><LockDurationInSeconds>600</LockDurationInSeconds></DocuSignEdit>   ### Related topics  - Common API Tasks: Locking and unlocking envelopes - DocuSign.Api.TemplateLocks.lock_post_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4-the-x-docusign-edit-header-the-x-docusign-edit-header-looks-like-this-and-can-be-specified-in-either-json-or-xml-json-locktoken-token-from-response-lockdurationinseconds-600-xml-docusignedit-locktoken-token-from-response-locktoken-lockdurationinseconds-600-lockdurationinseconds-docusignedit-in-the-actual-http-header-you-would-remove-the-linebreaks-x-docusign-edit-locktoken-token-from-response-lockdurationinseconds-600-or-x-docusign-edit-docusignedit-locktoken-token-from-response-locktoken-lockdurationinseconds-600-lockdurationinseconds-docusignedit-related-topics-common-api-tasks-locking-and-unlocking-envelopes"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (LockRequest):","title":"Parameters - DocuSign.Api.TemplateLocks.lock_post_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.LockInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateLocks.lock_post_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4-returns"},{"type":"function","doc":"Updates a template lock.\nUpdates the lock information for a locked template.  You must include the `X-DocuSign-Edit` header as described in [TemplateLocks: create](/docs/esign-rest-api/reference/templates/templatelocks/create/).   Use this method to change the duration of the lock (`lockDurationInSeconds`) or the `lockedByApp` string.  The request body is a full `lockRequest` object, but you only need to specify the properties that you are updating. For example:  ``` {   \"lockDurationInSeconds\": \"3600\",   \"lockedByApp\": \"My Application\" } ```","title":"DocuSign.Api.TemplateLocks.lock_put_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_put_template_lock/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (LockRequest):","title":"Parameters - DocuSign.Api.TemplateLocks.lock_put_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_put_template_lock/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.LockInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateLocks.lock_put_template_lock/4","ref":"DocuSign.Api.TemplateLocks.html#lock_put_template_lock/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateRecipientTabs`.","title":"DocuSign.Api.TemplateRecipientTabs","ref":"DocuSign.Api.TemplateRecipientTabs.html"},{"type":"function","doc":"Deletes the tabs associated with a recipient in a template.\nDeletes one or more tabs associated with a recipient in a template.","title":"DocuSign.Api.TemplateRecipientTabs.recipients_delete_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_delete_template_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateRecipientTabs.recipients_delete_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_delete_template_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipientTabs.recipients_delete_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_delete_template_recipient_tabs/5-returns"},{"type":"function","doc":"Gets the tabs information for a signer or sign-in-person recipient in a template.\nGets the tabs information for a signer or sign-in-person recipient in a template.","title":"DocuSign.Api.TemplateRecipientTabs.recipients_get_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_get_template_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:include_anchor_tab_locations` (String.t): When **true,** all tabs with anchor tab properties are included in the response. The default value is **false.**\n  - `:include_metadata` (String.t): When **true,** the response includes metadata indicating which properties are editable.","title":"Parameters - DocuSign.Api.TemplateRecipientTabs.recipients_get_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_get_template_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipientTabs.recipients_get_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_get_template_recipient_tabs/5-returns"},{"type":"function","doc":"Adds tabs for a recipient.\nAdds one or more tabs for a recipient.","title":"DocuSign.Api.TemplateRecipientTabs.recipients_post_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_post_template_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateRecipientTabs.recipients_post_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_post_template_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipientTabs.recipients_post_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_post_template_recipient_tabs/5-returns"},{"type":"function","doc":"Updates the tabs for a recipient.\nUpdates one or more tabs for a recipient in a template.","title":"DocuSign.Api.TemplateRecipientTabs.recipients_put_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_put_template_recipient_tabs/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateTabs):","title":"Parameters - DocuSign.Api.TemplateRecipientTabs.recipients_put_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_put_template_recipient_tabs/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Tabs.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipientTabs.recipients_put_template_recipient_tabs/5","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_put_template_recipient_tabs/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateRecipients`.","title":"DocuSign.Api.TemplateRecipients","ref":"DocuSign.Api.TemplateRecipients.html"},{"type":"function","doc":"Deletes the specified recipient file from a template.\nDeletes the specified recipient file from the specified template.","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipient/5","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipient/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `recipient_id` (String.t): A local reference used to map recipients to other objects, such as specific document tabs.  A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope.  For example, many envelopes assign the first recipient a `recipientId` of `1`.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateRecipients):","title":"Parameters - DocuSign.Api.TemplateRecipients.recipients_delete_template_recipient/5","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipient/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Recipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.recipients_delete_template_recipient/5","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipient/5-returns"},{"type":"function","doc":"Deletes recipients from a template.\nDeletes one or more recipients from a template. Recipients to be deleted are listed in the request, with the `recipientId` being used as the key for deleting recipients.","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateRecipients):","title":"Parameters - DocuSign.Api.TemplateRecipients.recipients_delete_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Recipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.recipients_delete_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipients/4-returns"},{"type":"function","doc":"Gets recipient information from a template.\nRetrieves the information for all recipients in the specified template.","title":"DocuSign.Api.TemplateRecipients.recipients_get_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_get_template_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:include_anchor_tab_locations` (String.t):  When **true** and `include_tabs` is set to **true,** all tabs with anchor tab properties are included in the response.\n  - `:include_extended` (String.t):  When **true,** the extended properties are included in the response.\n  - `:include_tabs` (String.t): When **true,** the tab information associated with the recipient is included in the response.","title":"Parameters - DocuSign.Api.TemplateRecipients.recipients_get_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_get_template_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Recipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.recipients_get_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_get_template_recipients/4-returns"},{"type":"function","doc":"Adds tabs for a recipient.\nAdds one or more recipients to a template.","title":"DocuSign.Api.TemplateRecipients.recipients_post_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_post_template_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:resend_envelope` (String.t): When **true,** resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification.  **Note:** Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here.\n  - `:body` (TemplateRecipients):","title":"Parameters - DocuSign.Api.TemplateRecipients.recipients_post_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_post_template_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Recipients.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.recipients_post_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_post_template_recipients/4-returns"},{"type":"function","doc":"Updates recipients in a template.\nUpdates recipients in a template.   You can edit the following properties: `email`, `userName`, `routingOrder`, `faxNumber`, `deliveryMethod`, `accessCode`, and `requireIdLookup`.","title":"DocuSign.Api.TemplateRecipients.recipients_put_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_put_template_recipients/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:resend_envelope` (String.t): When **true,** resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification.  **Note:** Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here.\n  - `:body` (TemplateRecipients):","title":"Parameters - DocuSign.Api.TemplateRecipients.recipients_put_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_put_template_recipients/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.RecipientsUpdateSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.recipients_put_template_recipients/4","ref":"DocuSign.Api.TemplateRecipients.html#recipients_put_template_recipients/4-returns"},{"type":"function","doc":"Creates a template recipient preview.\nThis method returns a URL for a template recipient preview  in the Docusign UI that you can embed in your application. You use this method to enable the sender to preview the recipients' experience.  For more information, see [Preview and Send](https://support.docusign.com/s/document-item?bundleId=ulp1643236876813&topicId=oeg1578456408976.html).","title":"DocuSign.Api.TemplateRecipients.views_post_template_recipient_preview/4","ref":"DocuSign.Api.TemplateRecipients.html#views_post_template_recipient_preview/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (RecipientPreviewRequest):","title":"Parameters - DocuSign.Api.TemplateRecipients.views_post_template_recipient_preview/4","ref":"DocuSign.Api.TemplateRecipients.html#views_post_template_recipient_preview/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ViewUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateRecipients.views_post_template_recipient_preview/4","ref":"DocuSign.Api.TemplateRecipients.html#views_post_template_recipient_preview/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateResponsiveHtmlPreview`.","title":"DocuSign.Api.TemplateResponsiveHtmlPreview","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html"},{"type":"function","doc":"Creates a preview of the responsive versions of all of the documents associated with a template.\nCreates a preview of the [responsive](/docs/esign-rest-api/esign101/concepts/responsive/), HTML versions of all of the documents associated with a template. This method enables you to preview the PDF document conversions to responsive HTML across device types prior to sending.  The request body is a `documentHtmlDefinition` object, which holds the responsive signing parameters that define how to generate the HTML version of the documents.","title":"DocuSign.Api.TemplateResponsiveHtmlPreview.responsive_html_post_template_responsive_html_preview/4","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html#responsive_html_post_template_responsive_html_preview/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (DocumentHtmlDefinition):","title":"Parameters - DocuSign.Api.TemplateResponsiveHtmlPreview.responsive_html_post_template_responsive_html_preview/4","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html#responsive_html_post_template_responsive_html_preview/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.DocumentHtmlDefinitions.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateResponsiveHtmlPreview.responsive_html_post_template_responsive_html_preview/4","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html#responsive_html_post_template_responsive_html_preview/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `TemplateViews`.","title":"DocuSign.Api.TemplateViews","ref":"DocuSign.Api.TemplateViews.html"},{"type":"function","doc":"Gets a URL for a template edit view.\nReturns a URL that enables you to embed the Template Edit view of Docusign eSignature. You can embed the view in an iframe.  **API request update**  The API request object for this API method was updated in June 2024. The new API request format is described below. Existing applications must update to the new version: it solves a security issue with the old version. The deprecation schedule was announced in the [Docusign Core Release Notes](https://support.docusign.com/s/document-item?language=en_US&bundleId=adp1720620778794_24-2-02-00-demo&topicId=wcz1616195757589.html&_LANG=enus). While backwards compatibility will be provided for a while for existing applications, all applications must be updated to be secure. See below for migration information.   **Best practices**  The returned URL expires after 10 minutes. Therefore, request the URL immediately before you redirect your user to it.  Due to screen space issues, do not use an iframe for embedded operations on mobile devices. For mobile applications, use a [WebView](https://developer.android.com/reference/android/webkit/WebView) (Android) or [WKWebView](https://developer.apple.com/documentation/webkit/wkwebview) (iOS).","title":"DocuSign.Api.TemplateViews.views_post_template_edit_view/4","ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4"},{"type":"function","doc":"","title":"Closing the view's iframe  If you choose to embed the view in your application via an iframe, Docusign recommends this software pattern to close the iframe after the view has completed:   (One time) create a standalone “return” web page that you will use as the returnUrl target for the view. The view will redirect the iframe to this URL when it has completed. Here's an example return page. In this page, use JavaScript and the postMessage method to send a message to your application with the results of the view.  In your application, use window.addEventListener(\"message\", function_name) to register a listener for incoming messages.  To show the view, use this API method, then set the iframe to load the URL from the API response.  In your application, receive the completion message, validate it, and then close the iframe.  ### Information security  This view only has write access to the specific template referenced in the API call. The edit access corresponds to the access rights of the user associated with the access token used for the API call.  Recommendations:  Use the access token of a service user who can access the template.  Do not use the access token of a user with administrator privileges.  ### Migrating to the current version of the request object  This section only applies to existing applications that use the older version of the request object.  Migrating from the old API request object to the new version will take under a day of developer time.  Step 1. Does your application set the returnUrl attribute?   Yes: continue with step 2.  No: In this case, your users first edit the template, and then the Docusign eSignature home screen is shown. To accomplish this UI pattern with the new API request format:   Set the returnUrl to a new endpoint for your application. You can use query parameters or session data to manage state. Remember to authenticate the incoming requests.   When the endpoint is called, use the EnvelopeViews:createConsole API call to obtain and then display the Docusign eSignature home page to your application's user.  Step 2. Check that these API attributes are set:  \"view\" = \"template\"  the returnUrl is set.  Step 3. All done! Test your application. - DocuSign.Api.TemplateViews.views_post_template_edit_view/4","ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4-closing-the-view-s-iframe-if-you-choose-to-embed-the-view-in-your-application-via-an-iframe-docusign-recommends-this-software-pattern-to-close-the-iframe-after-the-view-has-completed-one-time-create-a-standalone-return-web-page-that-you-will-use-as-the-returnurl-target-for-the-view-the-view-will-redirect-the-iframe-to-this-url-when-it-has-completed-here-s-an-example-return-page-in-this-page-use-javascript-and-the-postmessage-method-to-send-a-message-to-your-application-with-the-results-of-the-view-in-your-application-use-window-addeventlistener-message-function_name-to-register-a-listener-for-incoming-messages-to-show-the-view-use-this-api-method-then-set-the-iframe-to-load-the-url-from-the-api-response-in-your-application-receive-the-completion-message-validate-it-and-then-close-the-iframe-information-security-this-view-only-has-write-access-to-the-specific-template-referenced-in-the-api-call-the-edit-access-corresponds-to-the-access-rights-of-the-user-associated-with-the-access-token-used-for-the-api-call-recommendations-use-the-access-token-of-a-service-user-who-can-access-the-template-do-not-use-the-access-token-of-a-user-with-administrator-privileges-migrating-to-the-current-version-of-the-request-object-this-section-only-applies-to-existing-applications-that-use-the-older-version-of-the-request-object-migrating-from-the-old-api-request-object-to-the-new-version-will-take-under-a-day-of-developer-time-step-1-does-your-application-set-the-returnurl-attribute-yes-continue-with-step-2-no-in-this-case-your-users-first-edit-the-template-and-then-the-docusign-esignature-home-screen-is-shown-to-accomplish-this-ui-pattern-with-the-new-api-request-format-set-the-returnurl-to-a-new-endpoint-for-your-application-you-can-use-query-parameters-or-session-data-to-manage-state-remember-to-authenticate-the-incoming-requests-when-the-endpoint-is-called-use-the-envelopeviews-createconsole-api-call-to-obtain-and-then-display-the-docusign-esignature-home-page-to-your-application-s-user-step-2-check-that-these-api-attributes-are-set-view-template-the-returnurl-is-set-step-3-all-done-test-your-application"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateViewRequest):","title":"Parameters - DocuSign.Api.TemplateViews.views_post_template_edit_view/4","ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.ViewUrl.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.TemplateViews.views_post_template_edit_view/4","ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Templates`.","title":"DocuSign.Api.Templates","ref":"DocuSign.Api.Templates.html"},{"type":"function","doc":"Gets template notification information.\nRetrieves the envelope notification, reminders and expirations, information for an existing template.","title":"DocuSign.Api.Templates.notification_get_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_get_templates_template_id_notification/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Templates.notification_get_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_get_templates_template_id_notification/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.notification_get_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_get_templates_template_id_notification/4-returns"},{"type":"function","doc":"Updates the notification  structure for an existing template.\nUpdates the notification structure for an existing template. Use this endpoint to set reminder and expiration notifications.","title":"DocuSign.Api.Templates.notification_put_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_put_templates_template_id_notification/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateNotificationRequest):","title":"Parameters - DocuSign.Api.Templates.notification_put_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_put_templates_template_id_notification/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Notification.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.notification_put_templates_template_id_notification/4","ref":"DocuSign.Api.Templates.html#notification_put_templates_template_id_notification/4-returns"},{"type":"function","doc":"Deletes a page from a document in an template.\nDeletes a page from a document in a template based on the page number.","title":"DocuSign.Api.Templates.pages_delete_template_page/6","ref":"DocuSign.Api.Templates.html#pages_delete_template_page/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `page_number` (String.t): The page number being accessed.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (PageRequest):","title":"Parameters - DocuSign.Api.Templates.pages_delete_template_page/6","ref":"DocuSign.Api.Templates.html#pages_delete_template_page/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.pages_delete_template_page/6","ref":"DocuSign.Api.Templates.html#pages_delete_template_page/6-returns"},{"type":"function","doc":"Gets a page image from a template for display.\nRetrieves a page image for display from the specified template.","title":"DocuSign.Api.Templates.pages_get_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_get_template_page_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `page_number` (String.t): The page number being accessed.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:dpi` (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.\n  - `:max_height` (String.t): Sets the maximum height of the returned images in pixels.\n  - `:max_width` (String.t): Sets the maximum width of the returned images in pixels.\n  - `:show_changes` (String.t):","title":"Parameters - DocuSign.Api.Templates.pages_get_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_get_template_page_image/6-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.pages_get_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_get_template_page_image/6-returns"},{"type":"function","doc":"Returns document page images based on input.\nReturns images of the pages in a template document for display based on the parameters that you specify.","title":"DocuSign.Api.Templates.pages_get_template_page_images/5","ref":"DocuSign.Api.Templates.html#pages_get_template_page_images/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): (Required) The external account number (int) or account ID GUID.\n- `document_id` (String.t): (Required) The ID of the document.\n- `template_id` (String.t): (Required) The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.\n  - `:dpi` (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.\n  - `:max_height` (String.t): Sets the maximum height of the returned images in pixels.\n  - `:max_width` (String.t): Sets the maximum width of the returned images in pixels.\n  - `:nocache` (String.t): When **true,** using cache is disabled and image information is retrieved from a database. **True** is the default value.\n  - `:show_changes` (String.t): When **true,** changes display in the user interface.\n  - `:start_position` (String.t): The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.","title":"Parameters - DocuSign.Api.Templates.pages_get_template_page_images/5","ref":"DocuSign.Api.Templates.html#pages_get_template_page_images/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PageImages.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.pages_get_template_page_images/5","ref":"DocuSign.Api.Templates.html#pages_get_template_page_images/5-returns"},{"type":"function","doc":"Rotates page image from a template for display.\nRotates page image from a template for display. The page image can be rotated to the left or right.","title":"DocuSign.Api.Templates.pages_put_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_put_template_page_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `document_id` (String.t): The unique ID of the document within the envelope.  Unlike other IDs in the eSignature API, you specify the `documentId` yourself. Typically the first document has the ID `1`, the second document `2`, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).   Tab objects have a `documentId` property that specifies the document on which to place the tab.\n- `page_number` (String.t): The page number being accessed.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (PageRequest):","title":"Parameters - DocuSign.Api.Templates.pages_put_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_put_template_page_image/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.pages_put_template_page_image/6","ref":"DocuSign.Api.Templates.html#pages_put_template_page_image/6-returns"},{"type":"function","doc":"","title":"DocuSign.Api.Templates.templates_auto_match_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_auto_match_put_templates/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateAutoMatchList):","title":"Parameters - DocuSign.Api.Templates.templates_auto_match_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_auto_match_put_templates/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateAutoMatchList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_auto_match_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_auto_match_put_templates/3-returns"},{"type":"function","doc":"Removes a member group's sharing permissions for a template.\nRemoves a member group's sharing permissions for a specified template.","title":"DocuSign.Api.Templates.templates_delete_template_part/5","ref":"DocuSign.Api.Templates.html#templates_delete_template_part/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `template_part` (String.t): Currently, the only defined part is **groups.**\n- `opts` (keyword): Optional parameters\n  - `:body` (GroupInformation):","title":"Parameters - DocuSign.Api.Templates.templates_delete_template_part/5","ref":"DocuSign.Api.Templates.html#templates_delete_template_part/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_delete_template_part/5","ref":"DocuSign.Api.Templates.html#templates_delete_template_part/5-returns"},{"type":"function","doc":"Gets a specific template associated with a specified account.\nRetrieves the definition of the specified template.","title":"DocuSign.Api.Templates.templates_get_template/4","ref":"DocuSign.Api.Templates.html#templates_get_template/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:include` (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are:  - `powerforms`: Includes information about PowerForms. - `tabs`: Includes information about tabs. - `documents`: Includes information about documents. - `favorite_template_status`: : Includes the template `favoritedByMe` property in the response. **Note:** You can mark a template as a favorite only in eSignature v2.1.","title":"Parameters - DocuSign.Api.Templates.templates_get_template/4","ref":"DocuSign.Api.Templates.html#templates_get_template/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTemplate.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_get_template/4","ref":"DocuSign.Api.Templates.html#templates_get_template/4-returns"},{"type":"function","doc":"Gets the list of templates.\nRetrieves the list of templates for the specified account. The request can be limited to a specific folder.","title":"DocuSign.Api.Templates.templates_get_templates/3","ref":"DocuSign.Api.Templates.html#templates_get_templates/3"},{"type":"function","doc":"","title":"Related topics  - How to create a template - DocuSign.Api.Templates.templates_get_templates/3","ref":"DocuSign.Api.Templates.html#templates_get_templates/3-related-topics-how-to-create-a-template"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  **Note:** If the `count` parameter is not used, `listTemplates` has a default limit of 2,000 templates. If the account has more than 2,000 templates, `listTemplates` will return the first 2,000 templates. To retrieve more than 2,000 templates, repeat the API call, specifying `start_position` and `count` to control the number of templates retrieved.\n  - `:created_from_date` (String.t): Lists templates created on or after this date.\n  - `:created_to_date` (String.t): Lists templates modified before this date.\n  - `:folder_ids` (String.t): A comma-separated list of folder ID GUIDs.\n  - `:folder_types` (String.t): The type of folder to return templates for. Possible values are:  - `templates`: Templates in the **My Templates** folder.   Templates in the **Shared Templates**  and **All Template** folders (if the request ID from and Admin) are excluded. - `templates_root`: Templates in the root level of the **My Templates** folder, but not in an actual folder. Note that the **My Templates** folder is not a real folder. - `recylebin`: Templates that have been deleted.\n  - `:from_date` (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.\n  - `:include` (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are:  - `powerforms`: Includes details about the PowerForms associated with the templates. - `documents`: Includes information about template documents. - `folders`: Includes information about the folder that holds the template. - `favorite_template_status`: Includes the template `favoritedByMe` property. **Note:** You can mark a template as a favorite only in eSignature v2.1. - `advanced_templates`: Includes information about advanced templates. - `recipients`: Includes information about template recipients. - `custom_fields`: Includes information about template custom fields. - `notifications`: Includes information about the notification settings for templates.\n  - `:is_deleted_template_only` (String.t): When **true,** retrieves templates that have been permanently deleted. The default is **false.**  **Note:** After you delete a template, you can see it in the `Deleted` bin in the UI for 24 hours. After 24 hours, the template is permanently deleted.\n  - `:is_download` (String.t): When **true,** downloads the templates listed in `template_ids` as a collection of JSON definitions in a single zip file.  The `Content-Disposition` header is set in the response. The value of the header provides the filename of the file.  The default is **false.**  **Note:** This parameter only works when you specify a list of templates in the `template_ids` parameter.\n  - `:modified_from_date` (String.t): Lists templates modified on or after this date.\n  - `:modified_to_date` (String.t): Lists templates modified before this date.\n  - `:order` (String.t): Specifies the sort order of the search results. Valid values are:  - `asc`: Ascending (A to Z) - `desc`: Descending (Z to A)\n  - `:order_by` (String.t): Specifies how the search results are listed. Valid values are:  - `name`: template name - `modified`: date/time template was last modified - `used`: date/time the template was last used.\n  - `:search_fields` (String.t): A comma-separated list of additional template properties to search.   - `sender`: Include sender name and email in the search. - `recipients`: Include recipient names and emails in the search. - `envelope`: Not used in template searches.\n  - `:search_text` (String.t): The text to use to search the names of templates.  Limit: 48 characters.\n  - `:shared_by_me` (String.t): When **true,** the response only includes templates shared by the user. When **false,** the response only returns template not shared by the user. If not specified, templates are returned whether or not they have been shared by the user.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:template_ids` (String.t): A comma-separated list of template IDs to download. This value is valid only when `is_download` is **true.**\n  - `:to_date` (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.  **Note:** If this property is null, the value defaults to the current date.\n  - `:used_from_date` (String.t): Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used.\n  - `:used_to_date` (String.t): End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date.\n  - `:user_filter` (String.t): Filters the templates in the response. Valid values are:   - `owned_by_me`: Results include only templates owned by the user. - `shared_with_me`: Results include only templates shared with the user.   - `all`:  Results include all templates owned or shared with the user.\n  - `:user_id` (String.t): The ID of the user.","title":"Parameters - DocuSign.Api.Templates.templates_get_templates/3","ref":"DocuSign.Api.Templates.html#templates_get_templates/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.EnvelopeTemplateResults.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_get_templates/3","ref":"DocuSign.Api.Templates.html#templates_get_templates/3-returns"},{"type":"function","doc":"Creates one or more templates.\nCreates one or more template definitions, using a multipart request for each template.  [Templates](/docs/esign-rest-api/esign101/concepts/templates/) help streamline the sending process when you frequently send the same or similar documents, or send different documents to the same group of people.  When you create a template, you define placeholder roles. Rather than specifying a person, you specify a role that regularly participates in a transaction that uses the template. Then, when you create or send an envelope based on the template, you assign actual recipients to the template roles. The recipients automatically inherit all of the workflow that is defined for that role in the template, such as the tabs and routing information.","title":"DocuSign.Api.Templates.templates_post_templates/3","ref":"DocuSign.Api.Templates.html#templates_post_templates/3"},{"type":"function","doc":"","title":"Template Email Subject Merge Fields  Placeholder roles have associated merge fields that personalize the email notification that Docusign sends. For example, the template automatically personalizes the email message by adding placeholders for the recipient's name and email address within the email subject line, based on the recipient's role. When the sender adds the name and email information for the recipient and sends the envelope, the recipient information is automatically merged into the appropriate fields in the email subject line.  Both the sender and the recipients will see the information in the email subject line for any emails associated with the template. This provides an easy way for senders to organize their envelope emails without having to open an envelope to find out who the recipient is.    Use the following placeholders to insert a recipient's name or email address in the subject line  To insert a recipient's name into the subject line, use the [[<roleName>_UserName]] placeholder in the  emailSubject property when you create the template:  To include a recipient's name or email address in the subject line, use the following placeholders in the emailSubject property:  - [[<roleName>_UserName]] - [[<roleName>_Email]]   For example, if the role name is Signer 1, you might set emailSubject to one of these strings:  - \"[[Signer 1_UserName]], Please sign this NDA\" - \"[[Signer 1_Email]], Please sign this NDA\"   Note: The maximum length of the subject line is 100 characters, including any merged text.   ## Creating multiple templates  To create multiple templates, you provide a zip file of JSON files. You can also use the Templates::ListTemplates method with the is_download query parameter to download a zip file containing your existing templates and use that as a guide. The API supports both .zip and .gzip file formats as input.  You also need to set the Content-Length, Content-Type, and Content-Disposition headers:   Content-Length: 71068 Content-Type: application/zip Content-Disposition: file; filename=\"DocuSignTemplates_Nov_25_2019_20_40_21.zip\"; fileExtension=.zip  ### Related topics  - How to create a template - DocuSign.Api.Templates.templates_post_templates/3","ref":"DocuSign.Api.Templates.html#templates_post_templates/3-template-email-subject-merge-fields-placeholder-roles-have-associated-merge-fields-that-personalize-the-email-notification-that-docusign-sends-for-example-the-template-automatically-personalizes-the-email-message-by-adding-placeholders-for-the-recipient-s-name-and-email-address-within-the-email-subject-line-based-on-the-recipient-s-role-when-the-sender-adds-the-name-and-email-information-for-the-recipient-and-sends-the-envelope-the-recipient-information-is-automatically-merged-into-the-appropriate-fields-in-the-email-subject-line-both-the-sender-and-the-recipients-will-see-the-information-in-the-email-subject-line-for-any-emails-associated-with-the-template-this-provides-an-easy-way-for-senders-to-organize-their-envelope-emails-without-having-to-open-an-envelope-to-find-out-who-the-recipient-is-use-the-following-placeholders-to-insert-a-recipient-s-name-or-email-address-in-the-subject-line-to-insert-a-recipient-s-name-into-the-subject-line-use-the-rolename-_username-placeholder-in-the-emailsubject-property-when-you-create-the-template-to-include-a-recipient-s-name-or-email-address-in-the-subject-line-use-the-following-placeholders-in-the-emailsubject-property-rolename-_username-rolename-_email-for-example-if-the-role-name-is-signer-1-you-might-set-emailsubject-to-one-of-these-strings-signer-1_username-please-sign-this-nda-signer-1_email-please-sign-this-nda-note-the-maximum-length-of-the-subject-line-is-100-characters-including-any-merged-text-creating-multiple-templates-to-create-multiple-templates-you-provide-a-zip-file-of-json-files-you-can-also-use-the-templates-listtemplates-method-with-the-is_download-query-parameter-to-download-a-zip-file-containing-your-existing-templates-and-use-that-as-a-guide-the-api-supports-both-zip-and-gzip-file-formats-as-input-you-also-need-to-set-the-content-length-content-type-and-content-disposition-headers-content-length-71068-content-type-application-zip-content-disposition-file-filename-docusigntemplates_nov_25_2019_20_40_21-zip-fileextension-zip-related-topics-how-to-create-a-template"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): (Required) The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeTemplate):","title":"Parameters - DocuSign.Api.Templates.templates_post_templates/3","ref":"DocuSign.Api.Templates.html#templates_post_templates/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_post_templates/3","ref":"DocuSign.Api.Templates.html#templates_post_templates/3-returns"},{"type":"function","doc":"Updates an existing template.\nUpdates an existing template.","title":"DocuSign.Api.Templates.templates_put_template/4","ref":"DocuSign.Api.Templates.html#templates_put_template/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `opts` (keyword): Optional parameters\n  - `:body` (EnvelopeTemplate):","title":"Parameters - DocuSign.Api.Templates.templates_put_template/4","ref":"DocuSign.Api.Templates.html#templates_put_template/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateUpdateSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_put_template/4","ref":"DocuSign.Api.Templates.html#templates_put_template/4-returns"},{"type":"function","doc":"Shares a template with a group.\nShares a template with the specified members group.  **Note:** For a newer version of this functionality, see [Accounts: Update Shared Access](/docs/esign-rest-api/reference/accounts/accounts/updatesharedaccess/).","title":"DocuSign.Api.Templates.templates_put_template_part/5","ref":"DocuSign.Api.Templates.html#templates_put_template_part/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `template_id` (String.t): The ID of the template.\n- `template_part` (String.t): Currently, the only defined part is **groups.**\n- `opts` (keyword): Optional parameters\n  - `:body` (GroupInformation):","title":"Parameters - DocuSign.Api.Templates.templates_put_template_part/5","ref":"DocuSign.Api.Templates.html#templates_put_template_part/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.GroupInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_put_template_part/5","ref":"DocuSign.Api.Templates.html#templates_put_template_part/5-returns"},{"type":"function","doc":"","title":"DocuSign.Api.Templates.templates_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_put_templates/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (TemplateAutoMatchList):","title":"Parameters - DocuSign.Api.Templates.templates_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_put_templates/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.TemplateAutoMatchList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Templates.templates_put_templates/3","ref":"DocuSign.Api.Templates.html#templates_put_templates/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `UserCustomSettings`.","title":"DocuSign.Api.UserCustomSettings","ref":"DocuSign.Api.UserCustomSettings.html"},{"type":"function","doc":"Deletes custom user settings for a specified user.\nDeletes the specified custom user settings for a single user.  If the custom user settings you want to delete are grouped, you must include the `X-DocuSign-User-Settings-Key` header in the request:  `X-DocuSign-User-Settings-Key:group_name`  Where the `group_name` is your designated name for the group of customer user settings.  If the `X-DocuSign-User-Settings-Key` header is not included, only the custom user settings that were added without a group are deleted.","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_delete_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_delete_custom_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (CustomSettingsInformation):","title":"Parameters - DocuSign.Api.UserCustomSettings.user_custom_settings_delete_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_delete_custom_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserCustomSettings.user_custom_settings_delete_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_delete_custom_settings/4-returns"},{"type":"function","doc":"Retrieves the custom user settings for a specified user.\nRetrieves a list of custom user settings for a single user.  Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system.  **Note:** Custom user settings are not the same as user account settings.   If the custom user settings you want to retrieve are grouped, you must include the `X-DocuSign-User-Settings-Key` header in the request:  `X-DocuSign-User-Settings-Key:group_name`  Where the `group_name` is your designated name for the group of customer user settings.  If the `X-DocuSign-User-Settings-Key` header is not included, only the custom user settings that were added without a group are retrieved.","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_get_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_get_custom_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.UserCustomSettings.user_custom_settings_get_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_get_custom_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserCustomSettings.user_custom_settings_get_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_get_custom_settings/4-returns"},{"type":"function","doc":"Adds or updates custom user settings for the specified user.\nAdds or updates custom user settings for the specified user.  **Note:** Custom user settings are not the same as user account settings.  Custom settings provide a flexible way to store and retrieve custom user information that you can use in your own system.  **Important:** There is a limit on the size for all the custom user settings for a single user. The limit is 4,000 characters, which includes the XML and JSON structure for the settings.  You can group custom user settings when adding them. Grouping allows you to retrieve settings that are in a specific group, instead of retrieving all the user custom settings.  To group custom user settings, include the `X-DocuSign-User-Settings-Key` header in the request:  `X-DocuSign-User-Settings-Key:group_name`  Where the `group_name` is your designated name for the group of customer user settings.  When getting or deleting grouped custom user settings, you must include the `X-DocuSign-User-Settings-Key` header information.  Grouping custom user settings is not required and if the `X-DocuSign-User-Settings-Key` header information is not included, the custom user settings are added normally and can be retrieved or deleted without including the `X-DocuSign-User-Settings-Key` header.","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_put_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_put_custom_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (CustomSettingsInformation):","title":"Parameters - DocuSign.Api.UserCustomSettings.user_custom_settings_put_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_put_custom_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.CustomSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserCustomSettings.user_custom_settings_put_custom_settings/4","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_put_custom_settings/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `UserProfiles`.","title":"DocuSign.Api.UserProfiles","ref":"DocuSign.Api.UserProfiles.html"},{"type":"function","doc":"Retrieves the user profile for a specified user.\nRetrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.  The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the specified account.","title":"DocuSign.Api.UserProfiles.user_profile_get_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_get_profile/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.UserProfiles.user_profile_get_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_get_profile/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserProfile.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserProfiles.user_profile_get_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_get_profile/4-returns"},{"type":"function","doc":"Updates the user profile information for the specified user.\nUpdates the user's detail information, profile information, privacy settings, and personal information in the user ID card.  You can also change a user's name by changing the information in the `userDetails` property. When changing a user's name, you can either change the information in the `userName` property OR change the information in `firstName`, `middleName`, `lastName, suffixName`, and `title` properties. Changes to `firstName`, `middleName`, `lastName`, `suffixName`, and `title` properties take precedence over changes to the `userName` property.","title":"DocuSign.Api.UserProfiles.user_profile_put_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_put_profile/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserProfile):","title":"Parameters - DocuSign.Api.UserProfiles.user_profile_put_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_put_profile/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserProfiles.user_profile_put_profile/4","ref":"DocuSign.Api.UserProfiles.html#user_profile_put_profile/4-returns"},{"type":"module","doc":"API calls for all endpoints tagged `UserSignatures`.","title":"DocuSign.Api.UserSignatures","ref":"DocuSign.Api.UserSignatures.html"},{"type":"function","doc":"Removes removes signature information for the specified user.\nRemoves the signature information for the user.  The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.   For example encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_delete_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_delete_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature/5-returns"},{"type":"function","doc":"Deletes the user initials image or the  user signature image for the specified user.\nDeletes the specified initials image or signature image for the specified user.  The function deletes one or the other of the image types, to delete both the initials image and signature image you must call the endpoint twice.  The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.   For example encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_delete_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature_image/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_delete_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature_image/6-returns"},{"type":"function","doc":"Gets the user signature information for the specified user.\nRetrieves the structure of a single signature with a known signature name.  The userId specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.   For example encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_get_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_get_user_signature/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature/5-returns"},{"type":"function","doc":"Retrieves the user initials image or the  user signature image for the specified user.\nRetrieves the specified initials image or signature image for the specified user. The image is returned in the same format in which it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image.  The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.  For example encode \"Bob Smith\" as \"Bob%20Smith\".  **Note:** Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature_image/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:include_chrome` (String.t): When **true,** the chrome (or frame containing the added line and identifier) is included with the signature image.","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_get_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature_image/6-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_get_user_signature_image/6","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature_image/6-returns"},{"type":"function","doc":"Retrieves a list of signature definitions for a user.\nThis method retrieves the signature definitions for the user that you specify.  The `userId` parameter specified in the endpoint must match the authenticated user's user ID, and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.   For example, encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signatures/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:stamp_type` (String.t): The type of stamps to return. Valid values are:  - `signature`: Returns information about signature images only. This is the default value. - `stamp`: Returns information about eHanko and custom stamps only. - null","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_get_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signatures/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_get_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signatures/4-returns"},{"type":"function","doc":"Adds user Signature and initials images to a Signature.\nAdds a user signature image and/or user initials image to the specified user.   The userId property specified in the endpoint must match the authenticated user's `userId` and the user must be a member of the account.  The rules and processes associated with this are:  * If `Content-Type` is set to `application/json`, then the default behavior for creating a default signature image, based on the name and a Docusign font, is used. * If `Content-Type` is set to `multipart/form-data`, then the request must contain a first part with the user signature information, followed by parts that contain the images.  For each Image part, the Content-Disposition header has a \"filename\" value that is used to map to the `signatureName` and/or `signatureInitials` properties in the JSON to the image.   For example:  `Content-Disposition: file; filename=\"Ron Test20121127083900\"`  If no matching image (by filename value) is found, then the image is not set. One, both, or neither of the signature and initials images can be set with this call.  The Content-Transfer-Encoding: base64 header, set in the header for the part containing the image, can be set to indicate that the images are formatted as base64 instead of as binary.  If successful, 200-OK is returned, and a JSON structure containing the signature information is provided, note that the signatureId can change with each API POST, PUT, or DELETE since the changes to the signature structure cause the current signature to be closed, and a new signature record to be created.","title":"DocuSign.Api.UserSignatures.user_signatures_post_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_post_user_signatures/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserSignaturesInformation):","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_post_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_post_user_signatures/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_post_user_signatures/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_post_user_signatures/4-returns"},{"type":"function","doc":"Adds/updates a user signature.","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:body` (UserSignaturesInformation):","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_put_user_signature/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignaturesInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_put_user_signature/4","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature/4-returns"},{"type":"function","doc":"Updates the user signature for a specified user.\nCreates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature.  **Note:** This will also create a default signature for the user when one does not exist.  The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.  For example encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_by_id/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_by_id/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:close_existing_signature` (String.t): When **true,** closes the current signature.\n  - `:body` (UserSignatureDefinition):","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_put_user_signature_by_id/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_by_id/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_put_user_signature_by_id/5","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_by_id/5-returns"},{"type":"function","doc":"Updates the user signature image or user initials image for the specified user.\nUpdates the user signature image or user initials image for the specified user. The supported image formats for this file are: gif, png, jpeg, and bmp. The file must be less than 200K.  The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.  The `signatureId` parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.   For example encode \"Bob Smith\" as \"Bob%20Smith\".","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_image/7","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_image/7"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `image_type` (String.t): Specificies the type of image. Valid values:  - `stamp_image` - `signature_image` - `initials_image`\n- `signature_id` (String.t): The ID of the account stamp.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `image_bytes` (String.t): Updated image content.\n- `opts` (keyword): Optional parameters\n  - `:transparent_png` (String.t):","title":"Parameters - DocuSign.Api.UserSignatures.user_signatures_put_user_signature_image/7","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_image/7-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSignature.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.UserSignatures.user_signatures_put_user_signature_image/7","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_image/7-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Users`.","title":"DocuSign.Api.Users","ref":"DocuSign.Api.Users.html"},{"type":"function","doc":"Gets the user information for a specified user using a userId (GUID). To find a user based on their email address, use the list endpoint.\nRetrieves the user information for the specified user.  For example:  ```json {   \"userName\": \"Tania Morales\",   \"userId\": \"6b67a1ee-xxxx-xxxx-xxxx-385763624163\",   \"userType\": \"CompanyUser\",   \"isAdmin\": \"False\",   \"isNAREnabled\": \"false\",   \"userStatus\": \"Active\",   \"uri\": \"/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163\",   \"email\": \"examplename42@orobia.net\",   \"createdDateTime\": \"2019-04-01T22:11:56.4570000Z\",   \"userAddedToAccountDateTime\": \"0001-01-01T08:00:00.0000000Z\",   \"firstName\": \"Tania\",   \"lastName\": \"Morales\",   \"jobTitle\": \"\",   \"company\": \"Company\",   \"permissionProfileId\": \"12345678\",   \"permissionProfileName\": \"DocuSign Viewer\",   \"userSettings\": {. . .},   \"sendActivationOnInvalidLogin\": \"false\",   \"enableConnectForUser\": \"false\",   \"groupList\": [. . .],   \"workAddress\": {. . .},   \"homeAddress\": {. . .},   \"signatureImageUri\": \"/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image\",   \"initialsImageUri\": \"/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image\",   \"defaultAccountId\": \"f636f297-xxxx-xxxx-xxxx-8e7a14715950\" } ```","title":"DocuSign.Api.Users.user_get_user/4","ref":"DocuSign.Api.Users.html#user_get_user/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:additional_info` (String.t): Setting this parameter has no effect in this operation.\n  - `:email` (String.t): Setting this parameter has no effect in this operation.","title":"Parameters - DocuSign.Api.Users.user_get_user/4","ref":"DocuSign.Api.Users.html#user_get_user/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_get_user/4","ref":"DocuSign.Api.Users.html#user_get_user/4-returns"},{"type":"function","doc":"Deletes the user profile image for the specified user.\nDeletes the user profile image from the  specified user's profile.  The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the specified account.","title":"DocuSign.Api.Users.user_profile_image_delete_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_delete_user_profile_image/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Users.user_profile_image_delete_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_delete_user_profile_image/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_profile_image_delete_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_delete_user_profile_image/4-returns"},{"type":"function","doc":"Retrieves the user profile image for the specified user.\nRetrieves the user profile picture for the specified user.  The `userId` path parameter must match the authenticated user's user ID, and the user must be a member of the specified account.  | Return value      | Meaning                                                                        | | :---------------- | :----------------------------------------------------------------------------- | | `200 OK`          | The response contains the profile image in the same format as it was uploaded. | | `404 Not found`   | The user does not have a profile image.                                        | | `400 Bad request` | There was an error in the request. The response has more information.          |","title":"DocuSign.Api.Users.user_profile_image_get_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_get_user_profile_image/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:encoding` (String.t): Reserved for Docusign.","title":"Parameters - DocuSign.Api.Users.user_profile_image_get_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_get_user_profile_image/4-parameters"},{"type":"function","doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_profile_image_get_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_get_user_profile_image/4-returns"},{"type":"function","doc":"Updates the user profile image for a specified user.\nUpdates the user profile image by uploading an image to the user profile.  The supported image formats are: gif, png, jpeg, and bmp. The file must be less than 200K. For best viewing results, Docusign recommends that the image is no more than 79 pixels wide and high.","title":"DocuSign.Api.Users.user_profile_image_put_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_put_user_profile_image/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Users.user_profile_image_put_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_put_user_profile_image/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_profile_image_put_user_profile_image/4","ref":"DocuSign.Api.Users.html#user_profile_image_put_user_profile_image/4-returns"},{"type":"function","doc":"Updates user information for the specified user.\nTo update user information for a specific user, submit a [Users](#Users) object with updated field values in the request body of this operation.","title":"DocuSign.Api.Users.user_put_user/4","ref":"DocuSign.Api.Users.html#user_put_user/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:allow_all_languages` (String.t):\n  - `:body` (UserInformation):","title":"Parameters - DocuSign.Api.Users.user_put_user/4","ref":"DocuSign.Api.Users.html#user_put_user/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_put_user/4","ref":"DocuSign.Api.Users.html#user_put_user/4-returns"},{"type":"function","doc":"Gets the user account settings for a specified user.\nRetrieves a list of the account settings and email notification information for the specified user.  The response returns the account setting name/value information and the email notification settings for the specified user. For more information, see [Users:create](/docs/esign-rest-api/reference/users/users/create/).","title":"DocuSign.Api.Users.user_settings_get_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_get_user_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Users.user_settings_get_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_get_user_settings/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserSettingsInformation.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_settings_get_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_get_user_settings/4-returns"},{"type":"function","doc":"Updates the user account settings for a specified user.\nUpdates the account settings list and email notification types for the specified user.","title":"DocuSign.Api.Users.user_settings_put_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_put_user_settings/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `user_id` (String.t): The ID of the user to access.  **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.\n- `opts` (keyword): Optional parameters\n  - `:allow_all_languages` (String.t):\n  - `:body` (UserSettingsInformation):","title":"Parameters - DocuSign.Api.Users.user_settings_put_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_put_user_settings/4-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.user_settings_put_user_settings/4","ref":"DocuSign.Api.Users.html#user_settings_put_user_settings/4-returns"},{"type":"function","doc":"Closes one or more users in the account.\nCloses one or more users in the account, preventing them from accessing account features. Users are not permanently deleted.  The request body requires only the IDs of the users to close:  ```json {     \"users\": [         { \"userId\": \"6b67a1ee-xxxx-xxxx-xxxx-385763624163\" },         { \"userId\": \"b6c74c52-xxxx-xxxx-xxxx-457a81d88926\" },         { \"userId\": \"464f7988-xxxx-xxxx-xxxx-781ee556ab7a\" }     ] } ```  You can use [`Users:update`](/docs/esign-rest-api/reference/users/users/update/) to re-open a closed user.","title":"DocuSign.Api.Users.users_delete_users/3","ref":"DocuSign.Api.Users.html#users_delete_users/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:delete` (String.t): A list of groups to remove the user from. A comma-separated list of the following:  - `Groups` - `PermissionSet` - `SigningGroupsEmail`\n  - `:body` (UserInfoList):","title":"Parameters - DocuSign.Api.Users.users_delete_users/3","ref":"DocuSign.Api.Users.html#users_delete_users/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UsersResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.users_delete_users/3","ref":"DocuSign.Api.Users.html#users_delete_users/3-returns"},{"type":"function","doc":"Retrieves the list of users for the specified account. You can filter the users list to get specific users.\nRetrieves the list of users for the specified account.  The response returns the list of users for the account, with information about the result set. If the `additional_info` query is added to the endpoint and set to **true,** full user information is returned for each user.","title":"DocuSign.Api.Users.users_get_users/3","ref":"DocuSign.Api.Users.html#users_get_users/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): (Required) The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:additional_info` (String.t): When **true,** the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is **false.**\n  - `:alternate_admins_only` (String.t): When **true,** returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is **false.**\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.  Valid values: `1` to `100`\n  - `:domain_users_only` (String.t): When **true,** return only users in [domains](https://support.docusign.com/s/document-item?rsc_301=&bundleId=rrf1583359212854&topicId=jub1589318086105.html) claimed by your organization. The default value is **false.**\n  - `:email` (String.t): Filters results based on the email address associated with the user that you want to return.  **Note:** You can use either this parameter or the `email_substring` parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.\n  - `:email_substring` (String.t): Filters results based on a fragment of an email address. For example, you could enter `gmail.com` to return all users who have Gmail addresses.  **Note:** You do not use a wildcard character with this parameter. You can use either this parameter or the `email` parameter, but not both.\n  - `:group_id` (String.t): Filters results based on one or more group IDs.\n  - `:include_usersettings_for_csv` (String.t): When **true,** the response includes the `userSettings` object data in CSV format.\n  - `:login_status` (String.t): When **true,** the response includes the login status of each user.\n  - `:not_group_id` (String.t): Return user records excluding the specified group IDs.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:status` (String.t): Filters results by user account status. A comma-separated list of any of the following:  * `ActivationRequired` * `ActivationSent` * `Active` * `Closed` * `Disabled`\n  - `:user_name_substring` (String.t): Filters the user records returned by the user name or a sub-string of user name.","title":"Parameters - DocuSign.Api.Users.users_get_users/3","ref":"DocuSign.Api.Users.html#users_get_users/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserInformationList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.users_get_users/3","ref":"DocuSign.Api.Users.html#users_get_users/3-returns"},{"type":"function","doc":"Adds new users to the specified account.\nAdds new users to an account.   The body of this request is an array of `newUsers` objects. For each new user, you must provide at least the `userName` and `email` properties. The maximum number of users you can create in one request is 500 users.   The `userSettings` property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the `locale` is set to `fr`.   ``` POST /restapi/v2.1/accounts/{accountId}/users Content-Type: application/json ``` ``` {   \"newUsers\": [     {       \"userName\": \"Claire Horace\",       \"email\": \"claire@example.com\"     },     {       \"userName\": \"Tal Mason\",       \"email\": \"talmason@example.com\",       \"company\": \"TeleSel\",       \"userSettings\": {         \"locale\": \"fr\",         \"canSendEnvelope\": true       }     }   ] } ```  A successful response is a `newUsers` array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an `errorDetails` property that describes what went wrong.  ```json {   \"newUsers\": [     {       \"userId\": \"18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade\",       \"uri\": \"/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade\",       \"email\": \"claire@example.com\",       \"userName\": \"Claire Horace\",       \"createdDateTime\": \"0001-01-01T08:00:00.0000000Z\",       \"errorDetails\": {         \"errorCode\": \"USER_ALREADY_EXISTS_IN_ACCOUNT\",         \"message\": \"Username and email combination already exists for this account.\"       }     },     {       \"userId\": \"be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33\",       \"uri\": \"/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33\",       \"email\": \"talmason@example.com\",       \"userName\": \"Tal Mason\",       \"userStatus\": \"ActivationSent\",       \"createdDateTime\": \"2020-05-26T23:25:30.7330000Z\"     }   ] } ```","title":"DocuSign.Api.Users.users_post_users/3","ref":"DocuSign.Api.Users.html#users_post_users/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (NewUsersDefinition):","title":"Parameters - DocuSign.Api.Users.users_post_users/3","ref":"DocuSign.Api.Users.html#users_post_users/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.NewUsersSummary.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.users_post_users/3","ref":"DocuSign.Api.Users.html#users_post_users/3-returns"},{"type":"function","doc":"Changes one or more users in the specified account.\nThis method updates the information about one or more account users.","title":"DocuSign.Api.Users.users_put_users/3","ref":"DocuSign.Api.Users.html#users_put_users/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:allow_all_languages` (String.t):\n  - `:body` (UserInformationList):","title":"Parameters - DocuSign.Api.Users.users_put_users/3","ref":"DocuSign.Api.Users.html#users_put_users/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.UserInformationList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Users.users_put_users/3","ref":"DocuSign.Api.Users.html#users_put_users/3-returns"},{"type":"module","doc":"API calls for all endpoints tagged `WorkspaceItems`.","title":"DocuSign.Api.WorkspaceItems","ref":"DocuSign.Api.WorkspaceItems.html"},{"type":"function","doc":"Gets a workspace file\nThis method returns a binary version of a file in a workspace.","title":"DocuSign.Api.WorkspaceItems.workspace_file_get_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_get_workspace_file/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `file_id` (String.t): The ID of the file.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters\n  - `:is_download` (String.t): When **true,** the `Content-Disposition` header is set in the response. The value of the header provides the filename of the file. The default is **false.**\n  - `:pdf_version` (String.t): When **true** the file is returned in PDF format.","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_file_get_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_get_workspace_file/6-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_file_get_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_get_workspace_file/6-returns"},{"type":"function","doc":"List File Pages\nThis method returns a workspace file as rasterized pages.","title":"DocuSign.Api.WorkspaceItems.workspace_file_pages_get_workspace_file_pages/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_pages_get_workspace_file_pages/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `file_id` (String.t): The ID of the file.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:dpi` (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.\n  - `:max_height` (String.t): Sets the maximum height of the returned images in pixels.\n  - `:max_width` (String.t): Sets the maximum width of the returned images in pixels.\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_file_pages_get_workspace_file_pages/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_pages_get_workspace_file_pages/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.PageImages.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_file_pages_get_workspace_file_pages/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_pages_get_workspace_file_pages/6-returns"},{"type":"function","doc":"Creates a workspace file.\nThis method adds a file to a workspace.","title":"DocuSign.Api.WorkspaceItems.workspace_file_post_workspace_files/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_post_workspace_files/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_file_post_workspace_files/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_post_workspace_files/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkspaceItem.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_file_post_workspace_files/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_post_workspace_files/5-returns"},{"type":"function","doc":"Update workspace file or folder metadata\nThis method updates the metadata for one or more specific files or folders in a workspace.","title":"DocuSign.Api.WorkspaceItems.workspace_file_put_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_put_workspace_file/6"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `file_id` (String.t): The ID of the file.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_file_put_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_put_workspace_file/6-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkspaceItem.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_file_put_workspace_file/6","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_put_workspace_file/6-returns"},{"type":"function","doc":"Deletes files or sub-folders from a workspace.\nThis method deletes one or more files or sub-folders from a workspace folder or root.  Note: To delete items from a workspace, the `status` of the workspace must be `active`.","title":"DocuSign.Api.WorkspaceItems.workspace_folder_delete_workspace_items/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_delete_workspace_items/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters\n  - `:body` (WorkspaceItemList):","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_folder_delete_workspace_items/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_delete_workspace_items/5-parameters"},{"type":"function","doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_folder_delete_workspace_items/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_delete_workspace_items/5-returns"},{"type":"function","doc":"List workspace folder contents\nThis method returns the contents of a workspace folder, which can include sub-folders and files.","title":"DocuSign.Api.WorkspaceItems.workspace_folder_get_workspace_folder/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_get_workspace_folder/5"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `folder_id` (String.t): The ID of the folder.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters\n  - `:count` (String.t): The maximum number of results to return.  Use `start_position` to specify the number of results to skip.\n  - `:include_files` (String.t): When **true,** the response includes file information (in addition to folder information). The default is **false.**\n  - `:include_sub_folders` (String.t): When **true,** the response includes information about the sub-folders of the current folder. The default is **false.**\n  - `:include_thumbnails` (String.t): When **true,** the response returns thumbnails.  The default is **false.**\n  - `:include_user_detail` (String.t): When **true,** the response includes extended details about the user. The default is **false.**\n  - `:start_position` (String.t): The zero-based index of the result from which to start returning results.  Use with `count` to limit the number of results.  The default value is `0`.\n  - `:workspace_user_id` (String.t): If set, the response only includes results associated with the `userId` that you specify.","title":"Parameters - DocuSign.Api.WorkspaceItems.workspace_folder_get_workspace_folder/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_get_workspace_folder/5-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkspaceFolderContents.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.WorkspaceItems.workspace_folder_get_workspace_folder/5","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_get_workspace_folder/5-returns"},{"type":"module","doc":"API calls for all endpoints tagged `Workspaces`.","title":"DocuSign.Api.Workspaces","ref":"DocuSign.Api.Workspaces.html"},{"type":"function","doc":"Delete Workspace\nDeletes an existing workspace (logically).","title":"DocuSign.Api.Workspaces.workspace_delete_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_delete_workspace/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Workspaces.workspace_delete_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_delete_workspace/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workspace.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Workspaces.workspace_delete_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_delete_workspace/4-returns"},{"type":"function","doc":"Get Workspace\nRetrieves properties about a workspace given a unique workspaceId.","title":"DocuSign.Api.Workspaces.workspace_get_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspace/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Workspaces.workspace_get_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspace/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workspace.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Workspaces.workspace_get_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspace/4-returns"},{"type":"function","doc":"List Workspaces\nGets information about the Workspaces that have been created.","title":"DocuSign.Api.Workspaces.workspace_get_workspaces/3","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspaces/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters","title":"Parameters - DocuSign.Api.Workspaces.workspace_get_workspaces/3","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspaces/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.WorkspaceList.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Workspaces.workspace_get_workspaces/3","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspaces/3-returns"},{"type":"function","doc":"Create a Workspace\nThis method creates a new workspace.","title":"DocuSign.Api.Workspaces.workspace_post_workspace/3","ref":"DocuSign.Api.Workspaces.html#workspace_post_workspace/3"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `opts` (keyword): Optional parameters\n  - `:body` (Workspace):","title":"Parameters - DocuSign.Api.Workspaces.workspace_post_workspace/3","ref":"DocuSign.Api.Workspaces.html#workspace_post_workspace/3-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workspace.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Workspaces.workspace_post_workspace/3","ref":"DocuSign.Api.Workspaces.html#workspace_post_workspace/3-returns"},{"type":"function","doc":"Update Workspace\nUpdates information about a specific workspace.","title":"DocuSign.Api.Workspaces.workspace_put_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_put_workspace/4"},{"type":"function","doc":"- `connection` (DocuSign.Connection): Connection to server\n- `account_id` (String.t): The external account number (int) or account ID GUID.\n- `workspace_id` (String.t): The ID of the workspace.\n- `opts` (keyword): Optional parameters\n  - `:body` (Workspace):","title":"Parameters - DocuSign.Api.Workspaces.workspace_put_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_put_workspace/4-parameters"},{"type":"function","doc":"- `{:ok, DocuSign.Model.Workspace.t}` on success\n- `{:error, Tesla.Env.t}` on failure","title":"Returns - DocuSign.Api.Workspaces.workspace_put_workspace/4","ref":"DocuSign.Api.Workspaces.html#workspace_put_workspace/4-returns"},{"type":"module","doc":"Object specifying the format of the string provided to a recipient in order to access an envelope.","title":"DocuSign.Model.AccessCodeFormat","ref":"DocuSign.Model.AccessCodeFormat.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccessCodeFormat.decode/1","ref":"DocuSign.Model.AccessCodeFormat.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccessCodeFormat.t/0","ref":"DocuSign.Model.AccessCodeFormat.html#t:t/0"},{"type":"module","doc":"Contains information about the address associated with the account.","title":"DocuSign.Model.AccountAddress","ref":"DocuSign.Model.AccountAddress.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountAddress.decode/1","ref":"DocuSign.Model.AccountAddress.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountAddress.t/0","ref":"DocuSign.Model.AccountAddress.html#t:t/0"},{"type":"module","doc":"Contains information about an account billing plan.","title":"DocuSign.Model.AccountBillingPlan","ref":"DocuSign.Model.AccountBillingPlan.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountBillingPlan.decode/1","ref":"DocuSign.Model.AccountBillingPlan.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountBillingPlan.t/0","ref":"DocuSign.Model.AccountBillingPlan.html#t:t/0"},{"type":"module","doc":"Defines an account billing plan response object.","title":"DocuSign.Model.AccountBillingPlanResponse","ref":"DocuSign.Model.AccountBillingPlanResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountBillingPlanResponse.decode/1","ref":"DocuSign.Model.AccountBillingPlanResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountBillingPlanResponse.t/0","ref":"DocuSign.Model.AccountBillingPlanResponse.html#t:t/0"},{"type":"module","doc":"The AccountBrands resource enables you to use account-level brands to customize the styles and text that recipients see.","title":"DocuSign.Model.AccountBrands","ref":"DocuSign.Model.AccountBrands.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountBrands.decode/1","ref":"DocuSign.Model.AccountBrands.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountBrands.t/0","ref":"DocuSign.Model.AccountBrands.html#t:t/0"},{"type":"module","doc":"Details about account consumer disclosures.","title":"DocuSign.Model.AccountConsumerDisclosures","ref":"DocuSign.Model.AccountConsumerDisclosures.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountConsumerDisclosures.decode/1","ref":"DocuSign.Model.AccountConsumerDisclosures.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountConsumerDisclosures.t/0","ref":"DocuSign.Model.AccountConsumerDisclosures.html#t:t/0"},{"type":"module","doc":"An `accountCustomField` is an envelope custom field that you set at the account level. Applying custom fields enables account administrators to group and manage envelopes.","title":"DocuSign.Model.AccountCustomFields","ref":"DocuSign.Model.AccountCustomFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountCustomFields.decode/1","ref":"DocuSign.Model.AccountCustomFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountCustomFields.t/0","ref":"DocuSign.Model.AccountCustomFields.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountIdentityInputOption","ref":"DocuSign.Model.AccountIdentityInputOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountIdentityInputOption.decode/1","ref":"DocuSign.Model.AccountIdentityInputOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountIdentityInputOption.t/0","ref":"DocuSign.Model.AccountIdentityInputOption.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountIdentityVerificationResponse","ref":"DocuSign.Model.AccountIdentityVerificationResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountIdentityVerificationResponse.decode/1","ref":"DocuSign.Model.AccountIdentityVerificationResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountIdentityVerificationResponse.t/0","ref":"DocuSign.Model.AccountIdentityVerificationResponse.html#t:t/0"},{"type":"module","doc":"Information about a specific step in an Identity Verification workflow.","title":"DocuSign.Model.AccountIdentityVerificationStep","ref":"DocuSign.Model.AccountIdentityVerificationStep.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountIdentityVerificationStep.decode/1","ref":"DocuSign.Model.AccountIdentityVerificationStep.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountIdentityVerificationStep.t/0","ref":"DocuSign.Model.AccountIdentityVerificationStep.html#t:t/0"},{"type":"module","doc":"Specifies an Identity Verification workflow.","title":"DocuSign.Model.AccountIdentityVerificationWorkflow","ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountIdentityVerificationWorkflow.decode/1","ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountIdentityVerificationWorkflow.t/0","ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html#t:t/0"},{"type":"module","doc":"Contains account Information.","title":"DocuSign.Model.AccountInformation","ref":"DocuSign.Model.AccountInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountInformation.decode/1","ref":"DocuSign.Model.AccountInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountInformation.t/0","ref":"DocuSign.Model.AccountInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountMinimumPasswordLength","ref":"DocuSign.Model.AccountMinimumPasswordLength.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountMinimumPasswordLength.decode/1","ref":"DocuSign.Model.AccountMinimumPasswordLength.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountMinimumPasswordLength.t/0","ref":"DocuSign.Model.AccountMinimumPasswordLength.html#t:t/0"},{"type":"module","doc":"A complex element that specifies notifications (expirations and reminders) for the envelope.","title":"DocuSign.Model.AccountNotification","ref":"DocuSign.Model.AccountNotification.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountNotification.decode/1","ref":"DocuSign.Model.AccountNotification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountNotification.t/0","ref":"DocuSign.Model.AccountNotification.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordExpirePasswordDays","ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordExpirePasswordDays.decode/1","ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordExpirePasswordDays.t/0","ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes","ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.decode/1","ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.t/0","ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationType","ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationType.decode/1","ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordLockoutDurationType.t/0","ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays","ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.decode/1","ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.t/0","ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html#t:t/0"},{"type":"module","doc":"Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password.","title":"DocuSign.Model.AccountPasswordQuestionsRequired","ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordQuestionsRequired.decode/1","ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordQuestionsRequired.t/0","ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html#t:t/0"},{"type":"module","doc":"Contains details about the password rules for an account.","title":"DocuSign.Model.AccountPasswordRules","ref":"DocuSign.Model.AccountPasswordRules.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordRules.decode/1","ref":"DocuSign.Model.AccountPasswordRules.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordRules.t/0","ref":"DocuSign.Model.AccountPasswordRules.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordStrengthType","ref":"DocuSign.Model.AccountPasswordStrengthType.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordStrengthType.decode/1","ref":"DocuSign.Model.AccountPasswordStrengthType.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordStrengthType.t/0","ref":"DocuSign.Model.AccountPasswordStrengthType.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountPasswordStrengthTypeOption","ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPasswordStrengthTypeOption.decode/1","ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPasswordStrengthTypeOption.t/0","ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html#t:t/0"},{"type":"module","doc":"The AccountPermissionProfiles resource provides methods that allow you to manage permission profiles for groups of account users.","title":"DocuSign.Model.AccountPermissionProfiles","ref":"DocuSign.Model.AccountPermissionProfiles.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountPermissionProfiles.decode/1","ref":"DocuSign.Model.AccountPermissionProfiles.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountPermissionProfiles.t/0","ref":"DocuSign.Model.AccountPermissionProfiles.html#t:t/0"},{"type":"module","doc":"This object defines account permissions for users who are associated with the account permission profile.","title":"DocuSign.Model.AccountRoleSettings","ref":"DocuSign.Model.AccountRoleSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountRoleSettings.decode/1","ref":"DocuSign.Model.AccountRoleSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountRoleSettings.t/0","ref":"DocuSign.Model.AccountRoleSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountSealProviders","ref":"DocuSign.Model.AccountSealProviders.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSealProviders.decode/1","ref":"DocuSign.Model.AccountSealProviders.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSealProviders.t/0","ref":"DocuSign.Model.AccountSealProviders.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountSeals","ref":"DocuSign.Model.AccountSeals.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSeals.decode/1","ref":"DocuSign.Model.AccountSeals.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSeals.t/0","ref":"DocuSign.Model.AccountSeals.html#t:t/0"},{"type":"module","doc":"Contains account settings information. Used in requests to set property values. Used in responses to report property values.","title":"DocuSign.Model.AccountSettingsInformation","ref":"DocuSign.Model.AccountSettingsInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSettingsInformation.decode/1","ref":"DocuSign.Model.AccountSettingsInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSettingsInformation.t/0","ref":"DocuSign.Model.AccountSettingsInformation.html#t:t/0"},{"type":"module","doc":"Contains shared access information.","title":"DocuSign.Model.AccountSharedAccess","ref":"DocuSign.Model.AccountSharedAccess.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSharedAccess.decode/1","ref":"DocuSign.Model.AccountSharedAccess.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSharedAccess.t/0","ref":"DocuSign.Model.AccountSharedAccess.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountSignature","ref":"DocuSign.Model.AccountSignature.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignature.decode/1","ref":"DocuSign.Model.AccountSignature.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignature.t/0","ref":"DocuSign.Model.AccountSignature.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountSignatureDefinition","ref":"DocuSign.Model.AccountSignatureDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignatureDefinition.decode/1","ref":"DocuSign.Model.AccountSignatureDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignatureDefinition.t/0","ref":"DocuSign.Model.AccountSignatureDefinition.html#t:t/0"},{"type":"module","doc":"Contains information about the signature provider associated with the Identity Verification workflow. If empty, then this specific workflow is not intended for signers.","title":"DocuSign.Model.AccountSignatureProvider","ref":"DocuSign.Model.AccountSignatureProvider.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignatureProvider.decode/1","ref":"DocuSign.Model.AccountSignatureProvider.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignatureProvider.t/0","ref":"DocuSign.Model.AccountSignatureProvider.html#t:t/0"},{"type":"module","doc":"Reserved for Docusign.","title":"DocuSign.Model.AccountSignatureProviderOption","ref":"DocuSign.Model.AccountSignatureProviderOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignatureProviderOption.decode/1","ref":"DocuSign.Model.AccountSignatureProviderOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignatureProviderOption.t/0","ref":"DocuSign.Model.AccountSignatureProviderOption.html#t:t/0"},{"type":"module","doc":"This resource provides information on the Standards Based Signature providers that have been provisioned for an account.","title":"DocuSign.Model.AccountSignatureProviders","ref":"DocuSign.Model.AccountSignatureProviders.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignatureProviders.decode/1","ref":"DocuSign.Model.AccountSignatureProviders.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignatureProviders.t/0","ref":"DocuSign.Model.AccountSignatureProviders.html#t:t/0"},{"type":"module","doc":"AccountSignatures represent stamps used to sign documents.","title":"DocuSign.Model.AccountSignatures","ref":"DocuSign.Model.AccountSignatures.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignatures.decode/1","ref":"DocuSign.Model.AccountSignatures.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignatures.t/0","ref":"DocuSign.Model.AccountSignatures.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountSignaturesInformation","ref":"DocuSign.Model.AccountSignaturesInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountSignaturesInformation.decode/1","ref":"DocuSign.Model.AccountSignaturesInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountSignaturesInformation.t/0","ref":"DocuSign.Model.AccountSignaturesInformation.html#t:t/0"},{"type":"module","doc":"Tab settings determine the tab types and tab functionality that are enabled for an account.","title":"DocuSign.Model.AccountTabSettings","ref":"DocuSign.Model.AccountTabSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountTabSettings.decode/1","ref":"DocuSign.Model.AccountTabSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountTabSettings.t/0","ref":"DocuSign.Model.AccountTabSettings.html#t:t/0"},{"type":"module","doc":"An object that defines the options that are available to non-administrators in the UI.","title":"DocuSign.Model.AccountUiSettings","ref":"DocuSign.Model.AccountUiSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountUiSettings.decode/1","ref":"DocuSign.Model.AccountUiSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountUiSettings.t/0","ref":"DocuSign.Model.AccountUiSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AccountWatermarks","ref":"DocuSign.Model.AccountWatermarks.html"},{"type":"function","doc":"","title":"DocuSign.Model.AccountWatermarks.decode/1","ref":"DocuSign.Model.AccountWatermarks.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AccountWatermarks.t/0","ref":"DocuSign.Model.AccountWatermarks.html#t:t/0"},{"type":"module","doc":"Account management","title":"DocuSign.Model.Accounts","ref":"DocuSign.Model.Accounts.html"},{"type":"function","doc":"","title":"DocuSign.Model.Accounts.decode/1","ref":"DocuSign.Model.Accounts.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Accounts.t/0","ref":"DocuSign.Model.Accounts.html#t:t/0"},{"type":"module","doc":"Contains information about add ons.","title":"DocuSign.Model.AddOn","ref":"DocuSign.Model.AddOn.html"},{"type":"function","doc":"","title":"DocuSign.Model.AddOn.decode/1","ref":"DocuSign.Model.AddOn.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AddOn.t/0","ref":"DocuSign.Model.AddOn.html#t:t/0"},{"type":"module","doc":"Contains address information.","title":"DocuSign.Model.AddressInformation","ref":"DocuSign.Model.AddressInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.AddressInformation.decode/1","ref":"DocuSign.Model.AddressInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AddressInformation.t/0","ref":"DocuSign.Model.AddressInformation.html#t:t/0"},{"type":"module","doc":"Contains address input information.","title":"DocuSign.Model.AddressInformationInput","ref":"DocuSign.Model.AddressInformationInput.html"},{"type":"function","doc":"","title":"DocuSign.Model.AddressInformationInput.decode/1","ref":"DocuSign.Model.AddressInformationInput.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AddressInformationInput.t/0","ref":"DocuSign.Model.AddressInformationInput.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AdminMessage","ref":"DocuSign.Model.AdminMessage.html"},{"type":"function","doc":"","title":"DocuSign.Model.AdminMessage.decode/1","ref":"DocuSign.Model.AdminMessage.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AdminMessage.t/0","ref":"DocuSign.Model.AdminMessage.html#t:t/0"},{"type":"module","doc":"Contains information about an agent recipient. An agent is a recipient who can add name and email information for recipients that appear after the agent in routing order.","title":"DocuSign.Model.Agent","ref":"DocuSign.Model.Agent.html"},{"type":"function","doc":"","title":"DocuSign.Model.Agent.decode/1","ref":"DocuSign.Model.Agent.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Agent.t/0","ref":"DocuSign.Model.Agent.html#t:t/0"},{"type":"module","doc":"Contains API request log information.","title":"DocuSign.Model.ApiRequestLog","ref":"DocuSign.Model.ApiRequestLog.html"},{"type":"function","doc":"","title":"DocuSign.Model.ApiRequestLog.decode/1","ref":"DocuSign.Model.ApiRequestLog.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ApiRequestLog.t/0","ref":"DocuSign.Model.ApiRequestLog.html#t:t/0"},{"type":"module","doc":"Contains information about multiple API request logs.","title":"DocuSign.Model.ApiRequestLogsResult","ref":"DocuSign.Model.ApiRequestLogsResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.ApiRequestLogsResult.decode/1","ref":"DocuSign.Model.ApiRequestLogsResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ApiRequestLogsResult.t/0","ref":"DocuSign.Model.ApiRequestLogsResult.html#t:t/0"},{"type":"module","doc":"Contains information about an APP store product.","title":"DocuSign.Model.AppStoreProduct","ref":"DocuSign.Model.AppStoreProduct.html"},{"type":"function","doc":"","title":"DocuSign.Model.AppStoreProduct.decode/1","ref":"DocuSign.Model.AppStoreProduct.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AppStoreProduct.t/0","ref":"DocuSign.Model.AppStoreProduct.html#t:t/0"},{"type":"module","doc":"Contains information about an APP store receipt.","title":"DocuSign.Model.AppStoreReceipt","ref":"DocuSign.Model.AppStoreReceipt.html"},{"type":"function","doc":"","title":"DocuSign.Model.AppStoreReceipt.decode/1","ref":"DocuSign.Model.AppStoreReceipt.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AppStoreReceipt.t/0","ref":"DocuSign.Model.AppStoreReceipt.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to approve documents without placing a signature or initials on the document.","title":"DocuSign.Model.Approve","ref":"DocuSign.Model.Approve.html"},{"type":"function","doc":"","title":"DocuSign.Model.Approve.decode/1","ref":"DocuSign.Model.Approve.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Approve.t/0","ref":"DocuSign.Model.Approve.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AskAnAdmin","ref":"DocuSign.Model.AskAnAdmin.html"},{"type":"function","doc":"","title":"DocuSign.Model.AskAnAdmin.decode/1","ref":"DocuSign.Model.AskAnAdmin.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AskAnAdmin.t/0","ref":"DocuSign.Model.AskAnAdmin.html#t:t/0"},{"type":"module","doc":"Contains information about an attachment.","title":"DocuSign.Model.Attachment","ref":"DocuSign.Model.Attachment.html"},{"type":"function","doc":"","title":"DocuSign.Model.Attachment.decode/1","ref":"DocuSign.Model.Attachment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Attachment.t/0","ref":"DocuSign.Model.Attachment.html#t:t/0"},{"type":"module","doc":"Contains information about the method used for authentication.","title":"DocuSign.Model.AuthenticationMethod","ref":"DocuSign.Model.AuthenticationMethod.html"},{"type":"function","doc":"","title":"DocuSign.Model.AuthenticationMethod.decode/1","ref":"DocuSign.Model.AuthenticationMethod.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AuthenticationMethod.t/0","ref":"DocuSign.Model.AuthenticationMethod.html#t:t/0"},{"type":"module","doc":"A complex element that contains information about a user's authentication status.","title":"DocuSign.Model.AuthenticationStatus","ref":"DocuSign.Model.AuthenticationStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.AuthenticationStatus.decode/1","ref":"DocuSign.Model.AuthenticationStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AuthenticationStatus.t/0","ref":"DocuSign.Model.AuthenticationStatus.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.AuthorizationUser","ref":"DocuSign.Model.AuthorizationUser.html"},{"type":"function","doc":"","title":"DocuSign.Model.AuthorizationUser.decode/1","ref":"DocuSign.Model.AuthorizationUser.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.AuthorizationUser.t/0","ref":"DocuSign.Model.AuthorizationUser.html#t:t/0"},{"type":"module","doc":"Authorizations allow you to share access between users on an account.","title":"DocuSign.Model.Authorizations","ref":"DocuSign.Model.Authorizations.html"},{"type":"function","doc":"","title":"DocuSign.Model.Authorizations.decode/1","ref":"DocuSign.Model.Authorizations.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Authorizations.t/0","ref":"DocuSign.Model.Authorizations.html#t:t/0"},{"type":"module","doc":"Contains information about the BCC email address.","title":"DocuSign.Model.BccEmailAddress","ref":"DocuSign.Model.BccEmailAddress.html"},{"type":"function","doc":"","title":"DocuSign.Model.BccEmailAddress.decode/1","ref":"DocuSign.Model.BccEmailAddress.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BccEmailAddress.t/0","ref":"DocuSign.Model.BccEmailAddress.html#t:t/0"},{"type":"module","doc":"The `EmailArchive` resource provides methods for managing your email archive configuration, which consists of the BCC email address or addresses that you want to use to archive Docusign emails. Each account can use up to five BCC email addresses for archiving purposes.","title":"DocuSign.Model.BccEmailArchive","ref":"DocuSign.Model.BccEmailArchive.html"},{"type":"function","doc":"","title":"DocuSign.Model.BccEmailArchive.decode/1","ref":"DocuSign.Model.BccEmailArchive.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BccEmailArchive.t/0","ref":"DocuSign.Model.BccEmailArchive.html#t:t/0"},{"type":"module","doc":"Contains details about the history of the BCC email archive configuration.","title":"DocuSign.Model.BccEmailArchiveHistory","ref":"DocuSign.Model.BccEmailArchiveHistory.html"},{"type":"function","doc":"","title":"DocuSign.Model.BccEmailArchiveHistory.decode/1","ref":"DocuSign.Model.BccEmailArchiveHistory.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BccEmailArchiveHistory.t/0","ref":"DocuSign.Model.BccEmailArchiveHistory.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BccEmailArchiveHistoryList","ref":"DocuSign.Model.BccEmailArchiveHistoryList.html"},{"type":"function","doc":"","title":"DocuSign.Model.BccEmailArchiveHistoryList.decode/1","ref":"DocuSign.Model.BccEmailArchiveHistoryList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BccEmailArchiveHistoryList.t/0","ref":"DocuSign.Model.BccEmailArchiveHistoryList.html#t:t/0"},{"type":"module","doc":"Contains a list of BCC email archive configurations.","title":"DocuSign.Model.BccEmailArchiveList","ref":"DocuSign.Model.BccEmailArchiveList.html"},{"type":"function","doc":"","title":"DocuSign.Model.BccEmailArchiveList.decode/1","ref":"DocuSign.Model.BccEmailArchiveList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BccEmailArchiveList.t/0","ref":"DocuSign.Model.BccEmailArchiveList.html#t:t/0"},{"type":"module","doc":"Contains information about a billing charge.","title":"DocuSign.Model.BillingCharge","ref":"DocuSign.Model.BillingCharge.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingCharge.decode/1","ref":"DocuSign.Model.BillingCharge.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingCharge.t/0","ref":"DocuSign.Model.BillingCharge.html#t:t/0"},{"type":"module","doc":"Defines a billing charge response object.","title":"DocuSign.Model.BillingChargeResponse","ref":"DocuSign.Model.BillingChargeResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingChargeResponse.decode/1","ref":"DocuSign.Model.BillingChargeResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingChargeResponse.t/0","ref":"DocuSign.Model.BillingChargeResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BillingDiscount","ref":"DocuSign.Model.BillingDiscount.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingDiscount.decode/1","ref":"DocuSign.Model.BillingDiscount.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingDiscount.t/0","ref":"DocuSign.Model.BillingDiscount.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BillingEntityInformationResponse","ref":"DocuSign.Model.BillingEntityInformationResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingEntityInformationResponse.decode/1","ref":"DocuSign.Model.BillingEntityInformationResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingEntityInformationResponse.t/0","ref":"DocuSign.Model.BillingEntityInformationResponse.html#t:t/0"},{"type":"module","doc":"Contains information about a billing invoice.","title":"DocuSign.Model.BillingInvoice","ref":"DocuSign.Model.BillingInvoice.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingInvoice.decode/1","ref":"DocuSign.Model.BillingInvoice.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingInvoice.t/0","ref":"DocuSign.Model.BillingInvoice.html#t:t/0"},{"type":"module","doc":"Contains information about an item on a billing invoice.","title":"DocuSign.Model.BillingInvoiceItem","ref":"DocuSign.Model.BillingInvoiceItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingInvoiceItem.decode/1","ref":"DocuSign.Model.BillingInvoiceItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingInvoiceItem.t/0","ref":"DocuSign.Model.BillingInvoiceItem.html#t:t/0"},{"type":"module","doc":"Defines a billing invoice response object.","title":"DocuSign.Model.BillingInvoicesResponse","ref":"DocuSign.Model.BillingInvoicesResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingInvoicesResponse.decode/1","ref":"DocuSign.Model.BillingInvoicesResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingInvoicesResponse.t/0","ref":"DocuSign.Model.BillingInvoicesResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BillingInvoicesSummary","ref":"DocuSign.Model.BillingInvoicesSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingInvoicesSummary.decode/1","ref":"DocuSign.Model.BillingInvoicesSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingInvoicesSummary.t/0","ref":"DocuSign.Model.BillingInvoicesSummary.html#t:t/0"},{"type":"module","doc":"Contains information on a billing plan.","title":"DocuSign.Model.BillingPayment","ref":"DocuSign.Model.BillingPayment.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPayment.decode/1","ref":"DocuSign.Model.BillingPayment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPayment.t/0","ref":"DocuSign.Model.BillingPayment.html#t:t/0"},{"type":"module","doc":"Defines a billing payment request object.","title":"DocuSign.Model.BillingPaymentItem","ref":"DocuSign.Model.BillingPaymentItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPaymentItem.decode/1","ref":"DocuSign.Model.BillingPaymentItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPaymentItem.t/0","ref":"DocuSign.Model.BillingPaymentItem.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BillingPaymentRequest","ref":"DocuSign.Model.BillingPaymentRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPaymentRequest.decode/1","ref":"DocuSign.Model.BillingPaymentRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPaymentRequest.t/0","ref":"DocuSign.Model.BillingPaymentRequest.html#t:t/0"},{"type":"module","doc":"Defines an billing payment response object.","title":"DocuSign.Model.BillingPaymentResponse","ref":"DocuSign.Model.BillingPaymentResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPaymentResponse.decode/1","ref":"DocuSign.Model.BillingPaymentResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPaymentResponse.t/0","ref":"DocuSign.Model.BillingPaymentResponse.html#t:t/0"},{"type":"module","doc":"Defines a billing payments response object.","title":"DocuSign.Model.BillingPaymentsResponse","ref":"DocuSign.Model.BillingPaymentsResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPaymentsResponse.decode/1","ref":"DocuSign.Model.BillingPaymentsResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPaymentsResponse.t/0","ref":"DocuSign.Model.BillingPaymentsResponse.html#t:t/0"},{"type":"module","doc":"Contains information about a billing plan.","title":"DocuSign.Model.BillingPlan","ref":"DocuSign.Model.BillingPlan.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlan.decode/1","ref":"DocuSign.Model.BillingPlan.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlan.t/0","ref":"DocuSign.Model.BillingPlan.html#t:t/0"},{"type":"module","doc":"This object contains details about a billing plan.","title":"DocuSign.Model.BillingPlanInformation","ref":"DocuSign.Model.BillingPlanInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlanInformation.decode/1","ref":"DocuSign.Model.BillingPlanInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlanInformation.t/0","ref":"DocuSign.Model.BillingPlanInformation.html#t:t/0"},{"type":"module","doc":"Information used to provide a preview of a billing plan.","title":"DocuSign.Model.BillingPlanPreview","ref":"DocuSign.Model.BillingPlanPreview.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlanPreview.decode/1","ref":"DocuSign.Model.BillingPlanPreview.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlanPreview.t/0","ref":"DocuSign.Model.BillingPlanPreview.html#t:t/0"},{"type":"module","doc":"Defines a billing plan response object.","title":"DocuSign.Model.BillingPlanResponse","ref":"DocuSign.Model.BillingPlanResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlanResponse.decode/1","ref":"DocuSign.Model.BillingPlanResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlanResponse.t/0","ref":"DocuSign.Model.BillingPlanResponse.html#t:t/0"},{"type":"module","doc":"Defines a billing plan update response object.","title":"DocuSign.Model.BillingPlanUpdateResponse","ref":"DocuSign.Model.BillingPlanUpdateResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlanUpdateResponse.decode/1","ref":"DocuSign.Model.BillingPlanUpdateResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlanUpdateResponse.t/0","ref":"DocuSign.Model.BillingPlanUpdateResponse.html#t:t/0"},{"type":"module","doc":"Billing plans","title":"DocuSign.Model.BillingPlans","ref":"DocuSign.Model.BillingPlans.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlans.decode/1","ref":"DocuSign.Model.BillingPlans.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlans.t/0","ref":"DocuSign.Model.BillingPlans.html#t:t/0"},{"type":"module","doc":"Defines a billing plans response object.","title":"DocuSign.Model.BillingPlansResponse","ref":"DocuSign.Model.BillingPlansResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPlansResponse.decode/1","ref":"DocuSign.Model.BillingPlansResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPlansResponse.t/0","ref":"DocuSign.Model.BillingPlansResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BillingPrice","ref":"DocuSign.Model.BillingPrice.html"},{"type":"function","doc":"","title":"DocuSign.Model.BillingPrice.decode/1","ref":"DocuSign.Model.BillingPrice.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BillingPrice.t/0","ref":"DocuSign.Model.BillingPrice.html#t:t/0"},{"type":"module","doc":"Information about a brand that is associated with an account. A brand applies custom styles and text to an envelope.","title":"DocuSign.Model.Brand","ref":"DocuSign.Model.Brand.html"},{"type":"function","doc":"","title":"DocuSign.Model.Brand.decode/1","ref":"DocuSign.Model.Brand.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Brand.t/0","ref":"DocuSign.Model.Brand.html#t:t/0"},{"type":"module","doc":"Deprecated.","title":"DocuSign.Model.BrandEmailContent","ref":"DocuSign.Model.BrandEmailContent.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandEmailContent.decode/1","ref":"DocuSign.Model.BrandEmailContent.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandEmailContent.t/0","ref":"DocuSign.Model.BrandEmailContent.html#t:t/0"},{"type":"module","doc":"Information about a link that a brand uses.","title":"DocuSign.Model.BrandLink","ref":"DocuSign.Model.BrandLink.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandLink.decode/1","ref":"DocuSign.Model.BrandLink.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandLink.t/0","ref":"DocuSign.Model.BrandLink.html#t:t/0"},{"type":"module","doc":"The URIs for retrieving the logos that are associated with the brand.  These are read-only properties that provide a URI to logos in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).","title":"DocuSign.Model.BrandLogos","ref":"DocuSign.Model.BrandLogos.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandLogos.decode/1","ref":"DocuSign.Model.BrandLogos.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandLogos.t/0","ref":"DocuSign.Model.BrandLogos.html#t:t/0"},{"type":"module","doc":"This request object contains information about a specific brand.","title":"DocuSign.Model.BrandRequest","ref":"DocuSign.Model.BrandRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandRequest.decode/1","ref":"DocuSign.Model.BrandRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandRequest.t/0","ref":"DocuSign.Model.BrandRequest.html#t:t/0"},{"type":"module","doc":"Brands use resource files to style the following experiences:   - Email - Sending - Signing - Captive (embedded) signing   You can modify these resource files to customize these experiences.","title":"DocuSign.Model.BrandResourceUrls","ref":"DocuSign.Model.BrandResourceUrls.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandResourceUrls.decode/1","ref":"DocuSign.Model.BrandResourceUrls.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandResourceUrls.t/0","ref":"DocuSign.Model.BrandResourceUrls.html#t:t/0"},{"type":"module","doc":"Information about the resource files that the brand uses for the email, signing, sending, and captive (embedded) signing experiences.","title":"DocuSign.Model.BrandResources","ref":"DocuSign.Model.BrandResources.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandResources.decode/1","ref":"DocuSign.Model.BrandResources.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandResources.t/0","ref":"DocuSign.Model.BrandResources.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BrandResourcesList","ref":"DocuSign.Model.BrandResourcesList.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandResourcesList.decode/1","ref":"DocuSign.Model.BrandResourcesList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandResourcesList.t/0","ref":"DocuSign.Model.BrandResourcesList.html#t:t/0"},{"type":"module","doc":"Details about one or more brands.","title":"DocuSign.Model.BrandsRequest","ref":"DocuSign.Model.BrandsRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandsRequest.decode/1","ref":"DocuSign.Model.BrandsRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandsRequest.t/0","ref":"DocuSign.Model.BrandsRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BrandsResponse","ref":"DocuSign.Model.BrandsResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BrandsResponse.decode/1","ref":"DocuSign.Model.BrandsResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BrandsResponse.t/0","ref":"DocuSign.Model.BrandsResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkEnvelope","ref":"DocuSign.Model.BulkEnvelope.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkEnvelope.decode/1","ref":"DocuSign.Model.BulkEnvelope.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkEnvelope.t/0","ref":"DocuSign.Model.BulkEnvelope.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkEnvelopeStatus","ref":"DocuSign.Model.BulkEnvelopeStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkEnvelopeStatus.decode/1","ref":"DocuSign.Model.BulkEnvelopeStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkEnvelopeStatus.t/0","ref":"DocuSign.Model.BulkEnvelopeStatus.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessRequest","ref":"DocuSign.Model.BulkProcessRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessRequest.decode/1","ref":"DocuSign.Model.BulkProcessRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessRequest.t/0","ref":"DocuSign.Model.BulkProcessRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessResponse","ref":"DocuSign.Model.BulkProcessResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessResponse.decode/1","ref":"DocuSign.Model.BulkProcessResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessResponse.t/0","ref":"DocuSign.Model.BulkProcessResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessResult","ref":"DocuSign.Model.BulkProcessResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessResult.decode/1","ref":"DocuSign.Model.BulkProcessResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessResult.t/0","ref":"DocuSign.Model.BulkProcessResult.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessingListSummaries","ref":"DocuSign.Model.BulkProcessingListSummaries.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessingListSummaries.decode/1","ref":"DocuSign.Model.BulkProcessingListSummaries.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessingListSummaries.t/0","ref":"DocuSign.Model.BulkProcessingListSummaries.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessingListSummary","ref":"DocuSign.Model.BulkProcessingListSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessingListSummary.decode/1","ref":"DocuSign.Model.BulkProcessingListSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessingListSummary.t/0","ref":"DocuSign.Model.BulkProcessingListSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkProcessingLists","ref":"DocuSign.Model.BulkProcessingLists.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkProcessingLists.decode/1","ref":"DocuSign.Model.BulkProcessingLists.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkProcessingLists.t/0","ref":"DocuSign.Model.BulkProcessingLists.html#t:t/0"},{"type":"module","doc":"The bulk send list resource provides methods that enable you to create and manage bulk sending lists, which you can use to send multiple copies of an envelope in a single batch.   **Note:** The Bulk Send feature is only available on Business Pro and Enterprise Pro plans.","title":"DocuSign.Model.BulkSend","ref":"DocuSign.Model.BulkSend.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSend.decode/1","ref":"DocuSign.Model.BulkSend.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSend.t/0","ref":"DocuSign.Model.BulkSend.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkSendBatchActionRequest","ref":"DocuSign.Model.BulkSendBatchActionRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchActionRequest.decode/1","ref":"DocuSign.Model.BulkSendBatchActionRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchActionRequest.t/0","ref":"DocuSign.Model.BulkSendBatchActionRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkSendBatchError","ref":"DocuSign.Model.BulkSendBatchError.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchError.decode/1","ref":"DocuSign.Model.BulkSendBatchError.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchError.t/0","ref":"DocuSign.Model.BulkSendBatchError.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkSendBatchRequest","ref":"DocuSign.Model.BulkSendBatchRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchRequest.decode/1","ref":"DocuSign.Model.BulkSendBatchRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchRequest.t/0","ref":"DocuSign.Model.BulkSendBatchRequest.html#t:t/0"},{"type":"module","doc":"Result of `getBulkSendBatchStatus`","title":"DocuSign.Model.BulkSendBatchStatus","ref":"DocuSign.Model.BulkSendBatchStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchStatus.decode/1","ref":"DocuSign.Model.BulkSendBatchStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchStatus.t/0","ref":"DocuSign.Model.BulkSendBatchStatus.html#t:t/0"},{"type":"module","doc":"A list of bulk send batch summaries.","title":"DocuSign.Model.BulkSendBatchSummaries","ref":"DocuSign.Model.BulkSendBatchSummaries.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchSummaries.decode/1","ref":"DocuSign.Model.BulkSendBatchSummaries.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchSummaries.t/0","ref":"DocuSign.Model.BulkSendBatchSummaries.html#t:t/0"},{"type":"module","doc":"Summary status of a single batch.","title":"DocuSign.Model.BulkSendBatchSummary","ref":"DocuSign.Model.BulkSendBatchSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendBatchSummary.decode/1","ref":"DocuSign.Model.BulkSendBatchSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendBatchSummary.t/0","ref":"DocuSign.Model.BulkSendBatchSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkSendEnvelopesInfo","ref":"DocuSign.Model.BulkSendEnvelopesInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendEnvelopesInfo.decode/1","ref":"DocuSign.Model.BulkSendEnvelopesInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendEnvelopesInfo.t/0","ref":"DocuSign.Model.BulkSendEnvelopesInfo.html#t:t/0"},{"type":"module","doc":"A single bulk send error report.","title":"DocuSign.Model.BulkSendErrorStatus","ref":"DocuSign.Model.BulkSendErrorStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendErrorStatus.decode/1","ref":"DocuSign.Model.BulkSendErrorStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendErrorStatus.t/0","ref":"DocuSign.Model.BulkSendErrorStatus.html#t:t/0"},{"type":"module","doc":"This object contains information about the envelope or template that you want to send in bulk.","title":"DocuSign.Model.BulkSendRequest","ref":"DocuSign.Model.BulkSendRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendRequest.decode/1","ref":"DocuSign.Model.BulkSendRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendRequest.t/0","ref":"DocuSign.Model.BulkSendRequest.html#t:t/0"},{"type":"module","doc":"The object contains the response to a bulk send request.","title":"DocuSign.Model.BulkSendResponse","ref":"DocuSign.Model.BulkSendResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendResponse.decode/1","ref":"DocuSign.Model.BulkSendResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendResponse.t/0","ref":"DocuSign.Model.BulkSendResponse.html#t:t/0"},{"type":"module","doc":"This object contains the results of a bulk send test.","title":"DocuSign.Model.BulkSendTestResponse","ref":"DocuSign.Model.BulkSendTestResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendTestResponse.decode/1","ref":"DocuSign.Model.BulkSendTestResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendTestResponse.t/0","ref":"DocuSign.Model.BulkSendTestResponse.html#t:t/0"},{"type":"module","doc":"This object contains the details to use for a specific copy, or instance, of the envelope. When you send an envelope by using a bulk send list, you can customize these properties for each instance.","title":"DocuSign.Model.BulkSendingCopy","ref":"DocuSign.Model.BulkSendingCopy.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingCopy.decode/1","ref":"DocuSign.Model.BulkSendingCopy.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingCopy.t/0","ref":"DocuSign.Model.BulkSendingCopy.html#t:t/0"},{"type":"module","doc":"This object contains details about a custom field for a bulk send copy. In a bulk send request, each custom field in the bulk send list must match a custom field in the envelope or template that you want to send.","title":"DocuSign.Model.BulkSendingCopyCustomField","ref":"DocuSign.Model.BulkSendingCopyCustomField.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingCopyCustomField.decode/1","ref":"DocuSign.Model.BulkSendingCopyCustomField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingCopyCustomField.t/0","ref":"DocuSign.Model.BulkSendingCopyCustomField.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue","ref":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue.decode/1","ref":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue.t/0","ref":"DocuSign.Model.BulkSendingCopyDocGenFormFieldRowValue.html#t:t/0"},{"type":"module","doc":"This object contains details about a bulk send recipient.","title":"DocuSign.Model.BulkSendingCopyRecipient","ref":"DocuSign.Model.BulkSendingCopyRecipient.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingCopyRecipient.decode/1","ref":"DocuSign.Model.BulkSendingCopyRecipient.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingCopyRecipient.t/0","ref":"DocuSign.Model.BulkSendingCopyRecipient.html#t:t/0"},{"type":"module","doc":"A tab associated with the bulk send recipient. In a bulk send request, each recipient tab must match a recipient tab on the envelope or template that you want to send. To match up, the `tabLabel` for this tab and the `tabLabel` for the corresponding tab on the envelope or template must be the same.  For example, if the envelope has a placeholder text tab with the `tabLabel` `childName`, you must assign the same `tabLabel` `childName` to the tab here that you are populating with that information.","title":"DocuSign.Model.BulkSendingCopyTab","ref":"DocuSign.Model.BulkSendingCopyTab.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingCopyTab.decode/1","ref":"DocuSign.Model.BulkSendingCopyTab.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingCopyTab.t/0","ref":"DocuSign.Model.BulkSendingCopyTab.html#t:t/0"},{"type":"module","doc":"This object contains the details for the bulk send list.","title":"DocuSign.Model.BulkSendingList","ref":"DocuSign.Model.BulkSendingList.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingList.decode/1","ref":"DocuSign.Model.BulkSendingList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingList.t/0","ref":"DocuSign.Model.BulkSendingList.html#t:t/0"},{"type":"module","doc":"This complex type contains summaries that provide basic information about the bulk send lists that belong to the current user.","title":"DocuSign.Model.BulkSendingListSummaries","ref":"DocuSign.Model.BulkSendingListSummaries.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingListSummaries.decode/1","ref":"DocuSign.Model.BulkSendingListSummaries.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingListSummaries.t/0","ref":"DocuSign.Model.BulkSendingListSummaries.html#t:t/0"},{"type":"module","doc":"This object contains basic information about a bulk send list.","title":"DocuSign.Model.BulkSendingListSummary","ref":"DocuSign.Model.BulkSendingListSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulkSendingListSummary.decode/1","ref":"DocuSign.Model.BulkSendingListSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulkSendingListSummary.t/0","ref":"DocuSign.Model.BulkSendingListSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.BulksendingCopyDocGenFormField","ref":"DocuSign.Model.BulksendingCopyDocGenFormField.html"},{"type":"function","doc":"","title":"DocuSign.Model.BulksendingCopyDocGenFormField.decode/1","ref":"DocuSign.Model.BulksendingCopyDocGenFormField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.BulksendingCopyDocGenFormField.t/0","ref":"DocuSign.Model.BulksendingCopyDocGenFormField.html#t:t/0"},{"type":"module","doc":"This object contains details about a captive (embedded) recipient.","title":"DocuSign.Model.CaptiveRecipient","ref":"DocuSign.Model.CaptiveRecipient.html"},{"type":"function","doc":"","title":"DocuSign.Model.CaptiveRecipient.decode/1","ref":"DocuSign.Model.CaptiveRecipient.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CaptiveRecipient.t/0","ref":"DocuSign.Model.CaptiveRecipient.html#t:t/0"},{"type":"module","doc":"Contains information about captive (embedded) recipients.","title":"DocuSign.Model.CaptiveRecipientInformation","ref":"DocuSign.Model.CaptiveRecipientInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.CaptiveRecipientInformation.decode/1","ref":"DocuSign.Model.CaptiveRecipientInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CaptiveRecipientInformation.t/0","ref":"DocuSign.Model.CaptiveRecipientInformation.html#t:t/0"},{"type":"module","doc":"Contains information about a carbon copy recipient. Carbon copy recipients get a copy of the envelope but don't need to sign, initial, date or add information to any of the documents.","title":"DocuSign.Model.CarbonCopy","ref":"DocuSign.Model.CarbonCopy.html"},{"type":"function","doc":"","title":"DocuSign.Model.CarbonCopy.decode/1","ref":"DocuSign.Model.CarbonCopy.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CarbonCopy.t/0","ref":"DocuSign.Model.CarbonCopy.html#t:t/0"},{"type":"module","doc":"Contains information about a certified delivery recipient. Certified delivery recipients must receive the completed documents for the envelope to be completed. However, they don't need to sign, initial, date or add information to any of the documents.","title":"DocuSign.Model.CertifiedDelivery","ref":"DocuSign.Model.CertifiedDelivery.html"},{"type":"function","doc":"","title":"DocuSign.Model.CertifiedDelivery.decode/1","ref":"DocuSign.Model.CertifiedDelivery.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CertifiedDelivery.t/0","ref":"DocuSign.Model.CertifiedDelivery.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to select a yes/no (on/off) option.","title":"DocuSign.Model.Checkbox","ref":"DocuSign.Model.Checkbox.html"},{"type":"function","doc":"","title":"DocuSign.Model.Checkbox.decode/1","ref":"DocuSign.Model.Checkbox.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Checkbox.t/0","ref":"DocuSign.Model.Checkbox.html#t:t/0"},{"type":"module","doc":"An object that contains information about the chunked upload part.","title":"DocuSign.Model.ChunkedUploadPart","ref":"DocuSign.Model.ChunkedUploadPart.html"},{"type":"function","doc":"","title":"DocuSign.Model.ChunkedUploadPart.decode/1","ref":"DocuSign.Model.ChunkedUploadPart.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ChunkedUploadPart.t/0","ref":"DocuSign.Model.ChunkedUploadPart.html#t:t/0"},{"type":"module","doc":"This is the request object for uploading a chunked upload.","title":"DocuSign.Model.ChunkedUploadRequest","ref":"DocuSign.Model.ChunkedUploadRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.ChunkedUploadRequest.decode/1","ref":"DocuSign.Model.ChunkedUploadRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ChunkedUploadRequest.t/0","ref":"DocuSign.Model.ChunkedUploadRequest.html#t:t/0"},{"type":"module","doc":"This response object is returned after you upload a chunked upload.","title":"DocuSign.Model.ChunkedUploadResponse","ref":"DocuSign.Model.ChunkedUploadResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.ChunkedUploadResponse.decode/1","ref":"DocuSign.Model.ChunkedUploadResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ChunkedUploadResponse.t/0","ref":"DocuSign.Model.ChunkedUploadResponse.html#t:t/0"},{"type":"module","doc":"The ChunkedUploads resource provides methods to complete integrity checks, and to add, commit, retrieve, initiate and delete chunked uploads.","title":"DocuSign.Model.ChunkedUploads","ref":"DocuSign.Model.ChunkedUploads.html"},{"type":"function","doc":"","title":"DocuSign.Model.ChunkedUploads.decode/1","ref":"DocuSign.Model.ChunkedUploads.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ChunkedUploads.t/0","ref":"DocuSign.Model.ChunkedUploads.html#t:t/0"},{"type":"module","doc":"Cloud storage","title":"DocuSign.Model.CloudStorage","ref":"DocuSign.Model.CloudStorage.html"},{"type":"function","doc":"","title":"DocuSign.Model.CloudStorage.decode/1","ref":"DocuSign.Model.CloudStorage.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CloudStorage.t/0","ref":"DocuSign.Model.CloudStorage.html#t:t/0"},{"type":"module","doc":"Contains details about a specific cloud storage provider.","title":"DocuSign.Model.CloudStorageProvider","ref":"DocuSign.Model.CloudStorageProvider.html"},{"type":"function","doc":"","title":"DocuSign.Model.CloudStorageProvider.decode/1","ref":"DocuSign.Model.CloudStorageProvider.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CloudStorageProvider.t/0","ref":"DocuSign.Model.CloudStorageProvider.html#t:t/0"},{"type":"module","doc":"The CloudStorageProviders resource provides methods that allow you to manage the cloud storage providers associate with an account.","title":"DocuSign.Model.CloudStorageProviders","ref":"DocuSign.Model.CloudStorageProviders.html"},{"type":"function","doc":"","title":"DocuSign.Model.CloudStorageProviders.decode/1","ref":"DocuSign.Model.CloudStorageProviders.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CloudStorageProviders.t/0","ref":"DocuSign.Model.CloudStorageProviders.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Comment","ref":"DocuSign.Model.Comment.html"},{"type":"function","doc":"","title":"DocuSign.Model.Comment.decode/1","ref":"DocuSign.Model.Comment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Comment.t/0","ref":"DocuSign.Model.Comment.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CommentHistoryResult","ref":"DocuSign.Model.CommentHistoryResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommentHistoryResult.decode/1","ref":"DocuSign.Model.CommentHistoryResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommentHistoryResult.t/0","ref":"DocuSign.Model.CommentHistoryResult.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CommentPublish","ref":"DocuSign.Model.CommentPublish.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommentPublish.decode/1","ref":"DocuSign.Model.CommentPublish.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommentPublish.t/0","ref":"DocuSign.Model.CommentPublish.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CommentThread","ref":"DocuSign.Model.CommentThread.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommentThread.decode/1","ref":"DocuSign.Model.CommentThread.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommentThread.t/0","ref":"DocuSign.Model.CommentThread.html#t:t/0"},{"type":"module","doc":"Details about envelope comments.","title":"DocuSign.Model.Comments","ref":"DocuSign.Model.Comments.html"},{"type":"function","doc":"","title":"DocuSign.Model.Comments.decode/1","ref":"DocuSign.Model.Comments.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Comments.t/0","ref":"DocuSign.Model.Comments.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CommentsPublish","ref":"DocuSign.Model.CommentsPublish.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommentsPublish.decode/1","ref":"DocuSign.Model.CommentsPublish.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommentsPublish.t/0","ref":"DocuSign.Model.CommentsPublish.html#t:t/0"},{"type":"module","doc":"A Commission County tab displays the county of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).","title":"DocuSign.Model.CommissionCounty","ref":"DocuSign.Model.CommissionCounty.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommissionCounty.decode/1","ref":"DocuSign.Model.CommissionCounty.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommissionCounty.t/0","ref":"DocuSign.Model.CommissionCounty.html#t:t/0"},{"type":"module","doc":"A Commission Expiration tab displays the expiration date of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).","title":"DocuSign.Model.CommissionExpiration","ref":"DocuSign.Model.CommissionExpiration.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommissionExpiration.decode/1","ref":"DocuSign.Model.CommissionExpiration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommissionExpiration.t/0","ref":"DocuSign.Model.CommissionExpiration.html#t:t/0"},{"type":"module","doc":"A Commission Number tab displays a notary's commission number. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [Docusign Notary][notary].  [notary]: /docs/notary-api/","title":"DocuSign.Model.CommissionNumber","ref":"DocuSign.Model.CommissionNumber.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommissionNumber.decode/1","ref":"DocuSign.Model.CommissionNumber.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommissionNumber.t/0","ref":"DocuSign.Model.CommissionNumber.html#t:t/0"},{"type":"module","doc":"A Commission State tab displays the state in which a notary's commission was granted. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [Docusign Notary][notary].  [notary]: /docs/notary-api/","title":"DocuSign.Model.CommissionState","ref":"DocuSign.Model.CommissionState.html"},{"type":"function","doc":"","title":"DocuSign.Model.CommissionState.decode/1","ref":"DocuSign.Model.CommissionState.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CommissionState.t/0","ref":"DocuSign.Model.CommissionState.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's company name.","title":"DocuSign.Model.Company","ref":"DocuSign.Model.Company.html"},{"type":"function","doc":"","title":"DocuSign.Model.Company.decode/1","ref":"DocuSign.Model.Company.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Company.t/0","ref":"DocuSign.Model.Company.html#t:t/0"},{"type":"module","doc":"This object contains information about a [composite template][composite], which you can use to to apply multiple templates to a single envelope, combine templates with PDF forms, and combine templates with documents from cloud sources.  [composite]: /docs/esign-rest-api/esign101/concepts/templates/composite/","title":"DocuSign.Model.CompositeTemplate","ref":"DocuSign.Model.CompositeTemplate.html"},{"type":"function","doc":"","title":"DocuSign.Model.CompositeTemplate.decode/1","ref":"DocuSign.Model.CompositeTemplate.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CompositeTemplate.t/0","ref":"DocuSign.Model.CompositeTemplate.html#t:t/0"},{"type":"module","doc":"A rule that defines a set of recipients and the conditions under which they will be used for the envelope.","title":"DocuSign.Model.ConditionalRecipientRule","ref":"DocuSign.Model.ConditionalRecipientRule.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConditionalRecipientRule.decode/1","ref":"DocuSign.Model.ConditionalRecipientRule.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConditionalRecipientRule.t/0","ref":"DocuSign.Model.ConditionalRecipientRule.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleCondition","ref":"DocuSign.Model.ConditionalRecipientRuleCondition.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleCondition.decode/1","ref":"DocuSign.Model.ConditionalRecipientRuleCondition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleCondition.t/0","ref":"DocuSign.Model.ConditionalRecipientRuleCondition.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleFilter","ref":"DocuSign.Model.ConditionalRecipientRuleFilter.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleFilter.decode/1","ref":"DocuSign.Model.ConditionalRecipientRuleFilter.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConditionalRecipientRuleFilter.t/0","ref":"DocuSign.Model.ConditionalRecipientRuleFilter.html#t:t/0"},{"type":"module","doc":"This object contains the results of a ConnectConfigurations::GET method.","title":"DocuSign.Model.ConnectConfigResults","ref":"DocuSign.Model.ConnectConfigResults.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectConfigResults.decode/1","ref":"DocuSign.Model.ConnectConfigResults.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectConfigResults.t/0","ref":"DocuSign.Model.ConnectConfigResults.html#t:t/0"},{"type":"module","doc":"Contains information about a Docusign Connect configuration.","title":"DocuSign.Model.ConnectConfigurations","ref":"DocuSign.Model.ConnectConfigurations.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectConfigurations.decode/1","ref":"DocuSign.Model.ConnectConfigurations.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectConfigurations.t/0","ref":"DocuSign.Model.ConnectConfigurations.html#t:t/0"},{"type":"module","doc":"The `connectCustomConfiguration` object describes a Connect configuration for your account.","title":"DocuSign.Model.ConnectCustomConfiguration","ref":"DocuSign.Model.ConnectCustomConfiguration.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectCustomConfiguration.decode/1","ref":"DocuSign.Model.ConnectCustomConfiguration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectCustomConfiguration.t/0","ref":"DocuSign.Model.ConnectCustomConfiguration.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectDebugLog","ref":"DocuSign.Model.ConnectDebugLog.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectDebugLog.decode/1","ref":"DocuSign.Model.ConnectDebugLog.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectDebugLog.t/0","ref":"DocuSign.Model.ConnectDebugLog.html#t:t/0"},{"type":"module","doc":"This object lets you choose the data format of your Connect response.","title":"DocuSign.Model.ConnectEventData","ref":"DocuSign.Model.ConnectEventData.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectEventData.decode/1","ref":"DocuSign.Model.ConnectEventData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectEventData.t/0","ref":"DocuSign.Model.ConnectEventData.html#t:t/0"},{"type":"module","doc":"Connect event logging information. This object contains sections for regular Connect logs and for Connect failures.","title":"DocuSign.Model.ConnectEvents","ref":"DocuSign.Model.ConnectEvents.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectEvents.decode/1","ref":"DocuSign.Model.ConnectEvents.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectEvents.t/0","ref":"DocuSign.Model.ConnectEvents.html#t:t/0"},{"type":"module","doc":"A list of failed envelope IDs to retry.","title":"DocuSign.Model.ConnectFailureFilter","ref":"DocuSign.Model.ConnectFailureFilter.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectFailureFilter.decode/1","ref":"DocuSign.Model.ConnectFailureFilter.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectFailureFilter.t/0","ref":"DocuSign.Model.ConnectFailureFilter.html#t:t/0"},{"type":"module","doc":"This object contains details about a Connect failure result.","title":"DocuSign.Model.ConnectFailureResult","ref":"DocuSign.Model.ConnectFailureResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectFailureResult.decode/1","ref":"DocuSign.Model.ConnectFailureResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectFailureResult.t/0","ref":"DocuSign.Model.ConnectFailureResult.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectFailureResults","ref":"DocuSign.Model.ConnectFailureResults.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectFailureResults.decode/1","ref":"DocuSign.Model.ConnectFailureResults.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectFailureResults.t/0","ref":"DocuSign.Model.ConnectFailureResults.html#t:t/0"},{"type":"module","doc":"The request body for the `createHistoricalEnvelopePublishTransaction` endpoint.","title":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish","ref":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.decode/1","ref":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.t/0","ref":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.html#t:t/0"},{"type":"module","doc":"Contains information about a Connect log entry.","title":"DocuSign.Model.ConnectLog","ref":"DocuSign.Model.ConnectLog.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectLog.decode/1","ref":"DocuSign.Model.ConnectLog.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectLog.t/0","ref":"DocuSign.Model.ConnectLog.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectLogs","ref":"DocuSign.Model.ConnectLogs.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectLogs.decode/1","ref":"DocuSign.Model.ConnectLogs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectLogs.t/0","ref":"DocuSign.Model.ConnectLogs.html#t:t/0"},{"type":"module","doc":"A complex object describing a Connect OAuth configuration.","title":"DocuSign.Model.ConnectOAuthConfig","ref":"DocuSign.Model.ConnectOAuthConfig.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectOAuthConfig.decode/1","ref":"DocuSign.Model.ConnectOAuthConfig.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectOAuthConfig.t/0","ref":"DocuSign.Model.ConnectOAuthConfig.html#t:t/0"},{"type":"module","doc":"This object is used to match a Docusign field to a Salesforce field so that Docusign can send information to your Salesforce account.","title":"DocuSign.Model.ConnectSalesforceField","ref":"DocuSign.Model.ConnectSalesforceField.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectSalesforceField.decode/1","ref":"DocuSign.Model.ConnectSalesforceField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectSalesforceField.t/0","ref":"DocuSign.Model.ConnectSalesforceField.html#t:t/0"},{"type":"module","doc":"A `connectSalesforceObject` is an object that updates envelope and document status or recipient status in your Salesforce account.  When you install Docusign Connect for Salesforce, the service automatically sets up two Connect objects: one that updates envelope status and documents and one that updates recipient status. You can also customize Docusign Connect for Salesforce by associating Docusign objects with Salesforce objects so that Docusign Connect for Salesforce updates or inserts the information into the Salesforce object. For more information, see  [Docusign for Salesforce - Adding Completed Documents to the Notes and Attachments](https://support.docusign.com/s/articles/DocuSign-for-Salesforce-Adding-Completed-Documents-to-the-Notes-and-Attachments-New).","title":"DocuSign.Model.ConnectSalesforceObject","ref":"DocuSign.Model.ConnectSalesforceObject.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectSalesforceObject.decode/1","ref":"DocuSign.Model.ConnectSalesforceObject.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectSalesforceObject.t/0","ref":"DocuSign.Model.ConnectSalesforceObject.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectSecret","ref":"DocuSign.Model.ConnectSecret.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectSecret.decode/1","ref":"DocuSign.Model.ConnectSecret.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectSecret.t/0","ref":"DocuSign.Model.ConnectSecret.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectUserInfo","ref":"DocuSign.Model.ConnectUserInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectUserInfo.decode/1","ref":"DocuSign.Model.ConnectUserInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectUserInfo.t/0","ref":"DocuSign.Model.ConnectUserInfo.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConnectUserObject","ref":"DocuSign.Model.ConnectUserObject.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConnectUserObject.decode/1","ref":"DocuSign.Model.ConnectUserObject.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConnectUserObject.t/0","ref":"DocuSign.Model.ConnectUserObject.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ConsentDetails","ref":"DocuSign.Model.ConsentDetails.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConsentDetails.decode/1","ref":"DocuSign.Model.ConsentDetails.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConsentDetails.t/0","ref":"DocuSign.Model.ConsentDetails.html#t:t/0"},{"type":"module","doc":"The request object for the [EnvelopeViews: createConsole](/docs/esign-rest-api/reference/envelopes/envelopeviews/createconsole/) method.","title":"DocuSign.Model.ConsoleViewRequest","ref":"DocuSign.Model.ConsoleViewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConsoleViewRequest.decode/1","ref":"DocuSign.Model.ConsoleViewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConsoleViewRequest.t/0","ref":"DocuSign.Model.ConsoleViewRequest.html#t:t/0"},{"type":"module","doc":"Details about consumer disclosures.","title":"DocuSign.Model.ConsumerDisclosure","ref":"DocuSign.Model.ConsumerDisclosure.html"},{"type":"function","doc":"","title":"DocuSign.Model.ConsumerDisclosure.decode/1","ref":"DocuSign.Model.ConsumerDisclosure.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ConsumerDisclosure.t/0","ref":"DocuSign.Model.ConsumerDisclosure.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Contact","ref":"DocuSign.Model.Contact.html"},{"type":"function","doc":"","title":"DocuSign.Model.Contact.decode/1","ref":"DocuSign.Model.Contact.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Contact.t/0","ref":"DocuSign.Model.Contact.html#t:t/0"},{"type":"module","doc":"This response object contains information about the contacts associated with an account.","title":"DocuSign.Model.ContactGetResponse","ref":"DocuSign.Model.ContactGetResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.ContactGetResponse.decode/1","ref":"DocuSign.Model.ContactGetResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ContactGetResponse.t/0","ref":"DocuSign.Model.ContactGetResponse.html#t:t/0"},{"type":"module","doc":"The request object containing the new information for the contacts.","title":"DocuSign.Model.ContactModRequest","ref":"DocuSign.Model.ContactModRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.ContactModRequest.decode/1","ref":"DocuSign.Model.ContactModRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ContactModRequest.t/0","ref":"DocuSign.Model.ContactModRequest.html#t:t/0"},{"type":"module","doc":"Details about the phone numbers associated with a specific contact.","title":"DocuSign.Model.ContactPhoneNumber","ref":"DocuSign.Model.ContactPhoneNumber.html"},{"type":"function","doc":"","title":"DocuSign.Model.ContactPhoneNumber.decode/1","ref":"DocuSign.Model.ContactPhoneNumber.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ContactPhoneNumber.t/0","ref":"DocuSign.Model.ContactPhoneNumber.html#t:t/0"},{"type":"module","doc":"This response objects shows the updated details for the contacts.","title":"DocuSign.Model.ContactUpdateResponse","ref":"DocuSign.Model.ContactUpdateResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.ContactUpdateResponse.decode/1","ref":"DocuSign.Model.ContactUpdateResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ContactUpdateResponse.t/0","ref":"DocuSign.Model.ContactUpdateResponse.html#t:t/0"},{"type":"module","doc":"The `Contacts` resource enables you to manage the contact in an account's address book.","title":"DocuSign.Model.Contacts","ref":"DocuSign.Model.Contacts.html"},{"type":"function","doc":"","title":"DocuSign.Model.Contacts.decode/1","ref":"DocuSign.Model.Contacts.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Contacts.t/0","ref":"DocuSign.Model.Contacts.html#t:t/0"},{"type":"module","doc":"The request body for the [EnvelopeViews: createCorrect](/docs/esign-rest-api/reference/envelopes/envelopeviews/createcorrect/) method.","title":"DocuSign.Model.CorrectViewRequest","ref":"DocuSign.Model.CorrectViewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.CorrectViewRequest.decode/1","ref":"DocuSign.Model.CorrectViewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CorrectViewRequest.t/0","ref":"DocuSign.Model.CorrectViewRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Country","ref":"DocuSign.Model.Country.html"},{"type":"function","doc":"","title":"DocuSign.Model.Country.decode/1","ref":"DocuSign.Model.Country.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Country.t/0","ref":"DocuSign.Model.Country.html#t:t/0"},{"type":"module","doc":"This object contains information about a credit card that is associated with an account.","title":"DocuSign.Model.CreditCardInformation","ref":"DocuSign.Model.CreditCardInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.CreditCardInformation.decode/1","ref":"DocuSign.Model.CreditCardInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CreditCardInformation.t/0","ref":"DocuSign.Model.CreditCardInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CreditCardTypes","ref":"DocuSign.Model.CreditCardTypes.html"},{"type":"function","doc":"","title":"DocuSign.Model.CreditCardTypes.decode/1","ref":"DocuSign.Model.CreditCardTypes.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CreditCardTypes.t/0","ref":"DocuSign.Model.CreditCardTypes.html#t:t/0"},{"type":"module","doc":"Information about the price and currency associated with the feature set. Reserved for internal Docusign use only.","title":"DocuSign.Model.CurrencyFeatureSetPrice","ref":"DocuSign.Model.CurrencyFeatureSetPrice.html"},{"type":"function","doc":"","title":"DocuSign.Model.CurrencyFeatureSetPrice.decode/1","ref":"DocuSign.Model.CurrencyFeatureSetPrice.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CurrencyFeatureSetPrice.t/0","ref":"DocuSign.Model.CurrencyFeatureSetPrice.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CurrencyPlanPrice","ref":"DocuSign.Model.CurrencyPlanPrice.html"},{"type":"function","doc":"","title":"DocuSign.Model.CurrencyPlanPrice.decode/1","ref":"DocuSign.Model.CurrencyPlanPrice.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CurrencyPlanPrice.t/0","ref":"DocuSign.Model.CurrencyPlanPrice.html#t:t/0"},{"type":"module","doc":"This object provides details about a custom field.","title":"DocuSign.Model.CustomField","ref":"DocuSign.Model.CustomField.html"},{"type":"function","doc":"","title":"DocuSign.Model.CustomField.decode/1","ref":"DocuSign.Model.CustomField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CustomField.t/0","ref":"DocuSign.Model.CustomField.html#t:t/0"},{"type":"module","doc":"Contains information about custom fields.","title":"DocuSign.Model.CustomFields","ref":"DocuSign.Model.CustomFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.CustomFields.decode/1","ref":"DocuSign.Model.CustomFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CustomFields.t/0","ref":"DocuSign.Model.CustomFields.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CustomFieldsEnvelope","ref":"DocuSign.Model.CustomFieldsEnvelope.html"},{"type":"function","doc":"","title":"DocuSign.Model.CustomFieldsEnvelope.decode/1","ref":"DocuSign.Model.CustomFieldsEnvelope.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CustomFieldsEnvelope.t/0","ref":"DocuSign.Model.CustomFieldsEnvelope.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.CustomSettingsInformation","ref":"DocuSign.Model.CustomSettingsInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.CustomSettingsInformation.decode/1","ref":"DocuSign.Model.CustomSettingsInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CustomSettingsInformation.t/0","ref":"DocuSign.Model.CustomSettingsInformation.html#t:t/0"},{"type":"module","doc":"Custom tabs","title":"DocuSign.Model.CustomTabs","ref":"DocuSign.Model.CustomTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.CustomTabs.decode/1","ref":"DocuSign.Model.CustomTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.CustomTabs.t/0","ref":"DocuSign.Model.CustomTabs.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, Docusign recommends using a Text tab with a validation pattern and a validation message to enforce the format.","title":"DocuSign.Model.Date","ref":"DocuSign.Model.Date.html"},{"type":"function","doc":"","title":"DocuSign.Model.Date.decode/1","ref":"DocuSign.Model.Date.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Date.t/0","ref":"DocuSign.Model.Date.html#t:t/0"},{"type":"module","doc":"A tab that displays the date that the recipient signed the document.","title":"DocuSign.Model.DateSigned","ref":"DocuSign.Model.DateSigned.html"},{"type":"function","doc":"","title":"DocuSign.Model.DateSigned.decode/1","ref":"DocuSign.Model.DateSigned.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DateSigned.t/0","ref":"DocuSign.Model.DateSigned.html#t:t/0"},{"type":"module","doc":"Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area.  This property contains the following information about the central rectangle:  - `DateAreaX`: The X axis position of the top-left corner. - `DateAreaY`: The Y axis position of the top-left corner. - `DateAreaWidth`: The width of the rectangle. - `DateAreaHeight`: The height of the rectangle.","title":"DocuSign.Model.DateStampProperties","ref":"DocuSign.Model.DateStampProperties.html"},{"type":"function","doc":"","title":"DocuSign.Model.DateStampProperties.decode/1","ref":"DocuSign.Model.DateStampProperties.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DateStampProperties.t/0","ref":"DocuSign.Model.DateStampProperties.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided.","title":"DocuSign.Model.Decline","ref":"DocuSign.Model.Decline.html"},{"type":"function","doc":"","title":"DocuSign.Model.Decline.decode/1","ref":"DocuSign.Model.Decline.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Decline.t/0","ref":"DocuSign.Model.Decline.html#t:t/0"},{"type":"module","doc":"A complex element that specifies the delayed routing settings for the workflow step.","title":"DocuSign.Model.DelayedRouting","ref":"DocuSign.Model.DelayedRouting.html"},{"type":"function","doc":"","title":"DocuSign.Model.DelayedRouting.decode/1","ref":"DocuSign.Model.DelayedRouting.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DelayedRouting.t/0","ref":"DocuSign.Model.DelayedRouting.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DelegationInfo","ref":"DocuSign.Model.DelegationInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.DelegationInfo.decode/1","ref":"DocuSign.Model.DelegationInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DelegationInfo.t/0","ref":"DocuSign.Model.DelegationInfo.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DiagnosticsSettingsInformation","ref":"DocuSign.Model.DiagnosticsSettingsInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DiagnosticsSettingsInformation.decode/1","ref":"DocuSign.Model.DiagnosticsSettingsInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DiagnosticsSettingsInformation.t/0","ref":"DocuSign.Model.DiagnosticsSettingsInformation.html#t:t/0"},{"type":"module","doc":"Contains information about a bank that processes a customer's direct debit payments.","title":"DocuSign.Model.DirectDebitProcessorInformation","ref":"DocuSign.Model.DirectDebitProcessorInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DirectDebitProcessorInformation.decode/1","ref":"DocuSign.Model.DirectDebitProcessorInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DirectDebitProcessorInformation.t/0","ref":"DocuSign.Model.DirectDebitProcessorInformation.html#t:t/0"},{"type":"module","doc":"Complex type containing:  * dateOfBirth * displayLevelCode * receiveInResponse","title":"DocuSign.Model.DobInformationInput","ref":"DocuSign.Model.DobInformationInput.html"},{"type":"function","doc":"","title":"DocuSign.Model.DobInformationInput.decode/1","ref":"DocuSign.Model.DobInformationInput.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DobInformationInput.t/0","ref":"DocuSign.Model.DobInformationInput.html#t:t/0"},{"type":"module","doc":"The document fields available for document generation.  This object is used in reponses (GET) and requests (PUT). When used with [DocumentGeneration: updateEnvelopeDocGenFormFields](/docs/esign-rest-api/reference/envelopes/documentgeneration/updateenvelopedocgenformfields/) (PUT), the `name` and `value` / `rowValues` properties are required and any other values are ignored.","title":"DocuSign.Model.DocGenFormField","ref":"DocuSign.Model.DocGenFormField.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormField.decode/1","ref":"DocuSign.Model.DocGenFormField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormField.t/0","ref":"DocuSign.Model.DocGenFormField.html#t:t/0"},{"type":"module","doc":"Specifies an individual option setting when type is `Select`.","title":"DocuSign.Model.DocGenFormFieldOption","ref":"DocuSign.Model.DocGenFormFieldOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFieldOption.decode/1","ref":"DocuSign.Model.DocGenFormFieldOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFieldOption.t/0","ref":"DocuSign.Model.DocGenFormFieldOption.html#t:t/0"},{"type":"module","doc":"This object maps the document generation fields to their values.","title":"DocuSign.Model.DocGenFormFieldRequest","ref":"DocuSign.Model.DocGenFormFieldRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFieldRequest.decode/1","ref":"DocuSign.Model.DocGenFormFieldRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFieldRequest.t/0","ref":"DocuSign.Model.DocGenFormFieldRequest.html#t:t/0"},{"type":"module","doc":"An object for document generation responses.","title":"DocuSign.Model.DocGenFormFieldResponse","ref":"DocuSign.Model.DocGenFormFieldResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFieldResponse.decode/1","ref":"DocuSign.Model.DocGenFormFieldResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFieldResponse.t/0","ref":"DocuSign.Model.DocGenFormFieldResponse.html#t:t/0"},{"type":"module","doc":"An object representing a row of a dynamic table.","title":"DocuSign.Model.DocGenFormFieldRowValue","ref":"DocuSign.Model.DocGenFormFieldRowValue.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFieldRowValue.decode/1","ref":"DocuSign.Model.DocGenFormFieldRowValue.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFieldRowValue.t/0","ref":"DocuSign.Model.DocGenFormFieldRowValue.html#t:t/0"},{"type":"module","doc":"Describes how values are validated.","title":"DocuSign.Model.DocGenFormFieldValidation","ref":"DocuSign.Model.DocGenFormFieldValidation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFieldValidation.decode/1","ref":"DocuSign.Model.DocGenFormFieldValidation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFieldValidation.t/0","ref":"DocuSign.Model.DocGenFormFieldValidation.html#t:t/0"},{"type":"module","doc":"A collection of document generation fields.","title":"DocuSign.Model.DocGenFormFields","ref":"DocuSign.Model.DocGenFormFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenFormFields.decode/1","ref":"DocuSign.Model.DocGenFormFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenFormFields.t/0","ref":"DocuSign.Model.DocGenFormFields.html#t:t/0"},{"type":"module","doc":"Describes document generation errors.","title":"DocuSign.Model.DocGenSyntaxError","ref":"DocuSign.Model.DocGenSyntaxError.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocGenSyntaxError.decode/1","ref":"DocuSign.Model.DocGenSyntaxError.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocGenSyntaxError.t/0","ref":"DocuSign.Model.DocGenSyntaxError.html#t:t/0"},{"type":"module","doc":"A document object.","title":"DocuSign.Model.Document","ref":"DocuSign.Model.Document.html"},{"type":"function","doc":"","title":"DocuSign.Model.Document.decode/1","ref":"DocuSign.Model.Document.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Document.t/0","ref":"DocuSign.Model.Document.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentFieldsInformation","ref":"DocuSign.Model.DocumentFieldsInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentFieldsInformation.decode/1","ref":"DocuSign.Model.DocumentFieldsInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentFieldsInformation.t/0","ref":"DocuSign.Model.DocumentFieldsInformation.html#t:t/0"},{"type":"module","doc":"Document Generation for eSignature allows you to dynamically generate documents from a Word template to send for signature within the eSignature sending workflow.","title":"DocuSign.Model.DocumentGeneration","ref":"DocuSign.Model.DocumentGeneration.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentGeneration.decode/1","ref":"DocuSign.Model.DocumentGeneration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentGeneration.t/0","ref":"DocuSign.Model.DocumentGeneration.html#t:t/0"},{"type":"module","doc":"Display settings for collapsible section.","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings","ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.decode/1","ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.t/0","ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html#t:t/0"},{"type":"module","doc":"Holds the properties that define how to generate the responsive-formatted HTML for the document. See [Responsive signing](/docs/esign-rest-api/esign101/concepts/responsive/) in the [eSignature concepts guide](/docs/esign-rest-api/esign101/concepts/).","title":"DocuSign.Model.DocumentHtmlDefinition","ref":"DocuSign.Model.DocumentHtmlDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDefinition.decode/1","ref":"DocuSign.Model.DocumentHtmlDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDefinition.t/0","ref":"DocuSign.Model.DocumentHtmlDefinition.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginal","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginal.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginal.decode/1","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginal.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginal.t/0","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginal.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginals","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginals.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginals.decode/1","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginals.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitionOriginals.t/0","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginals.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitions","ref":"DocuSign.Model.DocumentHtmlDefinitions.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitions.decode/1","ref":"DocuSign.Model.DocumentHtmlDefinitions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDefinitions.t/0","ref":"DocuSign.Model.DocumentHtmlDefinitions.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentHtmlDisplayAnchor","ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDisplayAnchor.decode/1","ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDisplayAnchor.t/0","ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html#t:t/0"},{"type":"module","doc":"This object defines how to display the HTML between the `startAnchor` and `endAnchor`.","title":"DocuSign.Model.DocumentHtmlDisplaySettings","ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentHtmlDisplaySettings.decode/1","ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentHtmlDisplaySettings.t/0","ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentResponsiveHtml","ref":"DocuSign.Model.DocumentResponsiveHtml.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentResponsiveHtml.decode/1","ref":"DocuSign.Model.DocumentResponsiveHtml.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentResponsiveHtml.t/0","ref":"DocuSign.Model.DocumentResponsiveHtml.html#t:t/0"},{"type":"module","doc":"This resource is used to create a responsive preview of a specific document.","title":"DocuSign.Model.DocumentResponsiveHtmlPreview","ref":"DocuSign.Model.DocumentResponsiveHtmlPreview.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentResponsiveHtmlPreview.decode/1","ref":"DocuSign.Model.DocumentResponsiveHtmlPreview.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentResponsiveHtmlPreview.t/0","ref":"DocuSign.Model.DocumentResponsiveHtmlPreview.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentTemplate","ref":"DocuSign.Model.DocumentTemplate.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentTemplate.decode/1","ref":"DocuSign.Model.DocumentTemplate.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentTemplate.t/0","ref":"DocuSign.Model.DocumentTemplate.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DocumentTemplateList","ref":"DocuSign.Model.DocumentTemplateList.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentTemplateList.decode/1","ref":"DocuSign.Model.DocumentTemplateList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentTemplateList.t/0","ref":"DocuSign.Model.DocumentTemplateList.html#t:t/0"},{"type":"module","doc":"This object configures a recipient's read/write access to a document.","title":"DocuSign.Model.DocumentVisibility","ref":"DocuSign.Model.DocumentVisibility.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentVisibility.decode/1","ref":"DocuSign.Model.DocumentVisibility.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentVisibility.t/0","ref":"DocuSign.Model.DocumentVisibility.html#t:t/0"},{"type":"module","doc":"A list of `documentVisibility` objects that specify whether documents are visible to recipients.","title":"DocuSign.Model.DocumentVisibilityList","ref":"DocuSign.Model.DocumentVisibilityList.html"},{"type":"function","doc":"","title":"DocuSign.Model.DocumentVisibilityList.decode/1","ref":"DocuSign.Model.DocumentVisibilityList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DocumentVisibilityList.t/0","ref":"DocuSign.Model.DocumentVisibilityList.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DowngradRequestBillingInfoResponse","ref":"DocuSign.Model.DowngradRequestBillingInfoResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.DowngradRequestBillingInfoResponse.decode/1","ref":"DocuSign.Model.DowngradRequestBillingInfoResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DowngradRequestBillingInfoResponse.t/0","ref":"DocuSign.Model.DowngradRequestBillingInfoResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DowngradeBillingPlanInformation","ref":"DocuSign.Model.DowngradeBillingPlanInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DowngradeBillingPlanInformation.decode/1","ref":"DocuSign.Model.DowngradeBillingPlanInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DowngradeBillingPlanInformation.t/0","ref":"DocuSign.Model.DowngradeBillingPlanInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DowngradePlanUpdateResponse","ref":"DocuSign.Model.DowngradePlanUpdateResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.DowngradePlanUpdateResponse.decode/1","ref":"DocuSign.Model.DowngradePlanUpdateResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DowngradePlanUpdateResponse.t/0","ref":"DocuSign.Model.DowngradePlanUpdateResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.DowngradeRequestInformation","ref":"DocuSign.Model.DowngradeRequestInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.DowngradeRequestInformation.decode/1","ref":"DocuSign.Model.DowngradeRequestInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.DowngradeRequestInformation.t/0","ref":"DocuSign.Model.DowngradeRequestInformation.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to add a free-form drawing to the document.","title":"DocuSign.Model.Draw","ref":"DocuSign.Model.Draw.html"},{"type":"function","doc":"","title":"DocuSign.Model.Draw.decode/1","ref":"DocuSign.Model.Draw.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Draw.t/0","ref":"DocuSign.Model.Draw.html#t:t/0"},{"type":"module","doc":"This object contains information used to configure [eNote][eNote] functionality. To use eNote, the Allow eNote for eOriginal account plan item must be on, and the Connect configuration for eOriginal must be set correctly.  [eNote]: https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=tsn1583277394951.html","title":"DocuSign.Model.ENoteConfiguration","ref":"DocuSign.Model.ENoteConfiguration.html"},{"type":"function","doc":"","title":"DocuSign.Model.ENoteConfiguration.decode/1","ref":"DocuSign.Model.ENoteConfiguration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ENoteConfiguration.t/0","ref":"DocuSign.Model.ENoteConfiguration.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ENoteConfigurations","ref":"DocuSign.Model.ENoteConfigurations.html"},{"type":"function","doc":"","title":"DocuSign.Model.ENoteConfigurations.decode/1","ref":"DocuSign.Model.ENoteConfigurations.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ENoteConfigurations.t/0","ref":"DocuSign.Model.ENoteConfigurations.html#t:t/0"},{"type":"module","doc":"A complex type defining the management and access rights of a recipient assigned as an editor on the envelope. Editors have the same management and access rights for the envelope as the sender. They can make changes to the envelope as if they were using the Correct feature. This recipient can add name and email information, add or change the routing order and set authentication options for the remaining recipients. Additionally, this recipient can edit signature/initial tabs and text tabs for the remaining recipients.","title":"DocuSign.Model.Editor","ref":"DocuSign.Model.Editor.html"},{"type":"function","doc":"","title":"DocuSign.Model.Editor.decode/1","ref":"DocuSign.Model.Editor.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Editor.t/0","ref":"DocuSign.Model.Editor.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.","title":"DocuSign.Model.Email","ref":"DocuSign.Model.Email.html"},{"type":"function","doc":"","title":"DocuSign.Model.Email.decode/1","ref":"DocuSign.Model.Email.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Email.t/0","ref":"DocuSign.Model.Email.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's email as entered in the recipient information.","title":"DocuSign.Model.EmailAddress","ref":"DocuSign.Model.EmailAddress.html"},{"type":"function","doc":"","title":"DocuSign.Model.EmailAddress.decode/1","ref":"DocuSign.Model.EmailAddress.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EmailAddress.t/0","ref":"DocuSign.Model.EmailAddress.html#t:t/0"},{"type":"module","doc":"A complex element that allows  the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent.   When the emailSettings information is used for an envelope, it only applies to that envelope.   **IMPORTANT:** The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings.   EmailSettings consists of:   * replyEmailAddressOverride - The Reply To email used for the envelope. Docusign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters. * replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters. * bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option.  Docusign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. *Example*: if your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address.","title":"DocuSign.Model.EmailSettings","ref":"DocuSign.Model.EmailSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EmailSettings.decode/1","ref":"DocuSign.Model.EmailSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EmailSettings.t/0","ref":"DocuSign.Model.EmailSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Envelope","ref":"DocuSign.Model.Envelope.html"},{"type":"function","doc":"","title":"DocuSign.Model.Envelope.decode/1","ref":"DocuSign.Model.Envelope.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Envelope.t/0","ref":"DocuSign.Model.Envelope.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeAttachment","ref":"DocuSign.Model.EnvelopeAttachment.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAttachment.decode/1","ref":"DocuSign.Model.EnvelopeAttachment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAttachment.t/0","ref":"DocuSign.Model.EnvelopeAttachment.html#t:t/0"},{"type":"module","doc":"The EnvelopeAttachments resource provides methods that allow you to associate files with an envelope.","title":"DocuSign.Model.EnvelopeAttachments","ref":"DocuSign.Model.EnvelopeAttachments.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAttachments.decode/1","ref":"DocuSign.Model.EnvelopeAttachments.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAttachments.t/0","ref":"DocuSign.Model.EnvelopeAttachments.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsRequest","ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsRequest.decode/1","ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsRequest.t/0","ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsResult","ref":"DocuSign.Model.EnvelopeAttachmentsResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsResult.decode/1","ref":"DocuSign.Model.EnvelopeAttachmentsResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAttachmentsResult.t/0","ref":"DocuSign.Model.EnvelopeAttachmentsResult.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeAuditEvent","ref":"DocuSign.Model.EnvelopeAuditEvent.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAuditEvent.decode/1","ref":"DocuSign.Model.EnvelopeAuditEvent.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAuditEvent.t/0","ref":"DocuSign.Model.EnvelopeAuditEvent.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeAuditEventResponse","ref":"DocuSign.Model.EnvelopeAuditEventResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeAuditEventResponse.decode/1","ref":"DocuSign.Model.EnvelopeAuditEventResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeAuditEventResponse.t/0","ref":"DocuSign.Model.EnvelopeAuditEventResponse.html#t:t/0"},{"type":"module","doc":"Details about envelope consumer disclosures.","title":"DocuSign.Model.EnvelopeConsumerDisclosures","ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeConsumerDisclosures.decode/1","ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeConsumerDisclosures.t/0","ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html#t:t/0"},{"type":"module","doc":"An envelope custom field enables you to collect custom data about envelopes on a per-envelope basis. You can then use the custom data for sorting, organizing, searching, and other downstream processes. For example, you can use custom fields to copy envelopes or data to multiple areas in Salesforce. eOriginal customers can eVault their documents from the web app on a per-envelope basis by setting an envelope custom field with a name like \"eVault with eOriginal?\" to \"Yes\" or \"No\".  When a user creates an envelope, the envelope custom fields display in the **Envelope Settings** section of the Docusign console. Envelope recipients do not see the envelope custom fields. For more information, see [Envelope Custom Fields](https://support.docusign.com/s/document-item?bundleId=pik1583277475390&topicId=qor1583277385137.html).","title":"DocuSign.Model.EnvelopeCustomFields","ref":"DocuSign.Model.EnvelopeCustomFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeCustomFields.decode/1","ref":"DocuSign.Model.EnvelopeCustomFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeCustomFields.t/0","ref":"DocuSign.Model.EnvelopeCustomFields.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeCustomMetadata","ref":"DocuSign.Model.EnvelopeCustomMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeCustomMetadata.decode/1","ref":"DocuSign.Model.EnvelopeCustomMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeCustomMetadata.t/0","ref":"DocuSign.Model.EnvelopeCustomMetadata.html#t:t/0"},{"type":"module","doc":"Envelope object definition.","title":"DocuSign.Model.EnvelopeDefinition","ref":"DocuSign.Model.EnvelopeDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDefinition.decode/1","ref":"DocuSign.Model.EnvelopeDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDefinition.t/0","ref":"DocuSign.Model.EnvelopeDefinition.html#t:t/0"},{"type":"module","doc":"A user-specified object that describes the envelope delay.  To indicate a relative delay, use `delay`. To indicate the exact datetime the envelope should be sent, use `resumeDate`. Only one of the two properties can be used.","title":"DocuSign.Model.EnvelopeDelayRule","ref":"DocuSign.Model.EnvelopeDelayRule.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDelayRule.decode/1","ref":"DocuSign.Model.EnvelopeDelayRule.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDelayRule.t/0","ref":"DocuSign.Model.EnvelopeDelayRule.html#t:t/0"},{"type":"module","doc":"This object contains details about the envelope document.","title":"DocuSign.Model.EnvelopeDocument","ref":"DocuSign.Model.EnvelopeDocument.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocument.decode/1","ref":"DocuSign.Model.EnvelopeDocument.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocument.t/0","ref":"DocuSign.Model.EnvelopeDocument.html#t:t/0"},{"type":"module","doc":"Envelope document fields","title":"DocuSign.Model.EnvelopeDocumentFields","ref":"DocuSign.Model.EnvelopeDocumentFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocumentFields.decode/1","ref":"DocuSign.Model.EnvelopeDocumentFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocumentFields.t/0","ref":"DocuSign.Model.EnvelopeDocumentFields.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions","ref":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.decode/1","ref":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.t/0","ref":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.html#t:t/0"},{"type":"module","doc":"Document tabs are tabs that are associated with a document rather than with a recipient.","title":"DocuSign.Model.EnvelopeDocumentTabs","ref":"DocuSign.Model.EnvelopeDocumentTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocumentTabs.decode/1","ref":"DocuSign.Model.EnvelopeDocumentTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocumentTabs.t/0","ref":"DocuSign.Model.EnvelopeDocumentTabs.html#t:t/0"},{"type":"module","doc":"Document Visibility enables senders to control the visibility of the documents in an envelope at the recipient level. For example, if the parties associated with a legal proceeding should have access to different documents, the Document Visibility feature enables you to keep all of the documents in the same envelope and set view permissions for the documents by recipient. This functionality is enabled for envelopes and templates. It is not available for PowerForms.  **Note:** Before you use Document Visibility, you should be aware of the following information:  - Document Visibility must be enabled for your account by your Docusign administrator.  - A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document.  - When the Document Visibility setting hides a document from a recipient, the document also does not appear in the recipient's list of envelopes, documents, or page images. - Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all of the documents associated with the envelope or template.  The Document Visibility feature has multiple settings that specify the options that senders have when sending documents. For more information, see [Use Document Visibility to Control Recipient Access](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=eui1578456411411.html).","title":"DocuSign.Model.EnvelopeDocumentVisibility","ref":"DocuSign.Model.EnvelopeDocumentVisibility.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocumentVisibility.decode/1","ref":"DocuSign.Model.EnvelopeDocumentVisibility.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocumentVisibility.t/0","ref":"DocuSign.Model.EnvelopeDocumentVisibility.html#t:t/0"},{"type":"module","doc":"Envelope documents","title":"DocuSign.Model.EnvelopeDocuments","ref":"DocuSign.Model.EnvelopeDocuments.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocuments.decode/1","ref":"DocuSign.Model.EnvelopeDocuments.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocuments.t/0","ref":"DocuSign.Model.EnvelopeDocuments.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeDocumentsResult","ref":"DocuSign.Model.EnvelopeDocumentsResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeDocumentsResult.decode/1","ref":"DocuSign.Model.EnvelopeDocumentsResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeDocumentsResult.t/0","ref":"DocuSign.Model.EnvelopeDocumentsResult.html#t:t/0"},{"type":"module","doc":"Envelope email settings","title":"DocuSign.Model.EnvelopeEmailSettings","ref":"DocuSign.Model.EnvelopeEmailSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeEmailSettings.decode/1","ref":"DocuSign.Model.EnvelopeEmailSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeEmailSettings.t/0","ref":"DocuSign.Model.EnvelopeEmailSettings.html#t:t/0"},{"type":"module","doc":"For which envelope events should your webhook be called?","title":"DocuSign.Model.EnvelopeEvent","ref":"DocuSign.Model.EnvelopeEvent.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeEvent.decode/1","ref":"DocuSign.Model.EnvelopeEvent.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeEvent.t/0","ref":"DocuSign.Model.EnvelopeEvent.html#t:t/0"},{"type":"module","doc":"This object contains the data that recipients have entered into the form fields associated with an envelope.","title":"DocuSign.Model.EnvelopeFormData","ref":"DocuSign.Model.EnvelopeFormData.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeFormData.decode/1","ref":"DocuSign.Model.EnvelopeFormData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeFormData.t/0","ref":"DocuSign.Model.EnvelopeFormData.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeHtmlDefinitions","ref":"DocuSign.Model.EnvelopeHtmlDefinitions.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeHtmlDefinitions.decode/1","ref":"DocuSign.Model.EnvelopeHtmlDefinitions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeHtmlDefinitions.t/0","ref":"DocuSign.Model.EnvelopeHtmlDefinitions.html#t:t/0"},{"type":"module","doc":"A tab that displays the envelope ID.  **Note:**  The eSignature API uses the name `envelopeId` two ways:  - As a _property_ of type `string` used to identify an envelope  by its GUID. - As an _object_ used to represent an envelope tab that displays   the envelope's GUID.","title":"DocuSign.Model.EnvelopeId","ref":"DocuSign.Model.EnvelopeId.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeId.decode/1","ref":"DocuSign.Model.EnvelopeId.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeId.t/0","ref":"DocuSign.Model.EnvelopeId.html#t:t/0"},{"type":"module","doc":"Lists of envelope and transaction IDs to use in the results.  If you use this request body with Envelopes: listStatus, you must set one or both of the following query parameters to the special value `request_body`:  - `envelope_ids=request_body` - `transaction_ids=request_body`","title":"DocuSign.Model.EnvelopeIdsRequest","ref":"DocuSign.Model.EnvelopeIdsRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeIdsRequest.decode/1","ref":"DocuSign.Model.EnvelopeIdsRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeIdsRequest.t/0","ref":"DocuSign.Model.EnvelopeIdsRequest.html#t:t/0"},{"type":"module","doc":"Envelope locks let you lock an envelope to prevent any changes while you are updating an envelope.","title":"DocuSign.Model.EnvelopeLocks","ref":"DocuSign.Model.EnvelopeLocks.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeLocks.decode/1","ref":"DocuSign.Model.EnvelopeLocks.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeLocks.t/0","ref":"DocuSign.Model.EnvelopeLocks.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeMetadata","ref":"DocuSign.Model.EnvelopeMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeMetadata.decode/1","ref":"DocuSign.Model.EnvelopeMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeMetadata.t/0","ref":"DocuSign.Model.EnvelopeMetadata.html#t:t/0"},{"type":"module","doc":"A complex element that specifies the notification settings for the envelope.","title":"DocuSign.Model.EnvelopeNotificationRequest","ref":"DocuSign.Model.EnvelopeNotificationRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeNotificationRequest.decode/1","ref":"DocuSign.Model.EnvelopeNotificationRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeNotificationRequest.t/0","ref":"DocuSign.Model.EnvelopeNotificationRequest.html#t:t/0"},{"type":"module","doc":"The EnvelopePublish resource allows you to submit existing envelopes to any webhook.","title":"DocuSign.Model.EnvelopePublish","ref":"DocuSign.Model.EnvelopePublish.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopePublish.decode/1","ref":"DocuSign.Model.EnvelopePublish.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopePublish.t/0","ref":"DocuSign.Model.EnvelopePublish.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopePublishTransaction","ref":"DocuSign.Model.EnvelopePublishTransaction.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopePublishTransaction.decode/1","ref":"DocuSign.Model.EnvelopePublishTransaction.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopePublishTransaction.t/0","ref":"DocuSign.Model.EnvelopePublishTransaction.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup","ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.decode/1","ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.t/0","ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html#t:t/0"},{"type":"module","doc":"Contains information about the current envelope purge configuration for an account, which enables account administrators to purge documents from completed and voided envelopes after a set number of days (`retentionDays`).","title":"DocuSign.Model.EnvelopePurgeConfiguration","ref":"DocuSign.Model.EnvelopePurgeConfiguration.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopePurgeConfiguration.decode/1","ref":"DocuSign.Model.EnvelopePurgeConfiguration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopePurgeConfiguration.t/0","ref":"DocuSign.Model.EnvelopePurgeConfiguration.html#t:t/0"},{"type":"module","doc":"All of the tabs associated with a recipient. Each property is a list of a type of tab.","title":"DocuSign.Model.EnvelopeRecipientTabs","ref":"DocuSign.Model.EnvelopeRecipientTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeRecipientTabs.decode/1","ref":"DocuSign.Model.EnvelopeRecipientTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeRecipientTabs.t/0","ref":"DocuSign.Model.EnvelopeRecipientTabs.html#t:t/0"},{"type":"module","doc":"Envelope recipients","title":"DocuSign.Model.EnvelopeRecipients","ref":"DocuSign.Model.EnvelopeRecipients.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeRecipients.decode/1","ref":"DocuSign.Model.EnvelopeRecipients.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeRecipients.t/0","ref":"DocuSign.Model.EnvelopeRecipients.html#t:t/0"},{"type":"module","doc":"This object describes an envelope.","title":"DocuSign.Model.EnvelopeSummary","ref":"DocuSign.Model.EnvelopeSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeSummary.decode/1","ref":"DocuSign.Model.EnvelopeSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeSummary.t/0","ref":"DocuSign.Model.EnvelopeSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeTemplate","ref":"DocuSign.Model.EnvelopeTemplate.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTemplate.decode/1","ref":"DocuSign.Model.EnvelopeTemplate.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTemplate.t/0","ref":"DocuSign.Model.EnvelopeTemplate.html#t:t/0"},{"type":"module","doc":"Information about templates.","title":"DocuSign.Model.EnvelopeTemplateResults","ref":"DocuSign.Model.EnvelopeTemplateResults.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTemplateResults.decode/1","ref":"DocuSign.Model.EnvelopeTemplateResults.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTemplateResults.t/0","ref":"DocuSign.Model.EnvelopeTemplateResults.html#t:t/0"},{"type":"module","doc":"Envelope templates","title":"DocuSign.Model.EnvelopeTemplates","ref":"DocuSign.Model.EnvelopeTemplates.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTemplates.decode/1","ref":"DocuSign.Model.EnvelopeTemplates.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTemplates.t/0","ref":"DocuSign.Model.EnvelopeTemplates.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeTransactionStatus","ref":"DocuSign.Model.EnvelopeTransactionStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTransactionStatus.decode/1","ref":"DocuSign.Model.EnvelopeTransactionStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTransactionStatus.t/0","ref":"DocuSign.Model.EnvelopeTransactionStatus.html#t:t/0"},{"type":"module","doc":"This object contains details about an envelope transfer rule.","title":"DocuSign.Model.EnvelopeTransferRule","ref":"DocuSign.Model.EnvelopeTransferRule.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTransferRule.decode/1","ref":"DocuSign.Model.EnvelopeTransferRule.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTransferRule.t/0","ref":"DocuSign.Model.EnvelopeTransferRule.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeTransferRuleInformation","ref":"DocuSign.Model.EnvelopeTransferRuleInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTransferRuleInformation.decode/1","ref":"DocuSign.Model.EnvelopeTransferRuleInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTransferRuleInformation.t/0","ref":"DocuSign.Model.EnvelopeTransferRuleInformation.html#t:t/0"},{"type":"module","doc":"This object contains details about the envelope transfer rule that you want to create.","title":"DocuSign.Model.EnvelopeTransferRuleRequest","ref":"DocuSign.Model.EnvelopeTransferRuleRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTransferRuleRequest.decode/1","ref":"DocuSign.Model.EnvelopeTransferRuleRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTransferRuleRequest.t/0","ref":"DocuSign.Model.EnvelopeTransferRuleRequest.html#t:t/0"},{"type":"module","doc":"This resource provides methods that enable account administrators to create and manage envelope transfer rules.","title":"DocuSign.Model.EnvelopeTransferRules","ref":"DocuSign.Model.EnvelopeTransferRules.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeTransferRules.decode/1","ref":"DocuSign.Model.EnvelopeTransferRules.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeTransferRules.t/0","ref":"DocuSign.Model.EnvelopeTransferRules.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeUpdateSummary","ref":"DocuSign.Model.EnvelopeUpdateSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeUpdateSummary.decode/1","ref":"DocuSign.Model.EnvelopeUpdateSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeUpdateSummary.t/0","ref":"DocuSign.Model.EnvelopeUpdateSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewDocumentSettings","ref":"DocuSign.Model.EnvelopeViewDocumentSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewDocumentSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewDocumentSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewDocumentSettings.t/0","ref":"DocuSign.Model.EnvelopeViewDocumentSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings","ref":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings.t/0","ref":"DocuSign.Model.EnvelopeViewEnvelopeCustomFieldSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewRecipientSettings","ref":"DocuSign.Model.EnvelopeViewRecipientSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewRecipientSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewRecipientSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewRecipientSettings.t/0","ref":"DocuSign.Model.EnvelopeViewRecipientSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewRequest","ref":"DocuSign.Model.EnvelopeViewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewRequest.decode/1","ref":"DocuSign.Model.EnvelopeViewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewRequest.t/0","ref":"DocuSign.Model.EnvelopeViewRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewSettings","ref":"DocuSign.Model.EnvelopeViewSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewSettings.t/0","ref":"DocuSign.Model.EnvelopeViewSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewTaggerSettings","ref":"DocuSign.Model.EnvelopeViewTaggerSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewTaggerSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewTaggerSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewTaggerSettings.t/0","ref":"DocuSign.Model.EnvelopeViewTaggerSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.EnvelopeViewTemplateSettings","ref":"DocuSign.Model.EnvelopeViewTemplateSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViewTemplateSettings.decode/1","ref":"DocuSign.Model.EnvelopeViewTemplateSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViewTemplateSettings.t/0","ref":"DocuSign.Model.EnvelopeViewTemplateSettings.html#t:t/0"},{"type":"module","doc":"Provides a URL that you can embed in your application to provide access to the Docusign UI.","title":"DocuSign.Model.EnvelopeViews","ref":"DocuSign.Model.EnvelopeViews.html"},{"type":"module","doc":"","title":"Related topics  - Embedded signing and sending - Send an envelope via your app - Introducing customizable embedded sending - DocuSign.Model.EnvelopeViews","ref":"DocuSign.Model.EnvelopeViews.html#module-related-topics-embedded-signing-and-sending-send-an-envelope-via-your-app-introducing-customizable-embedded-sending"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeViews.decode/1","ref":"DocuSign.Model.EnvelopeViews.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeViews.t/0","ref":"DocuSign.Model.EnvelopeViews.html#t:t/0"},{"type":"module","doc":"Describes the workflow for an envelope or template.","title":"DocuSign.Model.EnvelopeWorkflowDefinition","ref":"DocuSign.Model.EnvelopeWorkflowDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopeWorkflowDefinition.decode/1","ref":"DocuSign.Model.EnvelopeWorkflowDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopeWorkflowDefinition.t/0","ref":"DocuSign.Model.EnvelopeWorkflowDefinition.html#t:t/0"},{"type":"module","doc":"Envelope creation, management","title":"DocuSign.Model.Envelopes","ref":"DocuSign.Model.Envelopes.html"},{"type":"function","doc":"","title":"DocuSign.Model.Envelopes.decode/1","ref":"DocuSign.Model.Envelopes.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Envelopes.t/0","ref":"DocuSign.Model.Envelopes.html#t:t/0"},{"type":"module","doc":"Result set for the Envelopes: listStatusChanges method","title":"DocuSign.Model.EnvelopesInformation","ref":"DocuSign.Model.EnvelopesInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.EnvelopesInformation.decode/1","ref":"DocuSign.Model.EnvelopesInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EnvelopesInformation.t/0","ref":"DocuSign.Model.EnvelopesInformation.html#t:t/0"},{"type":"module","doc":"This object describes errors that occur. It is only valid for responses and ignored in requests.","title":"DocuSign.Model.ErrorDetails","ref":"DocuSign.Model.ErrorDetails.html"},{"type":"function","doc":"","title":"DocuSign.Model.ErrorDetails.decode/1","ref":"DocuSign.Model.ErrorDetails.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ErrorDetails.t/0","ref":"DocuSign.Model.ErrorDetails.html#t:t/0"},{"type":"module","doc":"Use this object to configure a [Docusign Connect webhook](/platform/webhooks/connect/).","title":"DocuSign.Model.EventNotification","ref":"DocuSign.Model.EventNotification.html"},{"type":"function","doc":"","title":"DocuSign.Model.EventNotification.decode/1","ref":"DocuSign.Model.EventNotification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EventNotification.t/0","ref":"DocuSign.Model.EventNotification.html#t:t/0"},{"type":"module","doc":"Information about the result of an event.","title":"DocuSign.Model.EventResult","ref":"DocuSign.Model.EventResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.EventResult.decode/1","ref":"DocuSign.Model.EventResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.EventResult.t/0","ref":"DocuSign.Model.EventResult.html#t:t/0"},{"type":"module","doc":"A complex element that specifies the expiration settings for the envelope. When an envelope expires, it is voided and no longer available for signing. **Note:** there is a short delay between when the envelope expires and when it is voided.","title":"DocuSign.Model.Expirations","ref":"DocuSign.Model.Expirations.html"},{"type":"function","doc":"","title":"DocuSign.Model.Expirations.decode/1","ref":"DocuSign.Model.Expirations.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Expirations.t/0","ref":"DocuSign.Model.Expirations.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ExternalDocServiceErrorDetails","ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalDocServiceErrorDetails.decode/1","ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalDocServiceErrorDetails.t/0","ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html#t:t/0"},{"type":"module","doc":"A complex object specifying the external document sources.","title":"DocuSign.Model.ExternalDocumentSources","ref":"DocuSign.Model.ExternalDocumentSources.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalDocumentSources.decode/1","ref":"DocuSign.Model.ExternalDocumentSources.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalDocumentSources.t/0","ref":"DocuSign.Model.ExternalDocumentSources.html#t:t/0"},{"type":"module","doc":"This object contains information about a file or folder in cloud storage.","title":"DocuSign.Model.ExternalFile","ref":"DocuSign.Model.ExternalFile.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalFile.decode/1","ref":"DocuSign.Model.ExternalFile.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalFile.t/0","ref":"DocuSign.Model.ExternalFile.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ExternalFolder","ref":"DocuSign.Model.ExternalFolder.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalFolder.decode/1","ref":"DocuSign.Model.ExternalFolder.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalFolder.t/0","ref":"DocuSign.Model.ExternalFolder.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements","ref":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.decode/1","ref":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.t/0","ref":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements","ref":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements.html"},{"type":"function","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements.decode/1","ref":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements.t/0","ref":"DocuSign.Model.ExternalPrimaryAccountSafelistAuthRequirements.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FavoriteTemplates","ref":"DocuSign.Model.FavoriteTemplates.html"},{"type":"function","doc":"","title":"DocuSign.Model.FavoriteTemplates.decode/1","ref":"DocuSign.Model.FavoriteTemplates.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FavoriteTemplates.t/0","ref":"DocuSign.Model.FavoriteTemplates.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FavoriteTemplatesContentItem","ref":"DocuSign.Model.FavoriteTemplatesContentItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.FavoriteTemplatesContentItem.decode/1","ref":"DocuSign.Model.FavoriteTemplatesContentItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FavoriteTemplatesContentItem.t/0","ref":"DocuSign.Model.FavoriteTemplatesContentItem.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FavoriteTemplatesInfo","ref":"DocuSign.Model.FavoriteTemplatesInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.FavoriteTemplatesInfo.decode/1","ref":"DocuSign.Model.FavoriteTemplatesInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FavoriteTemplatesInfo.t/0","ref":"DocuSign.Model.FavoriteTemplatesInfo.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FeatureAvailableMetadata","ref":"DocuSign.Model.FeatureAvailableMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.FeatureAvailableMetadata.decode/1","ref":"DocuSign.Model.FeatureAvailableMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FeatureAvailableMetadata.t/0","ref":"DocuSign.Model.FeatureAvailableMetadata.html#t:t/0"},{"type":"module","doc":"This object provides details about a feature set, or add-on product that is associated with an account. It is reserved for Docusign internal use only.","title":"DocuSign.Model.FeatureSet","ref":"DocuSign.Model.FeatureSet.html"},{"type":"function","doc":"","title":"DocuSign.Model.FeatureSet.decode/1","ref":"DocuSign.Model.FeatureSet.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FeatureSet.t/0","ref":"DocuSign.Model.FeatureSet.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FileType","ref":"DocuSign.Model.FileType.html"},{"type":"function","doc":"","title":"DocuSign.Model.FileType.decode/1","ref":"DocuSign.Model.FileType.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FileType.t/0","ref":"DocuSign.Model.FileType.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FileTypeList","ref":"DocuSign.Model.FileTypeList.html"},{"type":"function","doc":"","title":"DocuSign.Model.FileTypeList.decode/1","ref":"DocuSign.Model.FileTypeList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FileTypeList.t/0","ref":"DocuSign.Model.FileTypeList.html#t:t/0"},{"type":"module","doc":"Use this object to create a filtered view of the items in a folder.","title":"DocuSign.Model.Filter","ref":"DocuSign.Model.Filter.html"},{"type":"function","doc":"","title":"DocuSign.Model.Filter.decode/1","ref":"DocuSign.Model.Filter.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Filter.t/0","ref":"DocuSign.Model.Filter.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's first name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name.","title":"DocuSign.Model.FirstName","ref":"DocuSign.Model.FirstName.html"},{"type":"function","doc":"","title":"DocuSign.Model.FirstName.decode/1","ref":"DocuSign.Model.FirstName.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FirstName.t/0","ref":"DocuSign.Model.FirstName.html#t:t/0"},{"type":"module","doc":"This object contains details about a folder.","title":"DocuSign.Model.Folder","ref":"DocuSign.Model.Folder.html"},{"type":"function","doc":"","title":"DocuSign.Model.Folder.decode/1","ref":"DocuSign.Model.Folder.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Folder.t/0","ref":"DocuSign.Model.Folder.html#t:t/0"},{"type":"module","doc":"Results from a folder item request.","title":"DocuSign.Model.FolderItemResponse","ref":"DocuSign.Model.FolderItemResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.FolderItemResponse.decode/1","ref":"DocuSign.Model.FolderItemResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FolderItemResponse.t/0","ref":"DocuSign.Model.FolderItemResponse.html#t:t/0"},{"type":"module","doc":"Information about folder item results.","title":"DocuSign.Model.FolderItemV2","ref":"DocuSign.Model.FolderItemV2.html"},{"type":"function","doc":"","title":"DocuSign.Model.FolderItemV2.decode/1","ref":"DocuSign.Model.FolderItemV2.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FolderItemV2.t/0","ref":"DocuSign.Model.FolderItemV2.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FolderItemsResponse","ref":"DocuSign.Model.FolderItemsResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.FolderItemsResponse.decode/1","ref":"DocuSign.Model.FolderItemsResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FolderItemsResponse.t/0","ref":"DocuSign.Model.FolderItemsResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FolderSharedItem","ref":"DocuSign.Model.FolderSharedItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.FolderSharedItem.decode/1","ref":"DocuSign.Model.FolderSharedItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FolderSharedItem.t/0","ref":"DocuSign.Model.FolderSharedItem.html#t:t/0"},{"type":"module","doc":"Folders allow you to organize envelopes and templates.","title":"DocuSign.Model.Folders","ref":"DocuSign.Model.Folders.html"},{"type":"function","doc":"","title":"DocuSign.Model.Folders.decode/1","ref":"DocuSign.Model.Folders.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Folders.t/0","ref":"DocuSign.Model.Folders.html#t:t/0"},{"type":"module","doc":"Information for a folder request.","title":"DocuSign.Model.FoldersRequest","ref":"DocuSign.Model.FoldersRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.FoldersRequest.decode/1","ref":"DocuSign.Model.FoldersRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FoldersRequest.t/0","ref":"DocuSign.Model.FoldersRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FoldersResponse","ref":"DocuSign.Model.FoldersResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.FoldersResponse.decode/1","ref":"DocuSign.Model.FoldersResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FoldersResponse.t/0","ref":"DocuSign.Model.FoldersResponse.html#t:t/0"},{"type":"module","doc":"A complex element that has up to four Question/Answer pairs for forgotten password information.","title":"DocuSign.Model.ForgottenPasswordInformation","ref":"DocuSign.Model.ForgottenPasswordInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.ForgottenPasswordInformation.decode/1","ref":"DocuSign.Model.ForgottenPasswordInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ForgottenPasswordInformation.t/0","ref":"DocuSign.Model.ForgottenPasswordInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.FormDataItem","ref":"DocuSign.Model.FormDataItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.FormDataItem.decode/1","ref":"DocuSign.Model.FormDataItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FormDataItem.t/0","ref":"DocuSign.Model.FormDataItem.html#t:t/0"},{"type":"module","doc":"The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result.  The `formula` property of the tab contains the references to the underlying tabs. See [Calculated Fields][calculatedfields] in the Docusign Support Center to learn more about formulas.  If a formula tab contains a `paymentDetails` property, the tab is considered a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the Docusign Support Center to learn more about payments.  [calculatedfields]: https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=crs1578456361259.html [paymentguide]:     https://support.docusign.com/s/document-item?bundleId=juu1573854950452&topicId=fyw1573854935374.html","title":"DocuSign.Model.FormulaTab","ref":"DocuSign.Model.FormulaTab.html"},{"type":"function","doc":"","title":"DocuSign.Model.FormulaTab.decode/1","ref":"DocuSign.Model.FormulaTab.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FormulaTab.t/0","ref":"DocuSign.Model.FormulaTab.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's full name.","title":"DocuSign.Model.FullName","ref":"DocuSign.Model.FullName.html"},{"type":"function","doc":"","title":"DocuSign.Model.FullName.decode/1","ref":"DocuSign.Model.FullName.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.FullName.t/0","ref":"DocuSign.Model.FullName.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.GraphicsContext","ref":"DocuSign.Model.GraphicsContext.html"},{"type":"function","doc":"","title":"DocuSign.Model.GraphicsContext.decode/1","ref":"DocuSign.Model.GraphicsContext.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.GraphicsContext.t/0","ref":"DocuSign.Model.GraphicsContext.html#t:t/0"},{"type":"module","doc":"This object contains information about a group.","title":"DocuSign.Model.Group","ref":"DocuSign.Model.Group.html"},{"type":"function","doc":"","title":"DocuSign.Model.Group.decode/1","ref":"DocuSign.Model.Group.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Group.t/0","ref":"DocuSign.Model.Group.html#t:t/0"},{"type":"module","doc":"If your account includes multiple signing brands, you can use the groups functionality to assign different brands to different groups. This resource enables you to manage group brands.","title":"DocuSign.Model.GroupBrands","ref":"DocuSign.Model.GroupBrands.html"},{"type":"function","doc":"","title":"DocuSign.Model.GroupBrands.decode/1","ref":"DocuSign.Model.GroupBrands.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.GroupBrands.t/0","ref":"DocuSign.Model.GroupBrands.html#t:t/0"},{"type":"module","doc":"This object is used for both requests and responses. Some properties (such as `endPosition`) only apply to the response of [Groups: list](/docs/esign-rest-api/reference/usergroups/groups/list/).","title":"DocuSign.Model.GroupInformation","ref":"DocuSign.Model.GroupInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.GroupInformation.decode/1","ref":"DocuSign.Model.GroupInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.GroupInformation.t/0","ref":"DocuSign.Model.GroupInformation.html#t:t/0"},{"type":"module","doc":"Groups' users","title":"DocuSign.Model.GroupUsers","ref":"DocuSign.Model.GroupUsers.html"},{"type":"function","doc":"","title":"DocuSign.Model.GroupUsers.decode/1","ref":"DocuSign.Model.GroupUsers.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.GroupUsers.t/0","ref":"DocuSign.Model.GroupUsers.html#t:t/0"},{"type":"module","doc":"Group information","title":"DocuSign.Model.Groups","ref":"DocuSign.Model.Groups.html"},{"type":"function","doc":"","title":"DocuSign.Model.Groups.decode/1","ref":"DocuSign.Model.Groups.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Groups.t/0","ref":"DocuSign.Model.Groups.html#t:t/0"},{"type":"module","doc":"A complex object specifying ID check configuration.","title":"DocuSign.Model.IdCheckConfiguration","ref":"DocuSign.Model.IdCheckConfiguration.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdCheckConfiguration.decode/1","ref":"DocuSign.Model.IdCheckConfiguration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdCheckConfiguration.t/0","ref":"DocuSign.Model.IdCheckConfiguration.html#t:t/0"},{"type":"module","doc":"A complex element that contains input information related to a recipient ID check.","title":"DocuSign.Model.IdCheckInformationInput","ref":"DocuSign.Model.IdCheckInformationInput.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdCheckInformationInput.decode/1","ref":"DocuSign.Model.IdCheckInformationInput.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdCheckInformationInput.t/0","ref":"DocuSign.Model.IdCheckInformationInput.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.IdCheckSecurityStep","ref":"DocuSign.Model.IdCheckSecurityStep.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdCheckSecurityStep.decode/1","ref":"DocuSign.Model.IdCheckSecurityStep.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdCheckSecurityStep.t/0","ref":"DocuSign.Model.IdCheckSecurityStep.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.IdEvidenceResourceToken","ref":"DocuSign.Model.IdEvidenceResourceToken.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdEvidenceResourceToken.decode/1","ref":"DocuSign.Model.IdEvidenceResourceToken.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdEvidenceResourceToken.t/0","ref":"DocuSign.Model.IdEvidenceResourceToken.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.IdEvidenceViewLink","ref":"DocuSign.Model.IdEvidenceViewLink.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdEvidenceViewLink.decode/1","ref":"DocuSign.Model.IdEvidenceViewLink.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdEvidenceViewLink.t/0","ref":"DocuSign.Model.IdEvidenceViewLink.html#t:t/0"},{"type":"module","doc":"Identity Verification enables you to verify a signer's identity before they can access a document. The `IdentityVerifications` resource provides a method that enables you to list the workflows that are available to an account.","title":"DocuSign.Model.IdentityVerifications","ref":"DocuSign.Model.IdentityVerifications.html"},{"type":"function","doc":"","title":"DocuSign.Model.IdentityVerifications.decode/1","ref":"DocuSign.Model.IdentityVerifications.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IdentityVerifications.t/0","ref":"DocuSign.Model.IdentityVerifications.html#t:t/0"},{"type":"module","doc":"Contains information about an in-person recipient. This is a Docusign user, acting as a Signing Host, who is in the same physical location as the signer. To learn about the fields used for the eNotary feature, see the [EnvelopeRecipients resource][resource].  [resource]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/#in-person-signer-recipient","title":"DocuSign.Model.InPersonSigner","ref":"DocuSign.Model.InPersonSigner.html"},{"type":"function","doc":"","title":"DocuSign.Model.InPersonSigner.decode/1","ref":"DocuSign.Model.InPersonSigner.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.InPersonSigner.t/0","ref":"DocuSign.Model.InPersonSigner.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to initial the document. May be optional.","title":"DocuSign.Model.InitialHere","ref":"DocuSign.Model.InitialHere.html"},{"type":"function","doc":"","title":"DocuSign.Model.InitialHere.decode/1","ref":"DocuSign.Model.InitialHere.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.InitialHere.t/0","ref":"DocuSign.Model.InitialHere.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.InlineTemplate","ref":"DocuSign.Model.InlineTemplate.html"},{"type":"function","doc":"","title":"DocuSign.Model.InlineTemplate.decode/1","ref":"DocuSign.Model.InlineTemplate.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.InlineTemplate.t/0","ref":"DocuSign.Model.InlineTemplate.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.IntegratedConnectUserInfoList","ref":"DocuSign.Model.IntegratedConnectUserInfoList.html"},{"type":"function","doc":"","title":"DocuSign.Model.IntegratedConnectUserInfoList.decode/1","ref":"DocuSign.Model.IntegratedConnectUserInfoList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IntegratedConnectUserInfoList.t/0","ref":"DocuSign.Model.IntegratedConnectUserInfoList.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.IntegratedUserInfoList","ref":"DocuSign.Model.IntegratedUserInfoList.html"},{"type":"function","doc":"","title":"DocuSign.Model.IntegratedUserInfoList.decode/1","ref":"DocuSign.Model.IntegratedUserInfoList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.IntegratedUserInfoList.t/0","ref":"DocuSign.Model.IntegratedUserInfoList.html#t:t/0"},{"type":"module","doc":"Contains information about an intermediary recipient. An intermediary is a recipient who can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order, unless subsequent agents, editors or intermediaries are added.","title":"DocuSign.Model.Intermediary","ref":"DocuSign.Model.Intermediary.html"},{"type":"function","doc":"","title":"DocuSign.Model.Intermediary.decode/1","ref":"DocuSign.Model.Intermediary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Intermediary.t/0","ref":"DocuSign.Model.Intermediary.html#t:t/0"},{"type":"module","doc":"Invoices","title":"DocuSign.Model.Invoices","ref":"DocuSign.Model.Invoices.html"},{"type":"function","doc":"","title":"DocuSign.Model.Invoices.decode/1","ref":"DocuSign.Model.Invoices.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Invoices.t/0","ref":"DocuSign.Model.Invoices.html#t:t/0"},{"type":"module","doc":"Describes the jurisdiction of a notary. This is read-only object.","title":"DocuSign.Model.Jurisdiction","ref":"DocuSign.Model.Jurisdiction.html"},{"type":"function","doc":"","title":"DocuSign.Model.Jurisdiction.decode/1","ref":"DocuSign.Model.Jurisdiction.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Jurisdiction.t/0","ref":"DocuSign.Model.Jurisdiction.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.JurisdictionSummary","ref":"DocuSign.Model.JurisdictionSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.JurisdictionSummary.decode/1","ref":"DocuSign.Model.JurisdictionSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.JurisdictionSummary.t/0","ref":"DocuSign.Model.JurisdictionSummary.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's last name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name.","title":"DocuSign.Model.LastName","ref":"DocuSign.Model.LastName.html"},{"type":"function","doc":"","title":"DocuSign.Model.LastName.decode/1","ref":"DocuSign.Model.LastName.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LastName.t/0","ref":"DocuSign.Model.LastName.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.LinkedExternalPrimaryAccount","ref":"DocuSign.Model.LinkedExternalPrimaryAccount.html"},{"type":"function","doc":"","title":"DocuSign.Model.LinkedExternalPrimaryAccount.decode/1","ref":"DocuSign.Model.LinkedExternalPrimaryAccount.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LinkedExternalPrimaryAccount.t/0","ref":"DocuSign.Model.LinkedExternalPrimaryAccount.html#t:t/0"},{"type":"module","doc":"This tab offers a list of options to choose from. The `listItems` property contains a list of [`listItem`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/) objects to specify the selectable options.","title":"DocuSign.Model.List","ref":"DocuSign.Model.List.html"},{"type":"function","doc":"","title":"DocuSign.Model.List.decode/1","ref":"DocuSign.Model.List.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.List.t/0","ref":"DocuSign.Model.List.html#t:t/0"},{"type":"module","doc":"This object represents a list custom field from which envelope creators and senders can select custom data.","title":"DocuSign.Model.ListCustomField","ref":"DocuSign.Model.ListCustomField.html"},{"type":"function","doc":"","title":"DocuSign.Model.ListCustomField.decode/1","ref":"DocuSign.Model.ListCustomField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ListCustomField.t/0","ref":"DocuSign.Model.ListCustomField.html#t:t/0"},{"type":"module","doc":"One of the selectable items in the `listItems` property of a [`list`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/) tab.","title":"DocuSign.Model.ListItem","ref":"DocuSign.Model.ListItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.ListItem.decode/1","ref":"DocuSign.Model.ListItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ListItem.t/0","ref":"DocuSign.Model.ListItem.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.LocalePolicy","ref":"DocuSign.Model.LocalePolicy.html"},{"type":"function","doc":"","title":"DocuSign.Model.LocalePolicy.decode/1","ref":"DocuSign.Model.LocalePolicy.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LocalePolicy.t/0","ref":"DocuSign.Model.LocalePolicy.html#t:t/0"},{"type":"module","doc":"Allows you to customize locale settings.","title":"DocuSign.Model.LocalePolicyTab","ref":"DocuSign.Model.LocalePolicyTab.html"},{"type":"function","doc":"","title":"DocuSign.Model.LocalePolicyTab.decode/1","ref":"DocuSign.Model.LocalePolicyTab.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LocalePolicyTab.t/0","ref":"DocuSign.Model.LocalePolicyTab.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.LockInformation","ref":"DocuSign.Model.LockInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.LockInformation.decode/1","ref":"DocuSign.Model.LockInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LockInformation.t/0","ref":"DocuSign.Model.LockInformation.html#t:t/0"},{"type":"module","doc":"This request object contains information about the lock that you want to create or update.","title":"DocuSign.Model.LockRequest","ref":"DocuSign.Model.LockRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.LockRequest.decode/1","ref":"DocuSign.Model.LockRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LockRequest.t/0","ref":"DocuSign.Model.LockRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.LoginAccount","ref":"DocuSign.Model.LoginAccount.html"},{"type":"function","doc":"","title":"DocuSign.Model.LoginAccount.decode/1","ref":"DocuSign.Model.LoginAccount.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LoginAccount.t/0","ref":"DocuSign.Model.LoginAccount.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.LoginInformation","ref":"DocuSign.Model.LoginInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.LoginInformation.decode/1","ref":"DocuSign.Model.LoginInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.LoginInformation.t/0","ref":"DocuSign.Model.LoginInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.MatchBox","ref":"DocuSign.Model.MatchBox.html"},{"type":"function","doc":"","title":"DocuSign.Model.MatchBox.decode/1","ref":"DocuSign.Model.MatchBox.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MatchBox.t/0","ref":"DocuSign.Model.MatchBox.html#t:t/0"},{"type":"module","doc":"Information about items shared among groups.","title":"DocuSign.Model.MemberGroupSharedItem","ref":"DocuSign.Model.MemberGroupSharedItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.MemberGroupSharedItem.decode/1","ref":"DocuSign.Model.MemberGroupSharedItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MemberGroupSharedItem.t/0","ref":"DocuSign.Model.MemberGroupSharedItem.html#t:t/0"},{"type":"module","doc":"Information about shared items.","title":"DocuSign.Model.MemberSharedItems","ref":"DocuSign.Model.MemberSharedItems.html"},{"type":"function","doc":"","title":"DocuSign.Model.MemberSharedItems.decode/1","ref":"DocuSign.Model.MemberSharedItems.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MemberSharedItems.t/0","ref":"DocuSign.Model.MemberSharedItems.html#t:t/0"},{"type":"module","doc":"Contains information for transferring values between Salesforce data fields and Docusign tabs.","title":"DocuSign.Model.MergeField","ref":"DocuSign.Model.MergeField.html"},{"type":"function","doc":"","title":"DocuSign.Model.MergeField.decode/1","ref":"DocuSign.Model.MergeField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MergeField.t/0","ref":"DocuSign.Model.MergeField.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.MobileNotifierConfiguration","ref":"DocuSign.Model.MobileNotifierConfiguration.html"},{"type":"function","doc":"","title":"DocuSign.Model.MobileNotifierConfiguration.decode/1","ref":"DocuSign.Model.MobileNotifierConfiguration.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MobileNotifierConfiguration.t/0","ref":"DocuSign.Model.MobileNotifierConfiguration.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.MobileNotifierConfigurationInformation","ref":"DocuSign.Model.MobileNotifierConfigurationInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.MobileNotifierConfigurationInformation.decode/1","ref":"DocuSign.Model.MobileNotifierConfigurationInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.MobileNotifierConfigurationInformation.t/0","ref":"DocuSign.Model.MobileNotifierConfigurationInformation.html#t:t/0"},{"type":"module","doc":"Describes information about the `total` of a payment.","title":"DocuSign.Model.Money","ref":"DocuSign.Model.Money.html"},{"type":"function","doc":"","title":"DocuSign.Model.Money.decode/1","ref":"DocuSign.Model.Money.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Money.t/0","ref":"DocuSign.Model.Money.html#t:t/0"},{"type":"module","doc":"A name-value pair that describes an item and provides a value for the item.","title":"DocuSign.Model.NameValue","ref":"DocuSign.Model.NameValue.html"},{"type":"function","doc":"","title":"DocuSign.Model.NameValue.decode/1","ref":"DocuSign.Model.NameValue.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NameValue.t/0","ref":"DocuSign.Model.NameValue.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NewAccountDefinition","ref":"DocuSign.Model.NewAccountDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.NewAccountDefinition.decode/1","ref":"DocuSign.Model.NewAccountDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NewAccountDefinition.t/0","ref":"DocuSign.Model.NewAccountDefinition.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NewAccountSummary","ref":"DocuSign.Model.NewAccountSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.NewAccountSummary.decode/1","ref":"DocuSign.Model.NewAccountSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NewAccountSummary.t/0","ref":"DocuSign.Model.NewAccountSummary.html#t:t/0"},{"type":"module","doc":"Object representing a new user.","title":"DocuSign.Model.NewUser","ref":"DocuSign.Model.NewUser.html"},{"type":"function","doc":"","title":"DocuSign.Model.NewUser.decode/1","ref":"DocuSign.Model.NewUser.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NewUser.t/0","ref":"DocuSign.Model.NewUser.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NewUsersDefinition","ref":"DocuSign.Model.NewUsersDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.NewUsersDefinition.decode/1","ref":"DocuSign.Model.NewUsersDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NewUsersDefinition.t/0","ref":"DocuSign.Model.NewUsersDefinition.html#t:t/0"},{"type":"module","doc":"Object representing a summary of data for new users.","title":"DocuSign.Model.NewUsersSummary","ref":"DocuSign.Model.NewUsersSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.NewUsersSummary.decode/1","ref":"DocuSign.Model.NewUsersSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NewUsersSummary.t/0","ref":"DocuSign.Model.NewUsersSummary.html#t:t/0"},{"type":"module","doc":"A tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page.","title":"DocuSign.Model.Notarize","ref":"DocuSign.Model.Notarize.html"},{"type":"function","doc":"","title":"DocuSign.Model.Notarize.decode/1","ref":"DocuSign.Model.Notarize.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Notarize.t/0","ref":"DocuSign.Model.Notarize.html#t:t/0"},{"type":"module","doc":"Use Docusign eNotary to notarize documents digitally. Check the [Docusign eNotary support documentation](https://support.docusign.com/s/document-item?bundleId=gko1642535666104&topicId=jiv1635359045452.html) to see which jurisdictions are supported.","title":"DocuSign.Model.Notary","ref":"DocuSign.Model.Notary.html"},{"type":"function","doc":"","title":"DocuSign.Model.Notary.decode/1","ref":"DocuSign.Model.Notary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Notary.t/0","ref":"DocuSign.Model.Notary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryContactDetails","ref":"DocuSign.Model.NotaryContactDetails.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryContactDetails.decode/1","ref":"DocuSign.Model.NotaryContactDetails.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryContactDetails.t/0","ref":"DocuSign.Model.NotaryContactDetails.html#t:t/0"},{"type":"module","doc":"This object is used only when `inPersonSigningType` in the `inPersonSigner` object is `notary`.  It describes information about the notary host. The following information is required when using the eNotary in-person signing flow:  * `name`: Specifies the notary's full legal name. * `email`: Specifies the notary's email address. * `recipientId`: A unique ID number for the notary signing host.","title":"DocuSign.Model.NotaryHost","ref":"DocuSign.Model.NotaryHost.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryHost.decode/1","ref":"DocuSign.Model.NotaryHost.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryHost.t/0","ref":"DocuSign.Model.NotaryHost.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryJournal","ref":"DocuSign.Model.NotaryJournal.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJournal.decode/1","ref":"DocuSign.Model.NotaryJournal.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJournal.t/0","ref":"DocuSign.Model.NotaryJournal.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryJournalCredibleWitness","ref":"DocuSign.Model.NotaryJournalCredibleWitness.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJournalCredibleWitness.decode/1","ref":"DocuSign.Model.NotaryJournalCredibleWitness.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJournalCredibleWitness.t/0","ref":"DocuSign.Model.NotaryJournalCredibleWitness.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryJournalList","ref":"DocuSign.Model.NotaryJournalList.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJournalList.decode/1","ref":"DocuSign.Model.NotaryJournalList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJournalList.t/0","ref":"DocuSign.Model.NotaryJournalList.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryJournalMetaData","ref":"DocuSign.Model.NotaryJournalMetaData.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJournalMetaData.decode/1","ref":"DocuSign.Model.NotaryJournalMetaData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJournalMetaData.t/0","ref":"DocuSign.Model.NotaryJournalMetaData.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryJournals","ref":"DocuSign.Model.NotaryJournals.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJournals.decode/1","ref":"DocuSign.Model.NotaryJournals.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJournals.t/0","ref":"DocuSign.Model.NotaryJournals.html#t:t/0"},{"type":"module","doc":"Creating, updating, and deleting notary jurisdiction objects.","title":"DocuSign.Model.NotaryJurisdiction","ref":"DocuSign.Model.NotaryJurisdiction.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJurisdiction.decode/1","ref":"DocuSign.Model.NotaryJurisdiction.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJurisdiction.t/0","ref":"DocuSign.Model.NotaryJurisdiction.html#t:t/0"},{"type":"module","doc":"A paged list of jurisdictions.","title":"DocuSign.Model.NotaryJurisdictionList","ref":"DocuSign.Model.NotaryJurisdictionList.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryJurisdictionList.decode/1","ref":"DocuSign.Model.NotaryJurisdictionList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryJurisdictionList.t/0","ref":"DocuSign.Model.NotaryJurisdictionList.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.NotaryRecipient","ref":"DocuSign.Model.NotaryRecipient.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryRecipient.decode/1","ref":"DocuSign.Model.NotaryRecipient.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryRecipient.t/0","ref":"DocuSign.Model.NotaryRecipient.html#t:t/0"},{"type":"module","doc":"Describes a single notary jurisdiction.","title":"DocuSign.Model.NotaryResult","ref":"DocuSign.Model.NotaryResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotaryResult.decode/1","ref":"DocuSign.Model.NotaryResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotaryResult.t/0","ref":"DocuSign.Model.NotaryResult.html#t:t/0"},{"type":"module","doc":"A Notary Seal tab enables the recipient to notarize a document. This tab can only be assigned to a remote notary recipient using [Docusign Notary][notary].  [notary]: /docs/notary-api/","title":"DocuSign.Model.NotarySeal","ref":"DocuSign.Model.NotarySeal.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotarySeal.decode/1","ref":"DocuSign.Model.NotarySeal.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotarySeal.t/0","ref":"DocuSign.Model.NotarySeal.html#t:t/0"},{"type":"module","doc":"A tab that displays additional information, in the form of a note, for the recipient.","title":"DocuSign.Model.Note","ref":"DocuSign.Model.Note.html"},{"type":"function","doc":"","title":"DocuSign.Model.Note.decode/1","ref":"DocuSign.Model.Note.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Note.t/0","ref":"DocuSign.Model.Note.html#t:t/0"},{"type":"module","doc":"A complex element that specifies the notification settings for the envelope.","title":"DocuSign.Model.Notification","ref":"DocuSign.Model.Notification.html"},{"type":"function","doc":"","title":"DocuSign.Model.Notification.decode/1","ref":"DocuSign.Model.Notification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Notification.t/0","ref":"DocuSign.Model.Notification.html#t:t/0"},{"type":"module","doc":"Contains details about the default notification settings for the envelope notifications that senders and signers receive.","title":"DocuSign.Model.NotificationDefaultSettings","ref":"DocuSign.Model.NotificationDefaultSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotificationDefaultSettings.decode/1","ref":"DocuSign.Model.NotificationDefaultSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotificationDefaultSettings.t/0","ref":"DocuSign.Model.NotificationDefaultSettings.html#t:t/0"},{"type":"module","doc":"The `NotificationDefaults` resource provides methods that enable you to manage the default notifications for envelopes.","title":"DocuSign.Model.NotificationDefaults","ref":"DocuSign.Model.NotificationDefaults.html"},{"type":"function","doc":"","title":"DocuSign.Model.NotificationDefaults.decode/1","ref":"DocuSign.Model.NotificationDefaults.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.NotificationDefaults.t/0","ref":"DocuSign.Model.NotificationDefaults.html#t:t/0"},{"type":"module","doc":"Number tabs validate that the entered value is a number. They do not support advanced validation or display options. See [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) to learn more about this tab type.","title":"DocuSign.Model.Number","ref":"DocuSign.Model.Number.html"},{"type":"function","doc":"","title":"DocuSign.Model.Number.decode/1","ref":"DocuSign.Model.Number.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Number.t/0","ref":"DocuSign.Model.Number.html#t:t/0"},{"type":"module","doc":"Numerical tabs provide robust display and validation features, including formatting for different regions and currencies, and minimum and maximum value validation. See [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) to learn more about this tab type.","title":"DocuSign.Model.Numerical","ref":"DocuSign.Model.Numerical.html"},{"type":"function","doc":"","title":"DocuSign.Model.Numerical.decode/1","ref":"DocuSign.Model.Numerical.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Numerical.t/0","ref":"DocuSign.Model.Numerical.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.OauthAccess","ref":"DocuSign.Model.OauthAccess.html"},{"type":"function","doc":"","title":"DocuSign.Model.OauthAccess.decode/1","ref":"DocuSign.Model.OauthAccess.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.OauthAccess.t/0","ref":"DocuSign.Model.OauthAccess.html#t:t/0"},{"type":"module","doc":"Reserved for Docusign.","title":"DocuSign.Model.OfflineAttributes","ref":"DocuSign.Model.OfflineAttributes.html"},{"type":"function","doc":"","title":"DocuSign.Model.OfflineAttributes.decode/1","ref":"DocuSign.Model.OfflineAttributes.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.OfflineAttributes.t/0","ref":"DocuSign.Model.OfflineAttributes.html#t:t/0"},{"type":"module","doc":"Description of a page of a document.","title":"DocuSign.Model.Page","ref":"DocuSign.Model.Page.html"},{"type":"function","doc":"","title":"DocuSign.Model.Page.decode/1","ref":"DocuSign.Model.Page.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Page.t/0","ref":"DocuSign.Model.Page.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PageImages","ref":"DocuSign.Model.PageImages.html"},{"type":"function","doc":"","title":"DocuSign.Model.PageImages.decode/1","ref":"DocuSign.Model.PageImages.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PageImages.t/0","ref":"DocuSign.Model.PageImages.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PageRequest","ref":"DocuSign.Model.PageRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.PageRequest.decode/1","ref":"DocuSign.Model.PageRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PageRequest.t/0","ref":"DocuSign.Model.PageRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PaletteItemSettings","ref":"DocuSign.Model.PaletteItemSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaletteItemSettings.decode/1","ref":"DocuSign.Model.PaletteItemSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaletteItemSettings.t/0","ref":"DocuSign.Model.PaletteItemSettings.html#t:t/0"},{"type":"module","doc":"Reserved for Docusign.","title":"DocuSign.Model.PaletteSettings","ref":"DocuSign.Model.PaletteSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaletteSettings.decode/1","ref":"DocuSign.Model.PaletteSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaletteSettings.t/0","ref":"DocuSign.Model.PaletteSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Participant","ref":"DocuSign.Model.Participant.html"},{"type":"function","doc":"","title":"DocuSign.Model.Participant.decode/1","ref":"DocuSign.Model.Participant.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Participant.t/0","ref":"DocuSign.Model.Participant.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PathExtendedElement","ref":"DocuSign.Model.PathExtendedElement.html"},{"type":"function","doc":"","title":"DocuSign.Model.PathExtendedElement.decode/1","ref":"DocuSign.Model.PathExtendedElement.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PathExtendedElement.t/0","ref":"DocuSign.Model.PathExtendedElement.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PayPalLegacySettings","ref":"DocuSign.Model.PayPalLegacySettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.PayPalLegacySettings.decode/1","ref":"DocuSign.Model.PayPalLegacySettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PayPalLegacySettings.t/0","ref":"DocuSign.Model.PayPalLegacySettings.html#t:t/0"},{"type":"module","doc":"When a formula tab has a `paymentDetails` property, the formula tab is a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the Docusign Support Center to learn more about payments.  [paymentguide]:     https://support.docusign.com/s/document-item?bundleId=juu1573854950452&topicId=fyw1573854935374.html","title":"DocuSign.Model.PaymentDetails","ref":"DocuSign.Model.PaymentDetails.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentDetails.decode/1","ref":"DocuSign.Model.PaymentDetails.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentDetails.t/0","ref":"DocuSign.Model.PaymentDetails.html#t:t/0"},{"type":"module","doc":"This object contains details about a payment gateway account.","title":"DocuSign.Model.PaymentGatewayAccount","ref":"DocuSign.Model.PaymentGatewayAccount.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentGatewayAccount.decode/1","ref":"DocuSign.Model.PaymentGatewayAccount.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentGatewayAccount.t/0","ref":"DocuSign.Model.PaymentGatewayAccount.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PaymentGatewayAccountSetting","ref":"DocuSign.Model.PaymentGatewayAccountSetting.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentGatewayAccountSetting.decode/1","ref":"DocuSign.Model.PaymentGatewayAccountSetting.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentGatewayAccountSetting.t/0","ref":"DocuSign.Model.PaymentGatewayAccountSetting.html#t:t/0"},{"type":"module","doc":"Information about a connected payment gateway account.","title":"DocuSign.Model.PaymentGatewayAccounts","ref":"DocuSign.Model.PaymentGatewayAccounts.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentGatewayAccounts.decode/1","ref":"DocuSign.Model.PaymentGatewayAccounts.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentGatewayAccounts.t/0","ref":"DocuSign.Model.PaymentGatewayAccounts.html#t:t/0"},{"type":"module","doc":"Holds information about connected payment accounts.","title":"DocuSign.Model.PaymentGatewayAccountsInfo","ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentGatewayAccountsInfo.decode/1","ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentGatewayAccountsInfo.t/0","ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html#t:t/0"},{"type":"module","doc":"A line item describes details about an individual line item in a payment request.","title":"DocuSign.Model.PaymentLineItem","ref":"DocuSign.Model.PaymentLineItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentLineItem.decode/1","ref":"DocuSign.Model.PaymentLineItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentLineItem.t/0","ref":"DocuSign.Model.PaymentLineItem.html#t:t/0"},{"type":"module","doc":"This object contains information about a payment method that the gateway accepts and the payment options that are compatible with it.","title":"DocuSign.Model.PaymentMethodWithOptions","ref":"DocuSign.Model.PaymentMethodWithOptions.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentMethodWithOptions.decode/1","ref":"DocuSign.Model.PaymentMethodWithOptions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentMethodWithOptions.t/0","ref":"DocuSign.Model.PaymentMethodWithOptions.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PaymentProcessorInformation","ref":"DocuSign.Model.PaymentProcessorInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentProcessorInformation.decode/1","ref":"DocuSign.Model.PaymentProcessorInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentProcessorInformation.t/0","ref":"DocuSign.Model.PaymentProcessorInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PaymentSignerValues","ref":"DocuSign.Model.PaymentSignerValues.html"},{"type":"function","doc":"","title":"DocuSign.Model.PaymentSignerValues.decode/1","ref":"DocuSign.Model.PaymentSignerValues.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PaymentSignerValues.t/0","ref":"DocuSign.Model.PaymentSignerValues.html#t:t/0"},{"type":"module","doc":"Payments","title":"DocuSign.Model.Payments","ref":"DocuSign.Model.Payments.html"},{"type":"function","doc":"","title":"DocuSign.Model.Payments.decode/1","ref":"DocuSign.Model.Payments.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Payments.t/0","ref":"DocuSign.Model.Payments.html#t:t/0"},{"type":"module","doc":"This object defines the account permissions for a profile that you can apply to a group of users.","title":"DocuSign.Model.PermissionProfile","ref":"DocuSign.Model.PermissionProfile.html"},{"type":"function","doc":"","title":"DocuSign.Model.PermissionProfile.decode/1","ref":"DocuSign.Model.PermissionProfile.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PermissionProfile.t/0","ref":"DocuSign.Model.PermissionProfile.html#t:t/0"},{"type":"module","doc":"Contains details about the permission profiles associated with an account.","title":"DocuSign.Model.PermissionProfileInformation","ref":"DocuSign.Model.PermissionProfileInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.PermissionProfileInformation.decode/1","ref":"DocuSign.Model.PermissionProfileInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PermissionProfileInformation.t/0","ref":"DocuSign.Model.PermissionProfileInformation.html#t:t/0"},{"type":"module","doc":"A Phone Number tab enables a recipient to enter a phone number.  **Note:** This tab can only be assigned to a remote notary recipient using [Docusign Notary][notary].  [notary]: /docs/notary-api/","title":"DocuSign.Model.PhoneNumber","ref":"DocuSign.Model.PhoneNumber.html"},{"type":"function","doc":"","title":"DocuSign.Model.PhoneNumber.decode/1","ref":"DocuSign.Model.PhoneNumber.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PhoneNumber.t/0","ref":"DocuSign.Model.PhoneNumber.html#t:t/0"},{"type":"module","doc":"An object used to identify the features and attributes of the account being created.","title":"DocuSign.Model.PlanInformation","ref":"DocuSign.Model.PlanInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.PlanInformation.decode/1","ref":"DocuSign.Model.PlanInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PlanInformation.t/0","ref":"DocuSign.Model.PlanInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PolyLine","ref":"DocuSign.Model.PolyLine.html"},{"type":"function","doc":"","title":"DocuSign.Model.PolyLine.decode/1","ref":"DocuSign.Model.PolyLine.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PolyLine.t/0","ref":"DocuSign.Model.PolyLine.html#t:t/0"},{"type":"module","doc":"This tab enables users to strike through the text of a document. The tab is implemented as a line represented as a pair of x and y coordinates.","title":"DocuSign.Model.PolyLineOverlay","ref":"DocuSign.Model.PolyLineOverlay.html"},{"type":"function","doc":"","title":"DocuSign.Model.PolyLineOverlay.decode/1","ref":"DocuSign.Model.PolyLineOverlay.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PolyLineOverlay.t/0","ref":"DocuSign.Model.PolyLineOverlay.html#t:t/0"},{"type":"module","doc":"Contains details about a PowerForm.","title":"DocuSign.Model.PowerForm","ref":"DocuSign.Model.PowerForm.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerForm.decode/1","ref":"DocuSign.Model.PowerForm.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerForm.t/0","ref":"DocuSign.Model.PowerForm.html#t:t/0"},{"type":"module","doc":"Data that recipients have entered in PowerForm fields.","title":"DocuSign.Model.PowerFormData","ref":"DocuSign.Model.PowerFormData.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormData.decode/1","ref":"DocuSign.Model.PowerFormData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormData.t/0","ref":"DocuSign.Model.PowerFormData.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PowerFormFormDataEnvelope","ref":"DocuSign.Model.PowerFormFormDataEnvelope.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormFormDataEnvelope.decode/1","ref":"DocuSign.Model.PowerFormFormDataEnvelope.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormFormDataEnvelope.t/0","ref":"DocuSign.Model.PowerFormFormDataEnvelope.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PowerFormFormDataRecipient","ref":"DocuSign.Model.PowerFormFormDataRecipient.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormFormDataRecipient.decode/1","ref":"DocuSign.Model.PowerFormFormDataRecipient.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormFormDataRecipient.t/0","ref":"DocuSign.Model.PowerFormFormDataRecipient.html#t:t/0"},{"type":"module","doc":"**Note:** For a self-service PowerForm on a website, you can specify the intended recipients generically (for example, use `Member` as the `Name`), and omit personal details such as `email`.","title":"DocuSign.Model.PowerFormRecipient","ref":"DocuSign.Model.PowerFormRecipient.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormRecipient.decode/1","ref":"DocuSign.Model.PowerFormRecipient.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormRecipient.t/0","ref":"DocuSign.Model.PowerFormRecipient.html#t:t/0"},{"type":"module","doc":"This object includes information about the users who have sent PowerForms.","title":"DocuSign.Model.PowerFormSendersResponse","ref":"DocuSign.Model.PowerFormSendersResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormSendersResponse.decode/1","ref":"DocuSign.Model.PowerFormSendersResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormSendersResponse.t/0","ref":"DocuSign.Model.PowerFormSendersResponse.html#t:t/0"},{"type":"module","doc":"The PowerForms resource enables you to create fillable forms that you can email or make available for self service on the web.","title":"DocuSign.Model.PowerForms","ref":"DocuSign.Model.PowerForms.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerForms.decode/1","ref":"DocuSign.Model.PowerForms.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerForms.t/0","ref":"DocuSign.Model.PowerForms.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PowerFormsFormDataResponse","ref":"DocuSign.Model.PowerFormsFormDataResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormsFormDataResponse.decode/1","ref":"DocuSign.Model.PowerFormsFormDataResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormsFormDataResponse.t/0","ref":"DocuSign.Model.PowerFormsFormDataResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PowerFormsRequest","ref":"DocuSign.Model.PowerFormsRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormsRequest.decode/1","ref":"DocuSign.Model.PowerFormsRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormsRequest.t/0","ref":"DocuSign.Model.PowerFormsRequest.html#t:t/0"},{"type":"module","doc":"A list of PowerForms.","title":"DocuSign.Model.PowerFormsResponse","ref":"DocuSign.Model.PowerFormsResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.PowerFormsResponse.decode/1","ref":"DocuSign.Model.PowerFormsResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PowerFormsResponse.t/0","ref":"DocuSign.Model.PowerFormsResponse.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PrefillFormData","ref":"DocuSign.Model.PrefillFormData.html"},{"type":"function","doc":"","title":"DocuSign.Model.PrefillFormData.decode/1","ref":"DocuSign.Model.PrefillFormData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PrefillFormData.t/0","ref":"DocuSign.Model.PrefillFormData.html#t:t/0"},{"type":"module","doc":"Prefill tabs are tabs that the sender can fill in before the envelope is sent. They are sometimes called sender tags or pre-fill fields.  Only the following tab types can be prefill tabs:  - text - check boxes - radio buttons    [Pre-Fill Your Own Document Fields][app] describes how prefill tabs work in the web application.   [Customize your envelopes with pre-fill fields][catblog] shows how to use prefill tabs in your application using the eSignature SDKs.  [app]:      https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=nwo1611173513994.html [catblog]:  https://www.docusign.com/blog/developers/common-api-tasks-customize-your-envelopes-pre-fill-fields","title":"DocuSign.Model.PrefillTabs","ref":"DocuSign.Model.PrefillTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.PrefillTabs.decode/1","ref":"DocuSign.Model.PrefillTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PrefillTabs.t/0","ref":"DocuSign.Model.PrefillTabs.html#t:t/0"},{"type":"module","doc":"Metadata about a property.","title":"DocuSign.Model.PropertyMetadata","ref":"DocuSign.Model.PropertyMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.PropertyMetadata.decode/1","ref":"DocuSign.Model.PropertyMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PropertyMetadata.t/0","ref":"DocuSign.Model.PropertyMetadata.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Province","ref":"DocuSign.Model.Province.html"},{"type":"function","doc":"","title":"DocuSign.Model.Province.decode/1","ref":"DocuSign.Model.Province.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Province.t/0","ref":"DocuSign.Model.Province.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ProvisioningInformation","ref":"DocuSign.Model.ProvisioningInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.ProvisioningInformation.decode/1","ref":"DocuSign.Model.ProvisioningInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ProvisioningInformation.t/0","ref":"DocuSign.Model.ProvisioningInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.PurchasedEnvelopesInformation","ref":"DocuSign.Model.PurchasedEnvelopesInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.PurchasedEnvelopesInformation.decode/1","ref":"DocuSign.Model.PurchasedEnvelopesInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.PurchasedEnvelopesInformation.t/0","ref":"DocuSign.Model.PurchasedEnvelopesInformation.html#t:t/0"},{"type":"module","doc":"One of the selectable radio buttons in the `radios` property of a [`radioGroup`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/) tab.","title":"DocuSign.Model.Radio","ref":"DocuSign.Model.Radio.html"},{"type":"function","doc":"","title":"DocuSign.Model.Radio.decode/1","ref":"DocuSign.Model.Radio.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Radio.t/0","ref":"DocuSign.Model.Radio.html#t:t/0"},{"type":"module","doc":"This group tab is used to place radio buttons on a document. The `radios` property contains a list of [`radio`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/) objects  associated with the group. Only one radio button can be selected in a group.","title":"DocuSign.Model.RadioGroup","ref":"DocuSign.Model.RadioGroup.html"},{"type":"function","doc":"","title":"DocuSign.Model.RadioGroup.decode/1","ref":"DocuSign.Model.RadioGroup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RadioGroup.t/0","ref":"DocuSign.Model.RadioGroup.html#t:t/0"},{"type":"module","doc":"Describes an additional notification method.","title":"DocuSign.Model.RecipientAdditionalNotification","ref":"DocuSign.Model.RecipientAdditionalNotification.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientAdditionalNotification.decode/1","ref":"DocuSign.Model.RecipientAdditionalNotification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientAdditionalNotification.t/0","ref":"DocuSign.Model.RecipientAdditionalNotification.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientAttachment","ref":"DocuSign.Model.RecipientAttachment.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientAttachment.decode/1","ref":"DocuSign.Model.RecipientAttachment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientAttachment.t/0","ref":"DocuSign.Model.RecipientAttachment.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientDomain","ref":"DocuSign.Model.RecipientDomain.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientDomain.decode/1","ref":"DocuSign.Model.RecipientDomain.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientDomain.t/0","ref":"DocuSign.Model.RecipientDomain.html#t:t/0"},{"type":"module","doc":"Sets custom email subject and email body for individual recipients. **Note:** You must explicitly set `supportedLanguage` if you use this feature.","title":"DocuSign.Model.RecipientEmailNotification","ref":"DocuSign.Model.RecipientEmailNotification.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientEmailNotification.decode/1","ref":"DocuSign.Model.RecipientEmailNotification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientEmailNotification.t/0","ref":"DocuSign.Model.RecipientEmailNotification.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientEvent","ref":"DocuSign.Model.RecipientEvent.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientEvent.decode/1","ref":"DocuSign.Model.RecipientEvent.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientEvent.t/0","ref":"DocuSign.Model.RecipientEvent.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientFormData","ref":"DocuSign.Model.RecipientFormData.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientFormData.decode/1","ref":"DocuSign.Model.RecipientFormData.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientFormData.t/0","ref":"DocuSign.Model.RecipientFormData.html#t:t/0"},{"type":"module","doc":"Describes a group of recipients.","title":"DocuSign.Model.RecipientGroup","ref":"DocuSign.Model.RecipientGroup.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientGroup.decode/1","ref":"DocuSign.Model.RecipientGroup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientGroup.t/0","ref":"DocuSign.Model.RecipientGroup.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientIdentityInputOption","ref":"DocuSign.Model.RecipientIdentityInputOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientIdentityInputOption.decode/1","ref":"DocuSign.Model.RecipientIdentityInputOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientIdentityInputOption.t/0","ref":"DocuSign.Model.RecipientIdentityInputOption.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientIdentityPhoneNumber","ref":"DocuSign.Model.RecipientIdentityPhoneNumber.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientIdentityPhoneNumber.decode/1","ref":"DocuSign.Model.RecipientIdentityPhoneNumber.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientIdentityPhoneNumber.t/0","ref":"DocuSign.Model.RecipientIdentityPhoneNumber.html#t:t/0"},{"type":"module","doc":"Specifies ID Verification applied on an envelope by workflow ID. See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other [recipient authentication](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=kzp1578456318101.html) methods.","title":"DocuSign.Model.RecipientIdentityVerification","ref":"DocuSign.Model.RecipientIdentityVerification.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientIdentityVerification.decode/1","ref":"DocuSign.Model.RecipientIdentityVerification.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientIdentityVerification.t/0","ref":"DocuSign.Model.RecipientIdentityVerification.html#t:t/0"},{"type":"module","doc":"This response object contains a list of recipients.","title":"DocuSign.Model.RecipientNamesResponse","ref":"DocuSign.Model.RecipientNamesResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientNamesResponse.decode/1","ref":"DocuSign.Model.RecipientNamesResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientNamesResponse.t/0","ref":"DocuSign.Model.RecipientNamesResponse.html#t:t/0"},{"type":"module","doc":"Describes a recipient who is a member of a conditional group.","title":"DocuSign.Model.RecipientOption","ref":"DocuSign.Model.RecipientOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientOption.decode/1","ref":"DocuSign.Model.RecipientOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientOption.t/0","ref":"DocuSign.Model.RecipientOption.html#t:t/0"},{"type":"module","doc":"A complex type that contains the elements:  * `recipMayProvideNumber`: A Boolean value that specifies whether the recipient can use the phone number of their choice. * `senderProvidedNumbers`: A list of phone numbers that the recipient can use. * `recordVoicePrint`: Reserved for Docusign. * `validateRecipProvidedNumber`: Reserved for Docusign.","title":"DocuSign.Model.RecipientPhoneAuthentication","ref":"DocuSign.Model.RecipientPhoneAuthentication.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientPhoneAuthentication.decode/1","ref":"DocuSign.Model.RecipientPhoneAuthentication.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientPhoneAuthentication.t/0","ref":"DocuSign.Model.RecipientPhoneAuthentication.html#t:t/0"},{"type":"module","doc":"Describes the recipient phone number.","title":"DocuSign.Model.RecipientPhoneNumber","ref":"DocuSign.Model.RecipientPhoneNumber.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientPhoneNumber.decode/1","ref":"DocuSign.Model.RecipientPhoneNumber.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientPhoneNumber.t/0","ref":"DocuSign.Model.RecipientPhoneNumber.html#t:t/0"},{"type":"module","doc":"This request object contains the information necessary to create a recipient preview.","title":"DocuSign.Model.RecipientPreviewRequest","ref":"DocuSign.Model.RecipientPreviewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientPreviewRequest.decode/1","ref":"DocuSign.Model.RecipientPreviewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientPreviewRequest.t/0","ref":"DocuSign.Model.RecipientPreviewRequest.html#t:t/0"},{"type":"module","doc":"The proof file of the recipient. [ID Evidence](/docs/idevidence-api/) uses proof files to store the identification data that recipients submit when verifying their ID with [ID Verification](/docs/esign-rest-api/esign101/concepts/documents/)","title":"DocuSign.Model.RecipientProofFile","ref":"DocuSign.Model.RecipientProofFile.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientProofFile.decode/1","ref":"DocuSign.Model.RecipientProofFile.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientProofFile.t/0","ref":"DocuSign.Model.RecipientProofFile.html#t:t/0"},{"type":"module","doc":"Describes the recipient routing rules.","title":"DocuSign.Model.RecipientRouting","ref":"DocuSign.Model.RecipientRouting.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientRouting.decode/1","ref":"DocuSign.Model.RecipientRouting.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientRouting.t/0","ref":"DocuSign.Model.RecipientRouting.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientRules","ref":"DocuSign.Model.RecipientRules.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientRules.decode/1","ref":"DocuSign.Model.RecipientRules.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientRules.t/0","ref":"DocuSign.Model.RecipientRules.html#t:t/0"},{"type":"module","doc":"Allows the sender to pre-specify the signature name, signature initials and signature font used in the signature stamp for the recipient.  Used only with recipient types In Person Signers and Signers.","title":"DocuSign.Model.RecipientSignatureInformation","ref":"DocuSign.Model.RecipientSignatureInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientSignatureInformation.decode/1","ref":"DocuSign.Model.RecipientSignatureInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientSignatureInformation.t/0","ref":"DocuSign.Model.RecipientSignatureInformation.html#t:t/0"},{"type":"module","doc":"An Electronic or Standards Based Signature (digital signature) provider for the signer to use. [More information](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/).","title":"DocuSign.Model.RecipientSignatureProvider","ref":"DocuSign.Model.RecipientSignatureProvider.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientSignatureProvider.decode/1","ref":"DocuSign.Model.RecipientSignatureProvider.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientSignatureProvider.t/0","ref":"DocuSign.Model.RecipientSignatureProvider.html#t:t/0"},{"type":"module","doc":"Option settings for the signature provider. Different providers require or use different options. [The current provider list and the options they require.](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/)","title":"DocuSign.Model.RecipientSignatureProviderOptions","ref":"DocuSign.Model.RecipientSignatureProviderOptions.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientSignatureProviderOptions.decode/1","ref":"DocuSign.Model.RecipientSignatureProviderOptions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientSignatureProviderOptions.t/0","ref":"DocuSign.Model.RecipientSignatureProviderOptions.html#t:t/0"},{"type":"module","doc":"Contains the element senderProvidedNumbers which is an Array  of phone numbers the recipient can use for SMS text authentication.","title":"DocuSign.Model.RecipientSmsAuthentication","ref":"DocuSign.Model.RecipientSmsAuthentication.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientSmsAuthentication.decode/1","ref":"DocuSign.Model.RecipientSmsAuthentication.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientSmsAuthentication.t/0","ref":"DocuSign.Model.RecipientSmsAuthentication.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.RecipientTokenClientUrls","ref":"DocuSign.Model.RecipientTokenClientUrls.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientTokenClientUrls.decode/1","ref":"DocuSign.Model.RecipientTokenClientUrls.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientTokenClientUrls.t/0","ref":"DocuSign.Model.RecipientTokenClientUrls.html#t:t/0"},{"type":"module","doc":"The recipient details that are returned after you update the recipient.","title":"DocuSign.Model.RecipientUpdateResponse","ref":"DocuSign.Model.RecipientUpdateResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientUpdateResponse.decode/1","ref":"DocuSign.Model.RecipientUpdateResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientUpdateResponse.t/0","ref":"DocuSign.Model.RecipientUpdateResponse.html#t:t/0"},{"type":"module","doc":"The request body for the [EnvelopeViews: createRecipient](/docs/esign-rest-api/reference/envelopes/envelopeviews/createrecipient/) and [EnvelopeViews: createSharedRecipient](/docs/esign-rest-api/reference/envelopes/envelopeviews/createsharedrecipient/) methods.","title":"DocuSign.Model.RecipientViewRequest","ref":"DocuSign.Model.RecipientViewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientViewRequest.decode/1","ref":"DocuSign.Model.RecipientViewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientViewRequest.t/0","ref":"DocuSign.Model.RecipientViewRequest.html#t:t/0"},{"type":"module","doc":"A model representing the response from a recipient view URL request.","title":"DocuSign.Model.RecipientViewUrl","ref":"DocuSign.Model.RecipientViewUrl.html"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientViewUrl.t/0","ref":"DocuSign.Model.RecipientViewUrl.html#t:t/0"},{"type":"module","doc":"Specifies the envelope recipients.","title":"DocuSign.Model.Recipients","ref":"DocuSign.Model.Recipients.html"},{"type":"function","doc":"","title":"DocuSign.Model.Recipients.decode/1","ref":"DocuSign.Model.Recipients.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Recipients.t/0","ref":"DocuSign.Model.Recipients.html#t:t/0"},{"type":"module","doc":"This is the response that the API returns after you update recipients.","title":"DocuSign.Model.RecipientsUpdateSummary","ref":"DocuSign.Model.RecipientsUpdateSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.RecipientsUpdateSummary.decode/1","ref":"DocuSign.Model.RecipientsUpdateSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RecipientsUpdateSummary.t/0","ref":"DocuSign.Model.RecipientsUpdateSummary.html#t:t/0"},{"type":"module","doc":"A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry  **Note:** saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.","title":"DocuSign.Model.ReferralInformation","ref":"DocuSign.Model.ReferralInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.ReferralInformation.decode/1","ref":"DocuSign.Model.ReferralInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ReferralInformation.t/0","ref":"DocuSign.Model.ReferralInformation.html#t:t/0"},{"type":"module","doc":"A complex element that specifies reminder settings for the envelope.","title":"DocuSign.Model.Reminders","ref":"DocuSign.Model.Reminders.html"},{"type":"function","doc":"","title":"DocuSign.Model.Reminders.decode/1","ref":"DocuSign.Model.Reminders.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Reminders.t/0","ref":"DocuSign.Model.Reminders.html#t:t/0"},{"type":"module","doc":"Request logs","title":"DocuSign.Model.RequestLogs","ref":"DocuSign.Model.RequestLogs.html"},{"type":"function","doc":"","title":"DocuSign.Model.RequestLogs.decode/1","ref":"DocuSign.Model.RequestLogs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.RequestLogs.t/0","ref":"DocuSign.Model.RequestLogs.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ResourceInformation","ref":"DocuSign.Model.ResourceInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.ResourceInformation.decode/1","ref":"DocuSign.Model.ResourceInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ResourceInformation.t/0","ref":"DocuSign.Model.ResourceInformation.html#t:t/0"},{"type":"module","doc":"API resource information","title":"DocuSign.Model.Resources","ref":"DocuSign.Model.Resources.html"},{"type":"function","doc":"","title":"DocuSign.Model.Resources.decode/1","ref":"DocuSign.Model.Resources.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Resources.t/0","ref":"DocuSign.Model.Resources.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ResponsiveHtml","ref":"DocuSign.Model.ResponsiveHtml.html"},{"type":"function","doc":"","title":"DocuSign.Model.ResponsiveHtml.decode/1","ref":"DocuSign.Model.ResponsiveHtml.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ResponsiveHtml.t/0","ref":"DocuSign.Model.ResponsiveHtml.html#t:t/0"},{"type":"module","doc":"This resource is used to create a responsive preview of all of the documents in an envelope.","title":"DocuSign.Model.ResponsiveHtmlPreview","ref":"DocuSign.Model.ResponsiveHtmlPreview.html"},{"type":"function","doc":"","title":"DocuSign.Model.ResponsiveHtmlPreview.decode/1","ref":"DocuSign.Model.ResponsiveHtmlPreview.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ResponsiveHtmlPreview.t/0","ref":"DocuSign.Model.ResponsiveHtmlPreview.html#t:t/0"},{"type":"module","doc":"A complex element that specifies the scheduled sending settings for the envelope.","title":"DocuSign.Model.ScheduledSending","ref":"DocuSign.Model.ScheduledSending.html"},{"type":"function","doc":"","title":"DocuSign.Model.ScheduledSending.decode/1","ref":"DocuSign.Model.ScheduledSending.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ScheduledSending.t/0","ref":"DocuSign.Model.ScheduledSending.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SealIdentifier","ref":"DocuSign.Model.SealIdentifier.html"},{"type":"function","doc":"","title":"DocuSign.Model.SealIdentifier.decode/1","ref":"DocuSign.Model.SealIdentifier.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SealIdentifier.t/0","ref":"DocuSign.Model.SealIdentifier.html#t:t/0"},{"type":"module","doc":"Specifies one or more electronic seals to apply on documents. An electronic seal recipient is a legal entity rather than an actual person. Electronic Seals can be used by organizations and governments to show evidence of origin and integrity of documents. Even though electronic seals can be represented by a tab in a document, they do not require user interaction and apply automatically in the order specified by the sender. The sender is therefore the person authorizing usage of the electronic seal in the flow.  Example:  ```json \"recipients\": {       \"seals\": [         {           \"recipientId\": \"1\",           \"routingOrder\" : 1,           \"recipientSignatureProviders\": [             {               \"sealName\": \"52e9d968-xxxx-xxxx-xxxx-4682bc45c106\"             }         ]       }     ]   },     .     .     . ``` For more information about Electronic Seals, see [Apply Electronic Seals to Your Documents](https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html).","title":"DocuSign.Model.SealSign","ref":"DocuSign.Model.SealSign.html"},{"type":"function","doc":"","title":"DocuSign.Model.SealSign.decode/1","ref":"DocuSign.Model.SealSign.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SealSign.t/0","ref":"DocuSign.Model.SealSign.html#t:t/0"},{"type":"module","doc":"This object contains information about a seat discount.","title":"DocuSign.Model.SeatDiscount","ref":"DocuSign.Model.SeatDiscount.html"},{"type":"function","doc":"","title":"DocuSign.Model.SeatDiscount.decode/1","ref":"DocuSign.Model.SeatDiscount.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SeatDiscount.t/0","ref":"DocuSign.Model.SeatDiscount.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SenderCompany","ref":"DocuSign.Model.SenderCompany.html"},{"type":"function","doc":"","title":"DocuSign.Model.SenderCompany.decode/1","ref":"DocuSign.Model.SenderCompany.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SenderCompany.t/0","ref":"DocuSign.Model.SenderCompany.html#t:t/0"},{"type":"module","doc":"Contains the settings for the email notifications that senders receive about the envelopes that they send.","title":"DocuSign.Model.SenderEmailNotifications","ref":"DocuSign.Model.SenderEmailNotifications.html"},{"type":"function","doc":"","title":"DocuSign.Model.SenderEmailNotifications.decode/1","ref":"DocuSign.Model.SenderEmailNotifications.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SenderEmailNotifications.t/0","ref":"DocuSign.Model.SenderEmailNotifications.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SenderName","ref":"DocuSign.Model.SenderName.html"},{"type":"function","doc":"","title":"DocuSign.Model.SenderName.decode/1","ref":"DocuSign.Model.SenderName.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SenderName.t/0","ref":"DocuSign.Model.SenderName.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ServerTemplate","ref":"DocuSign.Model.ServerTemplate.html"},{"type":"function","doc":"","title":"DocuSign.Model.ServerTemplate.decode/1","ref":"DocuSign.Model.ServerTemplate.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ServerTemplate.t/0","ref":"DocuSign.Model.ServerTemplate.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ServiceInformation","ref":"DocuSign.Model.ServiceInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.ServiceInformation.decode/1","ref":"DocuSign.Model.ServiceInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ServiceInformation.t/0","ref":"DocuSign.Model.ServiceInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ServiceVersion","ref":"DocuSign.Model.ServiceVersion.html"},{"type":"function","doc":"","title":"DocuSign.Model.ServiceVersion.decode/1","ref":"DocuSign.Model.ServiceVersion.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ServiceVersion.t/0","ref":"DocuSign.Model.ServiceVersion.html#t:t/0"},{"type":"module","doc":"API service information","title":"DocuSign.Model.Services","ref":"DocuSign.Model.Services.html"},{"type":"function","doc":"","title":"DocuSign.Model.Services.decode/1","ref":"DocuSign.Model.Services.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Services.t/0","ref":"DocuSign.Model.Services.html#t:t/0"},{"type":"module","doc":"Metadata that indicates whether a property is editable and describes setting-specific options.","title":"DocuSign.Model.SettingsMetadata","ref":"DocuSign.Model.SettingsMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.SettingsMetadata.decode/1","ref":"DocuSign.Model.SettingsMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SettingsMetadata.t/0","ref":"DocuSign.Model.SettingsMetadata.html#t:t/0"},{"type":"module","doc":"Information about the shared item.","title":"DocuSign.Model.SharedItem","ref":"DocuSign.Model.SharedItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.SharedItem.decode/1","ref":"DocuSign.Model.SharedItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SharedItem.t/0","ref":"DocuSign.Model.SharedItem.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to sign a document. May be optional.","title":"DocuSign.Model.SignHere","ref":"DocuSign.Model.SignHere.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignHere.decode/1","ref":"DocuSign.Model.SignHere.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignHere.t/0","ref":"DocuSign.Model.SignHere.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SignatureGroup","ref":"DocuSign.Model.SignatureGroup.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureGroup.decode/1","ref":"DocuSign.Model.SignatureGroup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureGroup.t/0","ref":"DocuSign.Model.SignatureGroup.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SignatureGroupDef","ref":"DocuSign.Model.SignatureGroupDef.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureGroupDef.decode/1","ref":"DocuSign.Model.SignatureGroupDef.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureGroupDef.t/0","ref":"DocuSign.Model.SignatureGroupDef.html#t:t/0"},{"type":"module","doc":"Contains additional information that a specific signature provider requires.","title":"DocuSign.Model.SignatureProviderRequiredOption","ref":"DocuSign.Model.SignatureProviderRequiredOption.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureProviderRequiredOption.decode/1","ref":"DocuSign.Model.SignatureProviderRequiredOption.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureProviderRequiredOption.t/0","ref":"DocuSign.Model.SignatureProviderRequiredOption.html#t:t/0"},{"type":"module","doc":"This object contains information about the type of signature.","title":"DocuSign.Model.SignatureType","ref":"DocuSign.Model.SignatureType.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureType.decode/1","ref":"DocuSign.Model.SignatureType.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureType.t/0","ref":"DocuSign.Model.SignatureType.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SignatureUser","ref":"DocuSign.Model.SignatureUser.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureUser.decode/1","ref":"DocuSign.Model.SignatureUser.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureUser.t/0","ref":"DocuSign.Model.SignatureUser.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SignatureUserDef","ref":"DocuSign.Model.SignatureUserDef.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignatureUserDef.decode/1","ref":"DocuSign.Model.SignatureUserDef.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignatureUserDef.t/0","ref":"DocuSign.Model.SignatureUserDef.html#t:t/0"},{"type":"module","doc":"A complex type containing information about a signer recipient. A signer is a recipient who must take action on a document, such as sign, initial, date, or add data to form fields on a document.","title":"DocuSign.Model.Signer","ref":"DocuSign.Model.Signer.html"},{"type":"function","doc":"","title":"DocuSign.Model.Signer.decode/1","ref":"DocuSign.Model.Signer.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Signer.t/0","ref":"DocuSign.Model.Signer.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to attach supporting documents to an envelope.","title":"DocuSign.Model.SignerAttachment","ref":"DocuSign.Model.SignerAttachment.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignerAttachment.decode/1","ref":"DocuSign.Model.SignerAttachment.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignerAttachment.t/0","ref":"DocuSign.Model.SignerAttachment.html#t:t/0"},{"type":"module","doc":"An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from Docusign. The user inherits the default account email notification settings when the user is created.","title":"DocuSign.Model.SignerEmailNotifications","ref":"DocuSign.Model.SignerEmailNotifications.html"},{"type":"function","doc":"","title":"DocuSign.Model.SignerEmailNotifications.decode/1","ref":"DocuSign.Model.SignerEmailNotifications.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SignerEmailNotifications.t/0","ref":"DocuSign.Model.SignerEmailNotifications.html#t:t/0"},{"type":"module","doc":"Contains details about a signing group. Signing groups enable you to send an envelope to a predefined group of recipients and have any one member of the group sign your documents. When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature.","title":"DocuSign.Model.SigningGroup","ref":"DocuSign.Model.SigningGroup.html"},{"type":"function","doc":"","title":"DocuSign.Model.SigningGroup.decode/1","ref":"DocuSign.Model.SigningGroup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SigningGroup.t/0","ref":"DocuSign.Model.SigningGroup.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SigningGroupInformation","ref":"DocuSign.Model.SigningGroupInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.SigningGroupInformation.decode/1","ref":"DocuSign.Model.SigningGroupInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SigningGroupInformation.t/0","ref":"DocuSign.Model.SigningGroupInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SigningGroupUser","ref":"DocuSign.Model.SigningGroupUser.html"},{"type":"function","doc":"","title":"DocuSign.Model.SigningGroupUser.decode/1","ref":"DocuSign.Model.SigningGroupUser.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SigningGroupUser.t/0","ref":"DocuSign.Model.SigningGroupUser.html#t:t/0"},{"type":"module","doc":"Signing groups' users","title":"DocuSign.Model.SigningGroupUsers","ref":"DocuSign.Model.SigningGroupUsers.html"},{"type":"function","doc":"","title":"DocuSign.Model.SigningGroupUsers.decode/1","ref":"DocuSign.Model.SigningGroupUsers.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SigningGroupUsers.t/0","ref":"DocuSign.Model.SigningGroupUsers.html#t:t/0"},{"type":"module","doc":"Signing groups","title":"DocuSign.Model.SigningGroups","ref":"DocuSign.Model.SigningGroups.html"},{"type":"function","doc":"","title":"DocuSign.Model.SigningGroups.decode/1","ref":"DocuSign.Model.SigningGroups.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SigningGroups.t/0","ref":"DocuSign.Model.SigningGroups.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SmartContractInformation","ref":"DocuSign.Model.SmartContractInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.SmartContractInformation.decode/1","ref":"DocuSign.Model.SmartContractInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SmartContractInformation.t/0","ref":"DocuSign.Model.SmartContractInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SmartSection","ref":"DocuSign.Model.SmartSection.html"},{"type":"function","doc":"","title":"DocuSign.Model.SmartSection.decode/1","ref":"DocuSign.Model.SmartSection.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SmartSection.t/0","ref":"DocuSign.Model.SmartSection.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SmartSectionAnchorPosition","ref":"DocuSign.Model.SmartSectionAnchorPosition.html"},{"type":"function","doc":"","title":"DocuSign.Model.SmartSectionAnchorPosition.decode/1","ref":"DocuSign.Model.SmartSectionAnchorPosition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SmartSectionAnchorPosition.t/0","ref":"DocuSign.Model.SmartSectionAnchorPosition.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings","ref":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.decode/1","ref":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.t/0","ref":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.html#t:t/0"},{"type":"module","doc":"These properties define how a Smart Section displays. A Smart Section is a type of display section.","title":"DocuSign.Model.SmartSectionDisplaySettings","ref":"DocuSign.Model.SmartSectionDisplaySettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.SmartSectionDisplaySettings.decode/1","ref":"DocuSign.Model.SmartSectionDisplaySettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SmartSectionDisplaySettings.t/0","ref":"DocuSign.Model.SmartSectionDisplaySettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SocialAccountInformation","ref":"DocuSign.Model.SocialAccountInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.SocialAccountInformation.decode/1","ref":"DocuSign.Model.SocialAccountInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SocialAccountInformation.t/0","ref":"DocuSign.Model.SocialAccountInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.SocialAuthentication","ref":"DocuSign.Model.SocialAuthentication.html"},{"type":"function","doc":"","title":"DocuSign.Model.SocialAuthentication.decode/1","ref":"DocuSign.Model.SocialAuthentication.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SocialAuthentication.t/0","ref":"DocuSign.Model.SocialAuthentication.html#t:t/0"},{"type":"module","doc":"A one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information.","title":"DocuSign.Model.Ssn","ref":"DocuSign.Model.Ssn.html"},{"type":"function","doc":"","title":"DocuSign.Model.Ssn.decode/1","ref":"DocuSign.Model.Ssn.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Ssn.t/0","ref":"DocuSign.Model.Ssn.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Ssn4InformationInput","ref":"DocuSign.Model.Ssn4InformationInput.html"},{"type":"function","doc":"","title":"DocuSign.Model.Ssn4InformationInput.decode/1","ref":"DocuSign.Model.Ssn4InformationInput.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Ssn4InformationInput.t/0","ref":"DocuSign.Model.Ssn4InformationInput.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Ssn9InformationInput","ref":"DocuSign.Model.Ssn9InformationInput.html"},{"type":"function","doc":"","title":"DocuSign.Model.Ssn9InformationInput.decode/1","ref":"DocuSign.Model.Ssn9InformationInput.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Ssn9InformationInput.t/0","ref":"DocuSign.Model.Ssn9InformationInput.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Stamp","ref":"DocuSign.Model.Stamp.html"},{"type":"function","doc":"","title":"DocuSign.Model.Stamp.decode/1","ref":"DocuSign.Model.Stamp.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Stamp.t/0","ref":"DocuSign.Model.Stamp.html#t:t/0"},{"type":"module","doc":"A list of supported languages.","title":"DocuSign.Model.SupportedLanguages","ref":"DocuSign.Model.SupportedLanguages.html"},{"type":"function","doc":"","title":"DocuSign.Model.SupportedLanguages.decode/1","ref":"DocuSign.Model.SupportedLanguages.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.SupportedLanguages.t/0","ref":"DocuSign.Model.SupportedLanguages.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TabAccountSettings","ref":"DocuSign.Model.TabAccountSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.TabAccountSettings.decode/1","ref":"DocuSign.Model.TabAccountSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TabAccountSettings.t/0","ref":"DocuSign.Model.TabAccountSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TabGroup","ref":"DocuSign.Model.TabGroup.html"},{"type":"function","doc":"","title":"DocuSign.Model.TabGroup.decode/1","ref":"DocuSign.Model.TabGroup.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TabGroup.t/0","ref":"DocuSign.Model.TabGroup.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TabMetadata","ref":"DocuSign.Model.TabMetadata.html"},{"type":"function","doc":"","title":"DocuSign.Model.TabMetadata.decode/1","ref":"DocuSign.Model.TabMetadata.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TabMetadata.t/0","ref":"DocuSign.Model.TabMetadata.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TabMetadataList","ref":"DocuSign.Model.TabMetadataList.html"},{"type":"function","doc":"","title":"DocuSign.Model.TabMetadataList.decode/1","ref":"DocuSign.Model.TabMetadataList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TabMetadataList.t/0","ref":"DocuSign.Model.TabMetadataList.html#t:t/0"},{"type":"module","doc":"Tabs indicate to recipients where they should sign, initial, or enter data on a document. They are represented graphically as symbols on documents at the time of signing. Tabs can also display data to the recipients.","title":"DocuSign.Model.Tabs","ref":"DocuSign.Model.Tabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.Tabs.decode/1","ref":"DocuSign.Model.Tabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Tabs.t/0","ref":"DocuSign.Model.Tabs.html#t:t/0"},{"type":"module","doc":"Reserved for Docusign.","title":"DocuSign.Model.TabsBlob","ref":"DocuSign.Model.TabsBlob.html"},{"type":"function","doc":"","title":"DocuSign.Model.TabsBlob.decode/1","ref":"DocuSign.Model.TabsBlob.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TabsBlob.t/0","ref":"DocuSign.Model.TabsBlob.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateAutoMatch","ref":"DocuSign.Model.TemplateAutoMatch.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateAutoMatch.decode/1","ref":"DocuSign.Model.TemplateAutoMatch.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateAutoMatch.t/0","ref":"DocuSign.Model.TemplateAutoMatch.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateAutoMatchList","ref":"DocuSign.Model.TemplateAutoMatchList.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateAutoMatchList.decode/1","ref":"DocuSign.Model.TemplateAutoMatchList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateAutoMatchList.t/0","ref":"DocuSign.Model.TemplateAutoMatchList.html#t:t/0"},{"type":"module","doc":"A template custom field enables you to prepopulate custom metadata for all new envelopes that are created by using a specific template. You can then use the custom data for sorting, organizing, searching, and other downstream processes.","title":"DocuSign.Model.TemplateCustomFields","ref":"DocuSign.Model.TemplateCustomFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateCustomFields.decode/1","ref":"DocuSign.Model.TemplateCustomFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateCustomFields.t/0","ref":"DocuSign.Model.TemplateCustomFields.html#t:t/0"},{"type":"module","doc":"Template document fields","title":"DocuSign.Model.TemplateDocumentFields","ref":"DocuSign.Model.TemplateDocumentFields.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentFields.decode/1","ref":"DocuSign.Model.TemplateDocumentFields.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentFields.t/0","ref":"DocuSign.Model.TemplateDocumentFields.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateDocumentHtmlDefinitions","ref":"DocuSign.Model.TemplateDocumentHtmlDefinitions.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentHtmlDefinitions.decode/1","ref":"DocuSign.Model.TemplateDocumentHtmlDefinitions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentHtmlDefinitions.t/0","ref":"DocuSign.Model.TemplateDocumentHtmlDefinitions.html#t:t/0"},{"type":"module","doc":"This resource is used to create a responsive preview of a specific template document.","title":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview","ref":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.decode/1","ref":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.t/0","ref":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateDocumentTabs","ref":"DocuSign.Model.TemplateDocumentTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentTabs.decode/1","ref":"DocuSign.Model.TemplateDocumentTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentTabs.t/0","ref":"DocuSign.Model.TemplateDocumentTabs.html#t:t/0"},{"type":"module","doc":"Document Visibility enables senders to control the visibility of the documents in an envelope at the recipient level. For example, if the parties associated with a legal proceeding should have access to different documents, the Document Visibility feature enables you to keep all of the documents in the same envelope and set view permissions for the documents by recipient. This functionality is enabled for envelopes and templates. It is not available for PowerForms.  **Note:** Before you use Document Visibility, you should be aware of the following information:  - Document Visibility must be enabled for your account by your Docusign administrator.  - A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document.  - When the Document Visibility setting hides a document from a recipient, the document also does not appear in the recipient's list of envelopes, documents, or page images. - Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all of the documents associated with the envelope or template.  The Document Visibility feature has multiple settings that specify the options that senders have when sending documents. For more information, see [Use Document Visibility to Control Recipient Access](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=eui1578456411411.html).","title":"DocuSign.Model.TemplateDocumentVisibility","ref":"DocuSign.Model.TemplateDocumentVisibility.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentVisibility.decode/1","ref":"DocuSign.Model.TemplateDocumentVisibility.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentVisibility.t/0","ref":"DocuSign.Model.TemplateDocumentVisibility.html#t:t/0"},{"type":"module","doc":"A list of `documentVisibility` objects that specify whether the documents associated with a template are visible to recipients.","title":"DocuSign.Model.TemplateDocumentVisibilityList","ref":"DocuSign.Model.TemplateDocumentVisibilityList.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentVisibilityList.decode/1","ref":"DocuSign.Model.TemplateDocumentVisibilityList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentVisibilityList.t/0","ref":"DocuSign.Model.TemplateDocumentVisibilityList.html#t:t/0"},{"type":"module","doc":"Template documents","title":"DocuSign.Model.TemplateDocuments","ref":"DocuSign.Model.TemplateDocuments.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocuments.decode/1","ref":"DocuSign.Model.TemplateDocuments.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocuments.t/0","ref":"DocuSign.Model.TemplateDocuments.html#t:t/0"},{"type":"module","doc":"The results of this method.","title":"DocuSign.Model.TemplateDocumentsResult","ref":"DocuSign.Model.TemplateDocumentsResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateDocumentsResult.decode/1","ref":"DocuSign.Model.TemplateDocumentsResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateDocumentsResult.t/0","ref":"DocuSign.Model.TemplateDocumentsResult.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateHtmlDefinitions","ref":"DocuSign.Model.TemplateHtmlDefinitions.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateHtmlDefinitions.decode/1","ref":"DocuSign.Model.TemplateHtmlDefinitions.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateHtmlDefinitions.t/0","ref":"DocuSign.Model.TemplateHtmlDefinitions.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateInformation","ref":"DocuSign.Model.TemplateInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateInformation.decode/1","ref":"DocuSign.Model.TemplateInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateInformation.t/0","ref":"DocuSign.Model.TemplateInformation.html#t:t/0"},{"type":"module","doc":"This section provides information about template locks. You use template locks to prevent others from making changes to a template while you are modifying it.","title":"DocuSign.Model.TemplateLocks","ref":"DocuSign.Model.TemplateLocks.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateLocks.decode/1","ref":"DocuSign.Model.TemplateLocks.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateLocks.t/0","ref":"DocuSign.Model.TemplateLocks.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateMatch","ref":"DocuSign.Model.TemplateMatch.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateMatch.decode/1","ref":"DocuSign.Model.TemplateMatch.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateMatch.t/0","ref":"DocuSign.Model.TemplateMatch.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateNotificationRequest","ref":"DocuSign.Model.TemplateNotificationRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateNotificationRequest.decode/1","ref":"DocuSign.Model.TemplateNotificationRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateNotificationRequest.t/0","ref":"DocuSign.Model.TemplateNotificationRequest.html#t:t/0"},{"type":"module","doc":"Template tabs","title":"DocuSign.Model.TemplateRecipientTabs","ref":"DocuSign.Model.TemplateRecipientTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateRecipientTabs.decode/1","ref":"DocuSign.Model.TemplateRecipientTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateRecipientTabs.t/0","ref":"DocuSign.Model.TemplateRecipientTabs.html#t:t/0"},{"type":"module","doc":"Template recipients","title":"DocuSign.Model.TemplateRecipients","ref":"DocuSign.Model.TemplateRecipients.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateRecipients.decode/1","ref":"DocuSign.Model.TemplateRecipients.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateRecipients.t/0","ref":"DocuSign.Model.TemplateRecipients.html#t:t/0"},{"type":"module","doc":"This resource is used to create a responsive preview of all of the documents associated with a template.","title":"DocuSign.Model.TemplateResponsiveHtmlPreview","ref":"DocuSign.Model.TemplateResponsiveHtmlPreview.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateResponsiveHtmlPreview.decode/1","ref":"DocuSign.Model.TemplateResponsiveHtmlPreview.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateResponsiveHtmlPreview.t/0","ref":"DocuSign.Model.TemplateResponsiveHtmlPreview.html#t:t/0"},{"type":"module","doc":"Information about a specific role.","title":"DocuSign.Model.TemplateRole","ref":"DocuSign.Model.TemplateRole.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateRole.decode/1","ref":"DocuSign.Model.TemplateRole.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateRole.t/0","ref":"DocuSign.Model.TemplateRole.html#t:t/0"},{"type":"module","doc":"Information about shared templates.","title":"DocuSign.Model.TemplateSharedItem","ref":"DocuSign.Model.TemplateSharedItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateSharedItem.decode/1","ref":"DocuSign.Model.TemplateSharedItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateSharedItem.t/0","ref":"DocuSign.Model.TemplateSharedItem.html#t:t/0"},{"type":"module","doc":"Summary of a template request.","title":"DocuSign.Model.TemplateSummary","ref":"DocuSign.Model.TemplateSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateSummary.decode/1","ref":"DocuSign.Model.TemplateSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateSummary.t/0","ref":"DocuSign.Model.TemplateSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateTabs","ref":"DocuSign.Model.TemplateTabs.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateTabs.decode/1","ref":"DocuSign.Model.TemplateTabs.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateTabs.t/0","ref":"DocuSign.Model.TemplateTabs.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateUpdateSummary","ref":"DocuSign.Model.TemplateUpdateSummary.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateUpdateSummary.decode/1","ref":"DocuSign.Model.TemplateUpdateSummary.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateUpdateSummary.t/0","ref":"DocuSign.Model.TemplateUpdateSummary.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.TemplateViewRequest","ref":"DocuSign.Model.TemplateViewRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateViewRequest.decode/1","ref":"DocuSign.Model.TemplateViewRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateViewRequest.t/0","ref":"DocuSign.Model.TemplateViewRequest.html#t:t/0"},{"type":"module","doc":"A TemplateView contains a URL that you can embed in your application to generate a template view that uses the Docusign user interface (UI).","title":"DocuSign.Model.TemplateViews","ref":"DocuSign.Model.TemplateViews.html"},{"type":"function","doc":"","title":"DocuSign.Model.TemplateViews.decode/1","ref":"DocuSign.Model.TemplateViews.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TemplateViews.t/0","ref":"DocuSign.Model.TemplateViews.html#t:t/0"},{"type":"module","doc":"Template management","title":"DocuSign.Model.Templates","ref":"DocuSign.Model.Templates.html"},{"type":"function","doc":"","title":"DocuSign.Model.Templates.decode/1","ref":"DocuSign.Model.Templates.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Templates.t/0","ref":"DocuSign.Model.Templates.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to enter any type of text.","title":"DocuSign.Model.Text","ref":"DocuSign.Model.Text.html"},{"type":"function","doc":"","title":"DocuSign.Model.Text.decode/1","ref":"DocuSign.Model.Text.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Text.t/0","ref":"DocuSign.Model.Text.html#t:t/0"},{"type":"module","doc":"This object represents a free text custom field where envelope creators and senders can enter custom data.","title":"DocuSign.Model.TextCustomField","ref":"DocuSign.Model.TextCustomField.html"},{"type":"function","doc":"","title":"DocuSign.Model.TextCustomField.decode/1","ref":"DocuSign.Model.TextCustomField.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.TextCustomField.t/0","ref":"DocuSign.Model.TextCustomField.html#t:t/0"},{"type":"module","doc":"A tab that displays the recipient's title.","title":"DocuSign.Model.Title","ref":"DocuSign.Model.Title.html"},{"type":"function","doc":"","title":"DocuSign.Model.Title.decode/1","ref":"DocuSign.Model.Title.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Title.t/0","ref":"DocuSign.Model.Title.html#t:t/0"},{"type":"module","doc":"A complex element consisting of:   * lastSentDateTime - the date and time the user last sent an envelope.  * lastSignedDateTime - the date and time the user last signed an envelope. * sentCount - the number of envelopes the user has sent. * signedCount - the number of envelopes the user has signed.","title":"DocuSign.Model.UsageHistory","ref":"DocuSign.Model.UsageHistory.html"},{"type":"function","doc":"","title":"DocuSign.Model.UsageHistory.decode/1","ref":"DocuSign.Model.UsageHistory.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UsageHistory.t/0","ref":"DocuSign.Model.UsageHistory.html#t:t/0"},{"type":"module","doc":"Describes which account management capabilities a user has.","title":"DocuSign.Model.UserAccountManagementGranularInformation","ref":"DocuSign.Model.UserAccountManagementGranularInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAccountManagementGranularInformation.decode/1","ref":"DocuSign.Model.UserAccountManagementGranularInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAccountManagementGranularInformation.t/0","ref":"DocuSign.Model.UserAccountManagementGranularInformation.html#t:t/0"},{"type":"module","doc":"A complex object describing a user authorization.","title":"DocuSign.Model.UserAuthorization","ref":"DocuSign.Model.UserAuthorization.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorization.decode/1","ref":"DocuSign.Model.UserAuthorization.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorization.t/0","ref":"DocuSign.Model.UserAuthorization.html#t:t/0"},{"type":"module","doc":"The request object to create a user authorization.","title":"DocuSign.Model.UserAuthorizationCreateRequest","ref":"DocuSign.Model.UserAuthorizationCreateRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationCreateRequest.decode/1","ref":"DocuSign.Model.UserAuthorizationCreateRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationCreateRequest.t/0","ref":"DocuSign.Model.UserAuthorizationCreateRequest.html#t:t/0"},{"type":"module","doc":"A user authorizations to create or update.","title":"DocuSign.Model.UserAuthorizationCreateRequestWithId","ref":"DocuSign.Model.UserAuthorizationCreateRequestWithId.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationCreateRequestWithId.decode/1","ref":"DocuSign.Model.UserAuthorizationCreateRequestWithId.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationCreateRequestWithId.t/0","ref":"DocuSign.Model.UserAuthorizationCreateRequestWithId.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizationIdWithStatus","ref":"DocuSign.Model.UserAuthorizationIdWithStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationIdWithStatus.decode/1","ref":"DocuSign.Model.UserAuthorizationIdWithStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationIdWithStatus.t/0","ref":"DocuSign.Model.UserAuthorizationIdWithStatus.html#t:t/0"},{"type":"module","doc":"The request object to update a user authorization.","title":"DocuSign.Model.UserAuthorizationUpdateRequest","ref":"DocuSign.Model.UserAuthorizationUpdateRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationUpdateRequest.decode/1","ref":"DocuSign.Model.UserAuthorizationUpdateRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationUpdateRequest.t/0","ref":"DocuSign.Model.UserAuthorizationUpdateRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizationWithStatus","ref":"DocuSign.Model.UserAuthorizationWithStatus.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationWithStatus.decode/1","ref":"DocuSign.Model.UserAuthorizationWithStatus.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationWithStatus.t/0","ref":"DocuSign.Model.UserAuthorizationWithStatus.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizations","ref":"DocuSign.Model.UserAuthorizations.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizations.decode/1","ref":"DocuSign.Model.UserAuthorizations.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizations.t/0","ref":"DocuSign.Model.UserAuthorizations.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteRequest","ref":"DocuSign.Model.UserAuthorizationsDeleteRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteRequest.decode/1","ref":"DocuSign.Model.UserAuthorizationsDeleteRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteRequest.t/0","ref":"DocuSign.Model.UserAuthorizationsDeleteRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteResponse","ref":"DocuSign.Model.UserAuthorizationsDeleteResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteResponse.decode/1","ref":"DocuSign.Model.UserAuthorizationsDeleteResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationsDeleteResponse.t/0","ref":"DocuSign.Model.UserAuthorizationsDeleteResponse.html#t:t/0"},{"type":"module","doc":"An object that describes the user authorizations to create or update.","title":"DocuSign.Model.UserAuthorizationsRequest","ref":"DocuSign.Model.UserAuthorizationsRequest.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationsRequest.decode/1","ref":"DocuSign.Model.UserAuthorizationsRequest.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationsRequest.t/0","ref":"DocuSign.Model.UserAuthorizationsRequest.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserAuthorizationsResponse","ref":"DocuSign.Model.UserAuthorizationsResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserAuthorizationsResponse.decode/1","ref":"DocuSign.Model.UserAuthorizationsResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserAuthorizationsResponse.t/0","ref":"DocuSign.Model.UserAuthorizationsResponse.html#t:t/0"},{"type":"module","doc":"Users' custom settings","title":"DocuSign.Model.UserCustomSettings","ref":"DocuSign.Model.UserCustomSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserCustomSettings.decode/1","ref":"DocuSign.Model.UserCustomSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserCustomSettings.t/0","ref":"DocuSign.Model.UserCustomSettings.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserInfo","ref":"DocuSign.Model.UserInfo.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserInfo.decode/1","ref":"DocuSign.Model.UserInfo.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserInfo.t/0","ref":"DocuSign.Model.UserInfo.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserInfoList","ref":"DocuSign.Model.UserInfoList.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserInfoList.decode/1","ref":"DocuSign.Model.UserInfoList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserInfoList.t/0","ref":"DocuSign.Model.UserInfoList.html#t:t/0"},{"type":"module","doc":"User information.","title":"DocuSign.Model.UserInformation","ref":"DocuSign.Model.UserInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserInformation.decode/1","ref":"DocuSign.Model.UserInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserInformation.t/0","ref":"DocuSign.Model.UserInformation.html#t:t/0"},{"type":"module","doc":"Contains a list of account users.","title":"DocuSign.Model.UserInformationList","ref":"DocuSign.Model.UserInformationList.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserInformationList.decode/1","ref":"DocuSign.Model.UserInformationList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserInformationList.t/0","ref":"DocuSign.Model.UserInformationList.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserPasswordInformation","ref":"DocuSign.Model.UserPasswordInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserPasswordInformation.decode/1","ref":"DocuSign.Model.UserPasswordInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserPasswordInformation.t/0","ref":"DocuSign.Model.UserPasswordInformation.html#t:t/0"},{"type":"module","doc":"Contains details about the password rules for a user.","title":"DocuSign.Model.UserPasswordRules","ref":"DocuSign.Model.UserPasswordRules.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserPasswordRules.decode/1","ref":"DocuSign.Model.UserPasswordRules.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserPasswordRules.t/0","ref":"DocuSign.Model.UserPasswordRules.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserProfile","ref":"DocuSign.Model.UserProfile.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserProfile.decode/1","ref":"DocuSign.Model.UserProfile.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserProfile.t/0","ref":"DocuSign.Model.UserProfile.html#t:t/0"},{"type":"module","doc":"Users' profiles","title":"DocuSign.Model.UserProfiles","ref":"DocuSign.Model.UserProfiles.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserProfiles.decode/1","ref":"DocuSign.Model.UserProfiles.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserProfiles.t/0","ref":"DocuSign.Model.UserProfiles.html#t:t/0"},{"type":"module","doc":"Properties that configure the settings for a user. Some elements of this object have a `metadata` property, which includes the following: - `rights`: The calling users permissions to edit this setting (can be `editable` or `read_only`) - `uiHint`: Internally used to build UIs (can be `available` or `hidden`) - `options`: The values supported for this setting (not all settings have this element)","title":"DocuSign.Model.UserSettingsInformation","ref":"DocuSign.Model.UserSettingsInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSettingsInformation.decode/1","ref":"DocuSign.Model.UserSettingsInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSettingsInformation.t/0","ref":"DocuSign.Model.UserSettingsInformation.html#t:t/0"},{"type":"module","doc":"Information about a shared item.","title":"DocuSign.Model.UserSharedItem","ref":"DocuSign.Model.UserSharedItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSharedItem.decode/1","ref":"DocuSign.Model.UserSharedItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSharedItem.t/0","ref":"DocuSign.Model.UserSharedItem.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserSignature","ref":"DocuSign.Model.UserSignature.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSignature.decode/1","ref":"DocuSign.Model.UserSignature.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSignature.t/0","ref":"DocuSign.Model.UserSignature.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserSignatureDefinition","ref":"DocuSign.Model.UserSignatureDefinition.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSignatureDefinition.decode/1","ref":"DocuSign.Model.UserSignatureDefinition.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSignatureDefinition.t/0","ref":"DocuSign.Model.UserSignatureDefinition.html#t:t/0"},{"type":"module","doc":"Users' signatures","title":"DocuSign.Model.UserSignatures","ref":"DocuSign.Model.UserSignatures.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSignatures.decode/1","ref":"DocuSign.Model.UserSignatures.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSignatures.t/0","ref":"DocuSign.Model.UserSignatures.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserSignaturesInformation","ref":"DocuSign.Model.UserSignaturesInformation.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSignaturesInformation.decode/1","ref":"DocuSign.Model.UserSignaturesInformation.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSignaturesInformation.t/0","ref":"DocuSign.Model.UserSignaturesInformation.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UserSocialIdResult","ref":"DocuSign.Model.UserSocialIdResult.html"},{"type":"function","doc":"","title":"DocuSign.Model.UserSocialIdResult.decode/1","ref":"DocuSign.Model.UserSocialIdResult.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UserSocialIdResult.t/0","ref":"DocuSign.Model.UserSocialIdResult.html#t:t/0"},{"type":"module","doc":"The Users resource enables you to create and manage account users.","title":"DocuSign.Model.Users","ref":"DocuSign.Model.Users.html"},{"type":"function","doc":"","title":"DocuSign.Model.Users.decode/1","ref":"DocuSign.Model.Users.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Users.t/0","ref":"DocuSign.Model.Users.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.UsersResponse","ref":"DocuSign.Model.UsersResponse.html"},{"type":"function","doc":"","title":"DocuSign.Model.UsersResponse.decode/1","ref":"DocuSign.Model.UsersResponse.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.UsersResponse.t/0","ref":"DocuSign.Model.UsersResponse.html#t:t/0"},{"type":"module","doc":"This tab is used with the Approve tab to handle supplemental documents.","title":"DocuSign.Model.View","ref":"DocuSign.Model.View.html"},{"type":"function","doc":"","title":"DocuSign.Model.View.decode/1","ref":"DocuSign.Model.View.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.View.t/0","ref":"DocuSign.Model.View.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.ViewUrl","ref":"DocuSign.Model.ViewUrl.html"},{"type":"function","doc":"","title":"DocuSign.Model.ViewUrl.decode/1","ref":"DocuSign.Model.ViewUrl.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.ViewUrl.t/0","ref":"DocuSign.Model.ViewUrl.html#t:t/0"},{"type":"module","doc":"","title":"DocuSign.Model.Watermark","ref":"DocuSign.Model.Watermark.html"},{"type":"function","doc":"","title":"DocuSign.Model.Watermark.decode/1","ref":"DocuSign.Model.Watermark.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Watermark.t/0","ref":"DocuSign.Model.Watermark.html#t:t/0"},{"type":"module","doc":"A complex type containing information about a witness recipient. Witnesses are recipients whose signatures affirm that the identified signers have signed the documents in the envelope.","title":"DocuSign.Model.Witness","ref":"DocuSign.Model.Witness.html"},{"type":"function","doc":"","title":"DocuSign.Model.Witness.decode/1","ref":"DocuSign.Model.Witness.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Witness.t/0","ref":"DocuSign.Model.Witness.html#t:t/0"},{"type":"module","doc":"Describes the workflow for an envelope.","title":"DocuSign.Model.Workflow","ref":"DocuSign.Model.Workflow.html"},{"type":"function","doc":"","title":"DocuSign.Model.Workflow.decode/1","ref":"DocuSign.Model.Workflow.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Workflow.t/0","ref":"DocuSign.Model.Workflow.html#t:t/0"},{"type":"module","doc":"Describes a single step in a workflow.","title":"DocuSign.Model.WorkflowStep","ref":"DocuSign.Model.WorkflowStep.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkflowStep.decode/1","ref":"DocuSign.Model.WorkflowStep.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkflowStep.t/0","ref":"DocuSign.Model.WorkflowStep.html#t:t/0"},{"type":"module","doc":"A Docusign workspace is a collaboration area for sharing files and data.","title":"DocuSign.Model.Workspace","ref":"DocuSign.Model.Workspace.html"},{"type":"function","doc":"","title":"DocuSign.Model.Workspace.decode/1","ref":"DocuSign.Model.Workspace.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Workspace.t/0","ref":"DocuSign.Model.Workspace.html#t:t/0"},{"type":"module","doc":"This object's properties describe the contents of a workspace folder.","title":"DocuSign.Model.WorkspaceFolderContents","ref":"DocuSign.Model.WorkspaceFolderContents.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceFolderContents.decode/1","ref":"DocuSign.Model.WorkspaceFolderContents.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceFolderContents.t/0","ref":"DocuSign.Model.WorkspaceFolderContents.html#t:t/0"},{"type":"module","doc":"This object represents an item in a workspace, which can be either a file or folder.","title":"DocuSign.Model.WorkspaceItem","ref":"DocuSign.Model.WorkspaceItem.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceItem.decode/1","ref":"DocuSign.Model.WorkspaceItem.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceItem.t/0","ref":"DocuSign.Model.WorkspaceItem.html#t:t/0"},{"type":"module","doc":"An array of objects that describe the items in a workspace.","title":"DocuSign.Model.WorkspaceItemList","ref":"DocuSign.Model.WorkspaceItemList.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceItemList.decode/1","ref":"DocuSign.Model.WorkspaceItemList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceItemList.t/0","ref":"DocuSign.Model.WorkspaceItemList.html#t:t/0"},{"type":"module","doc":"This object contains information about a file or folder in a workspace.","title":"DocuSign.Model.WorkspaceItems","ref":"DocuSign.Model.WorkspaceItems.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceItems.decode/1","ref":"DocuSign.Model.WorkspaceItems.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceItems.t/0","ref":"DocuSign.Model.WorkspaceItems.html#t:t/0"},{"type":"module","doc":"This object contains a list of available workspaces.","title":"DocuSign.Model.WorkspaceList","ref":"DocuSign.Model.WorkspaceList.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceList.decode/1","ref":"DocuSign.Model.WorkspaceList.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceList.t/0","ref":"DocuSign.Model.WorkspaceList.html#t:t/0"},{"type":"module","doc":"This object provides information about the settings for the workspace.","title":"DocuSign.Model.WorkspaceSettings","ref":"DocuSign.Model.WorkspaceSettings.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceSettings.decode/1","ref":"DocuSign.Model.WorkspaceSettings.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceSettings.t/0","ref":"DocuSign.Model.WorkspaceSettings.html#t:t/0"},{"type":"module","doc":"This object represents the workspace user. This property is only returned in response to user specific GET call.","title":"DocuSign.Model.WorkspaceUser","ref":"DocuSign.Model.WorkspaceUser.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceUser.decode/1","ref":"DocuSign.Model.WorkspaceUser.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceUser.t/0","ref":"DocuSign.Model.WorkspaceUser.html#t:t/0"},{"type":"module","doc":"Provides properties that describe user authorization to a workspace.","title":"DocuSign.Model.WorkspaceUserAuthorization","ref":"DocuSign.Model.WorkspaceUserAuthorization.html"},{"type":"function","doc":"","title":"DocuSign.Model.WorkspaceUserAuthorization.decode/1","ref":"DocuSign.Model.WorkspaceUserAuthorization.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.WorkspaceUserAuthorization.t/0","ref":"DocuSign.Model.WorkspaceUserAuthorization.html#t:t/0"},{"type":"module","doc":"A Docusign workspace is a collaboration area for sharing files and data.","title":"DocuSign.Model.Workspaces","ref":"DocuSign.Model.Workspaces.html"},{"type":"function","doc":"","title":"DocuSign.Model.Workspaces.decode/1","ref":"DocuSign.Model.Workspaces.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Workspaces.t/0","ref":"DocuSign.Model.Workspaces.html#t:t/0"},{"type":"module","doc":"A tab that allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information.","title":"DocuSign.Model.Zip","ref":"DocuSign.Model.Zip.html"},{"type":"function","doc":"","title":"DocuSign.Model.Zip.decode/1","ref":"DocuSign.Model.Zip.html#decode/1"},{"type":"type","doc":"","title":"DocuSign.Model.Zip.t/0","ref":"DocuSign.Model.Zip.html#t:t/0"},{"type":"module","doc":"GenServer to store API clients and automatically refresh JWT access tokens.\n\nThe registry keeps track of API clients using the user ID (which is the API Username\nin the user's profile on DocuSign).","title":"DocuSign.ClientRegistry","ref":"DocuSign.ClientRegistry.html"},{"type":"function","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","title":"DocuSign.ClientRegistry.child_spec/1","ref":"DocuSign.ClientRegistry.html#child_spec/1"},{"type":"function","doc":"Get API Client","title":"DocuSign.ClientRegistry.client/1","ref":"DocuSign.ClientRegistry.html#client/1"},{"type":"function","doc":"Async refreshes a token.","title":"DocuSign.ClientRegistry.handle_info/2","ref":"DocuSign.ClientRegistry.html#handle_info/2"},{"type":"function","doc":"Callback implementation for  GenServer.init/1 .","title":"DocuSign.ClientRegistry.init/1","ref":"DocuSign.ClientRegistry.html#init/1"},{"type":"type","doc":"","title":"DocuSign.ClientRegistry.oauth_error/0","ref":"DocuSign.ClientRegistry.html#t:oauth_error/0"},{"type":"function","doc":"","title":"DocuSign.ClientRegistry.start_link/1","ref":"DocuSign.ClientRegistry.html#start_link/1"},{"type":"type","doc":"","title":"DocuSign.ClientRegistry.user_id/0","ref":"DocuSign.ClientRegistry.html#t:user_id/0"},{"type":"module","doc":"The module is intended to be used to establish a connection with\nDocuSign eSignature API and then perform requests to it.","title":"DocuSign.Connection","ref":"DocuSign.Connection.html"},{"type":"module","doc":"iex> user_id = \"74830914-547328-5432-5432543\"\n    iex> account_id = \"61ac4bd1-c83c-4aa6-8654-ddf3tg5\"\n    iex> {:ok, conn} = DocuSign.Connection.get(user_id)\n    iex> {:ok, users} = DocuSign.Api.Users.users_get_users(conn, account_id)\n    {:ok, %DocuSign.Model.UserInformationList{...}}","title":"JWT Impersonation Example - DocuSign.Connection","ref":"DocuSign.Connection.html#module-jwt-impersonation-example"},{"type":"module","doc":"# Using the OAuth2 Authorization Code Strategy\n    iex> oauth_client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n    ...>   redirect_uri: \"https://yourapp.com/auth/callback\"\n    ...> )\n    ...> |> DocuSign.OAuth.AuthorizationCodeStrategy.get_token!(code: \"auth_code\")\n    iex> user_info = DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!(oauth_client)\n    iex> account = Enum.find(user_info[\"accounts\"], &(&1[\"is_default\"] == \"true\"))\n    iex> {:ok, conn} = DocuSign.Connection.from_oauth_client(\n    ...>   oauth_client,\n    ...>   account_id: account[\"account_id\"],\n    ...>   base_uri: account[\"base_uri\"] <> \"/restapi\"\n    ...> )\n    iex> {:ok, users} = DocuSign.Api.Users.users_get_users(conn, account[\"account_id\"])\n    {:ok, %DocuSign.Model.UserInformationList{...}}","title":"OAuth2 Authorization Code Flow Example - DocuSign.Connection","ref":"DocuSign.Connection.html#module-oauth2-authorization-code-flow-example"},{"type":"function","doc":"Detects the environment type based on the API base URI.","title":"DocuSign.Connection.detect_environment/1","ref":"DocuSign.Connection.html#detect_environment/1"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI","title":"Parameters - DocuSign.Connection.detect_environment/1","ref":"DocuSign.Connection.html#detect_environment/1-parameters"},{"type":"function","doc":"- `:sandbox` for sandbox/demo environments\n- `:production` for production environments","title":"Returns - DocuSign.Connection.detect_environment/1","ref":"DocuSign.Connection.html#detect_environment/1-returns"},{"type":"function","doc":"iex> DocuSign.Connection.detect_environment(\"https://demo.docusign.net\")\n    :sandbox\n\n    iex> DocuSign.Connection.detect_environment(\"https://na3.docusign.net\")\n    :production","title":"Examples - DocuSign.Connection.detect_environment/1","ref":"DocuSign.Connection.html#detect_environment/1-examples"},{"type":"function","doc":"Automatically determines the appropriate OAuth hostname based on a base URI.\n\nThis function provides a convenient way to automatically configure the correct\nOAuth hostname by analyzing the provided base URI for sandbox/demo patterns.\nThis is useful when creating connections with different environments.","title":"DocuSign.Connection.determine_hostname/1","ref":"DocuSign.Connection.html#determine_hostname/1"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI (e.g., \"https://demo.docusign.net/restapi\")","title":"Parameters - DocuSign.Connection.determine_hostname/1","ref":"DocuSign.Connection.html#determine_hostname/1-parameters"},{"type":"function","doc":"- `\"account-d.docusign.com\"` for sandbox/demo environments\n- `\"account.docusign.com\"` for production environments","title":"Returns - DocuSign.Connection.determine_hostname/1","ref":"DocuSign.Connection.html#determine_hostname/1-returns"},{"type":"function","doc":"# Automatically detect sandbox environment\n    iex> DocuSign.Connection.determine_hostname(\"https://demo.docusign.net/restapi\")\n    \"account-d.docusign.com\"\n\n    # Automatically detect production environment\n    iex> DocuSign.Connection.determine_hostname(\"https://na3.docusign.net/restapi\")\n    \"account.docusign.com\"","title":"Examples - DocuSign.Connection.determine_hostname/1","ref":"DocuSign.Connection.html#determine_hostname/1-examples"},{"type":"function","doc":"# Use automatic detection for OAuth2 setup\n    base_uri = \"https://demo.docusign.net/restapi\"\n    hostname = DocuSign.Connection.determine_hostname(base_uri)\n    \n    Application.put_env(:docusign, :hostname, hostname)","title":"Usage with OAuth2 Configuration - DocuSign.Connection.determine_hostname/1","ref":"DocuSign.Connection.html#determine_hostname/1-usage-with-oauth2-configuration"},{"type":"function","doc":"Downloads a file from the DocuSign API.\n\nThis is a convenience function that wraps `DocuSign.FileDownloader.download/3`.\nIt provides an easy way to download documents, attachments, and other files\nfrom DocuSign APIs with automatic filename extraction and flexible storage options.","title":"DocuSign.Connection.download_file/3","ref":"DocuSign.Connection.html#download_file/3"},{"type":"function","doc":"See `DocuSign.FileDownloader.download/3` for all available options.","title":"Options - DocuSign.Connection.download_file/3","ref":"DocuSign.Connection.html#download_file/3-options"},{"type":"function","doc":"# Download envelope document to temporary file\n    {:ok, temp_path} = DocuSign.Connection.download_file(conn, \n      \"/v2.1/accounts/123/envelopes/456/documents/1\")\n\n    # Download to memory\n    {:ok, {content, filename, content_type}} = DocuSign.Connection.download_file(conn, url,\n      strategy: :memory)\n\n    # Download with custom temp options\n    {:ok, path} = DocuSign.Connection.download_file(conn, url,\n      temp_options: [prefix: \"contract\", suffix: \".pdf\"])","title":"Examples - DocuSign.Connection.download_file/3","ref":"DocuSign.Connection.html#download_file/3-examples"},{"type":"function","doc":"Create new connection from OAuth2 client with tokens.\n\nThis function creates a connection using an OAuth2.Client obtained through the\nauthorization code flow with `DocuSign.OAuth.AuthorizationCodeStrategy`.","title":"DocuSign.Connection.from_oauth_client/2","ref":"DocuSign.Connection.html#from_oauth_client/2"},{"type":"function","doc":"- `oauth_client` - OAuth2.Client with valid access token\n- `opts` - Keyword list of options:\n  - `:account_id` - DocuSign account ID (required)\n  - `:base_uri` - API base URI (required)","title":"Parameters - DocuSign.Connection.from_oauth_client/2","ref":"DocuSign.Connection.html#from_oauth_client/2-parameters"},{"type":"function","doc":"# Using OAuth2 Authorization Code Strategy\n    oauth_client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n      redirect_uri: \"https://yourapp.com/callback\"\n    )\n    |> DocuSign.OAuth.AuthorizationCodeStrategy.get_token!(code: auth_code)\n\n    # Get user info to find account details\n    user_info = DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!(oauth_client)\n    account = Enum.find(user_info[\"accounts\"], &(&1[\"is_default\"] == \"true\"))\n\n    # Create connection\n    {:ok, conn} = from_oauth_client(\n      oauth_client,\n      account_id: account[\"account_id\"],\n      base_uri: account[\"base_uri\"] <> \"/restapi\"\n    )","title":"Examples - DocuSign.Connection.from_oauth_client/2","ref":"DocuSign.Connection.html#from_oauth_client/2-examples"},{"type":"function","doc":"- `{:ok, connection}` - Success with connection struct\n- `{:error, reason}` - Failure with error reason","title":"Returns - DocuSign.Connection.from_oauth_client/2","ref":"DocuSign.Connection.html#from_oauth_client/2-returns"},{"type":"function","doc":"- The `base_uri` should be the full API endpoint (e.g., \"https://demo.docusign.net/restapi\")\n- Use the account information from the user info endpoint to get correct base_uri\n- The connection can be used immediately with DocuSign API functions","title":"Notes - DocuSign.Connection.from_oauth_client/2","ref":"DocuSign.Connection.html#from_oauth_client/2-notes"},{"type":"function","doc":"Creates a connection with automatic environment detection from OAuth client.\n\nThis is an enhanced version of `from_oauth_client/2` that can automatically\ndetermine the OAuth hostname from the base_uri if not already configured.","title":"DocuSign.Connection.from_oauth_client_with_detection/2","ref":"DocuSign.Connection.html#from_oauth_client_with_detection/2"},{"type":"function","doc":"- `oauth_client` - The OAuth2.Client with valid tokens\n- `opts` - Options including:\n  - `:account_id` (required) - The DocuSign account ID\n  - `:base_uri` (required) - The API base URI\n  - `:auto_detect_hostname` (optional) - Whether to automatically set hostname config","title":"Parameters - DocuSign.Connection.from_oauth_client_with_detection/2","ref":"DocuSign.Connection.html#from_oauth_client_with_detection/2-parameters"},{"type":"function","doc":"- `:auto_detect_hostname` - If `true`, automatically configures the application\n  hostname based on the base_uri environment detection. Default: `false`","title":"Options - DocuSign.Connection.from_oauth_client_with_detection/2","ref":"DocuSign.Connection.html#from_oauth_client_with_detection/2-options"},{"type":"function","doc":"# Create connection with automatic hostname detection\n    {:ok, conn} = DocuSign.Connection.from_oauth_client_with_detection(\n      oauth_client,\n      account_id: \"12345\",\n      base_uri: \"https://demo.docusign.net/restapi\",\n      auto_detect_hostname: true\n    )","title":"Examples - DocuSign.Connection.from_oauth_client_with_detection/2","ref":"DocuSign.Connection.html#from_oauth_client_with_detection/2-examples"},{"type":"function","doc":"Create new connection for provided user ID using JWT impersonation.","title":"DocuSign.Connection.get/1","ref":"DocuSign.Connection.html#get/1"},{"type":"type","doc":"","title":"DocuSign.Connection.oauth_error/0","ref":"DocuSign.Connection.html#t:oauth_error/0"},{"type":"function","doc":"Makes a request.","title":"DocuSign.Connection.request/2","ref":"DocuSign.Connection.html#request/2"},{"type":"function","doc":"* `:ssl_options` - Override SSL options for this specific request\n* All other options are passed through to Tesla","title":"Options - DocuSign.Connection.request/2","ref":"DocuSign.Connection.html#request/2-options"},{"type":"function","doc":"# Use custom CA certificate for this request\n    DocuSign.Connection.request(conn,\n      method: :get,\n      url: \"/accounts\",\n      ssl_options: [cacertfile: \"/custom/ca.pem\"]\n    )","title":"Examples - DocuSign.Connection.request/2","ref":"DocuSign.Connection.html#request/2-examples"},{"type":"type","doc":"","title":"DocuSign.Connection.t/0","ref":"DocuSign.Connection.html#t:t/0"},{"type":"module","doc":"Handle Tesla connections.","title":"DocuSign.Connection.Request","ref":"DocuSign.Connection.Request.html"},{"type":"function","doc":"Configure a client connection for both JWT impersonation and OAuth2 tokens.\n\nThis function pattern matches on the connection struct to determine whether\nto use JWT tokens (from ClientRegistry) or OAuth2 tokens (from authorization code flow).\n\n# Returns\n\nTesla.Env.client","title":"DocuSign.Connection.Request.new/1","ref":"DocuSign.Connection.Request.html#new/1"},{"type":"behaviour","doc":"This module defines the behaviour of the OAuth adapter.","title":"DocuSign.OAuth","ref":"DocuSign.OAuth.html"},{"type":"type","doc":"","title":"DocuSign.OAuth.access_token/0","ref":"DocuSign.OAuth.html#t:access_token/0"},{"type":"callback","doc":"Create new API client","title":"DocuSign.OAuth.client/0","ref":"DocuSign.OAuth.html#c:client/0"},{"type":"type","doc":"","title":"DocuSign.OAuth.client/0","ref":"DocuSign.OAuth.html#t:client/0"},{"type":"callback","doc":"","title":"DocuSign.OAuth.client/1","ref":"DocuSign.OAuth.html#c:client/1"},{"type":"type","doc":"","title":"DocuSign.OAuth.error/0","ref":"DocuSign.OAuth.html#t:error/0"},{"type":"type","doc":"","title":"DocuSign.OAuth.force/0","ref":"DocuSign.OAuth.html#t:force/0"},{"type":"callback","doc":"Returns a map of user information (docusign-specific)","title":"DocuSign.OAuth.get_client_info/1","ref":"DocuSign.OAuth.html#c:get_client_info/1"},{"type":"callback","doc":"Retrieve access token and return a client","title":"DocuSign.OAuth.get_token!/1","ref":"DocuSign.OAuth.html#c:get_token!/1"},{"type":"callback","doc":"","title":"DocuSign.OAuth.get_token!/2","ref":"DocuSign.OAuth.html#c:get_token!/2"},{"type":"callback","doc":"","title":"DocuSign.OAuth.get_token!/3","ref":"DocuSign.OAuth.html#c:get_token!/3"},{"type":"callback","doc":"","title":"DocuSign.OAuth.get_token!/4","ref":"DocuSign.OAuth.html#c:get_token!/4"},{"type":"type","doc":"","title":"DocuSign.OAuth.headers/0","ref":"DocuSign.OAuth.html#t:headers/0"},{"type":"callback","doc":"Retrieve a new time to auto refresh token.","title":"DocuSign.OAuth.interval_refresh_token/1","ref":"DocuSign.OAuth.html#c:interval_refresh_token/1"},{"type":"type","doc":"","title":"DocuSign.OAuth.param/0","ref":"DocuSign.OAuth.html#t:param/0"},{"type":"type","doc":"","title":"DocuSign.OAuth.params/0","ref":"DocuSign.OAuth.html#t:params/0"},{"type":"callback","doc":"Refresh token","title":"DocuSign.OAuth.refresh_token!/1","ref":"DocuSign.OAuth.html#c:refresh_token!/1"},{"type":"callback","doc":"","title":"DocuSign.OAuth.refresh_token!/2","ref":"DocuSign.OAuth.html#c:refresh_token!/2"},{"type":"callback","doc":"Check expiration of token\nreturn true if token is expired","title":"DocuSign.OAuth.token_expired?/1","ref":"DocuSign.OAuth.html#c:token_expired?/1"},{"type":"module","doc":"OAuth2 Authorization Code Flow strategy for DocuSign using the battle-tested oauth2 library.\n\nThis module implements the standard OAuth2 Authorization Code Flow for DocuSign,\nleveraging the existing OAuth2 library infrastructure used by the JWT impersonation flow.","title":"DocuSign.OAuth.AuthorizationCodeStrategy","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html"},{"type":"module","doc":"# Create client\n    client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n      client_id: \"your_integration_key\",\n      client_secret: \"your_secret\",\n      redirect_uri: \"https://yourapp.com/auth/docusign/callback\"\n    )\n\n    # Generate authorization URL\n    auth_url = OAuth2.Client.authorize_url!(client, scope: \"signature\")\n\n    # Exchange authorization code for tokens\n    client = OAuth2.Client.get_token!(client, code: \"auth_code_from_callback\")\n\n    # Get DocuSign user info\n    user_info = DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!(client)","title":"Usage - DocuSign.OAuth.AuthorizationCodeStrategy","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#module-usage"},{"type":"module","doc":"config :docusign,\n      client_id: \"your_integration_key\",\n      client_secret: \"your_secret_key\",\n      hostname: \"account-d.docusign.com\"  # or \"account.docusign.com\" for production","title":"Configuration - DocuSign.OAuth.AuthorizationCodeStrategy","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#module-configuration"},{"type":"function","doc":"Create a new OAuth2 client for DocuSign Authorization Code Flow.","title":"DocuSign.OAuth.AuthorizationCodeStrategy.client/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#client/1"},{"type":"function","doc":"- `opts` - Keyword list of options:\n  - `:client_id` - DocuSign integration key (required if not in app config)\n  - `:client_secret` - DocuSign secret (required if not in app config)\n  - `:hostname` - DocuSign hostname (required if not in app config)\n  - `:redirect_uri` - Callback URL for authorization (required)\n  - `:scope` - OAuth scopes (default: \"signature\")","title":"Parameters - DocuSign.OAuth.AuthorizationCodeStrategy.client/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#client/1-parameters"},{"type":"function","doc":"# With explicit configuration\n    client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n      client_id: \"your_integration_key\",\n      client_secret: \"your_secret\",\n      hostname: \"account-d.docusign.com\",\n      redirect_uri: \"https://yourapp.com/auth/callback\"\n    )\n\n    # Using application config\n    client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n      redirect_uri: \"https://yourapp.com/auth/callback\"\n    )","title":"Examples - DocuSign.OAuth.AuthorizationCodeStrategy.client/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#client/1-examples"},{"type":"function","doc":"Returns an `OAuth2.Client` struct configured for DocuSign Authorization Code Flow.","title":"Returns - DocuSign.OAuth.AuthorizationCodeStrategy.client/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#client/1-returns"},{"type":"function","doc":"Get DocuSign user information using the access token.","title":"DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#get_user_info!/1"},{"type":"function","doc":"- `client` - OAuth2.Client with valid access token","title":"Parameters - DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#get_user_info!/1-parameters"},{"type":"function","doc":"user_info = get_user_info!(client)\n    user_email = user_info[\"email\"]\n    accounts = user_info[\"accounts\"]","title":"Examples - DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#get_user_info!/1-examples"},{"type":"function","doc":"Returns user information map from DocuSign /oauth/userinfo endpoint.","title":"Returns - DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!/1","ref":"DocuSign.OAuth.AuthorizationCodeStrategy.html#get_user_info!/1-returns"},{"type":"module","doc":"Fake OAuth implementation mainly for test environment.","title":"DocuSign.OAuth.Fake","ref":"DocuSign.OAuth.Fake.html"},{"type":"module","doc":"This module implements the OAuth behaviour and an oauth2 strategy for DocuSign.","title":"DocuSign.OAuth.Impl","ref":"DocuSign.OAuth.Impl.html"},{"type":"module","doc":"client = DocuSign.OAuth.Impl.client() |> DocuSign.OAuth.Impl.get_token!()\n{:ok, user_info } = OAuth2.Client.get(client, \"/oauth/userinfo\")","title":"Examples - DocuSign.OAuth.Impl","ref":"DocuSign.OAuth.Impl.html#module-examples"},{"type":"type","doc":"","title":"DocuSign.OAuth.Impl.headers/0","ref":"DocuSign.OAuth.Impl.html#t:headers/0"},{"type":"type","doc":"","title":"DocuSign.OAuth.Impl.param/0","ref":"DocuSign.OAuth.Impl.html#t:param/0"},{"type":"type","doc":"","title":"DocuSign.OAuth.Impl.params/0","ref":"DocuSign.OAuth.Impl.html#t:params/0"},{"type":"module","doc":"This module contains the User struct and functions for working with it.","title":"DocuSign.User","ref":"DocuSign.User.html"},{"type":"module","doc":"client = DocuSign.Client.get_token!\nuser_info = DocuSign.User.info(client)\n\nor\n\nuser_info = DocuSign.User.info()","title":"Examples - DocuSign.User","ref":"DocuSign.User.html#module-examples"},{"type":"function","doc":"Retrieve default account is exist","title":"DocuSign.User.default_account/1","ref":"DocuSign.User.html#default_account/1"},{"type":"function","doc":"Retrieve the user info","title":"DocuSign.User.info/1","ref":"DocuSign.User.html#info/1"},{"type":"module","doc":"Utilities for automatic environment detection based on DocuSign URLs.\n\nThis module provides functions to automatically determine whether to use\nsandbox or production OAuth endpoints based on the API base URL patterns,\nsimilar to the Ruby DocuSign client's environment detection logic.","title":"DocuSign.Util.Environment","ref":"DocuSign.Util.Environment.html"},{"type":"module","doc":"The environment is detected based on URL patterns:\n- **Sandbox/Demo**: URLs containing \"demo\", \"apps-d\", or pointing to demo environments\n- **Production**: All other URLs default to production environment","title":"Environment Detection Rules - DocuSign.Util.Environment","ref":"DocuSign.Util.Environment.html#module-environment-detection-rules"},{"type":"module","doc":"iex> DocuSign.Util.Environment.determine_hostname(\"https://demo.docusign.net/restapi\")\n    \"account-d.docusign.com\"\n\n    iex> DocuSign.Util.Environment.determine_hostname(\"https://na3.docusign.net/restapi\")\n    \"account.docusign.com\"\n\n    iex> DocuSign.Util.Environment.detect_environment(\"https://demo.docusign.net\")\n    :sandbox\n\n    iex> DocuSign.Util.Environment.detect_environment(\"https://na3.docusign.net\")\n    :production","title":"Examples - DocuSign.Util.Environment","ref":"DocuSign.Util.Environment.html#module-examples"},{"type":"function","doc":"Detects the environment type based on the API base URI.","title":"DocuSign.Util.Environment.detect_environment/1","ref":"DocuSign.Util.Environment.html#detect_environment/1"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI","title":"Parameters - DocuSign.Util.Environment.detect_environment/1","ref":"DocuSign.Util.Environment.html#detect_environment/1-parameters"},{"type":"function","doc":"- `:sandbox` for sandbox/demo environments\n- `:production` for production environments","title":"Returns - DocuSign.Util.Environment.detect_environment/1","ref":"DocuSign.Util.Environment.html#detect_environment/1-returns"},{"type":"function","doc":"iex> DocuSign.Util.Environment.detect_environment(\"https://demo.docusign.net\")\n    :sandbox\n\n    iex> DocuSign.Util.Environment.detect_environment(\"https://na3.docusign.net\")\n    :production","title":"Examples - DocuSign.Util.Environment.detect_environment/1","ref":"DocuSign.Util.Environment.html#detect_environment/1-examples"},{"type":"function","doc":"Automatically determines the appropriate OAuth hostname based on the API base URI.\n\nThis function analyzes the provided base URI and returns the corresponding\nOAuth hostname that should be used for authentication endpoints.","title":"DocuSign.Util.Environment.determine_hostname/1","ref":"DocuSign.Util.Environment.html#determine_hostname/1"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI (e.g., \"https://demo.docusign.net/restapi\")","title":"Parameters - DocuSign.Util.Environment.determine_hostname/1","ref":"DocuSign.Util.Environment.html#determine_hostname/1-parameters"},{"type":"function","doc":"- `\"account-d.docusign.com\"` for sandbox/demo environments\n- `\"account.docusign.com\"` for production environments","title":"Returns - DocuSign.Util.Environment.determine_hostname/1","ref":"DocuSign.Util.Environment.html#determine_hostname/1-returns"},{"type":"function","doc":"# Sandbox detection\n    iex> DocuSign.Util.Environment.determine_hostname(\"https://demo.docusign.net/restapi\")\n    \"account-d.docusign.com\"\n\n    iex> DocuSign.Util.Environment.determine_hostname(\"https://apps-d.docusign.com\")\n    \"account-d.docusign.com\"\n\n    # Production detection\n    iex> DocuSign.Util.Environment.determine_hostname(\"https://na3.docusign.net/restapi\")\n    \"account.docusign.com\"\n\n    iex> DocuSign.Util.Environment.determine_hostname(\"https://eu.docusign.net/restapi\")\n    \"account.docusign.com\"","title":"Examples - DocuSign.Util.Environment.determine_hostname/1","ref":"DocuSign.Util.Environment.html#determine_hostname/1-examples"},{"type":"function","doc":"Gets the appropriate OAuth configuration based on environment detection.\n\nThis function provides a convenient way to get complete OAuth configuration\nincluding hostname and other environment-specific settings.","title":"DocuSign.Util.Environment.oauth_config/2","ref":"DocuSign.Util.Environment.html#oauth_config/2"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI\n- `opts` - Optional keyword list with additional configuration","title":"Parameters - DocuSign.Util.Environment.oauth_config/2","ref":"DocuSign.Util.Environment.html#oauth_config/2-parameters"},{"type":"function","doc":"- `:client_id` - OAuth client ID (integration key)\n- `:client_secret` - OAuth client secret","title":"Options - DocuSign.Util.Environment.oauth_config/2","ref":"DocuSign.Util.Environment.html#oauth_config/2-options"},{"type":"function","doc":"A keyword list with OAuth configuration:\n- `:hostname` - The OAuth hostname\n- `:environment` - `:sandbox` or `:production`\n- Plus any additional options passed in","title":"Returns - DocuSign.Util.Environment.oauth_config/2","ref":"DocuSign.Util.Environment.html#oauth_config/2-returns"},{"type":"function","doc":"iex> DocuSign.Util.Environment.oauth_config(\"https://demo.docusign.net\", client_id: \"abc123\")\n    [hostname: \"account-d.docusign.com\", environment: :sandbox, client_id: \"abc123\"]","title":"Examples - DocuSign.Util.Environment.oauth_config/2","ref":"DocuSign.Util.Environment.html#oauth_config/2-examples"},{"type":"function","doc":"Checks if the given URI indicates a sandbox/demo environment.\n\nThis function implements the same detection logic as the DocuSign Ruby client,\nchecking for URL patterns that indicate sandbox usage.","title":"DocuSign.Util.Environment.sandbox_environment?/1","ref":"DocuSign.Util.Environment.html#sandbox_environment?/1"},{"type":"function","doc":"- `uri` - The URI to check","title":"Parameters - DocuSign.Util.Environment.sandbox_environment?/1","ref":"DocuSign.Util.Environment.html#sandbox_environment?/1-parameters"},{"type":"function","doc":"- `true` if the URI indicates a sandbox environment\n- `false` if the URI indicates a production environment","title":"Returns - DocuSign.Util.Environment.sandbox_environment?/1","ref":"DocuSign.Util.Environment.html#sandbox_environment?/1-returns"},{"type":"function","doc":"iex> DocuSign.Util.Environment.sandbox_environment?(\"https://demo.docusign.net\")\n    true\n\n    iex> DocuSign.Util.Environment.sandbox_environment?(\"https://apps-d.docusign.com\")\n    true\n\n    iex> DocuSign.Util.Environment.sandbox_environment?(\"https://na3.docusign.net\")\n    false","title":"Examples - DocuSign.Util.Environment.sandbox_environment?/1","ref":"DocuSign.Util.Environment.html#sandbox_environment?/1-examples"},{"type":"function","doc":"Validates that the hostname matches the detected environment.\n\nThis function can be used to verify that manually configured hostnames\nare consistent with the auto-detected environment.","title":"DocuSign.Util.Environment.validate_hostname/2","ref":"DocuSign.Util.Environment.html#validate_hostname/2"},{"type":"function","doc":"- `base_uri` - The DocuSign API base URI\n- `hostname` - The manually configured hostname","title":"Parameters - DocuSign.Util.Environment.validate_hostname/2","ref":"DocuSign.Util.Environment.html#validate_hostname/2-parameters"},{"type":"function","doc":"- `{:ok, hostname}` if the hostname matches the detected environment\n- `{:error, reason}` if there's a mismatch","title":"Returns - DocuSign.Util.Environment.validate_hostname/2","ref":"DocuSign.Util.Environment.html#validate_hostname/2-returns"},{"type":"function","doc":"iex> DocuSign.Util.Environment.validate_hostname(\"https://demo.docusign.net\", \"account-d.docusign.com\")\n    {:ok, \"account-d.docusign.com\"}\n\n    iex> DocuSign.Util.Environment.validate_hostname(\"https://demo.docusign.net\", \"account.docusign.com\")\n    {:error, :environment_mismatch}","title":"Examples - DocuSign.Util.Environment.validate_hostname/2","ref":"DocuSign.Util.Environment.html#validate_hostname/2-examples"},{"type":"module","doc":"Crypto functions for DocuSign HMAC signature validation.","title":"DocuSign.Webhook.Crypto","ref":"DocuSign.Webhook.Crypto.html"},{"type":"type","doc":"","title":"DocuSign.Webhook.Crypto.hmac256_key/0","ref":"DocuSign.Webhook.Crypto.html#t:hmac256_key/0"},{"type":"type","doc":"","title":"DocuSign.Webhook.Crypto.request_body/0","ref":"DocuSign.Webhook.Crypto.html#t:request_body/0"},{"type":"function","doc":"Sign payload with HMAC-SHA256 key.","title":"DocuSign.Webhook.Crypto.sign/2","ref":"DocuSign.Webhook.Crypto.html#sign/2"},{"type":"type","doc":"","title":"DocuSign.Webhook.Crypto.signature/0","ref":"DocuSign.Webhook.Crypto.html#t:signature/0"},{"type":"function","doc":"Verify HMAC-SHA256 signature.","title":"DocuSign.Webhook.Crypto.verify_hmac/3","ref":"DocuSign.Webhook.Crypto.html#verify_hmac/3"},{"type":"behaviour","doc":"Webhook handler behaviour.","title":"DocuSign.Webhook.Handler","ref":"DocuSign.Webhook.Handler.html"},{"type":"type","doc":"","title":"DocuSign.Webhook.Handler.error_reason/0","ref":"DocuSign.Webhook.Handler.html#t:error_reason/0"},{"type":"callback","doc":"","title":"DocuSign.Webhook.Handler.handle_webhook/1","ref":"DocuSign.Webhook.Handler.html#c:handle_webhook/1"},{"type":"module","doc":"Helper `Plug` to process webhook events and send them to a custom handler.\n\nBased on the excellent Stripe webhook plug:\nhttps://github.com/beam-community/stripity-stripe/blob/v3.1.1/lib/stripe/webhook_plug.ex","title":"DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html"},{"type":"module","doc":"To handle webhook events, you must first configure your application's endpoint.\nAdd the following to `endpoint.ex`, **before** `Plug.Parsers` is loaded.\n\n```elixir\nplug DocuSign.WebhookPlug,\n  at: \"/webhook/docusign\",\n  handler: MyAppWeb.DocuSign.WebhookHandler,\n  hmac_secret_key: fn -> Application.get_env(:myapp, :hmac_secret_key) end\n```\n\nIf you have not yet added a webhook to your DocuSign account, you can do so\nby visiting the 'Settings > Connect'. Use the route you configured in the\nendpoint above and copy the HMAC secret key into your app's configuration.","title":"Installation - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-installation"},{"type":"module","doc":"- `at`: The URL path your application should listen for DocuSign webhooks on.\n  Configure this to match whatever you set in the webhook.\n- `handler`: Custom event handler module that accepts `map()` payloads\n  and processes them within your application. You must create this module.\n- `secret`: Webhook HMAC secret obtained from the DocuSign Connect dashboard.\n  This can also be a function or a tuple for runtime configuration.","title":"Supported options - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-supported-options"},{"type":"module","doc":"You will need to create a custom event handler module to handle events.\n\nYour event handler module should implement the `DocuSign.Webhook.Handler`\nbehavior, defining a `handle_webhook/1` function which takes a `map()`\npayload and returns either `{:ok, term}` or `:ok`. This will mark the event as\nsuccessfully processed. Alternatively handler can signal an error by returning\n`:error` or `{:error, reason}` tuple, where reason is an atom or a string.\nHTTP status code 400 will be used for errors.\n\nRefer to https://developers.docusign.com/platform/webhooks/connect/json-sim-event-reference/\nfor the possible payloads you may receive. Note that these payloads can vary\nbased on your Connect configuration.","title":"Handling events - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-handling-events"},{"type":"module","doc":"```elixir\n# lib/myapp_web/docusign_handler.ex\n\ndefmodule MyAppWeb.DocuSignHandler do\n  @behaviour DocuSign.Webhook.Handler\n\n  @impl true\n  def handle_webhook(%{\"event\" => \"envelope-completed\"} = event) do\n    # TODO: handle the envelope-completed event\n  end\n\n  @impl true\n  def handle_webhook(%{\"event\" => \"envelope-discard\"} = event) do\n    # TODO: handle the \"envelope-discard\" event\n  end\n\n  # Return HTTP 200 for unhandled events\n  @impl true\n  def handle_webhook(_event), do: :ok\nend\n```","title":"Example - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-example"},{"type":"module","doc":"You can configure the HMAC secret key in your app's own config file.\nFor example:\n\n```elixir\nconfig :myapp,\n  # [...]\n  hmac_secret_key: \"AB123_******\"\n```\n\nYou may then include the secret in your endpoint:\n\n```elixir\nplug DocuSign.WebhookPlug,\n  at: \"/webhook/docusign\",\n  handler: MyAppWeb.DocuSign.WebhookHandler,\n  hmac_secret_key: Application.get_env(:myapp, :hmac_secret_key)\n```","title":"Configuration - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-configuration"},{"type":"module","doc":"If you're loading config dynamically at runtime (eg with `runtime.exs`\nor an OTP app) you must pass a tuple or function as the secret.\n\n```elixir\n# With a tuple\nplug DocuSign.WebhookPlug,\n  at: \"/webhook/docusign\",\n  handler: MyAppWeb.DocuSign.WebhookHandler,\n  secret: {Application, :get_env, [:myapp, :hmac_secret_key]}\n\n# Or, with a function\nplug DocuSign.WebhookPlug,\n  at: \"/webhook/docusign\",\n  handler: MyAppWeb.DocuSign.WebhookHandler,\n  secret: fn -> Application.get_env(:myapp, :hmac_secret_key) end\n```","title":"Runtime configuration - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-runtime-configuration"},{"type":"module","doc":"Only 1 HMAC secret key can be configured. It is assumed that to rotate\nthe HMAC secret key:\n\n1. An additional HMAC secret key is added to the DocuSign Connect\n  configuration.\n2. The HMAC secret key of the plug is updated to this new secret key.\n3. Finally the previous HMAC secret key is removed from the DocuSign Connect.","title":"HMAC secret key - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-hmac-secret-key"},{"type":"module","doc":"DocuSign can send up to 100 HMAC signatures, which would happen if you have\nconfigured 100 HMAC secret keys in your Connect dashboard. Although this is\nunlikely, the plug will check all of the signatures provided.","title":"HMAC signatures - DocuSign.WebhookPlug","ref":"DocuSign.WebhookPlug.html#module-hmac-signatures"},{"type":"extras","doc":"# DocuSign API Client\n\nUnofficial DocuSign Elixir Library used to interact with the eSignature REST API. Send, sign, and approve documents using this client.","title":"DocuSign API Client","ref":"readme.html"},{"type":"extras","doc":"**The easiest way to get started** is through our interactive LiveBook examples:","title":"Quick Start with LiveBook - DocuSign API Client","ref":"readme.html#quick-start-with-livebook"},{"type":"extras","doc":"Complete working demonstration of DocuSign embedded signing with JWT authentication:\n\n[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/embedded_signing.livemd)","title":"Embedded Signing (JWT Impersonation) - DocuSign API Client","ref":"readme.html#embedded-signing-jwt-impersonation"},{"type":"extras","doc":"Interactive walkthrough of the OAuth2 Authorization Code Flow for user-facing applications:\n\n[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/oauth_authorization_code_flow.livemd)","title":"OAuth2 Authorization Code Flow - DocuSign API Client","ref":"readme.html#oauth2-authorization-code-flow"},{"type":"extras","doc":"Learn how to configure SSL/TLS options for secure connections:\n\n1. Configure custom CA certificates\n2. Set up client certificate authentication\n3. Understand security best practices\n4. Test your SSL configuration\n\n[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/ssl_configuration.livemd)\n\nJust click the badges above to run the notebooks in LiveBook - no environment setup required!","title":"SSL Configuration Example - DocuSign API Client","ref":"readme.html#ssl-configuration-example"},{"type":"extras","doc":"The package can be installed by adding `docusign` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:docusign, \"~> 2.2.1\"}\n  ]\nend\n```\n\nThe docs can be found at [https://hexdocs.pm/docusign](https://hexdocs.pm/docusign).","title":"Installation - DocuSign API Client","ref":"readme.html#installation"},{"type":"extras","doc":"DocuSign Elixir supports two authentication methods:\n\n1. **OAuth2 Authorization Code Flow** - For user-facing applications where users grant permission\n2. **JWT Impersonation** - For server-to-server applications with pre-configured access","title":"Usage - DocuSign API Client","ref":"readme.html#usage"},{"type":"extras","doc":"**Recommended for user-facing applications** where users need to grant permission for your app to access their DocuSign account.\n\n#### Benefits\n\n- Users explicitly grant permission through DocuSign's consent screen\n- No admin pre-approval required (unlike JWT impersonation)\n- Tokens can be refreshed without user interaction\n- Standard OAuth2 compliance\n\n#### Quick Setup\n\n```elixir\nconfig :docusign,\n  hostname: \"account-d.docusign.com\", # or \"account.docusign.com\" for production\n  client_id: \"your_integration_key\",\n  client_secret: \"your_secret_key\"\n```\n\n#### Environment Auto-Detection\n\nAutomatically determine the correct OAuth hostname based on your API base URI:\n\n```elixir\n# Automatically detect sandbox vs production from base URI\nbase_uri = \"https://demo.docusign.net/restapi\"\nhostname = DocuSign.Connection.determine_hostname(base_uri)  # \"account-d.docusign.com\"\n\n# Configure OAuth with auto-detected hostname\nApplication.put_env(:docusign, :hostname, hostname)\n\n# Or use the enhanced connection function with auto-detection\n{:ok, conn} = DocuSign.Connection.from_oauth_client_with_detection(\n  oauth_client,\n  account_id: account[\"account_id\"],\n  base_uri: account[\"base_uri\"] <> \"/restapi\",\n  auto_detect_hostname: true  # Automatically sets hostname config\n)\n```\n\n#### Usage\n\n```elixir\n# 1. Create OAuth2 client\nclient = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n  redirect_uri: \"https://yourapp.com/auth/callback\"\n)\n\n# 2. Generate authorization URL (redirect user here)\nauth_url = OAuth2.Client.authorize_url!(client, scope: \"signature\")\n\n# 3. Exchange authorization code for tokens (in your callback handler)\nclient = OAuth2.Client.get_token!(client, code: auth_code_from_callback)\n\n# 4. Get user info and create connection\nuser_info = DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!(client)\naccount = Enum.find(user_info[\"accounts\"], &(&1[\"is_default\"] == \"true\"))\n\n{:ok, conn} = DocuSign.Connection.from_oauth_client(\n  client,\n  account_id: account[\"account_id\"],\n  base_uri: account[\"base_uri\"] <> \"/restapi\"\n)\n\n# 5. Use connection with DocuSign APIs\n{:ok, users} = DocuSign.Api.Users.users_get_users(conn, account[\"account_id\"])\n```\n\n**💡 For a complete interactive example, see the [OAuth2 LiveBook guide](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/oauth_authorization_code_flow.livemd)!**","title":"OAuth2 Authorization Code Flow - DocuSign API Client","ref":"readme.html#oauth2-authorization-code-flow-1"},{"type":"extras","doc":"**For server-to-server applications** where you need to act on behalf of users with pre-configured access.\n\n#### Requirements\n\n- RSA Private key\n- DocuSign Client ID (integration key)\n- DocuSign Account ID\n- One or more DocuSign User IDs\n\nNote that you can test your integration with the full-featured sandbox environment provided by [DocuSign](https://appdemo.docusign.com).\n\n#### Application Configuration\n\n```elixir\nconfig :docusign,\n  hostname: \"account-d.docusign.com\",\n  client_id: \"?????-?????-???????\",\n  private_key_file: \"docusign_key.pem\"\n```\n\n**Notes:**\n\n- Set hostname to `account.docusign.com` for production\n- Private key path can be relative or absolute\n- Use `private_key_contents` instead of `private_key_file` for secrets stored in vault systems\n\n#### Optional Configuration\n\n```elixir\nconfig :docusign,\n  timeout: 30_000,        # 30 seconds\n  token_expires_in: 7_200 # 2 hours\n```\n\n#### Environment Variables (Recommended)\n\nFor security, use environment variables instead of hardcoding credentials:\n\n```bash\n# .env file\nexport DOCUSIGN_CLIENT_ID= \nexport DOCUSIGN_PRIVATE_KEY_FILE= \n```\n\n```elixir\n# config.exs\nconfig :docusign,\n  client_id: System.fetch_env!(\"DOCUSIGN_CLIENT_ID\"),\n  private_key_file: System.fetch_env!(\"DOCUSIGN_PRIVATE_KEY_FILE\")\n```\n\n#### DocuSign Setup for JWT\n\n1. Access DocuSign admin and go to **Settings** → **Apps & Keys**\n2. Note the **API Account ID** (this is your Account ID)\n3. Create a new app:\n   - Provide a name\n   - In **Authentication**, click **+ GENERATE RSA**\n   - Store the private key securely\n   - Add redirect URI: `https://account-d.docusign.com/me` (sandbox) or `https://account.docusign.com/me` (production)\n4. Note the **Integration Key** (this is your Client ID)\n\n#### User Consent for Impersonation\n\nFor impersonating other users, they must first consent by visiting:\n\n**Sandbox:**\n\n```\nhttps://account-d.docusign.com/oauth/auth?response_type=code&scope=signature%20impersonation&client_id=YOUR_CLIENT_ID&redirect_uri=https://account-d.docusign.com/me\n```\n\n**Production:**\n\n```\nhttps://account.docusign.com/oauth/auth?response_type=code&scope=signature%20impersonation&client_id=YOUR_CLIENT_ID&redirect_uri=https://account.docusign.com/me\n```\n\n#### Using JWT APIs\n\n```elixir\n# Establish connection\nuser_id = \"USER_ID\"\n{:ok, conn} = DocuSign.Connection.get(user_id)\n\n# Call APIs\naccount_id = \"ACCOUNT_ID\"\n{:ok, users} = DocuSign.Api.Users.users_get_users(conn, account_id)\n```","title":"JWT Impersonation - DocuSign API Client","ref":"readme.html#jwt-impersonation"},{"type":"extras","doc":"By default, HTTP requests will time out after 30_000 ms. You can configure the timeout:\n\n```elixir\nconfig :docusign, timeout: 60_000\n```","title":"Timeout configuration - DocuSign API Client","ref":"readme.html#timeout-configuration"},{"type":"extras","doc":"The DocuSign client supports comprehensive SSL/TLS configuration for secure connections. This is particularly useful for:\n\n- Using custom CA certificates\n- Client certificate authentication (mutual TLS)\n- Controlling SSL verification behavior\n- Configuring cipher suites and TLS versions","title":"SSL/TLS Configuration - DocuSign API Client","ref":"readme.html#ssl-tls-configuration"},{"type":"extras","doc":"Configure SSL options at the application level:\n\n```elixir\nconfig :docusign, :ssl_options,\n  verify: :verify_peer,                    # Always verify server certificates (default)\n  cacertfile: \"/path/to/ca-bundle.crt\",   # Custom CA certificate bundle\n  depth: 3                                 # Certificate chain verification depth\n```","title":"Basic SSL Configuration - DocuSign API Client","ref":"readme.html#basic-ssl-configuration"},{"type":"extras","doc":"For mutual TLS authentication:\n\n```elixir\nconfig :docusign, :ssl_options,\n  certfile: \"/path/to/client-cert.pem\",   # Client certificate\n  keyfile: \"/path/to/client-key.pem\",     # Client private key\n  password: \"keypassword\"                  # Password for encrypted key (if needed)\n```","title":"Client Certificate Authentication - DocuSign API Client","ref":"readme.html#client-certificate-authentication"},{"type":"extras","doc":"```elixir\nconfig :docusign, :ssl_options,\n  # TLS versions\n  versions: [:\"tlsv1.2\", :\"tlsv1.3\"],\n\n  # Cipher suites (example)\n  ciphers: [\n    \"ECDHE-RSA-AES256-GCM-SHA384\",\n    \"ECDHE-RSA-AES128-GCM-SHA256\"\n  ],\n\n  # Custom hostname verification\n  customize_hostname_check: [\n    match_fun: :public_key.pkix_verify_hostname_match_fun(:https)\n  ],\n\n  # Custom verification function\n  verify_fun: {&MyApp.SSLVerification.verify/3, nil}\n```","title":"Advanced SSL Options - DocuSign API Client","ref":"readme.html#advanced-ssl-options"},{"type":"extras","doc":"You can override SSL options for specific requests:\n\n```elixir\n{:ok, conn} = DocuSign.Connection.get(user_id)\n\n# Use custom CA certificate for this request only\nDocuSign.Connection.request(conn,\n  method: :get,\n  url: \"/accounts\",\n  ssl_options: [\n    cacertfile: \"/special/ca.pem\",\n    verify: :verify_peer\n  ]\n)\n```","title":"Per-Request SSL Options - DocuSign API Client","ref":"readme.html#per-request-ssl-options"},{"type":"extras","doc":"Configure the underlying Finch connection pools:\n\n```elixir\nconfig :docusign,\n  pool_size: 10,      # Number of connections per pool (default: 10)\n  pool_count: 1       # Number of pools (default: 1)\n```","title":"Connection Pooling - DocuSign API Client","ref":"readme.html#connection-pooling"},{"type":"extras","doc":"1. **Always use `:verify_peer` in production** - Never disable certificate verification in production environments\n2. **Keep CA certificates updated** - Ensure your CA bundle includes all necessary root certificates\n3. **Use strong cipher suites** - Configure only secure cipher suites\n4. **Enable hostname verification** - Always verify that the certificate matches the hostname","title":"Security Best Practices - DocuSign API Client","ref":"readme.html#security-best-practices"},{"type":"extras","doc":"If you don't specify CA certificates, the library will attempt to use them in this order:\n\n1. User-specified `:cacertfile` or `:cacerts`\n2. CAStore library (if available as a dependency)\n3. System CA certificates from common locations\n4. Erlang's built-in CA certificates as a fallback","title":"Automatic CA Certificate Detection - DocuSign API Client","ref":"readme.html#automatic-ca-certificate-detection"},{"type":"extras","doc":"By default, the API is called using `Tesla` with the Finch adapter. You can override the adapter\nto any [Tesla adapter][tesla_adapters]:\n\n```elixir\nconfig :tesla, adapter: {Tesla.Adapter.Hackney, [recv_timeout: 30_000]}\n```","title":"Tesla adapter configuration - DocuSign API Client","ref":"readme.html#tesla-adapter-configuration"},{"type":"extras","doc":"To receive webhooks from DocuSign Connect, you can use `DocuSign.WebhookPlug` with\nyour custom webhook handler. See the documentation of `DocuSign.WebhookPlug` for more\ndetails.","title":"DocuSign Connect - DocuSign API Client","ref":"readme.html#docusign-connect"},{"type":"extras","doc":"For information about migrating between versions, please see [MIGRATING.md](MIGRATING.md).","title":"Migration Guide - DocuSign API Client","ref":"readme.html#migration-guide"},{"type":"extras","doc":"","title":"Regenerating the Library - DocuSign API Client","ref":"readme.html#regenerating-the-library"},{"type":"extras","doc":"The DocuSign Elixir library can be regenerated using the provided script in the `scripts/regen` directory. This script handles:\n\n1. Preserving custom functionality (like ModelCleaner)\n2. Updating generated code from the latest OpenAPI specification\n3. Adjusting module names and references\n4. Running tests to verify everything works\n\nTo regenerate the library:\n\n1. Download the latest OpenAPI specification:\n\n```bash\ncurl -o /tmp/docusign_regen/esignature.swagger.json https://raw.githubusercontent.com/docusign/eSign-OpenAPI-Specification/master/esignature.rest.swagger-v2.1.json\n```\n\n2. Generate the client code:\n\n```bash\nopenapi-generator generate -i /tmp/docusign_regen/esignature.swagger.json -g elixir -o /tmp/docusign_regen/elixir_api_client --additional-properties=packageName=docusign_e_signature_restapi\n```\n\n3. Run the regeneration script:\n\n```bash\ncd scripts/regen\nchmod +x regenerate_library.sh\n./regenerate_library.sh\n```\n\nSee the [regeneration README](scripts/regen/README.md) for more details.\n\n[tesla_adapters]: https://hexdocs.pm/tesla/readme.html#adapters","title":"Using Regeneration Scripts - DocuSign API Client","ref":"readme.html#using-regeneration-scripts"},{"type":"extras","doc":"# DocuSign Embedded Signing with Elixir","title":"DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html"},{"type":"extras","doc":"[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/embedded_signing.livemd)\n\nThis LiveBook demonstrates how to create a complete embedded signing experience with the DocuSign Elixir SDK. It walks you through the entire process from authentication to retrieving a signed document.\n\n```elixir\nIO.puts(\"Installing dependencies...\")\n\n# Suppress Tesla deprecation warnings\nApplication.put_env(:tesla, :disable_deprecated_builder_warning, true)\n\nMix.install([\n  {:docusign, \"~> 2.2.1\"},\n  {:kino, \"~> 0.16.0\"}\n])\n\nIO.puts(\"✅ Dependencies installed successfully!\")\n```","title":"Section - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#section"},{"type":"extras","doc":"This LiveBook demonstrates how to create an embedded signing experience with the DocuSign Elixir SDK. Embedded signing allows you to integrate the DocuSign signing process directly into your application, keeping users in your environment.","title":"Introduction - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#introduction"},{"type":"extras","doc":"First, let's set up our DocuSign configuration:\n\n```elixir\nalias Kino.Input\n\n# Set up input forms for configuration\nprivate_key_input = Input.textarea(\"Private Key (PEM format)\",\n  placeholder: \"Paste your RSA private key here including BEGIN and END markers\",\n  label: \"Your DocuSign integration's private key\")\nclient_id_input = Input.text(\"Client ID (Integration Key)\",\n  label: \"Found in the DocuSign admin under Apps & Keys\")\naccount_id_input = Input.text(\"Account ID\",\n  label: \"Your DocuSign account ID (found under Apps & Keys)\")\nuser_id_input = Input.text(\"User ID\",\n  label: \"The API Username of the DocuSign user to impersonate\")\nis_sandbox_input = Input.checkbox(\"Use Sandbox\", default: true)\nreturn_url_input = Input.text(\"Return URL\",\n  label: \"Where the signer will be redirected after signing\",\n  default: \"https://www.docusign.com\")\n\n# Display input forms individually for proper rendering\n  Kino.render(private_key_input)\nKino.render(client_id_input)\nKino.render(account_id_input)\nKino.render(user_id_input)\nKino.render(is_sandbox_input)\nKino.render(return_url_input)\n```\n\nNow let's configure the DocuSign client:\n\n```elixir\n# Get values from inputs\nprivate_key = Kino.Input.read(private_key_input)\nclient_id = Kino.Input.read(client_id_input)\naccount_id = Kino.Input.read(account_id_input)\nuser_id = Kino.Input.read(user_id_input)\nis_sandbox = Kino.Input.read(is_sandbox_input)\nreturn_url = Kino.Input.read(return_url_input)\n\n# Fix key format if needed\nprivate_key_formatted =\n  private_key\n  |> String.replace(~r/\\r\\n/, \"\\n\") # Convert Windows line endings\n  |> String.trim() # Remove leading/trailing whitespace\n\n# Configure DocuSign application\nApplication.put_env(:docusign, :client_id, client_id)\nApplication.put_env(:docusign, :private_key_contents, private_key_formatted)\nApplication.put_env(:docusign, :user_id, user_id)\n\n# Debug: Check configuration\nIO.puts(\"Configuration set:\")\nIO.puts(\"Client ID: #{client_id}\")\nIO.puts(\"User ID: #{user_id}\")\nIO.puts(\"Private key length: #{String.length(private_key_formatted)} chars\")\nIO.puts(\"Hostname: auto-detected from account info\")\nIO.puts(\"Is sandbox: #{is_sandbox}\")\n```","title":"Configuration - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#configuration"},{"type":"extras","doc":"Let's establish a connection to the DocuSign API:\n\n```elixir\nIO.puts(\"=== Starting connection attempt ===\")\n\n# Create a connection with the specified user\nIO.puts(\"Attempting to connect with user_id: #{inspect(user_id)}\")\nconnection_result = DocuSign.Connection.get(user_id)\nIO.inspect(connection_result, label: \"Connection result\")\n\nconn = case connection_result do\n  {:ok, connection} ->\n    IO.puts(\"✅ Successfully connected to DocuSign\")\n    connection\n\n  {:error, {:consent_required, consent_message}} when is_binary(consent_message) ->\n    original_url = Regex.run(~r/https:\\/\\/[^\\s]+/, consent_message) |> List.first()\n\n    # Fix the URL if it's using the old redirect URI format\n    url =\n      if String.contains?(original_url, \"redirect_uri=https://account\") do\n        String.replace(original_url,\n                       ~r/redirect_uri=https:\\/\\/account[^&]+/,\n                       \"redirect_uri=https://www.docusign.com\")\n      else\n        original_url\n      end\n\n    # Only use Kino.Markdown for cleaner output\n    Kino.Markdown.new(\"\"\"\n    ## ⚠️ DocuSign User Consent Required\n\n    Before using the API, you need to grant consent for this application to act on your behalf.\n\n    1. **Click this link**: [Grant Consent](#{url})\n    2. Sign in to DocuSign if prompted\n    3. Review and click \"ALLOW ACCESS\"\n    4. Return here and run this cell again\n\n    This is a one-time process per user.\n\n    > **Note**: If you're seeing redirect URI errors, ensure your DocuSign application has\n    > `https://www.docusign.com` configured as a redirect URI.\n    \"\"\") |> Kino.render()\n\n    nil # Return nil as conn value to avoid undefined variable\n\n  {:error, reason} ->\n    IO.puts(\"❌ Failed to connect to DocuSign\")\n    IO.inspect(reason, label: \"Error\")\n    nil # Return nil as conn value to avoid undefined variable\nend\n```","title":"Create a Connection - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#create-a-connection"},{"type":"extras","doc":"Let's create a form to input the recipient's information:\n\n```elixir\n# Verify that conn is available from previous cell\nconn = conn || (\n  IO.puts(\"⚠️ Connection not established. Please run the previous cell to connect to DocuSign.\")\n  nil\n)\n\nrecipient_name_input = Input.text(\"Recipient Name\")\nrecipient_email_input = Input.text(\"Recipient Email\")\nclient_user_id_input = Input.text(\"Client User ID\", default: \"1001\",\n  placeholder: \"Unique identifier for the recipient\")\n\n# Render each input individually for proper display\nKino.render(recipient_name_input)\nKino.render(recipient_email_input)\nKino.render(client_user_id_input)\n```","title":"Set Up Recipient Information - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#set-up-recipient-information"},{"type":"extras","doc":"Let's create a simple document for signing:\n\n```elixir\n# Create a simple HTML document\nhtml_document = \"\"\"\n<!DOCTYPE html>\n \n \n   DocuSign Embedded Signing Example \n   \n    body { font-family: Arial, sans-serif; margin: 40px; }\n    .header { text-align: center; margin-bottom: 30px; }\n    .content { margin-bottom: 50px; }\n    .signature-section { margin-top: 50px; border-top: 1px solid #ccc; padding-top: 20px; }\n   \n \n \n   \n     Embedded Signing Agreement \n     Created with DocuSign Elixir SDK in LiveBook \n   \n\n   \n     This document demonstrates embedded signing with the DocuSign Elixir SDK. \n     By signing this document, the signer acknowledges that: \n     \n       They have read and understood the embedded signing process \n       They agree to the terms outlined in this document \n       This is a demonstration of embedded signing capabilities \n     \n   \n\n   \n     Signed by:  ____________________  \n     Date:  ____________________  \n   \n \n \n\"\"\"\n\n# Base64 encode the document\nencoded_document = Base.encode64(html_document)\n```","title":"Create a Document - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#create-a-document"},{"type":"extras","doc":"Now let's create an envelope specifically for embedded signing. For embedded signing, we must:\n\n1. Create an envelope with a recipient that has a `clientUserId` (this identifies the recipient as embedded)\n2. Set the envelope status to \"created\" (not \"sent\")\n\n```elixir\nrecipient_name = Kino.Input.read(recipient_name_input)\nrecipient_email = Kino.Input.read(recipient_email_input)\nclient_user_id = Kino.Input.read(client_user_id_input)\n\n# Use DocuSign SDK models for proper object creation\n\n# Create document object\ndocument = %DocuSign.Model.Document{\n  documentBase64: encoded_document,\n  name: \"Embedded Signing Example.html\",\n  fileExtension: \"html\",\n  documentId: \"1\"\n}\n\n# Create the signer with signature and date tabs\nsign_here_tab = %DocuSign.Model.SignHere{\n  anchorString: \"Signed by:\", # More specific anchor text\n  anchorUnits: \"pixels\",\n  anchorYOffset: \"-5\", # Slightly negative to position just above the line\n  anchorXOffset: \"110\", # Slightly increased from original 100\n  documentId: \"1\", # Match the document ID\n  recipientId: \"1\" # Match the recipient ID\n}\n\ndate_signed_tab = %DocuSign.Model.DateSigned{\n  anchorString: \"Date:\", # Matches text in our document\n  anchorUnits: \"pixels\",\n  anchorYOffset: \"-10\", # Keep negative value to position above the line\n  anchorXOffset: \"80\", # Increased from 50 to better center the date\n  documentId: \"1\", # Match the document ID\n  recipientId: \"1\" # Match the recipient ID\n}\n\n# Create the signer object with signature and date tabs\nsigner = %DocuSign.Model.Signer{\n  email: recipient_email,\n  name: recipient_name,\n  recipientId: \"1\",\n  routingOrder: \"1\",\n  clientUserId: client_user_id, # This identifies the recipient as embedded\n  tabs: %DocuSign.Model.Tabs{\n    signHereTabs: [sign_here_tab],\n    dateSignedTabs: [date_signed_tab]\n  }\n}\n\n# Create envelope definition with status \"sent\"\nenvelope_definition = %DocuSign.Model.EnvelopeDefinition{\n  emailSubject: \"Please sign this document (Embedded Signing)\",\n  documents: [document],\n  recipients: %DocuSign.Model.Recipients{\n    signers: [signer]\n  },\n  status: \"sent\"  # Important: For embedded signing, use \"sent\" (not \"created\")\n}\n\n# Create the envelope using the standard API - note we use body: instead of envelopeDefinition:\nresult = DocuSign.Api.Envelopes.envelopes_post_envelopes(conn, account_id, body: envelope_definition)\n\n# Create a variable to hold the envelope ID\nenvelope_id =\n  try do\n    case result do\n      {:ok, response} ->\n        id = response.envelopeId\n        IO.puts(\"✅ Envelope created successfully!\")\n        IO.puts(\"Envelope ID: #{id}\")\n\n        # Return the envelope ID\n        id\n\n      {:error, error} ->\n        IO.puts(\"❌ Failed to create envelope\")\n        IO.inspect(error, label: \"Error details:\")\n        nil\n    end\n  rescue\n    e in KeyError ->\n      IO.puts(\"⚠️ Received error response with unexpected format\")\n      IO.inspect(e, label: \"KeyError details\")\n      IO.inspect(result, label: \"Full response\")\n      nil\n  end\n```","title":"Create an Envelope for Embedded Signing - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#create-an-envelope-for-embedded-signing"},{"type":"extras","doc":"Now that we have created the envelope, we need to generate a URL that will allow the recipient to sign the document within your application:\n\n```elixir\n# Verify that conn is available from previous cells\nconn = conn || (\n  IO.puts(\"⚠️ Connection not established. Please run the previous cells to connect to DocuSign.\")\n  nil\n)\n\n# Check if envelope_id is available from previous cell\n# If not defined in previous cell execution, we'll let the user input it\n\nenvelope_id_input =\n  if envelope_id do\n    Input.text(\"Envelope ID\", default: envelope_id)\n  else\n    Input.text(\"Envelope ID\")\n  end\n\nKino.render(envelope_id_input)\nsigning_envelope_id = Kino.Input.read(envelope_id_input)\n\n# Use client_user_id from previous cell if available\nclient_user_id_to_use = client_user_id\n\n# Create the recipient view request properly using the DocuSign SDK model\nrecipient_view_request = %DocuSign.Model.RecipientViewRequest{\n  authenticationMethod: \"none\",\n  clientUserId: client_user_id_to_use, # Must match the clientUserId used in envelope creation\n  recipientId: \"1\", # Must match the recipientId used in envelope creation\n  returnUrl: return_url,\n  userName: recipient_name,\n  email: recipient_email\n}\n\nIO.puts(\"\\nCreating recipient view URL for:\")\nIO.puts(\"- Envelope ID: #{signing_envelope_id}\")\nIO.puts(\"- Client User ID: #{client_user_id_to_use}\")\nIO.puts(\"- Return URL: #{return_url}\")\n\n# Get the recipient view URL using the standard API\nresult = DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view(\n  conn,\n  account_id,\n  signing_envelope_id,\n  body: recipient_view_request\n)\n\n# Create a frame at the beginning to hold the signing URL\nsigning_frame = Kino.Frame.new() |> Kino.render()\n\ntry do\n  case result do\n    {:ok, view_response} ->\n      signing_url = view_response.url\n      IO.puts(\"✅ Embedded signing URL generated successfully!\")\n\n      # Render the HTML into the existing frame (replaces content instead of duplicating)\n      Kino.Frame.render(signing_frame, Kino.HTML.new(\"\"\"\n       \n         Embedded Signing URL Generated \n         Click the button below to open the DocuSign signing experience in a new tab: \n         \n          Open Signing Experience\n         \n       \n      \"\"\"))\n\n    {:error, error} ->\n      IO.puts(\"❌ Failed to generate embedded signing URL\")\n      IO.inspect(error, label: \"Error details:\")\n  end\nrescue\n  e in KeyError ->\n    IO.puts(\"⚠️ Received error response with unexpected format\")\n    IO.inspect(e, label: \"KeyError details\")\n    IO.inspect(result, label: \"Full response\")\nend\n```","title":"Create the Embedded Signing URL - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#create-the-embedded-signing-url"},{"type":"extras","doc":"After the recipient completes the signing process, the system will automatically check the envelope status and retrieve the completed document if available.\n\n```elixir\n# Create status frame to display envelope status\nstatus_frame = Kino.Frame.new() |> Kino.render()\n\n# Create document frame to display retrieved document\ndocument_frame = Kino.Frame.new() |> Kino.render()\n\n# Verify that conn is available from previous cells\nconn = conn || (\n  IO.puts(\"⚠️ Connection not established. Please run the previous cells to connect to DocuSign.\")\n  nil\n)\n\n# Function to check status and update UI\ncheck_envelope_status = fn ->\n  # Get envelope status using DocuSign client library\n  case DocuSign.Api.Envelopes.envelopes_get_envelope(conn, account_id, signing_envelope_id) do\n    {:ok, envelope} ->\n      status = envelope.status\n\n      status_description = case status do\n        \"created\" -> \"The envelope has been created, but not yet signed.\"\n        \"sent\" -> \"The envelope has been sent to the recipient, but not yet signed.\"\n        \"delivered\" -> \"The envelope has been delivered to the recipient, but not yet signed.\"\n        \"completed\" -> \"The envelope has been signed by all recipients.\"\n        \"declined\" -> \"The envelope has been declined by at least one recipient.\"\n        \"voided\" -> \"The envelope has been voided.\"\n        _ -> \"The envelope is in an unknown state.\"\n      end\n\n      # Update status frame with current status\n      Kino.Frame.render(status_frame, Kino.Markdown.new(\"\"\"","title":"Envelope Status and Document Retrieval - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#envelope-status-and-document-retrieval"},{"type":"extras","doc":"#{status_description}\n      \"\"\"))\n\n      # Get recipient information\n      case DocuSign.Api.EnvelopeRecipients.recipients_get_recipients(conn, account_id, signing_envelope_id) do\n        {:ok, recipients} ->\n          if recipients.signers && length(recipients.signers) > 0 do\n            # Create a table of recipient info\n            table = recipients.signers\n            |> Enum.map(fn signer ->\n              %{\n                name: signer.name,\n                email: signer.email,\n                status: signer.status,\n                delivered: signer.deliveredDateTime || \"N/A\",\n                signed: signer.signedDateTime || \"N/A\"\n              }\n            end)\n            |> Kino.DataTable.new()\n\n            # Add the table to the status frame\n            Kino.Frame.append(status_frame, table)\n          end\n\n        {:error, _} ->\n          Kino.Frame.append(status_frame, Kino.Text.new(\"Could not retrieve recipient information\"))\n      end\n\n      # If envelope is completed, automatically retrieve the document\n      if status == \"completed\" do\n        document_url = \"/v2.1/accounts/#{account_id}/envelopes/#{signing_envelope_id}/documents/1\"\n\n        case DocuSign.Connection.download_file(conn, document_url, strategy: :memory) do\n          {:ok, {document_content, filename, content_type}} ->\n            cond do\n              String.contains?(content_type, \"pdf\") ->\n                pdf_base64 = Base.encode64(document_content)\n                Kino.Frame.render(document_frame, Kino.HTML.new(\"\"\"\n                 \n                   ✅ PDF Document Downloaded \n                    Filename:  #{filename} |  Size:  #{byte_size(document_content)} bytes \n                   \n                    📄 Download Signed PDF\n                   \n                 \n                \"\"\"))\n\n              String.contains?(content_type, \"html\") ->\n                Kino.Frame.render(document_frame, Kino.HTML.new(\"\"\"\n                 \n                   ✅ Document Downloaded \n                   \n                   \n                 \n                \"\"\"))\n\n              true ->\n                Kino.Frame.render(document_frame, Kino.Text.new(\"✅ Document downloaded: #{filename} (#{content_type})\"))\n            end\n\n          {:error, error} ->\n            Kino.Frame.render(document_frame, Kino.Text.new(\"❌ Failed to download document: #{inspect(error)}\"))\n        end\n      end\n\n      # Return the status for potential further processing\n      {:ok, status}\n\n    {:error, error} ->\n      Kino.Frame.render(status_frame, Kino.Text.new(\"❌ Failed to retrieve envelope status: #{inspect(error)}\"))\n      {:error, error}\n  end\nend\n\n# Check status immediately on cell execution\ncheck_envelope_status.()\n\n# Create a manual refresh button (more compatible with Kino 0.10.0)\nrefresh_button = Kino.Control.button(\"Refresh Status\")\nKino.render(refresh_button)\nKino.listen(refresh_button, fn _ -> check_envelope_status.() end)\n```","title":"Current Envelope Status: #{status} - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#current-envelope-status-status"},{"type":"extras","doc":"This LiveBook demonstrates how to create a complete embedded signing experience with the DocuSign Elixir SDK.\n\nYou've learned how to:\n\n1. Create an envelope with a recipient specifically marked for embedded signing\n   - Use status=\"sent\" with a clientUserId to enable embedded signing\n2. Generate an embedded signing URL\n3. Automatically monitor the envelope status and download the completed document using the new FileDownloader (v2.2.1+)\n\nIn a real application, you would typically:\n\n1. Create the envelope with a recipient marked for embedded signing (status=\"sent\" and include clientUserId)\n2. Generate the embedded signing URL\n3. Redirect the user to the URL or embed it in an iframe\n4. Handle the redirect back to your application after signing\n5. Check the status of the envelope and retrieve the completed documents\n\nFor more information, check out the [DocuSign Elixir GitHub repository](https://github.com/neilberkman/docusign_elixir) and the [official DocuSign API documentation](https://developers.docusign.com/).","title":"Conclusion - DocuSign Embedded Signing with Elixir","ref":"embedded_signing.html#conclusion"},{"type":"extras","doc":"# Untitled notebook","title":"Untitled notebook","ref":"oauth_authorization_code_flow.html"},{"type":"extras","doc":"","title":"DocuSign OAuth2 Authorization Code Flow with Elixir - Untitled notebook","ref":"oauth_authorization_code_flow.html#docusign-oauth2-authorization-code-flow-with-elixir"},{"type":"extras","doc":"[![Run in Livebook](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https://github.com/neilberkman/docusign_elixir/blob/main/examples/oauth_authorization_code_flow.livemd)\n\nThis LiveBook demonstrates how to implement the OAuth2 Authorization Code Flow with the DocuSign Elixir SDK using the battle-tested `oauth2` library. This flow is ideal for web applications where users need to grant permission for your application to access their DocuSign account.\n\nThe Authorization Code Flow is more secure than JWT impersonation for user-facing applications because:\n\n- Users grant permission explicitly through DocuSign's consent screen\n- No need for admin pre-approval (like JWT impersonation requires)\n- Tokens can be refreshed without user interaction\n- Standard OAuth2 compliance\n- Uses proven OAuth2 library patterns\n\n```elixir\nIO.puts(\"Installing dependencies...\")\n\n# Suppress Tesla deprecation warnings\nApplication.put_env(:tesla, :disable_deprecated_builder_warning, true)\n\nMix.install([\n  {:docusign, \"~> 2.2.1\"},\n  {:kino, \"~> 0.16.0\"},\n  {:bandit, \"~> 1.7\"}\n])\n\nIO.puts(\"✅ Dependencies installed successfully!\")\n```","title":"Introduction - Untitled notebook","ref":"oauth_authorization_code_flow.html#introduction"},{"type":"extras","doc":"Let's start a simple web server to handle the OAuth callback:\n\n```elixir\n# Create a shared state store for OAuth data\ndefmodule OAuthState do\n  use Agent\n\n  def start_link(_) do\n    Agent.start_link(fn -> %{} end, name: __MODULE__)\n  end\n\n  def put(key, value) do\n    Agent.update(__MODULE__, &Map.put(&1, key, value))\n  end\n\n  def get(key) do\n    Agent.get(__MODULE__, &Map.get(&1, key))\n  end\nend\n\n# Start the state store\n{:ok, _} = OAuthState.start_link([])\n\ndefmodule OAuthCallbackServer do\n  use Plug.Router\n\n  plug(:match)\n  plug(:dispatch)\n\n  get \"/auth/docusign/callback\" do\n    # Parse query parameters manually from query_string\n    query_params = if conn.query_string && conn.query_string != \"\" do\n      URI.decode_query(conn.query_string)\n    else\n      %{}\n    end\n\n    code = query_params[\"code\"]\n    state = query_params[\"state\"]\n\n    # Store the code in our shared state\n    OAuthState.put(:code, code)\n    OAuthState.put(:state, state)\n    OAuthState.put(:received_at, DateTime.utc_now())\n\n    send_resp(conn, 200, \"\"\"\n     \n        DocuSign OAuth Callback  \n       \n         ✅ Authorization Successful! \n         You can now close this window and return to LiveBook. \n          Authorization Code:  #{String.slice(code || \"none\", 0, 20)}... \n          The code has been automatically captured for use in LiveBook.  \n         \n          setTimeout(() => window.close(), 3000);\n         \n       \n     \n    \"\"\")\n  end\n\n  match _ do\n    send_resp(conn, 404, \"Not found\")\n  end\nend\n\n# Start the server\n{:ok, _} = Bandit.start_link(plug: OAuthCallbackServer, port: 4000)\n\nIO.puts(\"🚀 OAuth callback server started on http://localhost:4000\")\n```","title":"OAuth Callback Server - Untitled notebook","ref":"oauth_authorization_code_flow.html#oauth-callback-server"},{"type":"extras","doc":"The OAuth2 Authorization Code Flow consists of these steps:\n\n1. **Generate Authorization URL** - Redirect user to DocuSign for consent\n2. **User Grants Permission** - User signs in and authorizes your app\n3. **Receive Authorization Code** - DocuSign redirects back with a code\n4. **Exchange Code for Tokens** - Trade the code for access/refresh tokens\n5. **Use Tokens for API Calls** - Make authenticated requests to DocuSign\n6. **Refresh Tokens** - Get new access tokens when they expire","title":"OAuth2 Authorization Code Flow Overview - Untitled notebook","ref":"oauth_authorization_code_flow.html#oauth2-authorization-code-flow-overview"},{"type":"extras","doc":"First, let's set up our DocuSign OAuth2 configuration:\n\n```elixir\nalias Kino.Input\n\n# Set up input forms for OAuth configuration\nclient_id_input = Input.text(\"Integration Key\",\n  label: \"Found in the DocuSign admin under Apps & Keys\")\nclient_secret_input = Input.password(\"Client Secret\",\n  label: \"Found in the DocuSign admin under Apps & Keys\")\nredirect_uri_input = Input.text(\"Redirect URI\",\n  label: \"Must match what's configured in DocuSign admin\",\n  default: \"http://localhost:4000/auth/docusign/callback\")\nis_sandbox_input = Input.checkbox(\"Use Sandbox\", default: true)\n\n# Display input forms individually for proper rendering\nKino.render(client_id_input)\nKino.render(client_secret_input)\nKino.render(redirect_uri_input)\nKino.render(is_sandbox_input)\n```\n\nNow let's configure the DocuSign OAuth client:\n\n```elixir\n# Get values from inputs\nclient_id = Kino.Input.read(client_id_input)\nclient_secret = Kino.Input.read(client_secret_input)\nredirect_uri = Kino.Input.read(redirect_uri_input)\nis_sandbox = Kino.Input.read(is_sandbox_input)\n\n# Configure DocuSign application\nApplication.put_env(:docusign, :client_id, client_id)\nApplication.put_env(:docusign, :client_secret, client_secret)\n\n# Debug: Check configuration\nIO.puts(\"OAuth Configuration set:\")\nIO.puts(\"Integration Key: #{client_id}\")\nIO.puts(\"Client Secret: #{String.slice(client_secret, 0, 10)}...\")\nIO.puts(\"Redirect URI: #{redirect_uri}\")\nIO.puts(\"Is sandbox: #{is_sandbox}\")\nIO.puts(\"Hostname: will be auto-detected from account base URI\")\n```","title":"Configuration - Untitled notebook","ref":"oauth_authorization_code_flow.html#configuration"},{"type":"extras","doc":"The first step is to create an OAuth2 client and generate an authorization URL where users can grant permission to your application:\n\n```elixir\n# Create OAuth2 client\noauth_client = DocuSign.OAuth.AuthorizationCodeStrategy.client(\n  redirect_uri: redirect_uri,\n  scope: \"signature\"\n)\n\n# Generate the authorization URL with CSRF protection\nstate = \"demo-state-#{:crypto.strong_rand_bytes(8) |> Base.encode16()}\"\nauthorization_url = OAuth2.Client.authorize_url!(\n  oauth_client,\n  state: state\n)\n\n# Display the authorization URL with a clickable link\nKino.HTML.new(\"\"\"\n \n   Step 1: User Authorization \n   Click this link to authorize the application in DocuSign: \n   \n    🔐 Authorize DocuSign Access\n   \n    \n   \n     🔗 Full Authorization URL (click to expand) \n     \n      #{authorization_url}\n     \n   \n   \n   \n     📝 What happens next: \n     \n       Click the authorization link above \n       Sign in to your DocuSign account \n       Review the permissions and click \"ALLOW ACCESS\" \n       You'll be redirected to your redirect URI with a  code  parameter \n       Copy the  code  value and paste it in the next section \n     \n   \n \n\"\"\")\n```","title":"Step 1: Generate Authorization URL - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-1-generate-authorization-url"},{"type":"extras","doc":"After clicking the authorization link and granting permission, DocuSign will redirect you back to the callback server. The authorization code will be automatically captured:\n\n```elixir\n# Check if we have a code from the callback\ncallback_code = OAuthState.get(:code)\ncallback_state = OAuthState.get(:state)\nreceived_at = OAuthState.get(:received_at)\n\nif callback_code do\n  Kino.Markdown.new(\"\"\"\n  ## ✅ Authorization Code Received!\n\n  **Code**: `#{String.slice(callback_code, 0, 30)}...`\n  **State**: `#{callback_state}`\n  **Received**: `#{received_at}`\n\n  The authorization code has been automatically captured from the OAuth callback.\n  \"\"\")\nelse\n  Kino.Markdown.new(\"\"\"\n  ## ⏳ Waiting for Authorization...\n\n  Please click the authorization link above and complete the OAuth flow.\n  The authorization code will appear here automatically once you authorize.\n  \"\"\")\nend\n```","title":"Step 2: Authorization Code Input - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-2-authorization-code-input"},{"type":"extras","doc":"Now let's exchange the authorization code for access and refresh tokens:\n\n```elixir\n# Get the authorization code from the shared state\nauth_code = OAuthState.get(:code)\n\n# Create a frame to display the token exchange results\ntoken_frame = Kino.Frame.new() |> Kino.render()\n\nif auth_code do\n  Kino.Frame.render(token_frame, Kino.Markdown.new(\"🔄 Exchanging authorization code for tokens...\"))\n\n  # Exchange the authorization code for tokens using OAuth2 library\n  try do\n    oauth_client_with_tokens = OAuth2.Client.get_token!(\n      oauth_client,\n      code: auth_code\n    )\n\n    # Store OAuth2 client for later use (in a real app, you'd store these securely)\n    Process.put(:oauth_client, oauth_client_with_tokens)\n\n    # Extract token information for display\n    token = oauth_client_with_tokens.token\n    expires_in = if token.expires_at do\n      token.expires_at - System.system_time(:second)\n    else\n      \"Unknown\"\n    end\n\n    Kino.Frame.render(token_frame, Kino.Markdown.new(\"\"\"\n    ## ✅ Token Exchange Successful!\n\n    Your authorization code has been successfully exchanged for OAuth tokens:\n\n    - **Access Token**: `#{String.slice(token.access_token, 0, 30)}...`\n    - **Refresh Token**: `#{if token.refresh_token, do: String.slice(token.refresh_token, 0, 30) <> \"...\", else: \"Not provided\"}`\n    - **Token Type**: `#{token.token_type}`\n    - **Expires In**: `#{expires_in}` seconds\n\n    🎉 You can now use this OAuth2 client to make authenticated API calls to DocuSign!\n    \"\"\"))\n\n  rescue\n    error ->\n      Kino.Frame.render(token_frame, Kino.Markdown.new(\"\"\"\n      ## ❌ Token Exchange Failed\n\n      **Error**: `#{inspect(error)}`\n\n      **Common causes:**\n      - Authorization code has expired (they're only valid for a few minutes)\n      - Authorization code has already been used\n      - Redirect URI doesn't match what was used in the authorization step\n      - Invalid client credentials\n\n      **Solution**: Go back to Step 1 and generate a new authorization URL.\n      \"\"\"))\n  end\nelse\n  Kino.Frame.render(token_frame, Kino.Markdown.new(\"\"\"\n  ⏳ **Waiting for authorization code...**\n\n  Please complete the authorization flow above and paste the authorization code here.\n  \"\"\"))\nend\n```","title":"Step 3: Exchange Authorization Code for Tokens - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-3-exchange-authorization-code-for-tokens"},{"type":"extras","doc":"Let's use our OAuth tokens to get information about the authenticated user and their DocuSign accounts:\n\n```elixir\n# Create frame for user info\nuser_info_frame = Kino.Frame.new() |> Kino.render()\n\n# Check if we have OAuth2 client from the previous step\noauth_client = Process.get(:oauth_client)\n\nif oauth_client do\n  Kino.Frame.render(user_info_frame, Kino.Markdown.new(\"🔄 Fetching user information...\"))\n\n  # Get user info using the OAuth2 strategy\n  try do\n    user_info = DocuSign.OAuth.AuthorizationCodeStrategy.get_user_info!(oauth_client)\n\n      # Display user information\n      accounts_info = if user_info[\"accounts\"] do\n        user_info[\"accounts\"]\n        |> Enum.with_index(1)\n        |> Enum.map(fn {account, index} ->\n          is_default = Map.get(account, \"is_default\", \"false\")\n          default_marker = if is_default == \"true\", do: \" (Default)\", else: \"\"\n\n          \"\"\"\n          **Account #{index}#{default_marker}:**\n          - Account ID: `#{account[\"account_id\"]}`\n          - Account Name: `#{account[\"account_name\"]}`\n          - Base URI: `#{account[\"base_uri\"]}`\n          \"\"\"\n        end)\n        |> Enum.join(\"\\n\")\n      else\n        \"No account information available\"\n      end\n\n      Kino.Frame.render(user_info_frame, Kino.Markdown.new(\"\"\"\n      ## 👤 User Information Retrieved\n\n      **User Details:**\n      - **Name**: #{user_info[\"name\"]}\n      - **Email**: #{user_info[\"email\"]}\n      - **User ID**: `#{user_info[\"sub\"]}`\n      - **Created**: #{user_info[\"created\"]}\n\n      **DocuSign Accounts:**\n      #{accounts_info}\n\n      🎯 **Next**: We'll use the default account to create a DocuSign connection for API calls.\n      \"\"\"))\n\n    # Store user info for next step\n    Process.put(:user_info, user_info)\n\n  rescue\n    error ->\n      Kino.Frame.render(user_info_frame, Kino.Markdown.new(\"\"\"\n      ## ❌ Failed to Get User Information\n\n      **Error**: #{inspect(error)}\n\n      This might indicate that your access token is invalid or expired.\n      Please try refreshing the token or re-authorizing.\n      \"\"\"))\n  end\nelse\n  Kino.Frame.render(user_info_frame, Kino.Markdown.new(\"\"\"\n  ⏳ **Waiting for OAuth tokens...**\n\n  Please complete the token exchange step above first.\n  \"\"\"))\nend\n```","title":"Step 4: Get User Information - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-4-get-user-information"},{"type":"extras","doc":"Now let's create a DocuSign connection using our OAuth tokens that we can use for API calls:\n\n```elixir\n# Create frame for connection setup\nconnection_frame = Kino.Frame.new() |> Kino.render()\n\noauth_client = Process.get(:oauth_client)\nuser_info = Process.get(:user_info)\n\nif oauth_client && user_info do\n  Kino.Frame.render(connection_frame, Kino.Markdown.new(\"🔄 Creating DocuSign connection...\"))\n\n  # Find the default account or use the first one\n  default_account = user_info[\"accounts\"]\n    |> Enum.find(fn account -> Map.get(account, \"is_default\") == \"true\" end)\n\n  default_account = default_account || List.first(user_info[\"accounts\"])\n\n  if default_account do\n    account_id = default_account[\"account_id\"]\n    base_uri = \"#{default_account[\"base_uri\"]}/restapi\"\n\n    # Create DocuSign connection from OAuth2 client with auto-detection\n    case DocuSign.Connection.from_oauth_client_with_detection(\n      oauth_client,\n      account_id: account_id,\n      base_uri: base_uri,\n      auto_detect_hostname: true  # Automatically set hostname based on base_uri\n    ) do\n      {:ok, conn} ->\n        # Store connection for API usage\n        Process.put(:docusign_connection, conn)\n\n        Kino.Frame.render(connection_frame, Kino.Markdown.new(\"\"\"\n        ## ✅ DocuSign Connection Created!\n\n        Successfully created a DocuSign connection using OAuth2.Client:\n\n        - **Account ID**: `#{account_id}`\n        - **Account Name**: `#{default_account[\"account_name\"]}`\n        - **API Base URI**: `#{base_uri}`\n        - **Connection Type**: OAuth2 Authorization Code Flow (using oauth2 library)\n\n        🚀 **Ready for API calls!** You can now use this connection with any DocuSign API function.\n        \"\"\"))\n\n      {:error, reason} ->\n        Kino.Frame.render(connection_frame, Kino.Markdown.new(\"\"\"\n        ## ❌ Failed to Create Connection\n\n        **Error**: #{inspect(reason)}\n\n        This is unexpected - please check your token and account information.\n        \"\"\"))\n    end\n  else\n    Kino.Frame.render(connection_frame, Kino.Markdown.new(\"\"\"\n    ## ❌ No DocuSign Accounts Found\n\n    The user information doesn't contain any DocuSign accounts. This might indicate:\n    - The user doesn't have access to any DocuSign accounts\n    - There's an issue with the OAuth scope or permissions\n\n    Please check your DocuSign account access.\n    \"\"\"))\n  end\nelse\n  Kino.Frame.render(connection_frame, Kino.Markdown.new(\"\"\"\n  ⏳ **Waiting for tokens and user info...**\n\n  Please complete the previous steps first.\n  \"\"\"))\nend\n```","title":"Step 5: Create DocuSign Connection - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-5-create-docusign-connection"},{"type":"extras","doc":"Let's test our OAuth connection by making an API call to get account information:\n\n```elixir\n# Create frame for API test\napi_test_frame = Kino.Frame.new() |> Kino.render()\n\nconn = Process.get(:docusign_connection)\nuser_info = Process.get(:user_info)\n\nif conn && user_info do\n  default_account = user_info[\"accounts\"]\n    |> Enum.find(fn account -> Map.get(account, \"is_default\") == \"true\" end)\n  default_account = default_account || List.first(user_info[\"accounts\"])\n\n  account_id = default_account[\"account_id\"]\n\n  Kino.Frame.render(api_test_frame, Kino.Markdown.new(\"🔄 Testing API call...\"))\n\n  # Make an API call to get account information\n  case DocuSign.Api.Accounts.accounts_get_account(conn, account_id) do\n    {:ok, account_info} ->\n      Kino.Frame.render(api_test_frame, Kino.Markdown.new(\"\"\"\n      ## ✅ API Call Successful!\n\n      Successfully retrieved account information using OAuth connection:\n\n      **Account Details:**\n      - **Account Name**: #{account_info.accountName}\n      - **Account ID**: `#{account_info.accountIdGuid}`\n      - **Plan Name**: #{account_info.planName}\n      - **External Account ID**: #{account_info.externalAccountId}\n      - **Created Date**: #{account_info.createdDate}\n      - **Suspension Status**: #{account_info.suspensionStatus}\n\n      **Billing Information:**\n      - **Billing Period**: #{account_info.billingPeriodStartDate} to #{account_info.billingPeriodEndDate}\n      - **Payment Method**: #{account_info.paymentMethod}\n      - **Envelope Unit Price**: #{account_info.envelopeUnitPrice}\n\n      🎉 **OAuth Authorization Code Flow Complete!**\n\n      Your application is now successfully authenticated with DocuSign using OAuth2 tokens and can make API calls on behalf of the user.\n      \"\"\"))\n\n    {:error, %Tesla.Env{status: status, body: body}} ->\n      Kino.Frame.render(api_test_frame, Kino.Markdown.new(\"\"\"\n      ## ❌ API Call Failed\n\n      **Status**: #{status}\n      **Response**: #{inspect(body)}\n\n      This might indicate:\n      - Access token has expired\n      - Insufficient permissions\n      - Account access issues\n      \"\"\"))\n\n    {:error, reason} ->\n      Kino.Frame.render(api_test_frame, Kino.Markdown.new(\"\"\"\n      ## ❌ API Call Error\n\n      **Error**: #{inspect(reason)}\n\n      There was an unexpected error making the API call.\n      \"\"\"))\n  end\nelse\n  Kino.Frame.render(api_test_frame, Kino.Markdown.new(\"\"\"\n  ⏳ **Waiting for DocuSign connection...**\n\n  Please complete the connection setup step above first.\n  \"\"\"))\nend\n```","title":"Step 6: Test API Call - Get Account Information - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-6-test-api-call-get-account-information"},{"type":"extras","doc":"OAuth access tokens expire (typically after 8 hours). Here's how you can refresh them using the refresh token:\n\n```elixir\n# Create frame for token refresh demo\nrefresh_frame = Kino.Frame.new() |> Kino.render()\n\noauth_client = Process.get(:oauth_client)\n\nif oauth_client && oauth_client.token && oauth_client.token.refresh_token do\n  refresh_button = Kino.Control.button(\"🔄 Refresh Access Token\")\n  Kino.render(refresh_button)\n\n  Kino.listen(refresh_button, fn _ ->\n    Kino.Frame.render(refresh_frame, Kino.Markdown.new(\"🔄 Refreshing access token...\"))\n\n    try do\n      refreshed_client = OAuth2.Client.refresh_token!(oauth_client)\n\n      # Store new OAuth2 client\n      Process.put(:oauth_client, refreshed_client)\n\n      new_token = refreshed_client.token\n      expires_in = if new_token.expires_at do\n        new_token.expires_at - System.system_time(:second)\n      else\n        \"Unknown\"\n      end\n\n      Kino.Frame.render(refresh_frame, Kino.Markdown.new(\"\"\"\n      ## ✅ Token Refresh Successful!\n\n      Your access token has been refreshed:\n\n      - **New Access Token**: `#{String.slice(new_token.access_token, 0, 30)}...`\n      - **New Refresh Token**: `#{if new_token.refresh_token, do: String.slice(new_token.refresh_token, 0, 30) <> \"...\", else: \"Same as before\"}`\n      - **Expires In**: `#{expires_in}` seconds\n\n      💡 **Note**: Some OAuth providers rotate refresh tokens, meaning you get a new refresh token each time you refresh. Always use the latest tokens.\n      \"\"\"))\n\n    rescue\n      error ->\n        Kino.Frame.render(refresh_frame, Kino.Markdown.new(\"\"\"\n        ## ❌ Token Refresh Failed\n\n        **Error**: `#{inspect(error)}`\n\n        **Common causes:**\n        - Refresh token has expired\n        - Refresh token has been revoked\n        - Invalid client credentials\n\n        **Solution**: The user will need to re-authorize through the full OAuth flow.\n        \"\"\"))\n    end\n  end)\n\n  Kino.Frame.render(refresh_frame, Kino.Markdown.new(\"\"\"\n  ## 🔄 Token Refresh\n\n  Click the button above to refresh your access token using the refresh token.\n\n  **When to refresh:**\n  - Before the access token expires (typically 8 hours)\n  - When you receive 401 Unauthorized responses\n  - As part of a scheduled token refresh process\n\n  **In production applications:**\n  - Implement automatic token refresh before expiration\n  - Store tokens securely (encrypted in database)\n  - Handle refresh token rotation properly\n  - Implement fallback to re-authorization flow if refresh fails\n  \"\"\"))\nelse\n  Kino.Frame.render(refresh_frame, Kino.Markdown.new(\"\"\"\n  ## ℹ️ Token Refresh Not Available\n\n  #{if oauth_client && oauth_client.token do\n      if oauth_client.token.refresh_token do\n        \"No refresh token available. Some OAuth flows don't provide refresh tokens.\"\n      else\n        \"No refresh token available from the token exchange.\"\n      end\n    else\n      \"Please complete the OAuth flow first to get tokens.\"\n    end}\n  \"\"\"))\nend\n```","title":"Step 7: Token Refresh (Optional) - Untitled notebook","ref":"oauth_authorization_code_flow.html#step-7-token-refresh-optional"},{"type":"extras","doc":"This LiveBook demonstrates the OAuth2 Authorization Code Flow for DocuSign in an interactive way. When implementing this in a production web application, consider these important points:\n\n#### Security Best Practices\n\n1. **HTTPS Only**: Always use HTTPS for redirect URIs in production\n2. **State Parameter**: Always validate the `state` parameter to prevent CSRF attacks\n3. **Secure Token Storage**: Store tokens encrypted in a secure database\n4. **Token Scoping**: Only request the minimum required OAuth scopes\n\n#### Implementation Patterns\n\nFor production Phoenix applications, refer to the comprehensive examples in the [DocuSign Elixir README](https://github.com/neilberkman/docusign_elixir/blob/main/README.md#oauth2-authorization-code-flow) which includes complete Phoenix controller implementation, token management patterns, and security best practices.","title":"Production Implementation Notes - Untitled notebook","ref":"oauth_authorization_code_flow.html#production-implementation-notes"},{"type":"extras","doc":"🎉 **Congratulations!** You've successfully implemented the OAuth2 Authorization Code Flow with DocuSign:\n\n1. ✅ Generated authorization URL for user consent\n2. ✅ Exchanged authorization code for access/refresh tokens\n3. ✅ Retrieved user information using OAuth tokens\n4. ✅ Created DocuSign connection from OAuth tokens\n5. ✅ Made authenticated API calls to DocuSign\n6. ✅ Demonstrated token refresh functionality","title":"Conclusion - Untitled notebook","ref":"oauth_authorization_code_flow.html#conclusion"},{"type":"extras","doc":"- **User Control**: Users explicitly grant permission through DocuSign's interface\n- **No Admin Pre-approval**: Unlike JWT impersonation, no admin setup required\n- **Standard Compliance**: Uses industry-standard OAuth2 flow\n- **Token Refresh**: Long-term access through refresh tokens\n- **Secure**: Follows OAuth2 security best practices","title":"Key Benefits of OAuth2 Authorization Code Flow: - Untitled notebook","ref":"oauth_authorization_code_flow.html#key-benefits-of-oauth2-authorization-code-flow"},{"type":"extras","doc":"- Implement this flow in your web application\n- Set up secure token storage and management\n- Handle token refresh and expiration gracefully\n- Add error handling and user feedback\n- Consider implementing webhook notifications for document status updates\n\nFor more information, check out the [DocuSign Elixir GitHub repository](https://github.com/neilberkman/docusign_elixir) and the [official DocuSign API documentation](https://developers.docusign.com/).\n\n```\n\n```","title":"Next Steps: - Untitled notebook","ref":"oauth_authorization_code_flow.html#next-steps"},{"type":"extras","doc":"# Migration Guide","title":"Migration Guide","ref":"migrating.html"},{"type":"extras","doc":"Version 2.0.0 removes previously deprecated functionality. If you're still using any of these functions or configuration options, you'll need to update your code:\n\n- Removed `DocuSign.Connection.new/0` - use `DocuSign.Connection.get/1` and provide a user ID\n- Removed `DocuSign.Connection.default_account/0` - the app_account is included in the connection returned by `DocuSign.Connection.get/1`\n- Removed `:private_key` configuration option - use `:private_key_file` or `:private_key_contents` instead\n- Removed the entire `DocuSign.APIClient` module - use corresponding functions in `DocuSign.ClientRegistry` instead\n- Removed `DocuSign.User.info/0` - use `DocuSign.User.info/1` and provide a client parameter","title":"Migrating to v2.0 from v1.x - Migration Guide","ref":"migrating.html#migrating-to-v2-0-from-v1-x"},{"type":"extras","doc":"Version 0.4.0 brings the ability to call DocuSign API with different user IDs. This is useful if your users have different security restrictions in DocuSign. The `ClientRegistry` takes care of tracking the API client for those users and refreshing the access tokens.\n\n- `Connection.new/0` has been deprecated. You should replace calls to `Connection.new/0` with `Connection.get/1` and provide a user ID.\n- `APIClient` functions have been deprecated. Please use corresponding functions in `ClientRegistry`.","title":"Migrating to v0.4.0 from v0.3.x - Migration Guide","ref":"migrating.html#migrating-to-v0-4-0-from-v0-3-x"},{"type":"extras","doc":"This version contains some breaking changes. You may need to modify your code.\n\n- `DocuSign.Model.EnvelopeTemplateResult` has been renamed to `DocuSign.Model.EnvelopeTemplate`\n- `DocuSign.Model.Number` has been renamed to `DocuSign.Model.DocuSignNumber`\n- Use `body` as an optional argument to some functions, e.g. use `body` instead of `EnvelopeRecipientTabs` when calling `DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs()`)","title":"Migrating to v1.0 from an earlier version - Migration Guide","ref":"migrating.html#migrating-to-v1-0-from-an-earlier-version"},{"type":"extras","doc":"# Changelog","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"","title":"v2.2.1 - Changelog","ref":"changelog.html#v2-2-1"},{"type":"extras","doc":"- **Environment Auto-Detection**: Automatic sandbox vs production environment detection based on API URLs\n  - Add `DocuSign.Util.Environment` module with hostname detection logic matching Ruby client behavior\n  - Automatically determine OAuth hostname (`account-d.docusign.com` vs `account.docusign.com`) from base URIs\n  - Add `DocuSign.Connection.determine_hostname/1` and `detect_environment/1` convenience functions\n  - Add `DocuSign.Connection.from_oauth_client_with_detection/2` for automatic hostname configuration\n  - Environment validation functions to ensure hostname/URI consistency\n  - Complete test coverage with 37 test cases covering all URL patterns and edge cases\n\n- **File Download Support**: Built-in utilities for downloading and handling DocuSign documents\n  - Add `DocuSign.FileDownloader` module with multiple download strategies (memory, temp file, specific path)\n  - Automatic filename extraction from Content-Disposition headers with RFC 6266 support\n  - Intelligent temporary file management using the `temp` library with automatic cleanup\n  - Content-Type validation and file size limits\n  - Multiple file format support (PDF, HTML, images, etc.)\n  - Add `DocuSign.Connection.download_file/3` convenience function\n  - Comprehensive test coverage with 31 test cases","title":"New Features - Changelog","ref":"changelog.html#new-features"},{"type":"extras","doc":"- Add comprehensive SSL/TLS configuration support\n  - Custom CA certificates and certificate validation\n  - Client certificate authentication (mutual TLS)\n  - Per-request SSL option overrides\n  - Automatic system CA certificate detection\n  - Connection pooling configuration\n- Add `DocuSign.SSLOptions` module for managing SSL configuration\n- Update `DocuSign.Connection` to support per-request SSL options\n- Enhance Finch integration with SSL transport options\n- Add `temp` dependency for robust temporary file handling\n- Filename sanitization to prevent path traversal attacks\n- Configurable download validation and security options","title":"Enhancements - Changelog","ref":"changelog.html#enhancements"},{"type":"extras","doc":"- Add extensive SSL/TLS configuration documentation to README\n- Include security best practices for certificate validation\n- Document connection pooling options\n- Complete API documentation for all download functions with examples\n- Security best practices for file downloads","title":"Documentation - Changelog","ref":"changelog.html#documentation"},{"type":"extras","doc":"","title":"v2.2.0 - Changelog","ref":"changelog.html#v2-2-0"},{"type":"extras","doc":"- **OAuth2 Authorization Code Flow Support**: Complete implementation of OAuth2 Authorization Code Flow using the battle-tested `oauth2` library\n  - Add `DocuSign.OAuth.AuthorizationCodeStrategy` module implementing OAuth2.Strategy behavior\n  - Add `DocuSign.Connection.from_oauth_client/2` for creating connections from OAuth2.Client\n  - Support automatic token refresh and user info retrieval\n  - Comprehensive test coverage for OAuth2 flow\n- **Interactive LiveBook Guide**: New OAuth2 Authorization Code Flow LiveBook with:\n  - Complete end-to-end OAuth flow demonstration\n  - Built-in Bandit web server for OAuth callbacks\n  - Automatic authorization code capture and token exchange\n  - Real API testing with DocuSign accounts\n  - Production implementation examples and best practices","title":"New Features - Changelog","ref":"changelog.html#new-features-1"},{"type":"extras","doc":"- Add model files to Dialyzer ignore list to prevent analysis of auto-generated code\n- Add IDEAS.md document cataloging potential improvements from Ruby client\n- Add changelog link to Hex package metadata for better discoverability\n- Remove unnecessary `plug_cowboy` dependency (only used transitively by test dependencies)\n- Update documentation with comprehensive OAuth2 examples\n- Add OAuth2 support to README with complete usage patterns","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-1"},{"type":"extras","doc":"- Create IDEAS.md to track feature ideas and improvements from other DocuSign clients","title":"Documentation - Changelog","ref":"changelog.html#documentation-1"},{"type":"extras","doc":"- None (fully backward compatible)","title":"Breaking Changes - Changelog","ref":"changelog.html#breaking-changes"},{"type":"extras","doc":"","title":"v2.1.0 - Changelog","ref":"changelog.html#v2-1-0"},{"type":"extras","doc":"- Add support for Elixir 1.18.4 and OTP 28\n- Migrate from Tesla.Builder to runtime configuration to fix deprecation warnings\n- Switch from Mint to Finch adapter for better performance and connection pooling\n- Add CI testing matrix to test against multiple Elixir/OTP version combinations:\n  - Elixir 1.16.0 with OTP 26.0 (earliest supported)\n  - Elixir 1.16.3 with OTP 26.2\n  - Elixir 1.17.3 with OTP 27.1\n  - Elixir 1.18.1 with OTP 27.2\n  - Elixir 1.18.4 with OTP 28.0 (latest)\n- Update dependencies to latest versions:\n  - castore 1.0.12 → 1.0.14\n  - ex_doc 0.38.0 → 0.38.2\n  - plug_cowboy 2.7.3 → 2.7.4\n  - tesla 1.14.1 → 1.14.3\n  - mix_test_watch 1.2.0 → 1.3.0\n  - credo 1.7.11 → 1.7.12\n  - mime 2.0.6 → 2.0.7 (transitive)\n  - plug 1.17.0 → 1.18.0 (transitive)","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-2"},{"type":"extras","doc":"- Fix deprecated `use Plug.Test` warning by using `import Plug.Test` and `import Plug.Conn`\n- Fix HTTP method case sensitivity for Finch adapter (`:GET` → `:get`)\n- Update timeout configuration to use Finch's `receive_timeout` option","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"- Start Finch supervisor in both test and production environments\n- Add Tesla deprecation warning suppression to config\n- Remove explicit Mint dependency as it's included transitively via Finch\n- Update LiveBook example to use Kino 0.16.0\n- Update LiveBook to use local path for testing unreleased changes\n- Add Quokka formatter plugin for enhanced code formatting\n- Apply consistent code formatting across entire codebase\n- Add .git-blame-ignore-revs to ignore formatting commits in git blame","title":"Internal Changes - Changelog","ref":"changelog.html#internal-changes"},{"type":"extras","doc":"","title":"v2.0.0 - Changelog","ref":"changelog.html#v2-0-0"},{"type":"extras","doc":"- Removed deprecated function `DocuSign.Connection.new/0`\n- Removed deprecated function `DocuSign.Connection.default_account/0`\n- Removed deprecated `:private_key` configuration option (use `:private_key_file` or `:private_key_contents`)\n- See [MIGRATING.md](MIGRATING.md) for migration guidance","title":"Breaking Changes - Changelog","ref":"changelog.html#breaking-changes-1"},{"type":"extras","doc":"- Improved code organization by removing deprecated code\n- Updated LiveBook example to work with v2.0.0\n- Made LiveBook example more prominently featured in documentation","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-3"},{"type":"extras","doc":"","title":"v1.4.0 - Changelog","ref":"changelog.html#v1-4-0"},{"type":"extras","doc":"- Migrated from Poison to Jason for all JSON operations\n  - Much faster JSON encoding/decoding (Jason is generally 2-3x faster than Poison)\n  - Better compatibility with modern Elixir ecosystem\n  - Maintains backward compatibility with existing code\n- Updated all model modules to use `@derive Jason.Encoder` instead of Poison\n- Modified RequestBuilder to use Jason.encode! for request serialization\n- Updated Deserializer to use Jason.decode for response deserialization\n- Updated OAuth2 client implementation to use Jason as serializer\n- Fixed Tesla middleware to use Jason for JSON encoding\n- Ensured Connection module properly handles different response formats\n- Improved LiveBook example for embedded signing with better state management\n- Improved ModelCleaner implementation for nil value removal\n- Updated ModelCleaner tests with more comprehensive coverage\n- Added Credo configuration to exclude auto-generated model files from linting","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-4"},{"type":"extras","doc":"- Added several new model modules from latest DocuSign API:\n  - EnvelopeViewDocumentSettings\n  - EnvelopeViewEnvelopeCustomFieldSettings\n  - EnvelopeViewRecipientSettings\n  - EnvelopeViewRequest\n  - EnvelopeViewSettings\n  - EnvelopeViewTaggerSettings\n  - EnvelopeViewTemplateSettings\n  - ExternalPrimaryAccountSafelistAuthRequirements\n  - Number\n  - PaletteItemSettings\n  - PaletteSettings\n  - TemplateAutoMatch\n  - TemplateAutoMatchList\n  - TemplateViewRequest\n  - Various UserAuthorization-related models","title":"API Enhancements - Changelog","ref":"changelog.html#api-enhancements"},{"type":"extras","doc":"- Updated documentation to reflect the use of Jason for JSON handling\n- Improved embedded signing LiveBook example with better state management","title":"Documentation - Changelog","ref":"changelog.html#documentation-2"},{"type":"extras","doc":"","title":"v1.3.1 - Changelog","ref":"changelog.html#v1-3-1"},{"type":"extras","doc":"- Fixed \"INVALID_REQUEST_BODY\" errors that occurred when using embedded signing functionality\n- Added ModelCleaner module to recursively remove nil values from nested structs before serializing to JSON\n- Updated RequestBuilder to clean request bodies of nil values, fixing the issue transparently\n- Added example livebook showing embedded signing workflow\n- Note: The example Livebook demonstrates using `body:` parameter for envelope creation as expected by the Elixir client","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes-1"},{"type":"extras","doc":"","title":"v1.3.0 - Changelog","ref":"changelog.html#v1-3-0"},{"type":"extras","doc":"- Update minimum Elixir version support to \"~> 1.16 or ~> 1.17 or ~> 1.18\"\n- Update Poison dependency to \"~> 6.0\"","title":"Breaking Changes - Changelog","ref":"changelog.html#breaking-changes-2"},{"type":"extras","doc":"- Fix contract type specs to match actual function implementations across the codebase\n- Add proper moduledocs and cleanup module documentation\n- Add dialyzer configuration to handle auto-generated code","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-5"},{"type":"extras","doc":"- Update dependencies to latest versions\n- Replace empty @moduledoc with @moduledoc false for generated modules\n- Update toolchain versions (Erlang 27.2, Elixir 1.18.1, Node 21.7.3)","title":"Housekeeping - Changelog","ref":"changelog.html#housekeeping"},{"type":"extras","doc":"","title":"v1.2.0 - Changelog","ref":"changelog.html#v1-2-0"},{"type":"extras","doc":"- Add support for configuring the private key using either `:private_key_file`\n  or `:private_key_contents`. - `:private_key_file` accepts a file path to the private key, exactly like\n  `:private_key`. - `:private_key_contents` is the contents of the private key, typically\n  retrieved from a secrets store.","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-6"},{"type":"extras","doc":"- Configuring the private key with `:private_key` was deprecated in favour of\n  either `:private_key_file` (same semantics) or `:private_key_contents`.","title":"Deprecations - Changelog","ref":"changelog.html#deprecations"},{"type":"extras","doc":"","title":"v1.1.3 - Changelog","ref":"changelog.html#v1-1-3"},{"type":"extras","doc":"- Add support for configuring underlying Tesla adapter.\n- Add webhook plug to simplify DocuSign Connect integration.","title":"Enhancements - Changelog","ref":"changelog.html#enhancements-7"},{"type":"extras","doc":"","title":"v1.1.2 - Changelog","ref":"changelog.html#v1-1-2"},{"type":"extras","doc":"- Increase minimum version of dependencies","title":"Breaking changes - Changelog","ref":"changelog.html#breaking-changes-3"},{"type":"extras","doc":"","title":"v1.1.1 - Changelog","ref":"changelog.html#v1-1-1"},{"type":"extras","doc":"- Change minimum Elixir version to 1.12\n- Increase minimum version of dependencies","title":"Breaking Changes - Changelog","ref":"changelog.html#breaking-changes-4"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}